# Maintainers

Habitat is an open-source project, built and maintained by a community of
dedicated humans, listed below.

This file lists how the Habitat project is maintained and the humans and
companies who make up "The Habitat Maintainers."

When making changes to the system, this file tells you who needs to review your
patch - you need approval of at least one maintainer for the relevant subsystems
to provide a :+1: (or `+r`) on your pull request. Additionally, you need to not
receive a veto from a Lieutenant or the Project Lead.

Check out the [Maintenance Policy](maintenance-policy.md) for details on the
process, how to become a maintainer, lieutenant, or the project lead.

---

# The Habitat Maintainers

These are the humans who maintain Habitat.  These people have permission to
merge code changes to the various components and other rights and
responsibilities as detailed in the [Maintenance Policy](maintenance-policy.md).

# Project Lead

* [Adam Jacob](https://github.com/adamhjk)

## Components

The various components that make up Habitat. Each component must have one
Lieutenant and may have many maintainers.

### Core Habitat

#### Lieutenant

* [Jamie Winsor](https://github.com/reset)

#### Maintainers

* [Adam Jacob](https://github.com/adamhjk)
* [Fletcher Nichol](https://github.com/fnichol)
* [Nathan L Smith](https://github.com/smith)
* [Joshua Timberman](https://github.com/jtimberman)
* [Brian Scott](https://github.com/bscott)
* [Josh Black](https://github.com/raskchanky)
* [Steven Murawski](https://github.com/smurawski)
* [Ian Henry](https://github.com/eeyun)
* [Justin Carter](https://github.com/bodymindarts)
* [Matt Wrock](https://github.com/mwrock)
* [Salim Alam](https://github.com/chefsalim)
* [Nell Shamrell-Harrington](https://github.com/nellshamrell)
* [George Marshall](https://github.com/georgemarshall)
* [Tasha Drew](https://github.com/tashimi)
* [Jon Bauman](https://github.com/baumanj)

### Habitat Builder Web Application

The web application for the Habitat builder and depot.

#### Lieutenant

* [Chris Nunciato](https://github.com/cnunciato)

#### Maintainers

* [Elliott Davis](https://github.com/elliott-davis)
* [Fletcher Nichol](https://github.com/fnichol)
* [Jamie Winsor](https://github.com/reset)
* [Matt Wrock](https://github.com/mwrock)
* [Salim Alam](https://github.com/chefsalim)
* [Nell Shamrell-Harrington](https://github.com/nellshamrell)
* [Tasha Drew](https://github.com/tashimi)

### Habitat Builder

See https://github.com/habitat-sh/builder/blob/master/MAINTAINERS.md

### Documentation

This component includes documentation in the product and documentation published
to [https://www.habitat.sh/docs/](https://www.habitat.sh/docs/) including
tutorials and reference materials.

#### Lieutenant

* [Nick Brewer](https://github.com/brewn)

#### Maintainers

* [Ryan Keairns](https://github.com/ryankeairns)
* [Brian Scott](https://github.com/bscott)
* [Ian Henry](https://github.com/eeyun)
* [Jamie Winsor](https://github.com/reset)
* [Matt Wrock](https://github.com/mwrock)
* [Salim Alam](https://github.com/chefsalim)
* [Nell Shamrell-Harrington](https://github.com/nellshamrell)
* [Robb Kidd](https://github.com/robbkidd)
* [Tasha Drew](https://github.com/tashimi)

### Core Plans

See https://github.com/habitat-sh/core-plans/blob/master/MAINTAINERS.md
