---
title: "Habitat Discourse Migration"
date: 2017-11-28
author: Ian Henry
tags: forums, discourse
category: community
classes: body-article
---

Hello inHabitants!

In our perpetual effort to find better ways to keep our community connected, informed, and cared for we've made the decision to retire the [Habitat Discourse Site](https://forums.habitat.sh) and migrate to something we hope will be more useful. We've been discussing the forums and their efficacy for a while but we've finally come to a conclusion. Looking at metrics from all of our communication tools (github, slack, discourse, and the habitat website) we've found that our community has just not adopted the forum/mailing list format as a desired communication mechanism.


## What does all of this mean?
Well, what we absolutely _do not_ want is to pull the plug on a tool that fills a need for the community so instead of simply shuttering the habitat discourse, we're going to migrate to something more lightweight and centralized. What this looks like in practice is that we will be migrating the Habitat forum/mailing list discussions from forums.habitat.sh over to discourse.chef.io. It won't however, be a direct migration. Instead of having oodles of habitat related categories we're going to merge all the current Habitat categories down to a single instance and migrate that to a "Habitat" category. Since traffic on the current habitat discourse is quite light we feel like a single category is probably more than enough (at least initially) to serve as a spot for asynchronous communications.

The goal right now is to make it easier to bubble up any community interactions happening via the forums in a more effective way while also minimizing some of our operational and administrative overhead. A secondary concern here is the desire to centralize all of Chef inc.'s release announcements in one place. With that in mind, we've set up slack integration from this new category to update the "#discourse-habitat" channel in slack as new posts are submitted and recorded a video explaining how to set up the mailing list behaviors of the new discourse server.

## What you need to know

When the migration process begins we will redirect any current hyperlinks directly to the new Discourse instance and update our various integrations to leverage the new account.

#### Migration Dates
**start date:** Monday, December 4th and will be completed on  
**end date:** Monday, December 11th.  


#### Release Announcements
Going forward all of our community members will be able to receive our release announcements via the new discourse group exactly like the old one. If you've never set up notifications in discourse there is a comment in the new discourse sticky with a video showing the full process. We will however also be publishing our release announcements to the [habitat blog](https://habitat.sh/blog) and those notifications will still trickle out to twitter and slack!

As always, thank you for using Habitat and should you feel like following up on this feel free to comment here, or message any of the core team on slack!

Ian Henry
Technical Community Advocate
@eeyun___
