# Habitat CHANGELOG

## [0.54.0](https://github.com/habitat-sh/habitat/tree/0.54.0) (02-20-2018)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.53.0...0.54.0)

## Features & Enhancements

- Better differentiate error sources in Builder Worker jobs [\#4571](https://github.com/habitat-sh/habitat/issues/4571)
- Create periodic "canary" jobs in Builder to surface platform issues [\#4570](https://github.com/habitat-sh/habitat/issues/4570)
- Ability to "test drive" releases before publish [\#4207](https://github.com/habitat-sh/habitat/issues/4207)
- Improve Kubernetes documentation [\#4636](https://github.com/habitat-sh/habitat/pull/4636) ([asymmetric](https://github.com/asymmetric))
- Update Linux instructions to reflect tar package [\#4590](https://github.com/habitat-sh/habitat/pull/4590) ([tashimi](https://github.com/tashimi))
- `HAB\\_ORIGIN\\_KEYS` → `HAB\_ORIGIN\_KEYS` [\#4588](https://github.com/habitat-sh/habitat/pull/4588) ([baumanj](https://github.com/baumanj))
- Added ability to pass habitat secrets into the studio [\#4573](https://github.com/habitat-sh/habitat/pull/4573) ([elliott-davis](https://github.com/elliott-davis))
- Document the env file pattern to show off @key [\#4568](https://github.com/habitat-sh/habitat/pull/4568) ([onlyhavecans](https://github.com/onlyhavecans))
- Remove duplicate title [\#4562](https://github.com/habitat-sh/habitat/pull/4562) ([onlyhavecans](https://github.com/onlyhavecans))
- Release notes 0.53.0 [\#4556](https://github.com/habitat-sh/habitat/pull/4556) ([tashimi](https://github.com/tashimi))
- Make header more consistent in reference docs [\#4538](https://github.com/habitat-sh/habitat/pull/4538) ([onlyhavecans](https://github.com/onlyhavecans))
- consistently use softwrapping on paragraphs [\#4534](https://github.com/habitat-sh/habitat/pull/4534) ([onlyhavecans](https://github.com/onlyhavecans))

## Bug fixes

- Regression in template variable handling [\#4615](https://github.com/habitat-sh/habitat/issues/4615)
- Supervisor update check when loading service blocks service release to live [\#4602](https://github.com/habitat-sh/habitat/issues/4602)
- Latest `core/hab-launcher` is installed, not latest stable hab-launcher [\#4539](https://github.com/habitat-sh/habitat/issues/4539)
- \[builder-worker\] Failure to clone remote repo should be an error [\#4164](https://github.com/habitat-sh/habitat/issues/4164)
- hab sup load not respecting installed package [\#4065](https://github.com/habitat-sh/habitat/issues/4065)
- `hab svc load` fails when acting on local-only package \(.hart file\) [\#4019](https://github.com/habitat-sh/habitat/issues/4019)
- Fix array access regression in template rendering [\#4620](https://github.com/habitat-sh/habitat/pull/4620) ([christophermaier](https://github.com/christophermaier))
- \[pkg-export-docker\] Restore latest tag options. [\#4617](https://github.com/habitat-sh/habitat/pull/4617) ([fnichol](https://github.com/fnichol))
- `HAB\\\_ORIGIN\\\_KEYS` → `HAB\\_ORIGIN\\_KEYS` [\#4588](https://github.com/habitat-sh/habitat/pull/4588) ([baumanj](https://github.com/baumanj))
- ensure appveyor version matches hab cli so bintray releases also havethat version [\#4566](https://github.com/habitat-sh/habitat/pull/4566) ([mwrock](https://github.com/mwrock))

**Closed issues:**

- website suggests I unzip a tarball [\#4557](https://github.com/habitat-sh/habitat/issues/4557)
- bldr rebuilt all Ruby packages when merging ruby25 [\#4461](https://github.com/habitat-sh/habitat/issues/4461)
- Docker exporter fails if `--registry-url docker.io` option is specified [\#4455](https://github.com/habitat-sh/habitat/issues/4455)
- 0.51.0 compilation fails loading source for ipc-channel [\#4396](https://github.com/habitat-sh/habitat/issues/4396)
- Hab 0.50.3 cannot import pyyaml on CLI [\#4210](https://github.com/habitat-sh/habitat/issues/4210)
- builder 0.39 or newer fails with "a password was requested but not provided" [\#4096](https://github.com/habitat-sh/habitat/issues/4096)

**Merged pull requests:**

- Convert github-api-client to use http-client, which respects proxies [\#4631](https://github.com/habitat-sh/habitat/pull/4631) ([raskchanky](https://github.com/raskchanky))
- pkg-export-helm: Depend on Habitat operator chart [\#4628](https://github.com/habitat-sh/habitat/pull/4628) ([zeenix](https://github.com/zeenix))
- pkg-export-k8s: Adapt to Habitat Operator API changes [\#4627](https://github.com/habitat-sh/habitat/pull/4627) ([zeenix](https://github.com/zeenix))
- Privacy Policy fixes [\#4623](https://github.com/habitat-sh/habitat/pull/4623) ([mgamini](https://github.com/mgamini))
- WIP test algiola search [\#4613](https://github.com/habitat-sh/habitat/pull/4613) ([ryankeairns](https://github.com/ryankeairns))
- Rename OriginSecretKey\* to OriginPrivateSigningKey\* [\#4608](https://github.com/habitat-sh/habitat/pull/4608) ([elliott-davis](https://github.com/elliott-davis))
- `hab svc load` respects currently-installed software [\#4607](https://github.com/habitat-sh/habitat/pull/4607) ([christophermaier](https://github.com/christophermaier))
- Composite plan bind resolution needs to consider no BINDS and also lo… [\#4605](https://github.com/habitat-sh/habitat/pull/4605) ([christophermaier](https://github.com/christophermaier))
- Add setting up a ring to overview [\#4603](https://github.com/habitat-sh/habitat/pull/4603) ([tashimi](https://github.com/tashimi))
- Add information about setting up a ring [\#4600](https://github.com/habitat-sh/habitat/pull/4600) ([tashimi](https://github.com/tashimi))
- corrects mis-capitalized instances of scaffold in code snippets [\#4599](https://github.com/habitat-sh/habitat/pull/4599) ([nellshamrell](https://github.com/nellshamrell))
- implement dynamic version setting in powershell plans [\#4589](https://github.com/habitat-sh/habitat/pull/4589) ([mwrock](https://github.com/mwrock))
- Updates the blog post on windows docker export [\#4584](https://github.com/habitat-sh/habitat/pull/4584) ([burtlo](https://github.com/burtlo))
- Updates the the packaging windows service blog post [\#4583](https://github.com/habitat-sh/habitat/pull/4583) ([burtlo](https://github.com/burtlo))
- Updates the sql server blog post [\#4582](https://github.com/habitat-sh/habitat/pull/4582) ([burtlo](https://github.com/burtlo))
- Fixes the file extension so it appears in list of blog entries [\#4581](https://github.com/habitat-sh/habitat/pull/4581) ([burtlo](https://github.com/burtlo))
- Fix broken image link [\#4580](https://github.com/habitat-sh/habitat/pull/4580) ([christophermaier](https://github.com/christophermaier))
- Specify the redirect filename [\#4579](https://github.com/habitat-sh/habitat/pull/4579) ([cnunciato](https://github.com/cnunciato))
- Blog post announcing OpenShift support [\#4577](https://github.com/habitat-sh/habitat/pull/4577) ([christophermaier](https://github.com/christophermaier))
- update habitat install link tutorial partial [\#4574](https://github.com/habitat-sh/habitat/pull/4574) ([brewn](https://github.com/brewn))
- Remove tools/probe-workers.sh script [\#4572](https://github.com/habitat-sh/habitat/pull/4572) ([christophermaier](https://github.com/christophermaier))
- Download on-demand packages from the `stable` channel. [\#4565](https://github.com/habitat-sh/habitat/pull/4565) ([christophermaier](https://github.com/christophermaier))
- Refactor Cli to use standard Clap syntax [\#4564](https://github.com/habitat-sh/habitat/pull/4564) ([elliott-davis](https://github.com/elliott-davis))
- Clarify template configuration documentation [\#4563](https://github.com/habitat-sh/habitat/pull/4563) ([onlyhavecans](https://github.com/onlyhavecans))
- Redirect configure-workstation [\#4560](https://github.com/habitat-sh/habitat/pull/4560) ([cnunciato](https://github.com/cnunciato))
- fix protocol crate [\#4558](https://github.com/habitat-sh/habitat/pull/4558) ([elliott-davis](https://github.com/elliott-davis))
- Don't hard-code version in `habitat-pkg-export-helm` package [\#4555](https://github.com/habitat-sh/habitat/pull/4555) ([christophermaier](https://github.com/christophermaier))
- Make promote\_rc.sh script executable [\#4554](https://github.com/habitat-sh/habitat/pull/4554) ([christophermaier](https://github.com/christophermaier))
- Bump version for development [\#4553](https://github.com/habitat-sh/habitat/pull/4553) ([christophermaier](https://github.com/christophermaier))
- Swiftype config tweaks [\#4530](https://github.com/habitat-sh/habitat/pull/4530) ([ryankeairns](https://github.com/ryankeairns))
- Allow configurable compression level during build [\#4512](https://github.com/habitat-sh/habitat/pull/4512) ([jaym](https://github.com/jaym))

## [0.53.0](https://github.com/habitat-sh/habitat/tree/0.53.0) (02-05-2018)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.52.0...0.53.0)

## Features & Enhancements

- Implement `hab plan init` for Powershell plans [\#4527](https://github.com/habitat-sh/habitat/issues/4527)
- Add UI support for personal access tokens [\#4526](https://github.com/habitat-sh/habitat/issues/4526)
- Split up protocols repo [\#4506](https://github.com/habitat-sh/habitat/issues/4506)
- Build broken for core repo [\#4505](https://github.com/habitat-sh/habitat/issues/4505)
- Need to update terraform provisioning to use new env [\#4491](https://github.com/habitat-sh/habitat/issues/4491)
- Build broken in new builder repo [\#4490](https://github.com/habitat-sh/habitat/issues/4490)
- Document running travis workflow locally [\#4472](https://github.com/habitat-sh/habitat/issues/4472)
- Move Builder to its own repo [\#4453](https://github.com/habitat-sh/habitat/issues/4453)
- Builder worker should be able to accept a docker socket for exporters [\#4443](https://github.com/habitat-sh/habitat/issues/4443)
- Fix builder dev studio [\#4442](https://github.com/habitat-sh/habitat/issues/4442)
- Notifications service [\#4409](https://github.com/habitat-sh/habitat/issues/4409)
- \[feature\] Dashboard for current origin state [\#4402](https://github.com/habitat-sh/habitat/issues/4402)
- \[feature\] Increased visibility of failed builds [\#4401](https://github.com/habitat-sh/habitat/issues/4401)
- RFC: Habitat built packages without the Supervisor [\#4368](https://github.com/habitat-sh/habitat/issues/4368)
- .bldr.toml should allow users to auto-promote to channels other than unstable [\#4328](https://github.com/habitat-sh/habitat/issues/4328)
- Mirror Live environment to acceptance [\#4240](https://github.com/habitat-sh/habitat/issues/4240)
- Getting started guides: Node  [\#4185](https://github.com/habitat-sh/habitat/issues/4185)
- Refactor origin project creation API [\#4141](https://github.com/habitat-sh/habitat/issues/4141)
- Local Habitat environment [\#4117](https://github.com/habitat-sh/habitat/issues/4117)
- Finish API integration tests [\#4105](https://github.com/habitat-sh/habitat/issues/4105)
- Builder Services Development Environment docs need updating [\#4070](https://github.com/habitat-sh/habitat/issues/4070)
- API re-vamp [\#4013](https://github.com/habitat-sh/habitat/issues/4013)
- Add job cancelation ability to the UI [\#3998](https://github.com/habitat-sh/habitat/issues/3998)
- Validate permissions when setting an integration export [\#3816](https://github.com/habitat-sh/habitat/issues/3816)
- Builder should know about Composite Packages [\#3801](https://github.com/habitat-sh/habitat/issues/3801)
- \[Builder UI\] Notify me when my packages have been recently rebuilt [\#3798](https://github.com/habitat-sh/habitat/issues/3798)
- Google Container Registry post processor [\#3745](https://github.com/habitat-sh/habitat/issues/3745)
- Azure Container Registry post processor [\#3744](https://github.com/habitat-sh/habitat/issues/3744)
- Google magic for "habitat packages" \> bldr.habitat.sh/\#/explore [\#3713](https://github.com/habitat-sh/habitat/issues/3713)
- Handle GitHub account renames [\#3706](https://github.com/habitat-sh/habitat/issues/3706)
- Squelch error output in studio when installing package from sandbox fails \(but fallback to stable succeeds\) [\#3692](https://github.com/habitat-sh/habitat/issues/3692)
- Leave an origin [\#3650](https://github.com/habitat-sh/habitat/issues/3650)
- Instruct users to reload after installing the app in the plan connect view [\#3631](https://github.com/habitat-sh/habitat/issues/3631)
- List origin projects and provide a way to navigate to them [\#3579](https://github.com/habitat-sh/habitat/issues/3579)
- \[builder-worker\] Clean up `job.root\(\)/dockerd` directory on teardown. [\#3484](https://github.com/habitat-sh/habitat/issues/3484)
- Provide a way to find where files exist in packages found in the Depot [\#3465](https://github.com/habitat-sh/habitat/issues/3465)
- Fill in Dockerhub description fields [\#3456](https://github.com/habitat-sh/habitat/issues/3456)
- Reverse dependency lists and private packages [\#3409](https://github.com/habitat-sh/habitat/issues/3409)
- fix hab plan build for kubernetes exporter [\#4532](https://github.com/habitat-sh/habitat/pull/4532) ([mwrock](https://github.com/mwrock))
- Plan docs [\#4518](https://github.com/habitat-sh/habitat/pull/4518) ([mwrock](https://github.com/mwrock))
- expand zip file by default in Invoke-Unpack [\#4511](https://github.com/habitat-sh/habitat/pull/4511) ([mwrock](https://github.com/mwrock))
- rename powershell binary to new pwsh.exe [\#4495](https://github.com/habitat-sh/habitat/pull/4495) ([mwrock](https://github.com/mwrock))

## Bug fixes

- Worker builds hang when running with debug error logging [\#4483](https://github.com/habitat-sh/habitat/issues/4483)
- setting pkg\_svc\_run in powershell plans does not trigger run [\#4479](https://github.com/habitat-sh/habitat/issues/4479)
- \[builder-worker\] Ensure that parent directory for networking namespace is created initially. [\#4471](https://github.com/habitat-sh/habitat/issues/4471)
- \[builder-web\] XML Parsing error in Firefox [\#4440](https://github.com/habitat-sh/habitat/issues/4440)
- Docker image export not working? [\#4418](https://github.com/habitat-sh/habitat/issues/4418)
- Builder webhook - fix case where plan file is in a "habitat" folder [\#4323](https://github.com/habitat-sh/habitat/issues/4323)
- Builds from web UI and CLI behave differently [\#4317](https://github.com/habitat-sh/habitat/issues/4317)
- Docker tags not honored during publish [\#4274](https://github.com/habitat-sh/habitat/issues/4274)
- Users should not be able to enter an email address into integration field for docker hub [\#4206](https://github.com/habitat-sh/habitat/issues/4206)
- \[STABILITY\] \[Supervisor\] build worker crash in live - missing hab file uploaded file. [\#4012](https://github.com/habitat-sh/habitat/issues/4012)
- Navigating to a package which doesn't exist should ideally show the 404 page. [\#3966](https://github.com/habitat-sh/habitat/issues/3966)
- BLDR Service reports build failure when building sample-rails-app [\#3850](https://github.com/habitat-sh/habitat/issues/3850)
- Un-sharded services \(eg, job server\) should be able to route properly [\#3787](https://github.com/habitat-sh/habitat/issues/3787)
- Want long search results  [\#3728](https://github.com/habitat-sh/habitat/issues/3728)
- lingering origin invite [\#3727](https://github.com/habitat-sh/habitat/issues/3727)
- Reverse dependency lists and private packages [\#3409](https://github.com/habitat-sh/habitat/issues/3409)
- Add builder-base-plan back [\#4524](https://github.com/habitat-sh/habitat/pull/4524) ([christophermaier](https://github.com/christophermaier))
-  \[builder-worker\] Ensure parent network NS directory is created. [\#4473](https://github.com/habitat-sh/habitat/pull/4473) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- Builds do not start automatically when `habitat/plan.sh` is not in the root of the repository [\#4148](https://github.com/habitat-sh/habitat/issues/4148)
- Dealing with CLRF in habitat files [\#4144](https://github.com/habitat-sh/habitat/issues/4144)
- User-defined channels not showing up in package release page of Builder UI [\#4114](https://github.com/habitat-sh/habitat/issues/4114)
- Habitat Supervisor should not require running as root [\#1408](https://github.com/habitat-sh/habitat/issues/1408)

**Merged pull requests:**

- Non-root Supervisor lands in 0.53.0, not 0.54.0 [\#4545](https://github.com/habitat-sh/habitat/pull/4545) ([christophermaier](https://github.com/christophermaier))
- fallback to older powershell binary name if newer one is not installed [\#4540](https://github.com/habitat-sh/habitat/pull/4540) ([mwrock](https://github.com/mwrock))
- Remove all the references to bin/haproxy & clarify docs [\#4533](https://github.com/habitat-sh/habitat/pull/4533) ([onlyhavecans](https://github.com/onlyhavecans))
- adding a --windows option for hab plan init to generate powershell plan [\#4528](https://github.com/habitat-sh/habitat/pull/4528) ([mwrock](https://github.com/mwrock))
- Supervisor should not require root [\#4525](https://github.com/habitat-sh/habitat/pull/4525) ([christophermaier](https://github.com/christophermaier))
- fix regression breaking docker exporter on windows [\#4517](https://github.com/habitat-sh/habitat/pull/4517) ([mwrock](https://github.com/mwrock))
- Make ubuntu latest officially-supported environment [\#4516](https://github.com/habitat-sh/habitat/pull/4516) ([baumanj](https://github.com/baumanj))
- Update ubuntu latest docs [\#4515](https://github.com/habitat-sh/habitat/pull/4515) ([baumanj](https://github.com/baumanj))
- Remove dead link [\#4514](https://github.com/habitat-sh/habitat/pull/4514) ([baumanj](https://github.com/baumanj))
- Documentation/note overriding scaffolding phases [\#4510](https://github.com/habitat-sh/habitat/pull/4510) ([onlyhavecans](https://github.com/onlyhavecans))
- Add back the launcher-protocol crate [\#4509](https://github.com/habitat-sh/habitat/pull/4509) ([raskchanky](https://github.com/raskchanky))
- Add the github requirements to the setup command [\#4507](https://github.com/habitat-sh/habitat/pull/4507) ([onlyhavecans](https://github.com/onlyhavecans))
- update cli, install and supervisor docs to provide windows specific info [\#4503](https://github.com/habitat-sh/habitat/pull/4503) ([mwrock](https://github.com/mwrock))
- Kubernetes & docker exporter fixes [\#4498](https://github.com/habitat-sh/habitat/pull/4498) ([zeenix](https://github.com/zeenix))
- Remove files that were used exclusively to run builder [\#4489](https://github.com/habitat-sh/habitat/pull/4489) ([elliott-davis](https://github.com/elliott-davis))
- fix pkg\_svc\_run behavior in powershell plans [\#4486](https://github.com/habitat-sh/habitat/pull/4486) ([mwrock](https://github.com/mwrock))
- Fix the GitHub button styling [\#4482](https://github.com/habitat-sh/habitat/pull/4482) ([cnunciato](https://github.com/cnunciato))
- Drop a file with unused code [\#4481](https://github.com/habitat-sh/habitat/pull/4481) ([krnowak](https://github.com/krnowak))
- add runtime environment evaluation to ps1 plan [\#4478](https://github.com/habitat-sh/habitat/pull/4478) ([mwrock](https://github.com/mwrock))
- Add Search Packages link to global website nav [\#4474](https://github.com/habitat-sh/habitat/pull/4474) ([ryankeairns](https://github.com/ryankeairns))
- Fix typo in studio README [\#4470](https://github.com/habitat-sh/habitat/pull/4470) ([themightychris](https://github.com/themightychris))
- Tar Exporter - The Next Generation [\#4468](https://github.com/habitat-sh/habitat/pull/4468) ([nellshamrell](https://github.com/nellshamrell))
- align windows bintray and blder versions and add some clarification to release doc [\#4467](https://github.com/habitat-sh/habitat/pull/4467) ([mwrock](https://github.com/mwrock))
- bump to 0.53.0-dev [\#4466](https://github.com/habitat-sh/habitat/pull/4466) ([mwrock](https://github.com/mwrock))
- adding Getting Started with Node blog post [\#4464](https://github.com/habitat-sh/habitat/pull/4464) ([mgamini](https://github.com/mgamini))
- Removing builder from the main repo [\#4452](https://github.com/habitat-sh/habitat/pull/4452) ([raskchanky](https://github.com/raskchanky))
- Docs/test additions to k8s exporter & various fixes [\#4448](https://github.com/habitat-sh/habitat/pull/4448) ([zeenix](https://github.com/zeenix))
- Adding node getting started guide [\#4424](https://github.com/habitat-sh/habitat/pull/4424) ([mgamini](https://github.com/mgamini))

## [0.52.0](https://github.com/habitat-sh/habitat/tree/0.52.0) (01-19-2018)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.51.0...0.52.0)

## Features & Enhancements

- Powershell plans embedded with source should not require empty build functions [\#4307](https://github.com/habitat-sh/habitat/issues/4307)
- Create style guide for habitat.sh site content submissions [\#4259](https://github.com/habitat-sh/habitat/issues/4259)
- Add shard information into database migration log output [\#4241](https://github.com/habitat-sh/habitat/issues/4241)
- Codify incident process and communicate via blog post \(and other ways of communicating?\) [\#4239](https://github.com/habitat-sh/habitat/issues/4239)
- Make migrations smarter [\#4160](https://github.com/habitat-sh/habitat/issues/4160)
- Build fails in fresh environment because of missing git [\#4055](https://github.com/habitat-sh/habitat/issues/4055)
- \[www\] \[Builder UI\] Add additional footer links [\#3909](https://github.com/habitat-sh/habitat/issues/3909)
- \[Builder UI\] Clicking on origin name should take me to that origin [\#3899](https://github.com/habitat-sh/habitat/issues/3899)
- \[builder ui\] Make it easier to copy package identifiers out of Builder web [\#3675](https://github.com/habitat-sh/habitat/issues/3675)
- `hab bldr channel` subcommand [\#3384](https://github.com/habitat-sh/habitat/issues/3384)
- Create "local development" guide [\#2882](https://github.com/habitat-sh/habitat/issues/2882)
- Tutorial: config overrides not working in studio [\#2767](https://github.com/habitat-sh/habitat/issues/2767)
- Tutorial: config overrides not working in studio [\#2767](https://github.com/habitat-sh/habitat/issues/2767)
- Run habitat as windows service [\#2766](https://github.com/habitat-sh/habitat/issues/2766)
- \[alias\] use easy alias to show local keys [\#2559](https://github.com/habitat-sh/habitat/issues/2559)
- Support -advertise-ip for bridged networks [\#2420](https://github.com/habitat-sh/habitat/issues/2420)
- Rolling config apply [\#2324](https://github.com/habitat-sh/habitat/issues/2324)
- Documentation fix - TOML usage [\#1059](https://github.com/habitat-sh/habitat/issues/1059)
- Alternate storage \(S3\) for depot artifacts [\#1002](https://github.com/habitat-sh/habitat/issues/1002)
- Bump all cargo dependencies [\#4370](https://github.com/habitat-sh/habitat/pull/4370) ([reset](https://github.com/reset))
- \[ci\] Add `Cargo.lock` to `AFFECTED\_DIRS` for Rust matrix builds. [\#4365](https://github.com/habitat-sh/habitat/pull/4365) ([fnichol](https://github.com/fnichol))
- \[Cargo.lock\] Temporarily pin ipc-channel to pre-upgrade commit. [\#4364](https://github.com/habitat-sh/habitat/pull/4364) ([fnichol](https://github.com/fnichol))
- Update README.md [\#4344](https://github.com/habitat-sh/habitat/pull/4344) ([baumanj](https://github.com/baumanj))
- Update BUILDER\_DEV.md [\#4343](https://github.com/habitat-sh/habitat/pull/4343) ([baumanj](https://github.com/baumanj))
- Update BUILDER\\_DEV.md [\#4343](https://github.com/habitat-sh/habitat/pull/4343) ([baumanj](https://github.com/baumanj))
- Document the HAB\_BLDR\_URL environment variable in the CLI usage [\#4329](https://github.com/habitat-sh/habitat/pull/4329) ([baumanj](https://github.com/baumanj))
- Document the HAB\\_BLDR\\_URL environment variable in the CLI usage [\#4329](https://github.com/habitat-sh/habitat/pull/4329) ([baumanj](https://github.com/baumanj))
- Add diesel migrations for maximum speed [\#4296](https://github.com/habitat-sh/habitat/pull/4296) ([elliott-davis](https://github.com/elliott-davis))
- Adding build failure notifications to slack [\#4190](https://github.com/habitat-sh/habitat/pull/4190) ([eeyun](https://github.com/eeyun))

## Bug fixes

- \[STABILITY\] workers losing ens4 network, not able to recover  [\#4264](https://github.com/habitat-sh/habitat/issues/4264)
- add 2013 C runtime to hab binaries [\#4457](https://github.com/habitat-sh/habitat/pull/4457) ([mwrock](https://github.com/mwrock))
- \[builder-worker\] Create network namespace only at server boot. [\#4353](https://github.com/habitat-sh/habitat/pull/4353) ([fnichol](https://github.com/fnichol))
- Debug output in studio corrupts stdout [\#4380](https://github.com/habitat-sh/habitat/issues/4380)
- \[www\] Broken secondary button style on community page  [\#4374](https://github.com/habitat-sh/habitat/issues/4374)
- Add hab user and group in exported Docker containers again [\#4373](https://github.com/habitat-sh/habitat/issues/4373)
- HAB\_BLDR\_CHANNEL and "Package not found" / builder builds working currently? [\#4371](https://github.com/habitat-sh/habitat/issues/4371)
- Windows studio not sending supervisor stderr to log [\#4362](https://github.com/habitat-sh/habitat/issues/4362)
- bldr job fails with no useful output. [\#4332](https://github.com/habitat-sh/habitat/issues/4332)
- `hab bldr job promote --interactive` presents packages on one line [\#4330](https://github.com/habitat-sh/habitat/issues/4330)
- Codify incident process and communicate via blog post \\(and other ways of communicating?\\) [\#4239](https://github.com/habitat-sh/habitat/issues/4239)
- List of origin packages should be sorted alphabetically [\#3916](https://github.com/habitat-sh/habitat/issues/3916)
- \[STABILITY\] Permission denied issue on builder-api-proxy directory [\#3521](https://github.com/habitat-sh/habitat/issues/3521)
- Members tab should only be visible to origin members [\#3404](https://github.com/habitat-sh/habitat/issues/3404)
- hab config apply - can't apply config to a service group that doesn't exist yet [\#3155](https://github.com/habitat-sh/habitat/issues/3155)
- Cross platform issues with /bin/sh and bashisms [\#2736](https://github.com/habitat-sh/habitat/issues/2736)
- pkg export fails on aci image [\#2620](https://github.com/habitat-sh/habitat/issues/2620)
- Files inside svc/\*/config belong to 'root' even though svc\_user/group is 'hab' [\#2479](https://github.com/habitat-sh/habitat/issues/2479)
- Need a clean way to reset ownership on svc folders [\#1547](https://github.com/habitat-sh/habitat/issues/1547)
- hab-sup --no-color doesn't strip color from all output [\#997](https://github.com/habitat-sh/habitat/issues/997)
- Group ID defaults to User ID in exported Docker containers [\#4435](https://github.com/habitat-sh/habitat/pull/4435) ([christophermaier](https://github.com/christophermaier))
- migrate DEBUG env var to docker studio [\#4383](https://github.com/habitat-sh/habitat/pull/4383) ([mwrock](https://github.com/mwrock))
- Remove debug\(\) implementation; log `try\(\)` messages to STDERR [\#4382](https://github.com/habitat-sh/habitat/pull/4382) ([christophermaier](https://github.com/christophermaier))
- redirect both stderr out stdout from sup to log in windows studio [\#4378](https://github.com/habitat-sh/habitat/pull/4378) ([mwrock](https://github.com/mwrock))
- Update README.md [\#4344](https://github.com/habitat-sh/habitat/pull/4344) ([baumanj](https://github.com/baumanj))

**Closed issues:**

- Builds not working due to changed stderr log handling [\#4410](https://github.com/habitat-sh/habitat/issues/4410)
- \[nmap\] Bad libpcap usage in core/nmap [\#4398](https://github.com/habitat-sh/habitat/issues/4398)
- package upload can fail even though package is uploaded [\#4395](https://github.com/habitat-sh/habitat/issues/4395)
- Suggest a set of API endpoints and responses for notifications [\#4294](https://github.com/habitat-sh/habitat/issues/4294)
- Add missing dep to docker & k8s exporter plans [\#4179](https://github.com/habitat-sh/habitat/issues/4179)
- Tracking Issue - Ensure that both package.json & yarn.lock are not present in project [\#3066](https://github.com/habitat-sh/habitat/issues/3066)
- Configuration updates in a Kubernetes cluster [\#2805](https://github.com/habitat-sh/habitat/issues/2805)
- `hab pkg binlink` should default to /usr/local/bin [\#1920](https://github.com/habitat-sh/habitat/issues/1920)
- View Builder Operational Metrics in Ops Dashboard [\#1845](https://github.com/habitat-sh/habitat/issues/1845)

**Merged pull requests:**

- make studio backline channel override check busybox compatible [\#4458](https://github.com/habitat-sh/habitat/pull/4458) ([mwrock](https://github.com/mwrock))
- Add postprocessing status to build log output [\#4445](https://github.com/habitat-sh/habitat/pull/4445) ([chefsalim](https://github.com/chefsalim))
- Updates CLI docs on website following \#4329 [\#4437](https://github.com/habitat-sh/habitat/pull/4437) ([rsertelon](https://github.com/rsertelon))
- Add a Helm exporter [\#4434](https://github.com/habitat-sh/habitat/pull/4434) ([zeenix](https://github.com/zeenix))
- Add newlines to pkg ident strings in job promote interactive mode [\#4432](https://github.com/habitat-sh/habitat/pull/4432) ([smacfarlane](https://github.com/smacfarlane))
- Add shard information into database migration log output [\#4430](https://github.com/habitat-sh/habitat/pull/4430) ([elliott-davis](https://github.com/elliott-davis))
- Add required Postgres library for diesel migration [\#4429](https://github.com/habitat-sh/habitat/pull/4429) ([baumanj](https://github.com/baumanj))
- Fix Migrations for diesel [\#4427](https://github.com/habitat-sh/habitat/pull/4427) ([elliott-davis](https://github.com/elliott-davis))
- Bump cargo dependencies [\#4426](https://github.com/habitat-sh/habitat/pull/4426) ([reset](https://github.com/reset))
- Fix a few issues with the new UI [\#4425](https://github.com/habitat-sh/habitat/pull/4425) ([cnunciato](https://github.com/cnunciato))
- Update dev config script [\#4422](https://github.com/habitat-sh/habitat/pull/4422) ([chefsalim](https://github.com/chefsalim))
- Create the directory for traces [\#4420](https://github.com/habitat-sh/habitat/pull/4420) ([krnowak](https://github.com/krnowak))
- Update the design of Builder UI [\#4417](https://github.com/habitat-sh/habitat/pull/4417) ([cnunciato](https://github.com/cnunciato))
- Use shared key for worker auth [\#4416](https://github.com/habitat-sh/habitat/pull/4416) ([chefsalim](https://github.com/chefsalim))
- Bump Nokogiri to 1.8.1 [\#4414](https://github.com/habitat-sh/habitat/pull/4414) ([cnunciato](https://github.com/cnunciato))
- Bump marked to 0.3.9 [\#4413](https://github.com/habitat-sh/habitat/pull/4413) ([cnunciato](https://github.com/cnunciato))
- Output final stderr for build in streaming web log. [\#4407](https://github.com/habitat-sh/habitat/pull/4407) ([elliott-davis](https://github.com/elliott-davis))
- add post about sql server plan [\#4405](https://github.com/habitat-sh/habitat/pull/4405) ([mwrock](https://github.com/mwrock))
- only verify file if there is something to verify [\#4393](https://github.com/habitat-sh/habitat/pull/4393) ([mwrock](https://github.com/mwrock))
- only install alternate channel backline in CI [\#4392](https://github.com/habitat-sh/habitat/pull/4392) ([mwrock](https://github.com/mwrock))
- Fix JS config file formatting [\#4389](https://github.com/habitat-sh/habitat/pull/4389) ([cnunciato](https://github.com/cnunciato))
- Turns out URL parameters and query parameters aren't the same thing. [\#4388](https://github.com/habitat-sh/habitat/pull/4388) ([raskchanky](https://github.com/raskchanky))
- Add script to diagnose and repair missing worker interfaces [\#4387](https://github.com/habitat-sh/habitat/pull/4387) ([christophermaier](https://github.com/christophermaier))
- editing checksums again for win builds [\#4386](https://github.com/habitat-sh/habitat/pull/4386) ([mwrock](https://github.com/mwrock))
- update win dependency checksums after adding libsodium binary [\#4385](https://github.com/habitat-sh/habitat/pull/4385) ([mwrock](https://github.com/mwrock))
- Add page titles in Builder UI [\#4377](https://github.com/habitat-sh/habitat/pull/4377) ([cnunciato](https://github.com/cnunciato))
- fix windows ipc pin [\#4376](https://github.com/habitat-sh/habitat/pull/4376) ([mwrock](https://github.com/mwrock))
- add blog post covering Windows service app packaging [\#4369](https://github.com/habitat-sh/habitat/pull/4369) ([mwrock](https://github.com/mwrock))
- Force rustfmt install [\#4367](https://github.com/habitat-sh/habitat/pull/4367) ([raskchanky](https://github.com/raskchanky))
- Help for privilege-dropping services [\#4366](https://github.com/habitat-sh/habitat/pull/4366) ([christophermaier](https://github.com/christophermaier))
- Sort origin projects alphabetically by package name [\#4360](https://github.com/habitat-sh/habitat/pull/4360) ([cnunciato](https://github.com/cnunciato))
- Add links for Security, Contributing, Code of Conduct, Cookie Policy [\#4359](https://github.com/habitat-sh/habitat/pull/4359) ([cnunciato](https://github.com/cnunciato))
- Increase visual distinction for private keys [\#4358](https://github.com/habitat-sh/habitat/pull/4358) ([cnunciato](https://github.com/cnunciato))
- \[plan-build\] Add some basic testing [\#4356](https://github.com/habitat-sh/habitat/pull/4356) ([georgemarshall](https://github.com/georgemarshall))
- Fix platform icons in Versions tab [\#4355](https://github.com/habitat-sh/habitat/pull/4355) ([cnunciato](https://github.com/cnunciato))
- Add a back-to-build-jobs link [\#4354](https://github.com/habitat-sh/habitat/pull/4354) ([cnunciato](https://github.com/cnunciato))
- Link origin names to origin-packages view [\#4352](https://github.com/habitat-sh/habitat/pull/4352) ([cnunciato](https://github.com/cnunciato))
- Makes CLI docs more readable [\#4351](https://github.com/habitat-sh/habitat/pull/4351) ([rsertelon](https://github.com/rsertelon))
- Add a new demo for the packaging system [\#4350](https://github.com/habitat-sh/habitat/pull/4350) ([ryankeairns](https://github.com/ryankeairns))
- Hide tabs for non-origin members [\#4349](https://github.com/habitat-sh/habitat/pull/4349) ([cnunciato](https://github.com/cnunciato))
- Updates CLI documentation page [\#4348](https://github.com/habitat-sh/habitat/pull/4348) ([rsertelon](https://github.com/rsertelon))
- dev-config.sh: Remove hardcoded app\_id [\#4342](https://github.com/habitat-sh/habitat/pull/4342) ([indradhanush](https://github.com/indradhanush))
- some edits to the release doc [\#4341](https://github.com/habitat-sh/habitat/pull/4341) ([mwrock](https://github.com/mwrock))
- bumping dev version and improving promotion log messages [\#4340](https://github.com/habitat-sh/habitat/pull/4340) ([mwrock](https://github.com/mwrock))
- Give channel lists some breathing room [\#4338](https://github.com/habitat-sh/habitat/pull/4338) ([cnunciato](https://github.com/cnunciato))
- Adds hab bldr channel subcommands [\#4283](https://github.com/habitat-sh/habitat/pull/4283) ([rsertelon](https://github.com/rsertelon))
- Adds missing git package for support scripts [\#4280](https://github.com/habitat-sh/habitat/pull/4280) ([rsertelon](https://github.com/rsertelon))
- git must be binlinked to use github\_changelog\_generator [\#4103](https://github.com/habitat-sh/habitat/pull/4103) ([echohack](https://github.com/echohack))
- User-config Watcher [\#3898](https://github.com/habitat-sh/habitat/pull/3898) ([asymmetric](https://github.com/asymmetric))

## [0.51.0](https://github.com/habitat-sh/habitat/tree/0.51.0) (12-19-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.50.3...0.51.0)

## Features & Enhancements

- dev master merges build release studio docker images [\#4260](https://github.com/habitat-sh/habitat/issues/4260)
- Add `hab-pkg-export-kubernetes` is built along with other exporters during releases [\#4199](https://github.com/habitat-sh/habitat/issues/4199)
- Ensure pkg-export-docker \(and all crates, really\) get built by CI [\#4192](https://github.com/habitat-sh/habitat/issues/4192)
- Handle studio teardown errors more gracefully [\#4146](https://github.com/habitat-sh/habitat/issues/4146)
- implement docker exporter for windows containers [\#4126](https://github.com/habitat-sh/habitat/issues/4126)
- Add "Using Channels"  content [\#4111](https://github.com/habitat-sh/habitat/issues/4111)
- Windows container based studio [\#4035](https://github.com/habitat-sh/habitat/issues/4035)
- Send Builder API access and error logs to Sumologic [\#3891](https://github.com/habitat-sh/habitat/issues/3891)
- Add config for build job timeout [\#3810](https://github.com/habitat-sh/habitat/issues/3810)
- hab bldr job promote should show package list and prompt [\#3794](https://github.com/habitat-sh/habitat/issues/3794)
- Confusing My Origins UX when auth scope has changed [\#3788](https://github.com/habitat-sh/habitat/issues/3788)
- Consolidate builder job server and scheduler [\#3786](https://github.com/habitat-sh/habitat/issues/3786)
- Constrain use of HAB\_UPDATE\_STRATEGY\_FREQUENCY\_MS [\#3363](https://github.com/habitat-sh/habitat/issues/3363)
- Compiling takes longer than it should [\#3026](https://github.com/habitat-sh/habitat/issues/3026)
- Project Documentation Refactor [\#3011](https://github.com/habitat-sh/habitat/issues/3011)
- \[www\] missing an thumbnail image for the homepage when shared on social medias [\#2941](https://github.com/habitat-sh/habitat/issues/2941)
- Make the GitHub redirect\_uri configurable [\#2668](https://github.com/habitat-sh/habitat/issues/2668)
- \[web ui\] Make blog page responsive on mobile devices [\#2666](https://github.com/habitat-sh/habitat/issues/2666)
- \[web ui\] Remove Depot link from the top navigation & Homepage url jump for signed-in users [\#2590](https://github.com/habitat-sh/habitat/issues/2590)
- \[Documentation\] How to set environment variables [\#2579](https://github.com/habitat-sh/habitat/issues/2579)
- \\[Documentation\\] How to set environment variables [\#2579](https://github.com/habitat-sh/habitat/issues/2579)
- 'Unload' hook [\#2485](https://github.com/habitat-sh/habitat/issues/2485)
- svc\_default\_user and svc\_default\_group not accessible in templates [\#2459](https://github.com/habitat-sh/habitat/issues/2459)
- Make hab sup status more friendly for machine use [\#2274](https://github.com/habitat-sh/habitat/issues/2274)
- \[Suggestion\] make the GitHub issue more like a form [\#1675](https://github.com/habitat-sh/habitat/issues/1675)
- Document all the available runtime config values  [\#1562](https://github.com/habitat-sh/habitat/issues/1562)
- UX: The makefile should be a little more helpful [\#1397](https://github.com/habitat-sh/habitat/issues/1397)
- add windows sodium binaries from nuget [\#4324](https://github.com/habitat-sh/habitat/pull/4324) ([mwrock](https://github.com/mwrock))
- Turns out spaces are significant! [\#4321](https://github.com/habitat-sh/habitat/pull/4321) ([christophermaier](https://github.com/christophermaier))
- Miscellaneous TravisCI updates [\#4288](https://github.com/habitat-sh/habitat/pull/4288) ([christophermaier](https://github.com/christophermaier))
- Addressed feedback on PR \#4168 [\#4282](https://github.com/habitat-sh/habitat/pull/4282) ([davidwrede](https://github.com/davidwrede))
- Fixed incorrectly indented code blocks [\#4238](https://github.com/habitat-sh/habitat/pull/4238) ([davidwrede](https://github.com/davidwrede))
- Add kubernetes exporter to docs [\#4225](https://github.com/habitat-sh/habitat/pull/4225) ([tashimi](https://github.com/tashimi))
- Fix help for `hab bldr job` to refer to "hab bldr job start" [\#4208](https://github.com/habitat-sh/habitat/pull/4208) ([baumanj](https://github.com/baumanj))
- Add documentation on `do\_setup\_environment` callback [\#4204](https://github.com/habitat-sh/habitat/pull/4204) ([christophermaier](https://github.com/christophermaier))
- Added content on how to do CD with channels [\#4168](https://github.com/habitat-sh/habitat/pull/4168) ([davidwrede](https://github.com/davidwrede))

## Bug fixes

- possible incompatibility between runtime environment variables and the `update\_pkg\_version` helper function [\#4313](https://github.com/habitat-sh/habitat/issues/4313)
- Entering a windows studio raises a `crypto error` [\#4305](https://github.com/habitat-sh/habitat/issues/4305)
- Sessionsrv migration hangs in prod [\#4261](https://github.com/habitat-sh/habitat/issues/4261)
- Docker exporter clobbers existing docker.config file [\#4256](https://github.com/habitat-sh/habitat/issues/4256)
- Originsrv migration fails on acceptance [\#4218](https://github.com/habitat-sh/habitat/issues/4218)
- Builds getting 'stuck' in prod [\#4129](https://github.com/habitat-sh/habitat/issues/4129)
- Kubernetes exporter does not work - Package not found [\#4122](https://github.com/habitat-sh/habitat/issues/4122)
- uploading a built Linux package from macOS seems broken [\#4097](https://github.com/habitat-sh/habitat/issues/4097)
- Dependency conflict detection sometimes include non conflicting packages [\#4087](https://github.com/habitat-sh/habitat/issues/4087)
- attach shows a not working prompt when hab pkg build is called [\#3943](https://github.com/habitat-sh/habitat/issues/3943)
- Job status update did not make it to scheduler - group stuck [\#3621](https://github.com/habitat-sh/habitat/issues/3621)
- hab config apply: cli docs are auto-generating wrong command [\#3148](https://github.com/habitat-sh/habitat/issues/3148)
- Depot Pub Key Upload Error Origin name [\#2856](https://github.com/habitat-sh/habitat/issues/2856)
- \[forum\] There is currently no link to it on the homepage [\#2538](https://github.com/habitat-sh/habitat/issues/2538)
- Turns out spaces are significant! [\#4321](https://github.com/habitat-sh/habitat/pull/4321) ([christophermaier](https://github.com/christophermaier))
- Enable provision.sh to be run without sudo [\#4315](https://github.com/habitat-sh/habitat/pull/4315) ([baumanj](https://github.com/baumanj))
- Be more thorough in generating PATHs from older packages [\#4306](https://github.com/habitat-sh/habitat/pull/4306) ([christophermaier](https://github.com/christophermaier))
- \#4255: re-adding blog layout changes [\#4295](https://github.com/habitat-sh/habitat/pull/4295) ([mgamini](https://github.com/mgamini))
- Update build dependencies for pkg-export-docker [\#4214](https://github.com/habitat-sh/habitat/pull/4214) ([christophermaier](https://github.com/christophermaier))
- Fix `hab/install.sh -h` to print SSL\_CERT\_FILE, not $SSL\_CERT\_FILE [\#4184](https://github.com/habitat-sh/habitat/pull/4184) ([baumanj](https://github.com/baumanj))

**Closed issues:**

- \[www\] Tiny typo [\#4286](https://github.com/habitat-sh/habitat/issues/4286)
- \[UI nitpick\] Wording on pagination button is incorrect [\#4269](https://github.com/habitat-sh/habitat/issues/4269)
- \[builder UI\]Unable to re-trigger the container registry settings modal when canceled/dismissed [\#4263](https://github.com/habitat-sh/habitat/issues/4263)
- Document new post-stop hook [\#4258](https://github.com/habitat-sh/habitat/issues/4258)
- \[documentation\] NO\_INSTALL\_DEPS env var should be documented [\#4253](https://github.com/habitat-sh/habitat/issues/4253)
- k8s exporter: Habitat object name should end with a lower-case letter [\#4250](https://github.com/habitat-sh/habitat/issues/4250)
- Support deleting project integrations [\#4235](https://github.com/habitat-sh/habitat/issues/4235)
- Retrofit asp.net full framework example to work with containers studio and export [\#4167](https://github.com/habitat-sh/habitat/issues/4167)
- \[www\] Update pricing page copy to include the new ECR integration [\#4155](https://github.com/habitat-sh/habitat/issues/4155)
- export-kubernetes: Append a random string suffix to the name of Habitat object [\#4152](https://github.com/habitat-sh/habitat/issues/4152)
- \[Builder UI\] Configure project export settings [\#4140](https://github.com/habitat-sh/habitat/issues/4140)
- Add 'hab bldr job demote' command [\#4058](https://github.com/habitat-sh/habitat/issues/4058)
- Add habitat to homebrew [\#1896](https://github.com/habitat-sh/habitat/issues/1896)

**Merged pull requests:**

- only emit try messaging from studio exit when RUST\_LOG is set to debug [\#4339](https://github.com/habitat-sh/habitat/pull/4339) ([mwrock](https://github.com/mwrock))
- Fix sample configuration file [\#4337](https://github.com/habitat-sh/habitat/pull/4337) ([cnunciato](https://github.com/cnunciato))
- some misc fixes to deploy scripts [\#4336](https://github.com/habitat-sh/habitat/pull/4336) ([mwrock](https://github.com/mwrock))
- Allow hyphens in origin key names [\#4335](https://github.com/habitat-sh/habitat/pull/4335) ([cnunciato](https://github.com/cnunciato))
- Update cookie-setting logic on www [\#4333](https://github.com/habitat-sh/habitat/pull/4333) ([cnunciato](https://github.com/cnunciato))
- prepping 0.51 [\#4331](https://github.com/habitat-sh/habitat/pull/4331) ([mwrock](https://github.com/mwrock))
- Remove .bldr.toml auto-promotion documentation [\#4327](https://github.com/habitat-sh/habitat/pull/4327) ([christophermaier](https://github.com/christophermaier))
- Creates testing script for exporting a Habitat... [\#4322](https://github.com/habitat-sh/habitat/pull/4322) ([nellshamrell](https://github.com/nellshamrell))
- Use project.origin\_name for origin-membership check [\#4320](https://github.com/habitat-sh/habitat/pull/4320) ([cnunciato](https://github.com/cnunciato))
- Dont add host if dns is missing [\#4319](https://github.com/habitat-sh/habitat/pull/4319) ([chefsalim](https://github.com/chefsalim))
- Fix up .bldr.toml doc [\#4318](https://github.com/habitat-sh/habitat/pull/4318) ([chefsalim](https://github.com/chefsalim))
- fix studio error emitted due to bad key import [\#4314](https://github.com/habitat-sh/habitat/pull/4314) ([mwrock](https://github.com/mwrock))
- Update project creation tools [\#4312](https://github.com/habitat-sh/habitat/pull/4312) ([chefsalim](https://github.com/chefsalim))
- Handle 403s from the /jobs/:id endpoint [\#4311](https://github.com/habitat-sh/habitat/pull/4311) ([cnunciato](https://github.com/cnunciato))
- pkg-export-docker: Remove redundant error enums [\#4304](https://github.com/habitat-sh/habitat/pull/4304) ([zeenix](https://github.com/zeenix))
- support/linux/helpers: rm unnecessary dir check [\#4303](https://github.com/habitat-sh/habitat/pull/4303) ([schu](https://github.com/schu))
- Fix the ChefConf CFP blog post [\#4301](https://github.com/habitat-sh/habitat/pull/4301) ([nathenharvey](https://github.com/nathenharvey))
- Fix broken link [\#4300](https://github.com/habitat-sh/habitat/pull/4300) ([alex-bender](https://github.com/alex-bender))
- Kubernetes exporter crate & some other refactoring/cleanups [\#4298](https://github.com/habitat-sh/habitat/pull/4298) ([zeenix](https://github.com/zeenix))
- release should stage all packages in an RC channel and not publish the cli which is done from a makefile script [\#4297](https://github.com/habitat-sh/habitat/pull/4297) ([mwrock](https://github.com/mwrock))
- Add hab-pkg-cfize to .bldr.toml, stop building hab-pkg-dockerize [\#4292](https://github.com/habitat-sh/habitat/pull/4292) ([christophermaier](https://github.com/christophermaier))
- Fixes tiny typo [\#4291](https://github.com/habitat-sh/habitat/pull/4291) ([rsertelon](https://github.com/rsertelon))
- ensure unstable builds are entirely unstable [\#4289](https://github.com/habitat-sh/habitat/pull/4289) ([mwrock](https://github.com/mwrock))
- Add a blog about the ChefConf CFP [\#4287](https://github.com/habitat-sh/habitat/pull/4287) ([nathenharvey](https://github.com/nathenharvey))
- Makes sure HAB\_UPDATE\_STRATEGY\_FREQUENCY\_MS is higher than a floor value [\#4285](https://github.com/habitat-sh/habitat/pull/4285) ([rsertelon](https://github.com/rsertelon))
- Makes GitHub redirect URI configurable [\#4284](https://github.com/habitat-sh/habitat/pull/4284) ([rsertelon](https://github.com/rsertelon))
- Adds post-stop hook documentation [\#4279](https://github.com/habitat-sh/habitat/pull/4279) ([rsertelon](https://github.com/rsertelon))
- Documents NO\_INSTALL\_DEPS environment variable [\#4278](https://github.com/habitat-sh/habitat/pull/4278) ([rsertelon](https://github.com/rsertelon))
- Hide the Builds tab for non-origin members [\#4277](https://github.com/habitat-sh/habitat/pull/4277) ([cnunciato](https://github.com/cnunciato))
- Report the correct number of packages to be loaded [\#4276](https://github.com/habitat-sh/habitat/pull/4276) ([cnunciato](https://github.com/cnunciato))
- updates documentation for builder dev environments with officially su… [\#4275](https://github.com/habitat-sh/habitat/pull/4275) ([nellshamrell](https://github.com/nellshamrell))
- We no longer use the acount\_sessions table so we can drop it [\#4272](https://github.com/habitat-sh/habitat/pull/4272) ([elliott-davis](https://github.com/elliott-davis))
- Fix some typos [\#4268](https://github.com/habitat-sh/habitat/pull/4268) ([tashimi](https://github.com/tashimi))
- Remove login/logout shellout in favor of providing config file [\#4267](https://github.com/habitat-sh/habitat/pull/4267) ([elliott-davis](https://github.com/elliott-davis))
- Enable reopening of publish-settings dialog [\#4266](https://github.com/habitat-sh/habitat/pull/4266) ([cnunciato](https://github.com/cnunciato))
- Update Readme [\#4265](https://github.com/habitat-sh/habitat/pull/4265) ([tashimi](https://github.com/tashimi))
- Disable integration name check since we removed the db column it was checking [\#4262](https://github.com/habitat-sh/habitat/pull/4262) ([elliott-davis](https://github.com/elliott-davis))
- Makes all tags lowercase and only use a single category [\#4257](https://github.com/habitat-sh/habitat/pull/4257) ([ryankeairns](https://github.com/ryankeairns))
- pkg-export-kubernetes: fix random str generator [\#4251](https://github.com/habitat-sh/habitat/pull/4251) ([nhlfr](https://github.com/nhlfr))
- Skip migrations if BLDR\_NO\_MIGRATIONS is set. [\#4248](https://github.com/habitat-sh/habitat/pull/4248) ([raskchanky](https://github.com/raskchanky))
- Require origin access in order to schedule a build [\#4247](https://github.com/habitat-sh/habitat/pull/4247) ([raskchanky](https://github.com/raskchanky))
- Add support for deleting project integrations [\#4246](https://github.com/habitat-sh/habitat/pull/4246) ([cnunciato](https://github.com/cnunciato))
- Fixes twitter card image for habitat's website [\#4245](https://github.com/habitat-sh/habitat/pull/4245) ([rsertelon](https://github.com/rsertelon))
- Make package identifiers more easily copyable [\#4244](https://github.com/habitat-sh/habitat/pull/4244) ([cnunciato](https://github.com/cnunciato))
- Update migration query to work with multiple origins :yey: [\#4242](https://github.com/habitat-sh/habitat/pull/4242) ([elliott-davis](https://github.com/elliott-davis))
- Fixes documentation for template data [\#4237](https://github.com/habitat-sh/habitat/pull/4237) ([rsertelon](https://github.com/rsertelon))
- Adds post-stop hook [\#4236](https://github.com/habitat-sh/habitat/pull/4236) ([rsertelon](https://github.com/rsertelon))
- Fixes annoying warn during hab-butterfly compilation [\#4234](https://github.com/habitat-sh/habitat/pull/4234) ([rsertelon](https://github.com/rsertelon))
- Don’t wrap the promote button [\#4233](https://github.com/habitat-sh/habitat/pull/4233) ([cnunciato](https://github.com/cnunciato))
- Add Kubecon Blog [\#4228](https://github.com/habitat-sh/habitat/pull/4228) ([tashimi](https://github.com/tashimi))
- Add kubenetes to exporter cli docs [\#4227](https://github.com/habitat-sh/habitat/pull/4227) ([tashimi](https://github.com/tashimi))
- Add core/docker dependency to Kubernetes exporter [\#4226](https://github.com/habitat-sh/habitat/pull/4226) ([christophermaier](https://github.com/christophermaier))
- Handle case where plan file is at the root [\#4224](https://github.com/habitat-sh/habitat/pull/4224) ([chefsalim](https://github.com/chefsalim))
- Fix origin key upload [\#4222](https://github.com/habitat-sh/habitat/pull/4222) ([cnunciato](https://github.com/cnunciato))
- Disable 'attach' when running 'hab pkg build \<path\>' [\#4221](https://github.com/habitat-sh/habitat/pull/4221) ([rsertelon](https://github.com/rsertelon))
- Fix migrations for real [\#4220](https://github.com/habitat-sh/habitat/pull/4220) ([elliott-davis](https://github.com/elliott-davis))
- Support package promotion in Builder UI [\#4219](https://github.com/habitat-sh/habitat/pull/4219) ([cnunciato](https://github.com/cnunciato))
- Column exists check doesn't exist [\#4217](https://github.com/habitat-sh/habitat/pull/4217) ([elliott-davis](https://github.com/elliott-davis))
- Migrate Null column to have value before setting it to not null [\#4216](https://github.com/habitat-sh/habitat/pull/4216) ([elliott-davis](https://github.com/elliott-davis))
- Implement hab bldr job demote [\#4215](https://github.com/habitat-sh/habitat/pull/4215) ([baumanj](https://github.com/baumanj))
- Fix migrations for origin\_project\_integrations [\#4212](https://github.com/habitat-sh/habitat/pull/4212) ([elliott-davis](https://github.com/elliott-davis))
- Configure project settings [\#4203](https://github.com/habitat-sh/habitat/pull/4203) ([cnunciato](https://github.com/cnunciato))
- extract exporters into their own job [\#4202](https://github.com/habitat-sh/habitat/pull/4202) ([mwrock](https://github.com/mwrock))
- Revert "Revert "k8s exporter: Add docker image generation"" [\#4201](https://github.com/habitat-sh/habitat/pull/4201) ([christophermaier](https://github.com/christophermaier))
- Add Kubernetes exporter to build [\#4200](https://github.com/habitat-sh/habitat/pull/4200) ([christophermaier](https://github.com/christophermaier))
- k8s exporter: Append a random suffix to the name of Habitat object [\#4198](https://github.com/habitat-sh/habitat/pull/4198) ([nhlfr](https://github.com/nhlfr))
- revert release hacks and bump dev version [\#4197](https://github.com/habitat-sh/habitat/pull/4197) ([mwrock](https://github.com/mwrock))
- Fix: uploading a built Linux package from macOS seems broken [\#4194](https://github.com/habitat-sh/habitat/pull/4194) ([elliott-davis](https://github.com/elliott-davis))
- Ensure permissions are set on the config directory [\#4193](https://github.com/habitat-sh/habitat/pull/4193) ([christophermaier](https://github.com/christophermaier))
- Handle case where job can get into a stuck state [\#4177](https://github.com/habitat-sh/habitat/pull/4177) ([chefsalim](https://github.com/chefsalim))
- Fix incorrectly rendered "read more" list [\#4173](https://github.com/habitat-sh/habitat/pull/4173) ([predominant](https://github.com/predominant))
- Don't abort hab-studio.sh if `umount` command fails [\#4169](https://github.com/habitat-sh/habitat/pull/4169) ([baumanj](https://github.com/baumanj))
- Update container docs and scripts to correctly create PoC demo container [\#4158](https://github.com/habitat-sh/habitat/pull/4158) ([elliott-davis](https://github.com/elliott-davis))
- Update demo step 6 & 7 screenshots and instructions to match the latest UI change [\#4145](https://github.com/habitat-sh/habitat/pull/4145) ([apriofrost](https://github.com/apriofrost))
- Fixes wrongly listed conflicting versions [\#4118](https://github.com/habitat-sh/habitat/pull/4118) ([rsertelon](https://github.com/rsertelon))
- Makefile: add bldr-kill target to kill all remaining bldr processes [\#4115](https://github.com/habitat-sh/habitat/pull/4115) ([dongsupark](https://github.com/dongsupark))

## [0.50.3](https://github.com/habitat-sh/habitat/tree/0.50.3) (12-02-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.50.2...0.50.3)

## Bug fixes

- \[builder-web\] build-css fails with node-sass: not found [\#4108](https://github.com/habitat-sh/habitat/issues/4108)
- Ability to delete an origin integration [\#4090](https://github.com/habitat-sh/habitat/issues/4090)
- Update project integrations to cascade delete project integrations  [\#4106](https://github.com/habitat-sh/habitat/pull/4106) ([elliott-davis](https://github.com/elliott-davis))

**Merged pull requests:**

- remove exporters from travis and build with hab from s3 [\#4195](https://github.com/habitat-sh/habitat/pull/4195) ([mwrock](https://github.com/mwrock))
- Revert "k8s exporter: Add docker image generation" [\#4191](https://github.com/habitat-sh/habitat/pull/4191) ([mwrock](https://github.com/mwrock))
- Prep for 0.50.3 release [\#4182](https://github.com/habitat-sh/habitat/pull/4182) ([christophermaier](https://github.com/christophermaier))
- bumpm dev versioni and revert travis hack [\#4178](https://github.com/habitat-sh/habitat/pull/4178) ([mwrock](https://github.com/mwrock))
- add blog post on exporting windows containers [\#4159](https://github.com/habitat-sh/habitat/pull/4159) ([mwrock](https://github.com/mwrock))
- k8s exporter: Add docker image generation [\#4041](https://github.com/habitat-sh/habitat/pull/4041) ([zeenix](https://github.com/zeenix))

## [0.50.2](https://github.com/habitat-sh/habitat/tree/0.50.2) (12-01-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.50.1...0.50.2)

**Merged pull requests:**

- release 0.50.2 [\#4176](https://github.com/habitat-sh/habitat/pull/4176) ([mwrock](https://github.com/mwrock))
- build the studio before backline [\#4175](https://github.com/habitat-sh/habitat/pull/4175) ([mwrock](https://github.com/mwrock))

## [0.50.1](https://github.com/habitat-sh/habitat/tree/0.50.1) (12-01-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.50.0...0.50.1)

**Merged pull requests:**

- updates rails db blog post with current commands [\#4171](https://github.com/habitat-sh/habitat/pull/4171) ([nellshamrell](https://github.com/nellshamrell))

## [0.50.0](https://github.com/habitat-sh/habitat/tree/0.50.0) (11-30-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.40.0...0.50.0)

## Features & Enhancements

- Allow packages to define runtime environment variables [\#3978](https://github.com/habitat-sh/habitat/issues/3978)
- Templating and Bind/Export documentation example should show uses of \#each's @first and @last [\#3805](https://github.com/habitat-sh/habitat/issues/3805)
- Templating and Bind/Export documentation example should show uses of \\#each's @first and @last [\#3805](https://github.com/habitat-sh/habitat/issues/3805)
- Review and update `Add Configuration` topic [\#2137](https://github.com/habitat-sh/habitat/issues/2137)
- RFC: a mechanism to declare runtime environment variables at build time [\#1579](https://github.com/habitat-sh/habitat/issues/1579)
- Automatic Environment Variable Dependency Propagation [\#949](https://github.com/habitat-sh/habitat/issues/949)
- Implement docker exporter for windows containers [\#4147](https://github.com/habitat-sh/habitat/pull/4147) ([mwrock](https://github.com/mwrock))
- Adds examples using the @first and @last Handlebars variables [\#4113](https://github.com/habitat-sh/habitat/pull/4113) ([davidwrede](https://github.com/davidwrede))
- Specify runtime environments for packages [\#4067](https://github.com/habitat-sh/habitat/pull/4067) ([christophermaier](https://github.com/christophermaier))

## Bug fixes

- \[STABILITY\] Stop doing migrations on server start [\#3780](https://github.com/habitat-sh/habitat/issues/3780)
- Make it work in IE11 [\#3394](https://github.com/habitat-sh/habitat/issues/3394)

**Closed issues:**

- in certain cases, `hab studio rm` can fail due to stale `LOCK` file [\#4134](https://github.com/habitat-sh/habitat/issues/4134)

**Merged pull requests:**

- points to on call documentation in the wiki [\#4166](https://github.com/habitat-sh/habitat/pull/4166) ([nellshamrell](https://github.com/nellshamrell))
- prepping 0.50.0 release [\#4165](https://github.com/habitat-sh/habitat/pull/4165) ([mwrock](https://github.com/mwrock))
- Add blog post about runtime environment variables feature [\#4163](https://github.com/habitat-sh/habitat/pull/4163) ([christophermaier](https://github.com/christophermaier))
- Don't run migrations at startup [\#4157](https://github.com/habitat-sh/habitat/pull/4157) ([raskchanky](https://github.com/raskchanky))
- Add AWS ECR under 'Unlimited publishing'. [\#4156](https://github.com/habitat-sh/habitat/pull/4156) ([apriofrost](https://github.com/apriofrost))
- Added Blog Post on Upcoming Discourse Migration [\#4154](https://github.com/habitat-sh/habitat/pull/4154) ([eeyun](https://github.com/eeyun))
- plan.sh - Wrap license value in double quotes [\#4150](https://github.com/habitat-sh/habitat/pull/4150) ([nathenharvey](https://github.com/nathenharvey))
- Update ssh config creation script [\#4142](https://github.com/habitat-sh/habitat/pull/4142) ([chefsalim](https://github.com/chefsalim))
- update dev to version 0.50.0-dev [\#4138](https://github.com/habitat-sh/habitat/pull/4138) ([elliott-davis](https://github.com/elliott-davis))
- Some very minor copy updates. [\#4135](https://github.com/habitat-sh/habitat/pull/4135) ([nathenharvey](https://github.com/nathenharvey))
- Make setup scripts safer by adding `set -euo pipefail` [\#4093](https://github.com/habitat-sh/habitat/pull/4093) ([baumanj](https://github.com/baumanj))

## [0.40.0](https://github.com/habitat-sh/habitat/tree/0.40.0) (11-28-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.39.1...0.40.0)

## Features & Enhancements

- API docs and tests [\#4017](https://github.com/habitat-sh/habitat/issues/4017)
- API docs and tests [\#4017](https://github.com/habitat-sh/habitat/issues/4017)
- Add note on using the correct path for cfg keys with \#each helper [\#3965](https://github.com/habitat-sh/habitat/issues/3965)
- want formatted output for `hab svc status` [\#3859](https://github.com/habitat-sh/habitat/issues/3859)
- \[Documentation\] Create one site about what an artifact is [\#2586](https://github.com/habitat-sh/habitat/issues/2586)
- \\[Documentation\\] Create one site about what an artifact is [\#2586](https://github.com/habitat-sh/habitat/issues/2586)
- \[Feature-Homepage\] Add feature to make subheader easily shareable  [\#2557](https://github.com/habitat-sh/habitat/issues/2557)
- \\[Feature-Homepage\\] Add feature to make subheader easily shareable  [\#2557](https://github.com/habitat-sh/habitat/issues/2557)
- Added note about 'each' helper [\#4092](https://github.com/habitat-sh/habitat/pull/4092) ([davidwrede](https://github.com/davidwrede))

## Bug fixes

- FILES metadata file is no longer generated [\#4100](https://github.com/habitat-sh/habitat/issues/4100)
- \[www\] Adjust the home page feature slider [\#3911](https://github.com/habitat-sh/habitat/issues/3911)
- Panic on binary files in `hab/cache/keys` folder [\#3002](https://github.com/habitat-sh/habitat/issues/3002)
- Fix paths inconsistencies errors [\#4089](https://github.com/habitat-sh/habitat/pull/4089) ([krnowak](https://github.com/krnowak))

**Closed issues:**

- \[xxxproto\] Make sure dependencies are ok [\#4110](https://github.com/habitat-sh/habitat/issues/4110)
- Tracking Issue - add redis detection to scaffolding-ruby [\#3224](https://github.com/habitat-sh/habitat/issues/3224)
- Tracking Issue - Modify node scaffold so it runs out of the service var directory [\#3069](https://github.com/habitat-sh/habitat/issues/3069)

**Merged pull requests:**

- Release version 0.40.0 [\#4136](https://github.com/habitat-sh/habitat/pull/4136) ([elliott-davis](https://github.com/elliott-davis))
- Use Krangschnak to rbind /dev to fix airlock [\#4133](https://github.com/habitat-sh/habitat/pull/4133) ([elliott-davis](https://github.com/elliott-davis))
- Get builds working again [\#4132](https://github.com/habitat-sh/habitat/pull/4132) ([chefsalim](https://github.com/chefsalim))
- Fix up a few last visibility settings [\#4131](https://github.com/habitat-sh/habitat/pull/4131) ([raskchanky](https://github.com/raskchanky))
- Fix log following [\#4130](https://github.com/habitat-sh/habitat/pull/4130) ([cnunciato](https://github.com/cnunciato))
- \#4125 : text, link, style updates [\#4128](https://github.com/habitat-sh/habitat/pull/4128) ([mgamini](https://github.com/mgamini))
- Add myself as codeowner for plan-build and hab\* components [\#4124](https://github.com/habitat-sh/habitat/pull/4124) ([christophermaier](https://github.com/christophermaier))
- Web: Fix incorrect imports [\#4116](https://github.com/habitat-sh/habitat/pull/4116) ([indradhanush](https://github.com/indradhanush))
- Refactor the CSS [\#4112](https://github.com/habitat-sh/habitat/pull/4112) ([cnunciato](https://github.com/cnunciato))
- silence commands that have secret keys in them [\#4102](https://github.com/habitat-sh/habitat/pull/4102) ([echohack](https://github.com/echohack))
- Fix indent in makefile [\#4101](https://github.com/habitat-sh/habitat/pull/4101) ([echohack](https://github.com/echohack))
- Generate FILES metadata file again [\#4099](https://github.com/habitat-sh/habitat/pull/4099) ([christophermaier](https://github.com/christophermaier))
- Upgrade clippy to 0.0.172 from 0.0.144 and url to 1.6.0 from 1.4.0 [\#4088](https://github.com/habitat-sh/habitat/pull/4088) ([georgemarshall](https://github.com/georgemarshall))
- Update to next version [\#4086](https://github.com/habitat-sh/habitat/pull/4086) ([elliott-davis](https://github.com/elliott-davis))
- Added README generation for hab plan init [\#4077](https://github.com/habitat-sh/habitat/pull/4077) ([predominant](https://github.com/predominant))
- Uses tabwriter to format hab svc status output [\#4005](https://github.com/habitat-sh/habitat/pull/4005) ([rsertelon](https://github.com/rsertelon))

## [0.39.1](https://github.com/habitat-sh/habitat/tree/0.39.1) (11-17-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.39.0...0.39.1)

## Features & Enhancements

- Amazon Container Registry post processor [\#3743](https://github.com/habitat-sh/habitat/issues/3743)

**Closed issues:**

- Tracking Issue - core/node8 is not building [\#3320](https://github.com/habitat-sh/habitat/issues/3320)

**Merged pull requests:**

- prep 0.39.1 release [\#4085](https://github.com/habitat-sh/habitat/pull/4085) ([mwrock](https://github.com/mwrock))
- Fix permissions errors on api proxy by adding a reconfigure hook [\#4082](https://github.com/habitat-sh/habitat/pull/4082) ([elliott-davis](https://github.com/elliott-davis))
- Fix hab job group promote result check [\#4081](https://github.com/habitat-sh/habitat/pull/4081) ([chefsalim](https://github.com/chefsalim))
- Fix studio to honor airlock and local vm dev [\#4080](https://github.com/habitat-sh/habitat/pull/4080) ([elliott-davis](https://github.com/elliott-davis))
- bump dev version to 0.40.0-dev [\#4076](https://github.com/habitat-sh/habitat/pull/4076) ([mwrock](https://github.com/mwrock))
- add blog post on windows container studio [\#4075](https://github.com/habitat-sh/habitat/pull/4075) ([mwrock](https://github.com/mwrock))
- Update builder worker teams with new GH id [\#4053](https://github.com/habitat-sh/habitat/pull/4053) ([raskchanky](https://github.com/raskchanky))
- BLDR-Dockerfile: Add missing worker bootstrap [\#4050](https://github.com/habitat-sh/habitat/pull/4050) ([indradhanush](https://github.com/indradhanush))
- Add registry type and url to worker payload for ECR dispatching [\#3967](https://github.com/habitat-sh/habitat/pull/3967) ([elliott-davis](https://github.com/elliott-davis))

## [0.39.0](https://github.com/habitat-sh/habitat/tree/0.39.0) (11-16-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.38.0...0.39.0)

## Features & Enhancements

- Node-scaffolding blog post bugs & tweaks [\#4011](https://github.com/habitat-sh/habitat/issues/4011)
- Dockerfile references ubuntu:yakkety which is no longer supported [\#3984](https://github.com/habitat-sh/habitat/issues/3984)
- hab bldr job status [\#3959](https://github.com/habitat-sh/habitat/issues/3959)
- Connecting existing plans should return a more specific error message [\#3923](https://github.com/habitat-sh/habitat/issues/3923)
- Hook up hab bldr job cancel [\#3900](https://github.com/habitat-sh/habitat/issues/3900)
- Broken formatting at habitat.sh [\#3888](https://github.com/habitat-sh/habitat/issues/3888)
- Add how to connect to a db in Node.js web guide [\#3886](https://github.com/habitat-sh/habitat/issues/3886)
-  .bldr.toml documentation is  un-searchable [\#3883](https://github.com/habitat-sh/habitat/issues/3883)
-  .bldr.toml documentation is  un-searchable [\#3883](https://github.com/habitat-sh/habitat/issues/3883)
- Adjust Material theme colors to match designs [\#3868](https://github.com/habitat-sh/habitat/issues/3868)
- Provide UI feedback when build requests fail [\#3856](https://github.com/habitat-sh/habitat/issues/3856)
- Download origin signing key with the CLI [\#3846](https://github.com/habitat-sh/habitat/issues/3846)
- Create gradle scaffolding web app guide [\#3831](https://github.com/habitat-sh/habitat/issues/3831)
- Create gradle scaffolding web app guide [\#3831](https://github.com/habitat-sh/habitat/issues/3831)
- \[Interactive Demo\] broken instructions for starting services [\#3767](https://github.com/habitat-sh/habitat/issues/3767)
- Builder scheduler should queue with recv watermark of 1 [\#3723](https://github.com/habitat-sh/habitat/issues/3723)
- \[builder ui\] Surface Download & Install link more in Builder home and Docs [\#3684](https://github.com/habitat-sh/habitat/issues/3684)
- Add endpoint to builder-api for validating integration creds [\#3677](https://github.com/habitat-sh/habitat/issues/3677)
- \[builder ui\] Better error message when connecting a plan more than once [\#3676](https://github.com/habitat-sh/habitat/issues/3676)
- Export package to kubernetes [\#3500](https://github.com/habitat-sh/habitat/issues/3500)
- hab pkg binlink attempts to binlink build dependencies [\#3172](https://github.com/habitat-sh/habitat/issues/3172)
- Need package compatibility page for Linux- and Windows-based packages [\#3055](https://github.com/habitat-sh/habitat/issues/3055)
- \[web ui\] Reduce fixed header size & add GitHub tab on it [\#2615](https://github.com/habitat-sh/habitat/issues/2615)
- \[web ui\] Add "About Us" Page [\#2200](https://github.com/habitat-sh/habitat/issues/2200)
- Need way to query required binds a package requires [\#2021](https://github.com/habitat-sh/habitat/issues/2021)
- Added database connection info to Node guide [\#4044](https://github.com/habitat-sh/habitat/pull/4044) ([davidwrede](https://github.com/davidwrede))
- Expanded on Gradle scaffolding being used for Java web apps [\#4020](https://github.com/habitat-sh/habitat/pull/4020) ([davidwrede](https://github.com/davidwrede))
- \[airlock\] Add network namespace support. [\#3999](https://github.com/habitat-sh/habitat/pull/3999) ([fnichol](https://github.com/fnichol))
- Add note about package compatability [\#3987](https://github.com/habitat-sh/habitat/pull/3987) ([davidwrede](https://github.com/davidwrede))
- \#3817 - adding homebrew instructions to tutorial download page [\#3983](https://github.com/habitat-sh/habitat/pull/3983) ([mgamini](https://github.com/mgamini))
- \#3911 - Modifying carousel params [\#3982](https://github.com/habitat-sh/habitat/pull/3982) ([mgamini](https://github.com/mgamini))
- Disables quick start guide and fixes small typos [\#3975](https://github.com/habitat-sh/habitat/pull/3975) ([rsertelon](https://github.com/rsertelon))
- Gradle web app guide [\#3974](https://github.com/habitat-sh/habitat/pull/3974) ([davidwrede](https://github.com/davidwrede))
- \[bldr.toml\] Add `hab-plan-build`. [\#3973](https://github.com/habitat-sh/habitat/pull/3973) ([fnichol](https://github.com/fnichol))
- \[plan-build\] Extract tar with ownership of current user. [\#3972](https://github.com/habitat-sh/habitat/pull/3972) ([fnichol](https://github.com/fnichol))
- \[builder-woker\] Ensure ownership & permissions for build user. [\#3969](https://github.com/habitat-sh/habitat/pull/3969) ([fnichol](https://github.com/fnichol))
- Add airlock to project [\#3962](https://github.com/habitat-sh/habitat/pull/3962) ([fnichol](https://github.com/fnichol))
- Remove raw conversion of io::Error to a non-descript Error in Worker [\#3955](https://github.com/habitat-sh/habitat/pull/3955) ([reset](https://github.com/reset))
- Use stable packages except for when installing builder specifics [\#3932](https://github.com/habitat-sh/habitat/pull/3932) ([reset](https://github.com/reset))
- \[studio\] Remove several setup steps to lessen root capabilities. [\#3927](https://github.com/habitat-sh/habitat/pull/3927) ([fnichol](https://github.com/fnichol))
- Start studio process in builder-worker with `airlock`  [\#3926](https://github.com/habitat-sh/habitat/pull/3926) ([reset](https://github.com/reset))
- Add docs on composite plans [\#3892](https://github.com/habitat-sh/habitat/pull/3892) ([davidwrede](https://github.com/davidwrede))

## Bug fixes

- \[www\] Sidebar wrapping/cropped in Safari [\#4057](https://github.com/habitat-sh/habitat/issues/4057)
- Change order of meta info on the blog mobile view [\#4043](https://github.com/habitat-sh/habitat/issues/4043)
- build worker: log pipe output can hang build thread [\#4027](https://github.com/habitat-sh/habitat/issues/4027)
- hab bldr job start failure [\#4026](https://github.com/habitat-sh/habitat/issues/4026)
- `hab pkg install` not working for private packages in `unstable` channel [\#3986](https://github.com/habitat-sh/habitat/issues/3986)
- \[www\] Pricing page FAQs don't accordion open when clicked [\#3912](https://github.com/habitat-sh/habitat/issues/3912)
- Broken formatting at habitat.sh [\#3888](https://github.com/habitat-sh/habitat/issues/3888)
- Post-login should take you back to your previous page [\#3882](https://github.com/habitat-sh/habitat/issues/3882)
- Signing-key download fails in Firefox and Safari [\#3869](https://github.com/habitat-sh/habitat/issues/3869)
- Website footer links are blocked when the viewport width is between 640px and 1020px  [\#3843](https://github.com/habitat-sh/habitat/issues/3843)
- we need a `/etc/protocols` file baked into the image [\#3834](https://github.com/habitat-sh/habitat/issues/3834)
- `hab studio enter` fails in the presence of .DS\_store files [\#3833](https://github.com/habitat-sh/habitat/issues/3833)
- `hab pkg path \<ident\>` against a plan with dynamic `pkg\_version\(\)` fails [\#3832](https://github.com/habitat-sh/habitat/issues/3832)
- Integrations should be able to have the same name between types [\#3821](https://github.com/habitat-sh/habitat/issues/3821)
- FAQ on pricing page is broken [\#3783](https://github.com/habitat-sh/habitat/issues/3783)
- \\[Interactive Demo\\] broken instructions for starting services [\#3767](https://github.com/habitat-sh/habitat/issues/3767)
- \[www\] Account menu pops under the demo flow [\#3754](https://github.com/habitat-sh/habitat/issues/3754)
- Front End Package Version Sorting Incorrect [\#3288](https://github.com/habitat-sh/habitat/issues/3288)
- listen options should provide hints if the user forgets the IP address [\#1805](https://github.com/habitat-sh/habitat/issues/1805)
- Habitat does not honor HAB\_STUDIOS\_HOME environment variable [\#1131](https://github.com/habitat-sh/habitat/issues/1131)
- \[builder-worker\] Move `PATH` envvar into common `build` method. [\#4010](https://github.com/habitat-sh/habitat/pull/4010) ([fnichol](https://github.com/fnichol))
- \[plan-build\] Avoid early creation of `$CACHE\_PATH` & `$pkg\_prefix` dirs. [\#3971](https://github.com/habitat-sh/habitat/pull/3971) ([fnichol](https://github.com/fnichol))
- Write keys to appropriate location in builder-worker [\#3957](https://github.com/habitat-sh/habitat/pull/3957) ([reset](https://github.com/reset))
- \#3783: fixing accordion [\#3953](https://github.com/habitat-sh/habitat/pull/3953) ([mgamini](https://github.com/mgamini))
- \#3754 - fixing pop-under, date on blog entry must match frontmatter [\#3915](https://github.com/habitat-sh/habitat/pull/3915) ([mgamini](https://github.com/mgamini))

**Closed issues:**

- Error reading pre\_build.env file [\#4025](https://github.com/habitat-sh/habitat/issues/4025)
- Saving plan connection fails [\#3995](https://github.com/habitat-sh/habitat/issues/3995)
- Docs sidebar doesn't scroll  [\#3993](https://github.com/habitat-sh/habitat/issues/3993)
- \[Tracking\] - Upgrade core/node to newest LTS [\#3976](https://github.com/habitat-sh/habitat/issues/3976)
- attempting to update/save configs for private packages origin yields 409 error [\#3951](https://github.com/habitat-sh/habitat/issues/3951)
- hab sup run fails if old LOCK file present [\#3897](https://github.com/habitat-sh/habitat/issues/3897)
- \[Tracking Issue\] - \[scaffolding-node\] Make node scaffolding work with databases [\#3864](https://github.com/habitat-sh/habitat/issues/3864)
- Move scheduler log to proper location, and add a log rotation [\#3578](https://github.com/habitat-sh/habitat/issues/3578)
- New summary copy needed for Build Your Web App tutorial  [\#3463](https://github.com/habitat-sh/habitat/issues/3463)
- Create blog walkthrough for using Node scaffolding with a DB [\#3348](https://github.com/habitat-sh/habitat/issues/3348)
- Tracking Issue - move setting scaffolding prefix until after pkg\_version is computed  [\#3222](https://github.com/habitat-sh/habitat/issues/3222)

**Merged pull requests:**

- prep 0.39 release [\#4073](https://github.com/habitat-sh/habitat/pull/4073) ([mwrock](https://github.com/mwrock))
- Improve development quality of life [\#4072](https://github.com/habitat-sh/habitat/pull/4072) ([elliott-davis](https://github.com/elliott-davis))
- update appveyor image to one with docker installed [\#4071](https://github.com/habitat-sh/habitat/pull/4071) ([mwrock](https://github.com/mwrock))
- run studio in a windows container when in window container mode [\#4068](https://github.com/habitat-sh/habitat/pull/4068) ([mwrock](https://github.com/mwrock))
- \#4040 - fixing breaking change [\#4064](https://github.com/habitat-sh/habitat/pull/4064) ([mgamini](https://github.com/mgamini))
- \[habitat.sh\] Reverts breaking commits and removes footer images [\#4061](https://github.com/habitat-sh/habitat/pull/4061) ([eeyun](https://github.com/eeyun))
- \#4043 - tweaking blog css to move around position of main elements on small view [\#4056](https://github.com/habitat-sh/habitat/pull/4056) ([mgamini](https://github.com/mgamini))
- Update error message to be more specific [\#4049](https://github.com/habitat-sh/habitat/pull/4049) ([chefsalim](https://github.com/chefsalim))
- Update BUILDER\_DEV doc [\#4047](https://github.com/habitat-sh/habitat/pull/4047) ([chefsalim](https://github.com/chefsalim))
- Add ability to edit bldr job promotion list [\#4045](https://github.com/habitat-sh/habitat/pull/4045) ([chefsalim](https://github.com/chefsalim))
- \#3993 - Docs sidebar scrolling [\#4034](https://github.com/habitat-sh/habitat/pull/4034) ([mgamini](https://github.com/mgamini))
- Updated default path for HAB\_STUDIOS\_HOME [\#4033](https://github.com/habitat-sh/habitat/pull/4033) ([davidwrede](https://github.com/davidwrede))
- Allow uploading package when metadata and filesystem are out of sync [\#4032](https://github.com/habitat-sh/habitat/pull/4032) ([chefsalim](https://github.com/chefsalim))
- Fix build error check ordering [\#4031](https://github.com/habitat-sh/habitat/pull/4031) ([elliott-davis](https://github.com/elliott-davis))
- \[4027\] Redirect stderr to stdout fd to avoid filling up stderr buffer [\#4029](https://github.com/habitat-sh/habitat/pull/4029) ([elliott-davis](https://github.com/elliott-davis))
- Fix hab bldr job start failure [\#4028](https://github.com/habitat-sh/habitat/pull/4028) ([raskchanky](https://github.com/raskchanky))
- 3694 - adding links on carousel [\#4023](https://github.com/habitat-sh/habitat/pull/4023) ([mgamini](https://github.com/mgamini))
- More worker fixes [\#4016](https://github.com/habitat-sh/habitat/pull/4016) ([chefsalim](https://github.com/chefsalim))
- Fix worker package upload [\#4015](https://github.com/habitat-sh/habitat/pull/4015) ([chefsalim](https://github.com/chefsalim))
- Change builder-worker log path [\#4014](https://github.com/habitat-sh/habitat/pull/4014) ([chefsalim](https://github.com/chefsalim))
- tutorial: fix link to "Explore" [\#4008](https://github.com/habitat-sh/habitat/pull/4008) ([srenatus](https://github.com/srenatus))
- Fix race condition in worker studio's network provisioner [\#4007](https://github.com/habitat-sh/habitat/pull/4007) ([reset](https://github.com/reset))
- Fix validation of worker config on startup [\#4006](https://github.com/habitat-sh/habitat/pull/4006) ([reset](https://github.com/reset))
- Fix installation of non-fully-qualified packages from channels [\#4004](https://github.com/habitat-sh/habitat/pull/4004) ([raskchanky](https://github.com/raskchanky))
- hab bldr job status [\#4003](https://github.com/habitat-sh/habitat/pull/4003) ([raskchanky](https://github.com/raskchanky))
- Add networking for studio inside worker to Terraform [\#4002](https://github.com/habitat-sh/habitat/pull/4002) ([reset](https://github.com/reset))
- Ignore non UTF-8 files while looking for key pairs [\#4001](https://github.com/habitat-sh/habitat/pull/4001) ([rsertelon](https://github.com/rsertelon))
- corrects typo in blog post [\#3997](https://github.com/habitat-sh/habitat/pull/3997) ([nellshamrell](https://github.com/nellshamrell))
- Upgrade to Angular 5 [\#3996](https://github.com/habitat-sh/habitat/pull/3996) ([cnunciato](https://github.com/cnunciato))
- Update step 3 demo instruction to match the latest UI change [\#3992](https://github.com/habitat-sh/habitat/pull/3992) ([apriofrost](https://github.com/apriofrost))
- Fix job status race condition [\#3991](https://github.com/habitat-sh/habitat/pull/3991) ([chefsalim](https://github.com/chefsalim))
- \#3819 - adding download links [\#3990](https://github.com/habitat-sh/habitat/pull/3990) ([mgamini](https://github.com/mgamini))
- Alert on build-submission error [\#3989](https://github.com/habitat-sh/habitat/pull/3989) ([cnunciato](https://github.com/cnunciato))
- Update Dockerfile to use `FROM ubuntu:17.10` since yakkety is EOL. [\#3988](https://github.com/habitat-sh/habitat/pull/3988) ([baumanj](https://github.com/baumanj))
- pkg-export-docker: Don't duplicate option aliases [\#3985](https://github.com/habitat-sh/habitat/pull/3985) ([zeenix](https://github.com/zeenix))
- Validates listen-gossip and listen-http options [\#3981](https://github.com/habitat-sh/habitat/pull/3981) ([rsertelon](https://github.com/rsertelon))
- Redirect properly after sign-in [\#3980](https://github.com/habitat-sh/habitat/pull/3980) ([cnunciato](https://github.com/cnunciato))
- Informs MAC users that docker is required on make shell [\#3979](https://github.com/habitat-sh/habitat/pull/3979) ([rsertelon](https://github.com/rsertelon))
- Add ability to cancel build jobs [\#3970](https://github.com/habitat-sh/habitat/pull/3970) ([chefsalim](https://github.com/chefsalim))
- use a custom habitat useragent for powershell plan downloads [\#3968](https://github.com/habitat-sh/habitat/pull/3968) ([mwrock](https://github.com/mwrock))
- \[airlock\] Optionally set the fs root via `AIRLOCK\_FS\_ROOT` [\#3964](https://github.com/habitat-sh/habitat/pull/3964) ([fnichol](https://github.com/fnichol))
- Add missing dev app\_id for dev studio [\#3961](https://github.com/habitat-sh/habitat/pull/3961) ([elliott-davis](https://github.com/elliott-davis))
- Add ability to export to Amazon ECR for hab-pkg-export-docker [\#3960](https://github.com/habitat-sh/habitat/pull/3960) ([elliott-davis](https://github.com/elliott-davis))
- Write origin secret key with appropriate owner in builder-worker [\#3958](https://github.com/habitat-sh/habitat/pull/3958) ([reset](https://github.com/reset))
- Own builder-worker's workspace root to airlock/studio user/group [\#3956](https://github.com/habitat-sh/habitat/pull/3956) ([reset](https://github.com/reset))
- Make origin/integration/name unique instead of origin/name [\#3954](https://github.com/habitat-sh/habitat/pull/3954) ([raskchanky](https://github.com/raskchanky))
- Builder Worker airlock fixes [\#3948](https://github.com/habitat-sh/habitat/pull/3948) ([reset](https://github.com/reset))
- add blog post covering windows service [\#3947](https://github.com/habitat-sh/habitat/pull/3947) ([mwrock](https://github.com/mwrock))
- Add support for downloading secret keys to hab [\#3946](https://github.com/habitat-sh/habitat/pull/3946) ([raskchanky](https://github.com/raskchanky))
- add blog post covering opendev talk [\#3945](https://github.com/habitat-sh/habitat/pull/3945) ([mwrock](https://github.com/mwrock))
- Keep environment when executing Studio from within worker [\#3944](https://github.com/habitat-sh/habitat/pull/3944) ([reset](https://github.com/reset))
- Stop the Sparkleparty :'\( [\#3942](https://github.com/habitat-sh/habitat/pull/3942) ([elliott-davis](https://github.com/elliott-davis))
- Pass the account id to segment instead of the account name. [\#3941](https://github.com/habitat-sh/habitat/pull/3941) ([raskchanky](https://github.com/raskchanky))
- Use studio user's home dir for storing private keys in worker [\#3940](https://github.com/habitat-sh/habitat/pull/3940) ([reset](https://github.com/reset))
- Use the same friendly name for both user and group for studio user [\#3938](https://github.com/habitat-sh/habitat/pull/3938) ([reset](https://github.com/reset))
- Fixes cta button styles on Explore page [\#3937](https://github.com/habitat-sh/habitat/pull/3937) ([ryankeairns](https://github.com/ryankeairns))
- Set appropriate log path for builder-worker [\#3934](https://github.com/habitat-sh/habitat/pull/3934) ([reset](https://github.com/reset))
- Allow origin members to download signing keys [\#3933](https://github.com/habitat-sh/habitat/pull/3933) ([cnunciato](https://github.com/cnunciato))
- OMG [\#3930](https://github.com/habitat-sh/habitat/pull/3930) ([christophermaier](https://github.com/christophermaier))
- Add a separate user for worker to run builds as. [\#3925](https://github.com/habitat-sh/habitat/pull/3925) ([christophermaier](https://github.com/christophermaier))
- Fix sorting of versions in the :pkg/:name/versions API call [\#3922](https://github.com/habitat-sh/habitat/pull/3922) ([raskchanky](https://github.com/raskchanky))
- Clean up around here [\#3921](https://github.com/habitat-sh/habitat/pull/3921) ([cnunciato](https://github.com/cnunciato))
- bumping dev version [\#3920](https://github.com/habitat-sh/habitat/pull/3920) ([mwrock](https://github.com/mwrock))
- Fix a few broken links to Slack. [\#3910](https://github.com/habitat-sh/habitat/pull/3910) ([frewsxcv](https://github.com/frewsxcv))
- Adds in blog post on using node scaffolding [\#3894](https://github.com/habitat-sh/habitat/pull/3894) ([nellshamrell](https://github.com/nellshamrell))
- Adds hab pkg binds command to list package bindings [\#3893](https://github.com/habitat-sh/habitat/pull/3893) ([rsertelon](https://github.com/rsertelon))
- Add Amazon container registry to the UI [\#3847](https://github.com/habitat-sh/habitat/pull/3847) ([elliott-davis](https://github.com/elliott-davis))
- Add an alternative path for user.toml [\#3814](https://github.com/habitat-sh/habitat/pull/3814) ([krnowak](https://github.com/krnowak))
- Add a kubernetes exporter [\#3771](https://github.com/habitat-sh/habitat/pull/3771) ([krnowak](https://github.com/krnowak))

## [0.38.0](https://github.com/habitat-sh/habitat/tree/0.38.0) (10-26-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.37.0...0.38.0)

## Features & Enhancements

- Update and return user profile settings [\#3866](https://github.com/habitat-sh/habitat/issues/3866)
- Integrate API Gateway with Segment [\#3749](https://github.com/habitat-sh/habitat/issues/3749)
- Create Node web app guide [\#3366](https://github.com/habitat-sh/habitat/issues/3366)
- Add Habitats package search engine to the browser [\#2619](https://github.com/habitat-sh/habitat/issues/2619)
- \[Documentation\] How to use third party origins [\#2578](https://github.com/habitat-sh/habitat/issues/2578)
- \\[Documentation\\] How to use third party origins [\#2578](https://github.com/habitat-sh/habitat/issues/2578)
- Updated sample app flow to support automatic rebuilds in Builder [\#3901](https://github.com/habitat-sh/habitat/pull/3901) ([davidwrede](https://github.com/davidwrede))
- Remove unused Cargo dependencies from net crate [\#3829](https://github.com/habitat-sh/habitat/pull/3829) ([reset](https://github.com/reset))
- Made content around missing binds more discoverable [\#3826](https://github.com/habitat-sh/habitat/pull/3826) ([davidwrede](https://github.com/davidwrede))
- Make monitoring via HTTP API more visible in docs [\#3823](https://github.com/habitat-sh/habitat/pull/3823) ([davidwrede](https://github.com/davidwrede))
- Fix issue where all socket errors were reported as generic errors [\#3815](https://github.com/habitat-sh/habitat/pull/3815) ([reset](https://github.com/reset))
- Clarified instructions on using Builder with sample app [\#3812](https://github.com/habitat-sh/habitat/pull/3812) ([davidwrede](https://github.com/davidwrede))
- Add Studio dev env improvements and docs [\#3795](https://github.com/habitat-sh/habitat/pull/3795) ([elliott-davis](https://github.com/elliott-davis))
- Adds note about origin in writing a plan section of docs [\#3559](https://github.com/habitat-sh/habitat/pull/3559) ([rsertelon](https://github.com/rsertelon))

## Bug fixes

- Cannot build package if current folder path contains a space [\#3881](https://github.com/habitat-sh/habitat/issues/3881)
- Connected plan lookup returns 200 for plans that don't exist [\#3875](https://github.com/habitat-sh/habitat/issues/3875)
- \[builder ui\] Load More in search package result list doesn't load [\#3851](https://github.com/habitat-sh/habitat/issues/3851)
- Don't check in all sandbox channels when building software [\#3755](https://github.com/habitat-sh/habitat/issues/3755)
- More auth fixes for workers and the core team [\#3699](https://github.com/habitat-sh/habitat/issues/3699)
- CLI support for downloading packages from private origins [\#3689](https://github.com/habitat-sh/habitat/issues/3689)
- Sidebar navigation disappears [\#3660](https://github.com/habitat-sh/habitat/issues/3660)
- 'HAB\_STUDIO\_SUP=false' not honoured when included in .studiorc [\#3542](https://github.com/habitat-sh/habitat/issues/3542)
- Proxy error retrieving static files [\#3526](https://github.com/habitat-sh/habitat/issues/3526)
- re-building service results in spammed child exiting with code signal 15 [\#3505](https://github.com/habitat-sh/habitat/issues/3505)
- Missing app.js.map error [\#3040](https://github.com/habitat-sh/habitat/issues/3040)
- \#3843 - changing positioning and z-index for footer decor [\#3917](https://github.com/habitat-sh/habitat/pull/3917) ([mgamini](https://github.com/mgamini))
- Fix notification deadlock in jobsrv [\#3867](https://github.com/habitat-sh/habitat/pull/3867) ([chefsalim](https://github.com/chefsalim))
- \[studio\] Redirect stderr to sup.log. [\#3844](https://github.com/habitat-sh/habitat/pull/3844) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- \[builder ui\] dropdown menu when avatar is clicked is covered by demo window [\#3876](https://github.com/habitat-sh/habitat/issues/3876)
- License Copyright in Readme doesn't match License File. [\#3854](https://github.com/habitat-sh/habitat/issues/3854)
- Chore: Add worker to jobs table to make it easier to troubleshoot failed build [\#3837](https://github.com/habitat-sh/habitat/issues/3837)
- \[acceptance\] Builder worker seems to build twice sometimes [\#3603](https://github.com/habitat-sh/habitat/issues/3603)
- Clean up nginx log and add log rotation [\#3509](https://github.com/habitat-sh/habitat/issues/3509)

**Merged pull requests:**

- Return 404 when a plan file isn’t found [\#3919](https://github.com/habitat-sh/habitat/pull/3919) ([cnunciato](https://github.com/cnunciato))
- release 0.38.0 [\#3918](https://github.com/habitat-sh/habitat/pull/3918) ([mwrock](https://github.com/mwrock))
- Fix load-more-packages link [\#3914](https://github.com/habitat-sh/habitat/pull/3914) ([cnunciato](https://github.com/cnunciato))
- remove file check for key generation since it's already checked [\#3913](https://github.com/habitat-sh/habitat/pull/3913) ([elliott-davis](https://github.com/elliott-davis))
- Fix the ability to disable non-core builds [\#3908](https://github.com/habitat-sh/habitat/pull/3908) ([reset](https://github.com/reset))
- Add Segment to Builder [\#3906](https://github.com/habitat-sh/habitat/pull/3906) ([raskchanky](https://github.com/raskchanky))
- Improve asset compilation in Builder UI [\#3905](https://github.com/habitat-sh/habitat/pull/3905) ([cnunciato](https://github.com/cnunciato))
- Fixes bad studio.sh behavior in folders with spaces [\#3904](https://github.com/habitat-sh/habitat/pull/3904) ([rsertelon](https://github.com/rsertelon))
- fix errors re-entering a studio from the vm [\#3903](https://github.com/habitat-sh/habitat/pull/3903) ([elliott-davis](https://github.com/elliott-davis))
- Remove instruction about creating Docker Hub org when not exist [\#3902](https://github.com/habitat-sh/habitat/pull/3902) ([apriofrost](https://github.com/apriofrost))
- Add user profile feature [\#3896](https://github.com/habitat-sh/habitat/pull/3896) ([cnunciato](https://github.com/cnunciato))
- Don't log status check [\#3895](https://github.com/habitat-sh/habitat/pull/3895) ([chefsalim](https://github.com/chefsalim))
- Add API endpoints for updating and retrieving your profile [\#3890](https://github.com/habitat-sh/habitat/pull/3890) ([raskchanky](https://github.com/raskchanky))
- Remove extra slash so link works correctly [\#3889](https://github.com/habitat-sh/habitat/pull/3889) ([scotthain](https://github.com/scotthain))
- Prevent heart attacks and spit-takes [\#3880](https://github.com/habitat-sh/habitat/pull/3880) ([christophermaier](https://github.com/christophermaier))
- Queue builds instead of rejecting [\#3879](https://github.com/habitat-sh/habitat/pull/3879) ([chefsalim](https://github.com/chefsalim))
- Remove the dev-setup check for Ubuntu 16.10 [\#3878](https://github.com/habitat-sh/habitat/pull/3878) ([cnunciato](https://github.com/cnunciato))
- Update step3-create origin screenshots to match the latest Builder UI. [\#3877](https://github.com/habitat-sh/habitat/pull/3877) ([apriofrost](https://github.com/apriofrost))
- Update step5 -install GitHub app screenshots to match the latest GitHub UI. [\#3874](https://github.com/habitat-sh/habitat/pull/3874) ([apriofrost](https://github.com/apriofrost))
- adds in blog post highlighting new scripts feature of node scaffolding [\#3873](https://github.com/habitat-sh/habitat/pull/3873) ([nellshamrell](https://github.com/nellshamrell))
- add cloudfoundary to cli docs + fully qualified package ident fixes [\#3871](https://github.com/habitat-sh/habitat/pull/3871) ([echohack](https://github.com/echohack))
- fix spelling mistake in sidebar [\#3863](https://github.com/habitat-sh/habitat/pull/3863) ([echohack](https://github.com/echohack))
- Fix Typo in sidebar menu [\#3862](https://github.com/habitat-sh/habitat/pull/3862) ([ncerny](https://github.com/ncerny))
- Builder UI - tidying up typography and spacing [\#3860](https://github.com/habitat-sh/habitat/pull/3860) ([ryankeairns](https://github.com/ryankeairns))
- Updates build-a-sample app next steps [\#3858](https://github.com/habitat-sh/habitat/pull/3858) ([burtlo](https://github.com/burtlo))
- Some cleanup and additional debugging to jobsrv [\#3857](https://github.com/habitat-sh/habitat/pull/3857) ([chefsalim](https://github.com/chefsalim))
- Update maintainers list [\#3853](https://github.com/habitat-sh/habitat/pull/3853) ([elliott-davis](https://github.com/elliott-davis))
- updates docs - node scaffolding now supports pre and post-build scripts [\#3852](https://github.com/habitat-sh/habitat/pull/3852) ([nellshamrell](https://github.com/nellshamrell))
- Cleanup unused components and stylings [\#3849](https://github.com/habitat-sh/habitat/pull/3849) ([elliott-davis](https://github.com/elliott-davis))
- Adds blog post for Habitatize Ruby video series [\#3848](https://github.com/habitat-sh/habitat/pull/3848) ([burtlo](https://github.com/burtlo))
- Fix config for job timeout [\#3842](https://github.com/habitat-sh/habitat/pull/3842) ([chefsalim](https://github.com/chefsalim))
- Make job timeout configurable [\#3841](https://github.com/habitat-sh/habitat/pull/3841) ([chefsalim](https://github.com/chefsalim))
- Plumb auth token into the studio, correct regression with private packages [\#3840](https://github.com/habitat-sh/habitat/pull/3840) ([raskchanky](https://github.com/raskchanky))
- strip $ suffix when looking up the SID of an account name [\#3839](https://github.com/habitat-sh/habitat/pull/3839) ([mwrock](https://github.com/mwrock))
- include svc\_encrypted\_password when converting a service to a spec [\#3836](https://github.com/habitat-sh/habitat/pull/3836) ([mwrock](https://github.com/mwrock))
- Bump version 0.38.0-dev [\#3830](https://github.com/habitat-sh/habitat/pull/3830) ([reset](https://github.com/reset))
- Exclude sandbox channels from recommendations when installing packages [\#3828](https://github.com/habitat-sh/habitat/pull/3828) ([raskchanky](https://github.com/raskchanky))
- Consolidate builder job server and scheduler services [\#3827](https://github.com/habitat-sh/habitat/pull/3827) ([chefsalim](https://github.com/chefsalim))
- checksum the right zip for chocolatey [\#3825](https://github.com/habitat-sh/habitat/pull/3825) ([mwrock](https://github.com/mwrock))
- account for ratelimiting in changelog generator and timing of bundle [\#3824](https://github.com/habitat-sh/habitat/pull/3824) ([mwrock](https://github.com/mwrock))
- Allow downloading of private packages from hab [\#3822](https://github.com/habitat-sh/habitat/pull/3822) ([raskchanky](https://github.com/raskchanky))
- Fix incorrect full changelog link for last release [\#3813](https://github.com/habitat-sh/habitat/pull/3813) ([christophermaier](https://github.com/christophermaier))
- Update BUILDER\_DEV with a few fixes [\#3811](https://github.com/habitat-sh/habitat/pull/3811) ([raskchanky](https://github.com/raskchanky))
- Add new `/origins/:origin/integrations endpoint [\#3808](https://github.com/habitat-sh/habitat/pull/3808) ([elliott-davis](https://github.com/elliott-davis))
- Adds OpenSearch provider [\#3686](https://github.com/habitat-sh/habitat/pull/3686) ([rsertelon](https://github.com/rsertelon))

## [0.37.0](https://github.com/habitat-sh/habitat/tree/0.37.0) (10-17-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.36.0...0.37.0)

## Features & Enhancements

- Scaffolding option on hab plan init doesn't work [\#3784](https://github.com/habitat-sh/habitat/issues/3784)
- Scaffolding option on hab plan init doesn't work [\#3784](https://github.com/habitat-sh/habitat/issues/3784)
- \[builder-web\] Cleanup tasks for standardization [\#3756](https://github.com/habitat-sh/habitat/issues/3756)
- \[www\] \[docs\] Probably broken render [\#3710](https://github.com/habitat-sh/habitat/issues/3710)
- \[www\] Website polish [\#3709](https://github.com/habitat-sh/habitat/issues/3709)
- Builder jobsrv should persist worker state across restarts [\#3703](https://github.com/habitat-sh/habitat/issues/3703)
- \[builder ui\] Make it more apparent when Origin keys are not present [\#3678](https://github.com/habitat-sh/habitat/issues/3678)
- Appveyor release builds should push to chocolatey [\#3668](https://github.com/habitat-sh/habitat/issues/3668)
- SQL report for account create since X date [\#3667](https://github.com/habitat-sh/habitat/issues/3667)
- Add Homebrew instructions to website [\#3655](https://github.com/habitat-sh/habitat/issues/3655)
- Add Homebrew instructions to website [\#3655](https://github.com/habitat-sh/habitat/issues/3655)
- Habitat tutorial "Create and Seed the Database" not found error [\#3534](https://github.com/habitat-sh/habitat/issues/3534)
- Refactor to utilize ngcli, ngrx [\#3253](https://github.com/habitat-sh/habitat/issues/3253)
- Refactor rumor processing in the Supervisor [\#3200](https://github.com/habitat-sh/habitat/issues/3200)
- Update Node version for builder-web [\#2986](https://github.com/habitat-sh/habitat/issues/2986)
- Composite Plan/Package/Service [\#2902](https://github.com/habitat-sh/habitat/issues/2902)
- \[www\] Make the Depot URL configurable [\#2676](https://github.com/habitat-sh/habitat/issues/2676)
- \[Documentation\] How to use an exported tarball  [\#2580](https://github.com/habitat-sh/habitat/issues/2580)
- \\[Documentation\\] How to use an exported tarball  [\#2580](https://github.com/habitat-sh/habitat/issues/2580)
- \[web ui\] New Get Started pages [\#2577](https://github.com/habitat-sh/habitat/issues/2577)
- \[web ui\] Add label on homepage: Habitat is a fully open source project [\#2568](https://github.com/habitat-sh/habitat/issues/2568)
- \[homepage\] new builder links are not working [\#2539](https://github.com/habitat-sh/habitat/issues/2539)
- \[builder web\] Redirect when not logged in [\#2397](https://github.com/habitat-sh/habitat/issues/2397)
- \[studio\] Show that `HAB\_AUTH\_TOKEN` is set, but redact value on output. [\#3799](https://github.com/habitat-sh/habitat/pull/3799) ([fnichol](https://github.com/fnichol))
- Fix new compiler warnings in Rust 1.21.0 [\#3782](https://github.com/habitat-sh/habitat/pull/3782) ([reset](https://github.com/reset))
- Pass `HAB\_AUTH\_TOKEN` through to the studio [\#3772](https://github.com/habitat-sh/habitat/pull/3772) ([elliott-davis](https://github.com/elliott-davis))
- Enforce Linux pids as `pid\_t` \(or `i32`\). [\#3764](https://github.com/habitat-sh/habitat/pull/3764) ([fnichol](https://github.com/fnichol))
- Update bldr-toml-create tool to leverage new syntadx for plan\_path [\#3748](https://github.com/habitat-sh/habitat/pull/3748) ([reset](https://github.com/reset))
- Fixed rendering issue [\#3731](https://github.com/habitat-sh/habitat/pull/3731) ([davidwrede](https://github.com/davidwrede))
- Added docs on exporting to Cloud Foundry [\#3730](https://github.com/habitat-sh/habitat/pull/3730) ([davidwrede](https://github.com/davidwrede))
- Rebuild Builder components when their shared plan changes [\#3716](https://github.com/habitat-sh/habitat/pull/3716) ([reset](https://github.com/reset))
- Don't strip Builder binaries [\#3715](https://github.com/habitat-sh/habitat/pull/3715) ([reset](https://github.com/reset))
- \#3709 - Website polish [\#3714](https://github.com/habitat-sh/habitat/pull/3714) ([mgamini](https://github.com/mgamini))
- Fixed broken link and replaced it with better destination link [\#3704](https://github.com/habitat-sh/habitat/pull/3704) ([davidwrede](https://github.com/davidwrede))
- Added instructions for running from an exported tarball. Fixes \#2580 [\#3701](https://github.com/habitat-sh/habitat/pull/3701) ([predominant](https://github.com/predominant))
- Added homebrew installation instructions to download page. Fixes \#3655 [\#3700](https://github.com/habitat-sh/habitat/pull/3700) ([predominant](https://github.com/predominant))
- Remove builder-web package and move it's contents into builder-api-proxy [\#3697](https://github.com/habitat-sh/habitat/pull/3697) ([reset](https://github.com/reset))
- Bump socket send/recv timeout from 10\_000ms to 15\_000ms [\#3695](https://github.com/habitat-sh/habitat/pull/3695) ([reset](https://github.com/reset))
- Update builder worker logging [\#3691](https://github.com/habitat-sh/habitat/pull/3691) ([chefsalim](https://github.com/chefsalim))
- Refactor logging statements in builder-depot crate [\#3690](https://github.com/habitat-sh/habitat/pull/3690) ([reset](https://github.com/reset))
- update hab pkg promote example cli text [\#3683](https://github.com/habitat-sh/habitat/pull/3683) ([echohack](https://github.com/echohack))
- Added coming soon text for Gradle web app guide [\#3680](https://github.com/habitat-sh/habitat/pull/3680) ([davidwrede](https://github.com/davidwrede))
- Improve error messaging in fail to route and increase socket timeouts [\#3674](https://github.com/habitat-sh/habitat/pull/3674) ([reset](https://github.com/reset))
- Added how to connect to Builder in tutorial and guides [\#3657](https://github.com/habitat-sh/habitat/pull/3657) ([davidwrede](https://github.com/davidwrede))
- Composite Plans! [\#3452](https://github.com/habitat-sh/habitat/pull/3452) ([christophermaier](https://github.com/christophermaier))

## Bug fixes

- Scheduler goes dark in middle of large build [\#3741](https://github.com/habitat-sh/habitat/issues/3741)
- Version of Habitat binary different in Linux studio than the one on the host [\#3712](https://github.com/habitat-sh/habitat/issues/3712)
- \\[www\\] \\[docs\\] Probably broken render [\#3710](https://github.com/habitat-sh/habitat/issues/3710)
- \[Builder ui\] spaces in package name makes connect plan Next button unclickable [\#3688](https://github.com/habitat-sh/habitat/issues/3688)
- Auto-build not triggered on GitHub PR merge [\#3679](https://github.com/habitat-sh/habitat/issues/3679)
- CLI demo has mis-aligned tabs for switching between terminal shells [\#3651](https://github.com/habitat-sh/habitat/issues/3651)
- GitHub Webhook fails to auto-build forked repositories [\#3637](https://github.com/habitat-sh/habitat/issues/3637)
- JobSrv gets in infinite restart loop [\#3627](https://github.com/habitat-sh/habitat/issues/3627)
- net:route:3 / Resource temporarily unavailable errors [\#3561](https://github.com/habitat-sh/habitat/issues/3561)
- Handle Forbidden & Unauthorized in builder-web [\#3557](https://github.com/habitat-sh/habitat/issues/3557)
- Habitat www : sidebar running into footer [\#3555](https://github.com/habitat-sh/habitat/issues/3555)
- Launcher not reaping children [\#3406](https://github.com/habitat-sh/habitat/issues/3406)
- Sign-in view looks odd when signed in [\#3287](https://github.com/habitat-sh/habitat/issues/3287)
- Possible bug entering the Habitat studio on Windows [\#3199](https://github.com/habitat-sh/habitat/issues/3199)
- \[studio\] Install the same `a.b.c` version of backline as Studio. [\#3796](https://github.com/habitat-sh/habitat/pull/3796) ([fnichol](https://github.com/fnichol))
- Fix issue configuring worker bldr\_url when first bind member is dead [\#3789](https://github.com/habitat-sh/habitat/pull/3789) ([reset](https://github.com/reset))
- Return None/Empty Vec when remote GitHub entity is not found [\#3781](https://github.com/habitat-sh/habitat/pull/3781) ([reset](https://github.com/reset))
- Fix handler crash on account creation when duplicate email is present [\#3777](https://github.com/habitat-sh/habitat/pull/3777) ([reset](https://github.com/reset))
- Pass `HAB\\_AUTH\\_TOKEN` through to the studio [\#3772](https://github.com/habitat-sh/habitat/pull/3772) ([elliott-davis](https://github.com/elliott-davis))
- Assorted rumor refactorings [\#3766](https://github.com/habitat-sh/habitat/pull/3766) ([christophermaier](https://github.com/christophermaier))
- Update `depot` bind to point to builder-api-proxy for builder-worker [\#3747](https://github.com/habitat-sh/habitat/pull/3747) ([reset](https://github.com/reset))
- Fix routing issues to non-sharded services [\#3738](https://github.com/habitat-sh/habitat/pull/3738) ([reset](https://github.com/reset))
- Improve "app" configuration for all Builder services [\#3725](https://github.com/habitat-sh/habitat/pull/3725) ([reset](https://github.com/reset))
- Fix GH Hook timeouts and auto-build with a forked repo [\#3719](https://github.com/habitat-sh/habitat/pull/3719) ([reset](https://github.com/reset))
- update hab pkg promote example cli text [\#3683](https://github.com/habitat-sh/habitat/pull/3683) ([echohack](https://github.com/echohack))
- Fix push notifications when no branches are explicitly specified [\#3681](https://github.com/habitat-sh/habitat/pull/3681) ([reset](https://github.com/reset))
- Improve error messaging in fail to route and increase socket timeouts [\#3674](https://github.com/habitat-sh/habitat/pull/3674) ([reset](https://github.com/reset))
- Builder UI touchups [\#3666](https://github.com/habitat-sh/habitat/pull/3666) ([cnunciato](https://github.com/cnunciato))
- Only dispatch build on notify when it's the trigger branch [\#3663](https://github.com/habitat-sh/habitat/pull/3663) ([reset](https://github.com/reset))
- Handle repository fetch errors [\#3662](https://github.com/habitat-sh/habitat/pull/3662) ([cnunciato](https://github.com/cnunciato))

**Closed issues:**

- \[www\]Broken link of Twitter icon on demo summary page [\#3734](https://github.com/habitat-sh/habitat/issues/3734)
- hab-launcher is not reaping some children [\#3729](https://github.com/habitat-sh/habitat/issues/3729)
- Get Sumologic setup into Terraform [\#3702](https://github.com/habitat-sh/habitat/issues/3702)
- Handle empty states for Latest and Versions tabs [\#3665](https://github.com/habitat-sh/habitat/issues/3665)
- Documentation broken link in developing-packages runtime-workflow [\#3659](https://github.com/habitat-sh/habitat/issues/3659)
- \[www\] Could not sign out [\#3577](https://github.com/habitat-sh/habitat/issues/3577)
- \[www\] All links to Builder should use bldr\_web\_url [\#3552](https://github.com/habitat-sh/habitat/issues/3552)
- Redirect to My Origins upon Sign In [\#3072](https://github.com/habitat-sh/habitat/issues/3072)

**Merged pull requests:**

- release 0.37.0 [\#3809](https://github.com/habitat-sh/habitat/pull/3809) ([mwrock](https://github.com/mwrock))
- Use Builder for feature flags [\#3807](https://github.com/habitat-sh/habitat/pull/3807) ([cnunciato](https://github.com/cnunciato))
- Fix images on the Node blog post [\#3806](https://github.com/habitat-sh/habitat/pull/3806) ([cnunciato](https://github.com/cnunciato))
- Validate Docker credentials [\#3800](https://github.com/habitat-sh/habitat/pull/3800) ([cnunciato](https://github.com/cnunciato))
- Add back race condition fix and other tweaks [\#3797](https://github.com/habitat-sh/habitat/pull/3797) ([chefsalim](https://github.com/chefsalim))
- Add Sumologic to Terraform [\#3785](https://github.com/habitat-sh/habitat/pull/3785) ([chefsalim](https://github.com/chefsalim))
- Update Docker Hub target org/repo instruction [\#3779](https://github.com/habitat-sh/habitat/pull/3779) ([apriofrost](https://github.com/apriofrost))
- Bumped material to beta12 and fixed fallout [\#3778](https://github.com/habitat-sh/habitat/pull/3778) ([elliott-davis](https://github.com/elliott-davis))
- Dev env load packages [\#3776](https://github.com/habitat-sh/habitat/pull/3776) ([elliott-davis](https://github.com/elliott-davis))
- Upgrade required node version to 8.x and npm to 5.x for builder-web [\#3775](https://github.com/habitat-sh/habitat/pull/3775) ([elliott-davis](https://github.com/elliott-davis))
- Fix formatting problem with slim in download docs [\#3774](https://github.com/habitat-sh/habitat/pull/3774) ([predominant](https://github.com/predominant))
- Add group/job info to job dashboard [\#3770](https://github.com/habitat-sh/habitat/pull/3770) ([chefsalim](https://github.com/chefsalim))
- Fix job server race condition [\#3769](https://github.com/habitat-sh/habitat/pull/3769) ([chefsalim](https://github.com/chefsalim))
- Move shard array under app table for studio dev env [\#3763](https://github.com/habitat-sh/habitat/pull/3763) ([elliott-davis](https://github.com/elliott-davis))
- Updated linting rules [\#3762](https://github.com/habitat-sh/habitat/pull/3762) ([elliott-davis](https://github.com/elliott-davis))
- Add 'app' table back to jobsrv and sessionsrv so toToml doesn't break [\#3761](https://github.com/habitat-sh/habitat/pull/3761) ([elliott-davis](https://github.com/elliott-davis))
- Experimental scheduler group abort functionality [\#3760](https://github.com/habitat-sh/habitat/pull/3760) ([chefsalim](https://github.com/chefsalim))
- Update demo instructions to match current flow [\#3759](https://github.com/habitat-sh/habitat/pull/3759) ([apriofrost](https://github.com/apriofrost))
- Correct a couple of typos in the demo [\#3753](https://github.com/habitat-sh/habitat/pull/3753) ([cnunciato](https://github.com/cnunciato))
- Generate keys on origin create [\#3752](https://github.com/habitat-sh/habitat/pull/3752) ([cnunciato](https://github.com/cnunciato))
- Handle the absence of origin keys in Builder UI [\#3746](https://github.com/habitat-sh/habitat/pull/3746) ([cnunciato](https://github.com/cnunciato))
- \#3555 holy potatoes all I had to do was update foundation. Also holy shit i… [\#3740](https://github.com/habitat-sh/habitat/pull/3740) ([mgamini](https://github.com/mgamini))
- Fix email address links in Code of Conduct [\#3739](https://github.com/habitat-sh/habitat/pull/3739) ([predominant](https://github.com/predominant))
- Handle trailing spaces in repo names [\#3737](https://github.com/habitat-sh/habitat/pull/3737) ([cnunciato](https://github.com/cnunciato))
- Fix broken twitter link. Fixes \#3734 [\#3736](https://github.com/habitat-sh/habitat/pull/3736) ([predominant](https://github.com/predominant))
- Update copy and legalese on sign-in page [\#3733](https://github.com/habitat-sh/habitat/pull/3733) ([cnunciato](https://github.com/cnunciato))
- Fix missing router config from services [\#3732](https://github.com/habitat-sh/habitat/pull/3732) ([reset](https://github.com/reset))
- Fix sign-in link on create-account page [\#3726](https://github.com/habitat-sh/habitat/pull/3726) ([Aevin1387](https://github.com/Aevin1387))
- Properly find plan file in GH Hook from plan\_path [\#3724](https://github.com/habitat-sh/habitat/pull/3724) ([reset](https://github.com/reset))
- Clean up and persist builder job server's worker state handling [\#3722](https://github.com/habitat-sh/habitat/pull/3722) ([chefsalim](https://github.com/chefsalim))
- Emphasize GitHub App installation [\#3720](https://github.com/habitat-sh/habitat/pull/3720) ([cnunciato](https://github.com/cnunciato))
- Handle resolved promises that pass through 401s [\#3718](https://github.com/habitat-sh/habitat/pull/3718) ([cnunciato](https://github.com/cnunciato))
- Tag fix on blog post. [\#3708](https://github.com/habitat-sh/habitat/pull/3708) ([predominant](https://github.com/predominant))
- Handle expired session tokens in Builder UI [\#3707](https://github.com/habitat-sh/habitat/pull/3707) ([cnunciato](https://github.com/cnunciato))
- Fix reading config file for builder-api-proxy [\#3698](https://github.com/habitat-sh/habitat/pull/3698) ([reset](https://github.com/reset))
- Fix syntax error in builder-api-proxy config [\#3696](https://github.com/habitat-sh/habitat/pull/3696) ([reset](https://github.com/reset))
- push new releases to chocolatey [\#3693](https://github.com/habitat-sh/habitat/pull/3693) ([mwrock](https://github.com/mwrock))
- Add Plan for builder-web [\#3682](https://github.com/habitat-sh/habitat/pull/3682) ([elliott-davis](https://github.com/elliott-davis))
- Add a SQL query for fetching accounts created after a certain date [\#3673](https://github.com/habitat-sh/habitat/pull/3673) ([raskchanky](https://github.com/raskchanky))
- Add .studiorc file to run builder in the Habitat studio [\#3671](https://github.com/habitat-sh/habitat/pull/3671) ([elliott-davis](https://github.com/elliott-davis))
- On repo fetch failure, return an object with empty array [\#3669](https://github.com/habitat-sh/habitat/pull/3669) ([cnunciato](https://github.com/cnunciato))
- Fixes link in documentation [\#3661](https://github.com/habitat-sh/habitat/pull/3661) ([rsertelon](https://github.com/rsertelon))
- Add blog post for Habitat Builder's launch [\#3658](https://github.com/habitat-sh/habitat/pull/3658) ([reset](https://github.com/reset))
- \#3651 - fixing break in demo pages [\#3654](https://github.com/habitat-sh/habitat/pull/3654) ([mgamini](https://github.com/mgamini))
- Add Homebrew instructions to README [\#3653](https://github.com/habitat-sh/habitat/pull/3653) ([christophermaier](https://github.com/christophermaier))
- quick fix for download buttons [\#3652](https://github.com/habitat-sh/habitat/pull/3652) ([echohack](https://github.com/echohack))
- Bump version for ongoing development [\#3649](https://github.com/habitat-sh/habitat/pull/3649) ([christophermaier](https://github.com/christophermaier))
- quick fix to main cta [\#3647](https://github.com/habitat-sh/habitat/pull/3647) ([mgamini](https://github.com/mgamini))
- Update demo instructions to match current UI [\#3646](https://github.com/habitat-sh/habitat/pull/3646) ([ryankeairns](https://github.com/ryankeairns))

## [0.36.0](https://github.com/habitat-sh/habitat/tree/0.36.0) (10-09-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.35.0...0.36.0)

## Features & Enhancements

- Need better error when connecting plan file and origin does not match [\#3556](https://github.com/habitat-sh/habitat/issues/3556)
- Implement `--peer-watch-file` flag for joining the ring [\#2735](https://github.com/habitat-sh/habitat/issues/2735)
- Expose builder-web feature flag configuration [\#3642](https://github.com/habitat-sh/habitat/pull/3642) ([reset](https://github.com/reset))
- Remove unused `web` section of builder-api config [\#3641](https://github.com/habitat-sh/habitat/pull/3641) ([reset](https://github.com/reset))
- Add `session` command for decoding session tokens to op tool [\#3640](https://github.com/habitat-sh/habitat/pull/3640) ([reset](https://github.com/reset))
- Fixing tutorial with temp fix to unblock users [\#3634](https://github.com/habitat-sh/habitat/pull/3634) ([davidwrede](https://github.com/davidwrede))
- Return plans built by a GitHub hook in response [\#3630](https://github.com/habitat-sh/habitat/pull/3630) ([reset](https://github.com/reset))
- generate keys on build if they are missing [\#3620](https://github.com/habitat-sh/habitat/pull/3620) ([mwrock](https://github.com/mwrock))
- Put profile.release in proper Cargo.toml [\#3617](https://github.com/habitat-sh/habitat/pull/3617) ([reset](https://github.com/reset))
- Describing how to use Builder with multiple plans [\#3616](https://github.com/habitat-sh/habitat/pull/3616) ([davidwrede](https://github.com/davidwrede))
- Set `RUST\_BACKTRACE=1` in every Builder service's run hook [\#3615](https://github.com/habitat-sh/habitat/pull/3615) ([reset](https://github.com/reset))
- Configurable feature flags [\#3609](https://github.com/habitat-sh/habitat/pull/3609) ([cnunciato](https://github.com/cnunciato))
- New Node.js web app guide + content refactoring [\#3580](https://github.com/habitat-sh/habitat/pull/3580) ([davidwrede](https://github.com/davidwrede))
- Revised homepage / pricing / demo [\#3441](https://github.com/habitat-sh/habitat/pull/3441) ([mgamini](https://github.com/mgamini))

## Bug fixes

- Support multiple sessions [\#3629](https://github.com/habitat-sh/habitat/issues/3629)
- Paginate repositories when retrieving the contents of a file [\#3628](https://github.com/habitat-sh/habitat/issues/3628)
- Accumulate all repositories via pagination [\#3643](https://github.com/habitat-sh/habitat/pull/3643) ([christophermaier](https://github.com/christophermaier))
- Check for origin access before allowing updates to an origin [\#3639](https://github.com/habitat-sh/habitat/pull/3639) ([reset](https://github.com/reset))
- Support multiple sessions for the same user [\#3636](https://github.com/habitat-sh/habitat/pull/3636) ([reset](https://github.com/reset))
- Remove nested feature-flags toml [\#3635](https://github.com/habitat-sh/habitat/pull/3635) ([cnunciato](https://github.com/cnunciato))
- Fix deserialization error on GitHub notify [\#3622](https://github.com/habitat-sh/habitat/pull/3622) ([reset](https://github.com/reset))

**Closed issues:**

- Build worker can panic [\#3613](https://github.com/habitat-sh/habitat/issues/3613)

**Merged pull requests:**

- adds in blog post about node scaffolding [\#3638](https://github.com/habitat-sh/habitat/pull/3638) ([nellshamrell](https://github.com/nellshamrell))
- Update scheduler logging and tweak error handling [\#3633](https://github.com/habitat-sh/habitat/pull/3633) ([chefsalim](https://github.com/chefsalim))
- Handle missing error messages [\#3632](https://github.com/habitat-sh/habitat/pull/3632) ([cnunciato](https://github.com/cnunciato))
- Quotes don’t go there [\#3626](https://github.com/habitat-sh/habitat/pull/3626) ([cnunciato](https://github.com/cnunciato))
- Select a plan by text field [\#3623](https://github.com/habitat-sh/habitat/pull/3623) ([cnunciato](https://github.com/cnunciato))
- Move worker logs to tmp [\#3619](https://github.com/habitat-sh/habitat/pull/3619) ([chefsalim](https://github.com/chefsalim))
- Put profile.release in proper Cargo.toml [\#3618](https://github.com/habitat-sh/habitat/pull/3618) ([reset](https://github.com/reset))
- Remove non-compiling code that snuck in [\#3612](https://github.com/habitat-sh/habitat/pull/3612) ([christophermaier](https://github.com/christophermaier))
- Move scheduler log file back to tmp [\#3611](https://github.com/habitat-sh/habitat/pull/3611) ([chefsalim](https://github.com/chefsalim))
- Set default bldr\_url in builder-worker plan [\#3610](https://github.com/habitat-sh/habitat/pull/3610) ([reset](https://github.com/reset))
- Feature-flag project configuration [\#3608](https://github.com/habitat-sh/habitat/pull/3608) ([cnunciato](https://github.com/cnunciato))
- Switch logs back to var path [\#3606](https://github.com/habitat-sh/habitat/pull/3606) ([chefsalim](https://github.com/chefsalim))
- Environment variables on one line [\#3605](https://github.com/habitat-sh/habitat/pull/3605) ([cnunciato](https://github.com/cnunciato))
- quickfixes for un-breaking nav js, envs [\#3604](https://github.com/habitat-sh/habitat/pull/3604) ([mgamini](https://github.com/mgamini))
- Enable non-core builds by default [\#3602](https://github.com/habitat-sh/habitat/pull/3602) ([reset](https://github.com/reset))
- Expose webhook\_secret as config and set default in builder-api plan [\#3601](https://github.com/habitat-sh/habitat/pull/3601) ([reset](https://github.com/reset))
- Share app-id config between web and api in Habitat plan [\#3600](https://github.com/habitat-sh/habitat/pull/3600) ([reset](https://github.com/reset))
- Update builder log location, add log rotation [\#3599](https://github.com/habitat-sh/habitat/pull/3599) ([chefsalim](https://github.com/chefsalim))
- Add projects \(aka connected plans\) to the packages screen [\#3598](https://github.com/habitat-sh/habitat/pull/3598) ([raskchanky](https://github.com/raskchanky))
- Replace plan selection with a text field [\#3597](https://github.com/habitat-sh/habitat/pull/3597) ([cnunciato](https://github.com/cnunciato))
- Add hook to update folder permissions [\#3595](https://github.com/habitat-sh/habitat/pull/3595) ([chefsalim](https://github.com/chefsalim))
- Tests for FileWatcher [\#3575](https://github.com/habitat-sh/habitat/pull/3575) ([krnowak](https://github.com/krnowak))

## [0.35.0](https://github.com/habitat-sh/habitat/tree/0.35.0) (10-07-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.34.1...0.35.0)

## Features & Enhancements

- Add API to get new session token with github token [\#3560](https://github.com/habitat-sh/habitat/issues/3560)
- An origin owner should not be removed from origin [\#3512](https://github.com/habitat-sh/habitat/issues/3512)
- Scrub creds from worker logs [\#3507](https://github.com/habitat-sh/habitat/issues/3507)
- Builder should not use studiorc - studio build inside of worker should ignore these [\#3503](https://github.com/habitat-sh/habitat/issues/3503)
- Create API for retrieving all projects for an origin [\#3430](https://github.com/habitat-sh/habitat/issues/3430)
- Scrub docs for broken links, add in redirects [\#3407](https://github.com/habitat-sh/habitat/issues/3407)
- Make sure builder-worker can still use the private key it fetches [\#3396](https://github.com/habitat-sh/habitat/issues/3396)
- The repo list in the project create flow should include private repos [\#3386](https://github.com/habitat-sh/habitat/issues/3386)
- Support rescinding and ignoring invitations [\#3382](https://github.com/habitat-sh/habitat/issues/3382)
- Encrypt/decrypt GH access tokens used for private repos [\#3378](https://github.com/habitat-sh/habitat/issues/3378)
- Integrate docker publish output into builder output log [\#3343](https://github.com/habitat-sh/habitat/issues/3343)
- Integrate new docker publish into builder-worker [\#3342](https://github.com/habitat-sh/habitat/issues/3342)
- \[Builder\] Remove access to jobs build endpoint [\#3322](https://github.com/habitat-sh/habitat/issues/3322)
- Capture GH username and auth token on project create [\#3321](https://github.com/habitat-sh/habitat/issues/3321)
- \[UI\] Point Build button back to scheduler endpoint [\#3319](https://github.com/habitat-sh/habitat/issues/3319)
- \[builder\] Need to be able to store per-project settings [\#3140](https://github.com/habitat-sh/habitat/issues/3140)
- Remove member from Origin [\#2943](https://github.com/habitat-sh/habitat/issues/2943)
- Visualize publish phases in UI [\#2898](https://github.com/habitat-sh/habitat/issues/2898)
- Support for Private GitHub Repos [\#2888](https://github.com/habitat-sh/habitat/issues/2888)
- Private "Projects" in Origin [\#2867](https://github.com/habitat-sh/habitat/issues/2867)
- Update cert for app.acceptance.habitat.sh [\#2350](https://github.com/habitat-sh/habitat/issues/2350)
- Builder: GitHub Webhook [\#1857](https://github.com/habitat-sh/habitat/issues/1857)
- Update bootstrap script in light of installer refactorings [\#3592](https://github.com/habitat-sh/habitat/pull/3592) ([christophermaier](https://github.com/christophermaier))
- \[pkg-cfize\] Finish integrating Cloud Foundry exporter into release [\#3590](https://github.com/habitat-sh/habitat/pull/3590) ([fnichol](https://github.com/fnichol))
- Set a sensible default for `archive.backend` config option in JobSrv [\#3585](https://github.com/habitat-sh/habitat/pull/3585) ([reset](https://github.com/reset))
- minor binlink doc changes [\#3576](https://github.com/habitat-sh/habitat/pull/3576) ([echohack](https://github.com/echohack))
- minor binlink doc changes [\#3576](https://github.com/habitat-sh/habitat/pull/3576) ([echohack](https://github.com/echohack))
- \[ci\] Purge pre-existing origin keys before building. [\#3568](https://github.com/habitat-sh/habitat/pull/3568) ([fnichol](https://github.com/fnichol))
- \[ci\] Big cleanup of Travis jobs. [\#3565](https://github.com/habitat-sh/habitat/pull/3565) ([fnichol](https://github.com/fnichol))
- fix broken unit test after sessionsrv refactor [\#3562](https://github.com/habitat-sh/habitat/pull/3562) ([mwrock](https://github.com/mwrock))
- Added 'none' to the 'Update Strategies' content [\#3558](https://github.com/habitat-sh/habitat/pull/3558) ([davidwrede](https://github.com/davidwrede))
- Fix dashboard script parsing failure [\#3553](https://github.com/habitat-sh/habitat/pull/3553) ([chefsalim](https://github.com/chefsalim))
- Updated description for the web app guide [\#3551](https://github.com/habitat-sh/habitat/pull/3551) ([davidwrede](https://github.com/davidwrede))
- Update CLI [\#3549](https://github.com/habitat-sh/habitat/pull/3549) ([tashimi](https://github.com/tashimi))
- Add link for spdx [\#3548](https://github.com/habitat-sh/habitat/pull/3548) ([tashimi](https://github.com/tashimi))
- \[plan-build\] Update `\_latest\_installed\_package\(\)` to use `hab pkg path`. [\#3535](https://github.com/habitat-sh/habitat/pull/3535) ([fnichol](https://github.com/fnichol))
- \[git\] Lexically sort `.gitignore` & add `./secrets/` directory to Git. [\#3531](https://github.com/habitat-sh/habitat/pull/3531) ([fnichol](https://github.com/fnichol))
- \[studio\] Attempt to import public origin keys into Studios. [\#3530](https://github.com/habitat-sh/habitat/pull/3530) ([fnichol](https://github.com/fnichol))
- \[builder-worker\] Redact Docker creds from debug logging. [\#3529](https://github.com/habitat-sh/habitat/pull/3529) ([fnichol](https://github.com/fnichol))
- Update nginx logging and add log rotation [\#3525](https://github.com/habitat-sh/habitat/pull/3525) ([chefsalim](https://github.com/chefsalim))
- Link key cache into Docker export root filesystem [\#3524](https://github.com/habitat-sh/habitat/pull/3524) ([christophermaier](https://github.com/christophermaier))
- Update CLI docs, add HAB\_BLDR\_CHANNEL [\#3523](https://github.com/habitat-sh/habitat/pull/3523) ([tashimi](https://github.com/tashimi))
- Scrub secure info from job logs [\#3520](https://github.com/habitat-sh/habitat/pull/3520) ([chefsalim](https://github.com/chefsalim))
- \[pkg-export-docker\] Binlink all binaries in provided packages. [\#3517](https://github.com/habitat-sh/habitat/pull/3517) ([fnichol](https://github.com/fnichol))
- Add additional plans to bldr.toml [\#3511](https://github.com/habitat-sh/habitat/pull/3511) ([reset](https://github.com/reset))
- \[studio\] Only honor `.studiorc` in `hab studio enter`. [\#3508](https://github.com/habitat-sh/habitat/pull/3508) ([fnichol](https://github.com/fnichol))
- \[builder-worker\] Remove `DOCKER` feature flag. [\#3490](https://github.com/habitat-sh/habitat/pull/3490) ([fnichol](https://github.com/fnichol))
- Re-enable feature flag activation on session create [\#3483](https://github.com/habitat-sh/habitat/pull/3483) ([reset](https://github.com/reset))
- Add endpoint to Builder-API for authenticated GitHub code searches [\#3462](https://github.com/habitat-sh/habitat/pull/3462) ([reset](https://github.com/reset))
- adds api for deleting an origin member [\#3461](https://github.com/habitat-sh/habitat/pull/3461) ([mwrock](https://github.com/mwrock))
- Use GitHub App integration over OAuth App for authentication [\#3459](https://github.com/habitat-sh/habitat/pull/3459) ([reset](https://github.com/reset))
- \[builder-worker\] Consume integrations data for Docker exporter. [\#3450](https://github.com/habitat-sh/habitat/pull/3450) ([fnichol](https://github.com/fnichol))
- Last of the broken links [\#3447](https://github.com/habitat-sh/habitat/pull/3447) ([davidwrede](https://github.com/davidwrede))
- Finish plan linkage and Docker settings submission [\#3444](https://github.com/habitat-sh/habitat/pull/3444) ([cnunciato](https://github.com/cnunciato))
- \[builder-worker\] Add initial support for Docker exporting. [\#3443](https://github.com/habitat-sh/habitat/pull/3443) ([fnichol](https://github.com/fnichol))
- Process GitHub Push Hook notifications [\#3442](https://github.com/habitat-sh/habitat/pull/3442) ([reset](https://github.com/reset))
- Add API to retrieve list of project names [\#3439](https://github.com/habitat-sh/habitat/pull/3439) ([chefsalim](https://github.com/chefsalim))
- Fixing more broken links [\#3427](https://github.com/habitat-sh/habitat/pull/3427) ([davidwrede](https://github.com/davidwrede))
- Add an API for toggling package visibility [\#3423](https://github.com/habitat-sh/habitat/pull/3423) ([raskchanky](https://github.com/raskchanky))
- cf-exporter [\#3262](https://github.com/habitat-sh/habitat/pull/3262) ([bodymindarts](https://github.com/bodymindarts))

## Bug fixes

- Acceptance: uploads by Builder are triggering scheduled builds [\#3564](https://github.com/habitat-sh/habitat/issues/3564)
- Users removed from an origin must also be removed from acount\_origins in sessionsrv [\#3513](https://github.com/habitat-sh/habitat/issues/3513)
- Show organization name instead of id when picking github repo for connecting plan [\#3504](https://github.com/habitat-sh/habitat/issues/3504)
- \[pkg-export-docker\] Lowercase image name & custom tag [\#3497](https://github.com/habitat-sh/habitat/issues/3497)
- Validate GitHub webhook payload before processing notification [\#3489](https://github.com/habitat-sh/habitat/issues/3489)
- Validate project's repo on notification before scheduling a build [\#3488](https://github.com/habitat-sh/habitat/issues/3488)
- `hab` leaves a `results` directory with root permissions that then cannot be removed without sudo rights. [\#3445](https://github.com/habitat-sh/habitat/issues/3445)
- Search seems broken [\#3435](https://github.com/habitat-sh/habitat/issues/3435)
- Cant create job when no package has been uploaded [\#3391](https://github.com/habitat-sh/habitat/issues/3391)
- \[hab\] hab job promote can flag incorrect failed idents [\#3139](https://github.com/habitat-sh/habitat/issues/3139)
- Update bootstrap script in light of installer refactorings [\#3592](https://github.com/habitat-sh/habitat/pull/3592) ([christophermaier](https://github.com/christophermaier))
- Fix mispelling of bldrSessionToken [\#3589](https://github.com/habitat-sh/habitat/pull/3589) ([reset](https://github.com/reset))
- Use REQ socket for RouteClient - fix reply ordering [\#3588](https://github.com/habitat-sh/habitat/pull/3588) ([reset](https://github.com/reset))
- Generate a txn-id when generating new synchronous requests [\#3584](https://github.com/habitat-sh/habitat/pull/3584) ([reset](https://github.com/reset))
- Fix session hijacking issue after changing to GitHub App authentication [\#3536](https://github.com/habitat-sh/habitat/pull/3536) ([reset](https://github.com/reset))
- \\[plan-build\\] Update `\\_latest\\_installed\\_package\\(\\)` to use `hab pkg path`. [\#3535](https://github.com/habitat-sh/habitat/pull/3535) ([fnichol](https://github.com/fnichol))
- \[studio,plan-build\] Set ownership on `./results/` to not be root. [\#3533](https://github.com/habitat-sh/habitat/pull/3533) ([fnichol](https://github.com/fnichol))
- \[plan-build\] Fix `PATH` metafile content when `pkg\_version\(\)` is used. [\#3532](https://github.com/habitat-sh/habitat/pull/3532) ([fnichol](https://github.com/fnichol))
- Fix search [\#3527](https://github.com/habitat-sh/habitat/pull/3527) ([cnunciato](https://github.com/cnunciato))
- Set cookie domain to all hostname elements excluding the first [\#3519](https://github.com/habitat-sh/habitat/pull/3519) ([reset](https://github.com/reset))
- Check project visibility, not origin, when retrieving job logs [\#3502](https://github.com/habitat-sh/habitat/pull/3502) ([reset](https://github.com/reset))
- \[pkg-export-docker\] Ensure image name & custom tag are lowercased. [\#3501](https://github.com/habitat-sh/habitat/pull/3501) ([fnichol](https://github.com/fnichol))
- Search for origin by name and not project name [\#3493](https://github.com/habitat-sh/habitat/pull/3493) ([reset](https://github.com/reset))
- Fix false not found error when streaming log output [\#3492](https://github.com/habitat-sh/habitat/pull/3492) ([reset](https://github.com/reset))
- \[pkg-export-docker\] Exit \(abort\) when `docker` commands fail. [\#3491](https://github.com/habitat-sh/habitat/pull/3491) ([fnichol](https://github.com/fnichol))
- \[builder-worker\] Set image name. [\#3487](https://github.com/habitat-sh/habitat/pull/3487) ([fnichol](https://github.com/fnichol))
- Fix parsing plan files in notification hook [\#3486](https://github.com/habitat-sh/habitat/pull/3486) ([reset](https://github.com/reset))
- Don't cache response for integration names [\#3481](https://github.com/habitat-sh/habitat/pull/3481) ([chefsalim](https://github.com/chefsalim))
- Clear installations on load, use consistent naming [\#3474](https://github.com/habitat-sh/habitat/pull/3474) ([cnunciato](https://github.com/cnunciato))

**Closed issues:**

- GitHub WebHook 422 [\#3479](https://github.com/habitat-sh/habitat/issues/3479)
- Builder Worker authentication [\#3478](https://github.com/habitat-sh/habitat/issues/3478)
- Integrations not deleting [\#3476](https://github.com/habitat-sh/habitat/issues/3476)
- Update the export command on the tutorials [\#3467](https://github.com/habitat-sh/habitat/issues/3467)
- \[core-plans\] Fix failing core plans [\#2603](https://github.com/habitat-sh/habitat/issues/2603)

**Merged pull requests:**

- Fix field in debug Job output [\#3587](https://github.com/habitat-sh/habitat/pull/3587) ([chefsalim](https://github.com/chefsalim))
- Add instructions for updating the Homebrew tap [\#3583](https://github.com/habitat-sh/habitat/pull/3583) ([christophermaier](https://github.com/christophermaier))
- Update defaults for builder depot [\#3582](https://github.com/habitat-sh/habitat/pull/3582) ([chefsalim](https://github.com/chefsalim))
- Update builder dev doc [\#3581](https://github.com/habitat-sh/habitat/pull/3581) ([chefsalim](https://github.com/chefsalim))
- Add back check that was inadvertently removed [\#3573](https://github.com/habitat-sh/habitat/pull/3573) ([chefsalim](https://github.com/chefsalim))
- Only show the export and run commands for services [\#3572](https://github.com/habitat-sh/habitat/pull/3572) ([cnunciato](https://github.com/cnunciato))
- Support package visibility settings [\#3571](https://github.com/habitat-sh/habitat/pull/3571) ([cnunciato](https://github.com/cnunciato))
- Authenticate web hooks [\#3570](https://github.com/habitat-sh/habitat/pull/3570) ([raskchanky](https://github.com/raskchanky))
- owners cannot remove themselves [\#3569](https://github.com/habitat-sh/habitat/pull/3569) ([mwrock](https://github.com/mwrock))
- Workaround to auth with github token [\#3566](https://github.com/habitat-sh/habitat/pull/3566) ([chefsalim](https://github.com/chefsalim))
- Fetch integrations on origin load [\#3550](https://github.com/habitat-sh/habitat/pull/3550) ([cnunciato](https://github.com/cnunciato))
- Fix spelling mistake from last commit [\#3546](https://github.com/habitat-sh/habitat/pull/3546) ([reset](https://github.com/reset))
- Use GitHub token to read files from remote instead of our own token [\#3545](https://github.com/habitat-sh/habitat/pull/3545) ([reset](https://github.com/reset))
- Add builder-web as build trigger for builder-api in bldr.toml [\#3544](https://github.com/habitat-sh/habitat/pull/3544) ([reset](https://github.com/reset))
- Use GitHub API token for querying installations [\#3543](https://github.com/habitat-sh/habitat/pull/3543) ([reset](https://github.com/reset))
- Send correct session token when querying for files in GitHub [\#3541](https://github.com/habitat-sh/habitat/pull/3541) ([reset](https://github.com/reset))
- Fix broken login components in web ui [\#3540](https://github.com/habitat-sh/habitat/pull/3540) ([reset](https://github.com/reset))
- Pipe bldr session token into builder-web state [\#3539](https://github.com/habitat-sh/habitat/pull/3539) ([reset](https://github.com/reset))
- Fix casing on import in sessions.ts [\#3538](https://github.com/habitat-sh/habitat/pull/3538) ([reset](https://github.com/reset))
- Move VCS related code back to worker crate from bldr core [\#3537](https://github.com/habitat-sh/habitat/pull/3537) ([reset](https://github.com/reset))
- Fix dev and acceptance URLs for Builder [\#3528](https://github.com/habitat-sh/habitat/pull/3528) ([cnunciato](https://github.com/cnunciato))
- Validate that the repository URL from GH matches what's in our project [\#3522](https://github.com/habitat-sh/habitat/pull/3522) ([raskchanky](https://github.com/raskchanky))
- removed members should also be removed from account\_origins [\#3518](https://github.com/habitat-sh/habitat/pull/3518) ([mwrock](https://github.com/mwrock))
- Manage origin members and invitations [\#3516](https://github.com/habitat-sh/habitat/pull/3516) ([cnunciato](https://github.com/cnunciato))
- correct the private key path in the dev doc [\#3514](https://github.com/habitat-sh/habitat/pull/3514) ([mwrock](https://github.com/mwrock))
- Show the org name instead of id when displaying installed apps [\#3506](https://github.com/habitat-sh/habitat/pull/3506) ([raskchanky](https://github.com/raskchanky))
- Fix deserialization of some GitHub Webhook messages [\#3485](https://github.com/habitat-sh/habitat/pull/3485) ([reset](https://github.com/reset))
- Pass token with projects and builds requests [\#3475](https://github.com/habitat-sh/habitat/pull/3475) ([cnunciato](https://github.com/cnunciato))
- Use appropriate config key name for app private key [\#3473](https://github.com/habitat-sh/habitat/pull/3473) ([reset](https://github.com/reset))
- Updated export to docker snippets + text [\#3471](https://github.com/habitat-sh/habitat/pull/3471) ([davidwrede](https://github.com/davidwrede))
- GitHub type fix [\#3470](https://github.com/habitat-sh/habitat/pull/3470) ([cnunciato](https://github.com/cnunciato))
- Switch to GitHub apps [\#3466](https://github.com/habitat-sh/habitat/pull/3466) ([cnunciato](https://github.com/cnunciato))
- Added remaining redirects from previous doc topics [\#3464](https://github.com/habitat-sh/habitat/pull/3464) ([davidwrede](https://github.com/davidwrede))
- Add ability to get shard for account id [\#3460](https://github.com/habitat-sh/habitat/pull/3460) ([chefsalim](https://github.com/chefsalim))
- Rename bldr.toml to .bldr.toml [\#3458](https://github.com/habitat-sh/habitat/pull/3458) ([chefsalim](https://github.com/chefsalim))
- Makes docs sidebar collapsible [\#3457](https://github.com/habitat-sh/habitat/pull/3457) ([ryankeairns](https://github.com/ryankeairns))
- Rename bldr.toml to .bldr.toml [\#3455](https://github.com/habitat-sh/habitat/pull/3455) ([chefsalim](https://github.com/chefsalim))
- Tool to create bldr.toml file [\#3451](https://github.com/habitat-sh/habitat/pull/3451) ([chefsalim](https://github.com/chefsalim))
- Adding in redirects from old links to new topics/sections [\#3449](https://github.com/habitat-sh/habitat/pull/3449) ([davidwrede](https://github.com/davidwrede))
- Fixes www build error for bad link [\#3446](https://github.com/habitat-sh/habitat/pull/3446) ([ryankeairns](https://github.com/ryankeairns))
- Bump 0.35.0-dev [\#3440](https://github.com/habitat-sh/habitat/pull/3440) ([reset](https://github.com/reset))
- persist github installation id for private repos and clone with its auth token [\#3428](https://github.com/habitat-sh/habitat/pull/3428) ([mwrock](https://github.com/mwrock))

## [0.34.1](https://github.com/habitat-sh/habitat/tree/0.34.1) (10-01-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.34.0...0.34.1)

## Features & Enhancements

- Account for binlink --force change throughout codebase [\#3323](https://github.com/habitat-sh/habitat/issues/3323)
- Add docker integration functionality to builder-web [\#3109](https://github.com/habitat-sh/habitat/issues/3109)
- Key Generation in Web UI [\#2899](https://github.com/habitat-sh/habitat/issues/2899)
- \[builder-web\] Project create [\#2889](https://github.com/habitat-sh/habitat/issues/2889)
- add link to the core-plans [\#1900](https://github.com/habitat-sh/habitat/issues/1900)
- Document `hab pkg header` [\#1735](https://github.com/habitat-sh/habitat/issues/1735)
- Fixes core plans link in README [\#3434](https://github.com/habitat-sh/habitat/pull/3434) ([rsertelon](https://github.com/rsertelon))
- \[builder-worker\] Preparatory refactoring for exporters in workers [\#3432](https://github.com/habitat-sh/habitat/pull/3432) ([fnichol](https://github.com/fnichol))
- \[jobsrv\] Export `log\_port` for discovery by workers. [\#3424](https://github.com/habitat-sh/habitat/pull/3424) ([fnichol](https://github.com/fnichol))
- Refactor net::oauth::github module into github-api-client crate [\#3422](https://github.com/habitat-sh/habitat/pull/3422) ([reset](https://github.com/reset))
- Build & publish Supervisor package last when releasing. [\#3421](https://github.com/habitat-sh/habitat/pull/3421) ([fnichol](https://github.com/fnichol))
- Bump VERSION to 0.35.0-dev. [\#3419](https://github.com/habitat-sh/habitat/pull/3419) ([fnichol](https://github.com/fnichol))
- Make origin secret key fetch work again [\#3417](https://github.com/habitat-sh/habitat/pull/3417) ([chefsalim](https://github.com/chefsalim))
- Temporarily use old & new forms of `hab pkg binlink`. [\#3411](https://github.com/habitat-sh/habitat/pull/3411) ([fnichol](https://github.com/fnichol))

## Bug fixes

- Bug fix in Hab CLI setup instruction: GitHub access token scope missing [\#1913](https://github.com/habitat-sh/habitat/issues/1913)
- \[pkg-export-docker\] Build in runtime ident for Docker package. [\#3437](https://github.com/habitat-sh/habitat/pull/3437) ([fnichol](https://github.com/fnichol))
- Store Session in memory instead of database [\#3436](https://github.com/habitat-sh/habitat/pull/3436) ([reset](https://github.com/reset))
- \[sup\] Install a package only if missing for `start` & `load`. [\#3425](https://github.com/habitat-sh/habitat/pull/3425) ([fnichol](https://github.com/fnichol))
- \[bintray-publish\] Fix a couple of issues used when releasing. [\#3420](https://github.com/habitat-sh/habitat/pull/3420) ([fnichol](https://github.com/fnichol))

**Merged pull requests:**

- Fix JSON parsing when retrieving project integration [\#3431](https://github.com/habitat-sh/habitat/pull/3431) ([chefsalim](https://github.com/chefsalim))
- Fixing links in partials [\#3429](https://github.com/habitat-sh/habitat/pull/3429) ([tashimi](https://github.com/tashimi))
- fix repo deserialization regression [\#3426](https://github.com/habitat-sh/habitat/pull/3426) ([mwrock](https://github.com/mwrock))
- Don't print UI messages from updater threads [\#3418](https://github.com/habitat-sh/habitat/pull/3418) ([christophermaier](https://github.com/christophermaier))
- Fixing typos, updating language, fixing broken headers [\#3416](https://github.com/habitat-sh/habitat/pull/3416) ([tashimi](https://github.com/tashimi))
- Capitalized 'Supervisor' in content and project code [\#3415](https://github.com/habitat-sh/habitat/pull/3415) ([davidwrede](https://github.com/davidwrede))
- Allow scheduler to build projects that are not known to the graph [\#3414](https://github.com/habitat-sh/habitat/pull/3414) ([chefsalim](https://github.com/chefsalim))
- Add key generation to Builder UI [\#3413](https://github.com/habitat-sh/habitat/pull/3413) ([cnunciato](https://github.com/cnunciato))
- Add optional auth to job logs [\#3408](https://github.com/habitat-sh/habitat/pull/3408) ([raskchanky](https://github.com/raskchanky))

## [0.34.0](https://github.com/habitat-sh/habitat/tree/0.34.0) (09-30-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.33.2...0.34.0)

## Features & Enhancements

- Show Docker integration when configured, allow edit and delete [\#3368](https://github.com/habitat-sh/habitat/issues/3368)
- Need API endpoint for ignore invitation [\#3282](https://github.com/habitat-sh/habitat/issues/3282)
- \[builder\] Enable building non-core packages [\#3138](https://github.com/habitat-sh/habitat/issues/3138)
- Project Documentation Overhall [\#3127](https://github.com/habitat-sh/habitat/issues/3127)
- Project Documentation Overhall [\#3127](https://github.com/habitat-sh/habitat/issues/3127)
- Conditional view with slide toggle [\#3075](https://github.com/habitat-sh/habitat/issues/3075)
- Form progress breadcrumb component [\#3074](https://github.com/habitat-sh/habitat/issues/3074)
- Advanced application lifecycle hooks documentation [\#2881](https://github.com/habitat-sh/habitat/issues/2881)
- Create advanced "Scaffolding" docs [\#2880](https://github.com/habitat-sh/habitat/issues/2880)
- Create new "Getting Started" docs [\#2879](https://github.com/habitat-sh/habitat/issues/2879)
- Pagination on Community Events Page [\#2564](https://github.com/habitat-sh/habitat/issues/2564)
- Export / Run multiple services in 1 container [\#2086](https://github.com/habitat-sh/habitat/issues/2086)
- Setup SumoLogic to aggregate Builder service logs [\#1841](https://github.com/habitat-sh/habitat/issues/1841)
- load test the build system with individual packages [\#1840](https://github.com/habitat-sh/habitat/issues/1840)
- send aggregated data to metrics system [\#1839](https://github.com/habitat-sh/habitat/issues/1839)
- Remove dependency on docker daemon to export docker images [\#1778](https://github.com/habitat-sh/habitat/issues/1778)
- Add advanced plan writing guide [\#3410](https://github.com/habitat-sh/habitat/pull/3410) ([tashimi](https://github.com/tashimi))
- \[builder-worker\] Remove unused `\[datastore\]` from `config.toml`. [\#3405](https://github.com/habitat-sh/habitat/pull/3405) ([fnichol](https://github.com/fnichol))
- \[hab\] Add Gradle Scaffolding support to `hab plan init`. [\#3402](https://github.com/habitat-sh/habitat/pull/3402) ([fnichol](https://github.com/fnichol))
- \[tools\] Add hab-channel-list-pkgs.sh. [\#3401](https://github.com/habitat-sh/habitat/pull/3401) ([fnichol](https://github.com/fnichol))
- \[Builder\] Run the development container in privileged mode. [\#3400](https://github.com/habitat-sh/habitat/pull/3400) ([fnichol](https://github.com/fnichol))
- Replace manual rendering of net errors in depot handlers with auto [\#3390](https://github.com/habitat-sh/habitat/pull/3390) ([reset](https://github.com/reset))
- Show and delete a Docker integration [\#3376](https://github.com/habitat-sh/habitat/pull/3376) ([cnunciato](https://github.com/cnunciato))
- Use long arg form for Supervisor auto update in .envrc. [\#3375](https://github.com/habitat-sh/habitat/pull/3375) ([fnichol](https://github.com/fnichol))
- add endpoint for generating origin keys [\#3373](https://github.com/habitat-sh/habitat/pull/3373) ([mwrock](https://github.com/mwrock))
- Display default package visibility for origins [\#3361](https://github.com/habitat-sh/habitat/pull/3361) ([cnunciato](https://github.com/cnunciato))
- Add scaffolding-gradle [\#3360](https://github.com/habitat-sh/habitat/pull/3360) ([tashimi](https://github.com/tashimi))
- Add scaffolding-gradle [\#3360](https://github.com/habitat-sh/habitat/pull/3360) ([tashimi](https://github.com/tashimi))
- Refactor package installation [\#3344](https://github.com/habitat-sh/habitat/pull/3344) ([christophermaier](https://github.com/christophermaier))
- Ignore all `results/` directories in `.gitignore`. [\#3337](https://github.com/habitat-sh/habitat/pull/3337) ([fnichol](https://github.com/fnichol))
- Wire `hab-pkg-export-docker` into `hab` & setup for building. [\#3334](https://github.com/habitat-sh/habitat/pull/3334) ([fnichol](https://github.com/fnichol))
- Fix Terraform resource churn on API instances [\#3331](https://github.com/habitat-sh/habitat/pull/3331) ([reset](https://github.com/reset))
- Switch Build button to scheduler API [\#3330](https://github.com/habitat-sh/habitat/pull/3330) ([chefsalim](https://github.com/chefsalim))
- Merge `api\_url` and `bldr\_url` Terraform variables [\#3326](https://github.com/habitat-sh/habitat/pull/3326) ([reset](https://github.com/reset))
- Add automated make task for generating bootstrap bundles [\#3302](https://github.com/habitat-sh/habitat/pull/3302) ([reset](https://github.com/reset))
- New web app guide using Ruby scaffolding [\#3108](https://github.com/habitat-sh/habitat/pull/3108) ([davidwrede](https://github.com/davidwrede))
- \[api-proxy\] Access logging should include originating client IP. [\#3063](https://github.com/habitat-sh/habitat/pull/3063) ([fnichol](https://github.com/fnichol))

## Bug fixes

- "the input device is not a TTY" on build [\#3325](https://github.com/habitat-sh/habitat/issues/3325)
- Failed to load origins flashes before loading origins [\#3314](https://github.com/habitat-sh/habitat/issues/3314)
- \[Builder-Web\] `latest stable` in UI is pointing to latest package [\#3305](https://github.com/habitat-sh/habitat/issues/3305)
- Package search response has incorrect total count [\#3245](https://github.com/habitat-sh/habitat/issues/3245)
- project\_create appears to return `package\_name` in quotes [\#3236](https://github.com/habitat-sh/habitat/issues/3236)
- Refactor accounts and sessions [\#3216](https://github.com/habitat-sh/habitat/issues/3216)
- Pagination on certain API endpoints is broken [\#3207](https://github.com/habitat-sh/habitat/issues/3207)
- Rolling strategy fails to apply when RUST\_LOG is at debug [\#2955](https://github.com/habitat-sh/habitat/issues/2955)
- \[Builder\] Drop `depot` bind for scheduler in development container. [\#3399](https://github.com/habitat-sh/habitat/pull/3399) ([fnichol](https://github.com/fnichol))
- \[Builder\] Update hab-entrypoint.sh so that Launcher is PID 1. [\#3398](https://github.com/habitat-sh/habitat/pull/3398) ([fnichol](https://github.com/fnichol))
- \[Builder\] Drop `/v1` from `app\_url` when building dev container. [\#3397](https://github.com/habitat-sh/habitat/pull/3397) ([fnichol](https://github.com/fnichol))
- Fix RouteClient socket state issue when routing to self [\#3389](https://github.com/habitat-sh/habitat/pull/3389) ([reset](https://github.com/reset))
- Link to Versions when there’s no latest stable [\#3364](https://github.com/habitat-sh/habitat/pull/3364) ([cnunciato](https://github.com/cnunciato))
- The router only exports `port` now [\#3357](https://github.com/habitat-sh/habitat/pull/3357) ([christophermaier](https://github.com/christophermaier))
- Strip quotes from package name when creating project [\#3352](https://github.com/habitat-sh/habitat/pull/3352) ([chefsalim](https://github.com/chefsalim))
- \[studio/docker\] Drop `-ti` from Docker command when calling `hab pkg build`. [\#3336](https://github.com/habitat-sh/habitat/pull/3336) ([fnichol](https://github.com/fnichol))
- \[hab\] Add default `pkg\_version` when using `hab plan init`. [\#3335](https://github.com/habitat-sh/habitat/pull/3335) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- Studio supervisor not using latest version of package [\#3329](https://github.com/habitat-sh/habitat/issues/3329)
- \[www\] Add new demo flow [\#3318](https://github.com/habitat-sh/habitat/issues/3318)
- CSS, JS and layout cleanup in the Origins section [\#3315](https://github.com/habitat-sh/habitat/issues/3315)
- Default API URL no longer handles `/depot` suffix [\#3313](https://github.com/habitat-sh/habitat/issues/3313)
- Easily expose full Habitat package identity [\#3311](https://github.com/habitat-sh/habitat/issues/3311)
- Update docs to be more clear [\#3241](https://github.com/habitat-sh/habitat/issues/3241)
- Tracking Issue - Refactoring scaffolding-node to define dependency of core/node in the plan.sh  [\#3206](https://github.com/habitat-sh/habitat/issues/3206)
- Tracking Issue - Update core/scaffolding-node to latest Node LTS release  [\#3205](https://github.com/habitat-sh/habitat/issues/3205)
- Tracking Issue - Update Node to the latest LTS [\#3070](https://github.com/habitat-sh/habitat/issues/3070)
- Tracking Issue - Reduce NodeJS build time by aprox 50% [\#3067](https://github.com/habitat-sh/habitat/issues/3067)
- \[builder-web\] Add ability to enter docker credentials for an origin [\#3035](https://github.com/habitat-sh/habitat/issues/3035)
- Get depot handlers \(and other broker consumers\) in a testable state [\#1970](https://github.com/habitat-sh/habitat/issues/1970)

**Merged pull requests:**

- Add API for per-project integrations [\#3395](https://github.com/habitat-sh/habitat/pull/3395) ([chefsalim](https://github.com/chefsalim))
- update builder dev doc [\#3393](https://github.com/habitat-sh/habitat/pull/3393) ([mwrock](https://github.com/mwrock))
- Have the secret key API endpoint return a file like the public one does [\#3388](https://github.com/habitat-sh/habitat/pull/3388) ([raskchanky](https://github.com/raskchanky))
- Update origin privacy settings [\#3381](https://github.com/habitat-sh/habitat/pull/3381) ([cnunciato](https://github.com/cnunciato))
- Add nginx integration with Datadog on the API node [\#3380](https://github.com/habitat-sh/habitat/pull/3380) ([chefsalim](https://github.com/chefsalim))
- Add APIs for ignoring and rescinding origin invitations [\#3379](https://github.com/habitat-sh/habitat/pull/3379) ([raskchanky](https://github.com/raskchanky))
- fixing formatting error in butterfly [\#3377](https://github.com/habitat-sh/habitat/pull/3377) ([mwrock](https://github.com/mwrock))
- Updates to the Habitat builder cli commands [\#3372](https://github.com/habitat-sh/habitat/pull/3372) ([chefsalim](https://github.com/chefsalim))
- separate key file rendering from key generation to separate method [\#3370](https://github.com/habitat-sh/habitat/pull/3370) ([mwrock](https://github.com/mwrock))
- Update dev instruction for builder keys [\#3365](https://github.com/habitat-sh/habitat/pull/3365) ([chefsalim](https://github.com/chefsalim))
- Mount configurable EBS volume for datastore and API [\#3362](https://github.com/habitat-sh/habitat/pull/3362) ([reset](https://github.com/reset))
- Update the package sidebar to pull the latest stable [\#3359](https://github.com/habitat-sh/habitat/pull/3359) ([cnunciato](https://github.com/cnunciato))
- Redirect /docs/try to /tutorials/download [\#3358](https://github.com/habitat-sh/habitat/pull/3358) ([cnunciato](https://github.com/cnunciato))
- Fix origins errors [\#3356](https://github.com/habitat-sh/habitat/pull/3356) ([cnunciato](https://github.com/cnunciato))
- appease windows compile warning [\#3350](https://github.com/habitat-sh/habitat/pull/3350) ([mwrock](https://github.com/mwrock))
- Fix pagination for queries that span shards [\#3347](https://github.com/habitat-sh/habitat/pull/3347) ([raskchanky](https://github.com/raskchanky))
- Various origins UI fixes [\#3346](https://github.com/habitat-sh/habitat/pull/3346) ([cnunciato](https://github.com/cnunciato))
- Fix bug for SSL [\#3333](https://github.com/habitat-sh/habitat/pull/3333) ([chefsalim](https://github.com/chefsalim))
- fix hab pkg exec inside windows studio \(redux\) [\#3327](https://github.com/habitat-sh/habitat/pull/3327) ([mwrock](https://github.com/mwrock))
- Add nginx status and logging for builder API [\#3324](https://github.com/habitat-sh/habitat/pull/3324) ([chefsalim](https://github.com/chefsalim))
- Bump VERSION to 0.34.0-dev. [\#3310](https://github.com/habitat-sh/habitat/pull/3310) ([fnichol](https://github.com/fnichol))
- Refactor accounts and sessions to be on separate shards [\#3271](https://github.com/habitat-sh/habitat/pull/3271) ([raskchanky](https://github.com/raskchanky))
- Point of clarification for rolling updates [\#3252](https://github.com/habitat-sh/habitat/pull/3252) ([tashimi](https://github.com/tashimi))
- Adding clarity to the fact a callback is a way to override a build phase [\#3250](https://github.com/habitat-sh/habitat/pull/3250) ([tashimi](https://github.com/tashimi))
- Add --force option to hab pkg binlink [\#3248](https://github.com/habitat-sh/habitat/pull/3248) ([echohack](https://github.com/echohack))

## [0.33.2](https://github.com/habitat-sh/habitat/tree/0.33.2) (09-25-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.33.1...0.33.2)

## Bug fixes

- Revert \#3232 & related fix in \#3306 [\#3308](https://github.com/habitat-sh/habitat/pull/3308) ([fnichol](https://github.com/fnichol))

## [0.33.1](https://github.com/habitat-sh/habitat/tree/0.33.1) (09-25-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.33.0...0.33.1)

## Features & Enhancements

- Enable project creation in the Package Settings tab [\#3269](https://github.com/habitat-sh/habitat/issues/3269)
- Add Link to Status Page to Habitat Navigation menu [\#2823](https://github.com/habitat-sh/habitat/issues/2823)
- Add patchelf warning [\#3255](https://github.com/habitat-sh/habitat/pull/3255) ([tashimi](https://github.com/tashimi))

## Bug fixes

- Hide content of Latest tab until package details are available [\#3292](https://github.com/habitat-sh/habitat/issues/3292)
- Supervisor Seems to be having issues starting multiple services after 0.26 [\#2782](https://github.com/habitat-sh/habitat/issues/2782)
- Fix race condition in loading/unloading services [\#3306](https://github.com/habitat-sh/habitat/pull/3306) ([reset](https://github.com/reset))
- Remove old static content before copying new in builder-api init hook [\#3304](https://github.com/habitat-sh/habitat/pull/3304) ([reset](https://github.com/reset))
- Improve dead peer detection in RouteSrv and App [\#3300](https://github.com/habitat-sh/habitat/pull/3300) ([reset](https://github.com/reset))
- Fix for router registration expiry [\#3298](https://github.com/habitat-sh/habitat/pull/3298) ([reset](https://github.com/reset))
- fix hab pkg exec inside windows studio [\#3232](https://github.com/habitat-sh/habitat/pull/3232) ([mwrock](https://github.com/mwrock))

**Closed issues:**

- Automate Git Credentials in the Studio [\#3297](https://github.com/habitat-sh/habitat/issues/3297)
- Duplicate platform icons in the Versions tab [\#3290](https://github.com/habitat-sh/habitat/issues/3290)

**Merged pull requests:**

- Version 0.33.1 [\#3307](https://github.com/habitat-sh/habitat/pull/3307) ([reset](https://github.com/reset))
- Use appropriate variable name for instance tuning in Terraform files [\#3301](https://github.com/habitat-sh/habitat/pull/3301) ([reset](https://github.com/reset))
- Add note about maintenance windows [\#3299](https://github.com/habitat-sh/habitat/pull/3299) ([tashimi](https://github.com/tashimi))
- Link Builder to /pkgs, Fix link name in www nav [\#3295](https://github.com/habitat-sh/habitat/pull/3295) ([cnunciato](https://github.com/cnunciato))
- Add "set -e" to remaining Builder init hooks [\#3294](https://github.com/habitat-sh/habitat/pull/3294) ([christophermaier](https://github.com/christophermaier))
- Show spinner while loading Latest tab [\#3293](https://github.com/habitat-sh/habitat/pull/3293) ([cnunciato](https://github.com/cnunciato))
- Fix duplicate icons in package lists [\#3291](https://github.com/habitat-sh/habitat/pull/3291) ([cnunciato](https://github.com/cnunciato))
- Enable project creation in the Package Settings tab [\#3289](https://github.com/habitat-sh/habitat/pull/3289) ([cnunciato](https://github.com/cnunciato))
- Add scheduled downtime procedure [\#3286](https://github.com/habitat-sh/habitat/pull/3286) ([tashimi](https://github.com/tashimi))
- Update On\_Call.md [\#3284](https://github.com/habitat-sh/habitat/pull/3284) ([tashimi](https://github.com/tashimi))
- Fix syntax error in api/admin proxy conf [\#3283](https://github.com/habitat-sh/habitat/pull/3283) ([reset](https://github.com/reset))
- Only use loopback in api/admin proxy connecting back to app server [\#3281](https://github.com/habitat-sh/habitat/pull/3281) ([reset](https://github.com/reset))
- Add new properties to current-project record [\#3274](https://github.com/habitat-sh/habitat/pull/3274) ([cnunciato](https://github.com/cnunciato))
- Minor fix to log parser and some tweaks to the install script [\#3273](https://github.com/habitat-sh/habitat/pull/3273) ([chefsalim](https://github.com/chefsalim))
- Capitalized 'habitat' and 'studio' inside CLI output and docs [\#3270](https://github.com/habitat-sh/habitat/pull/3270) ([davidwrede](https://github.com/davidwrede))
- Adds footer link to status page [\#3268](https://github.com/habitat-sh/habitat/pull/3268) ([ryankeairns](https://github.com/ryankeairns))
- Make builder-api and builder-worker instance size configurable [\#3263](https://github.com/habitat-sh/habitat/pull/3263) ([reset](https://github.com/reset))
- Add application lifecycle to hooks to increase clarity about what they are [\#3251](https://github.com/habitat-sh/habitat/pull/3251) ([tashimi](https://github.com/tashimi))
- Give just enough info at init time [\#3184](https://github.com/habitat-sh/habitat/pull/3184) ([echohack](https://github.com/echohack))

## [0.33.0](https://github.com/habitat-sh/habitat/tree/0.33.0) (09-22-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.32.0...0.33.0)

## Features & Enhancements

- Update runtime settings documentation with examples [\#3167](https://github.com/habitat-sh/habitat/issues/3167)
- Complete backend work for private packages [\#3141](https://github.com/habitat-sh/habitat/issues/3141)
- Implement publishing to Docker Hub in builder-worker [\#2940](https://github.com/habitat-sh/habitat/issues/2940)
- Add config option for tuning HTTP handler thread count [\#3265](https://github.com/habitat-sh/habitat/pull/3265) ([reset](https://github.com/reset))
- \[core\] Add `PackageInstall.is\_runnable\(\)` & use in Docker exporter. [\#3258](https://github.com/habitat-sh/habitat/pull/3258) ([fnichol](https://github.com/fnichol))
- Migrate Service Spec files using an older format [\#3242](https://github.com/habitat-sh/habitat/pull/3242) ([reset](https://github.com/reset))
- Additional renames of depot\_url to bldr\_url [\#3240](https://github.com/habitat-sh/habitat/pull/3240) ([reset](https://github.com/reset))
- Remove all lines between Builder & Depot [\#3239](https://github.com/habitat-sh/habitat/pull/3239) ([reset](https://github.com/reset))
- Remove all lines between Builder & Depot [\#3239](https://github.com/habitat-sh/habitat/pull/3239) ([reset](https://github.com/reset))
- Update ReadMe.md [\#3238](https://github.com/habitat-sh/habitat/pull/3238) ([tashimi](https://github.com/tashimi))
- Project creation [\#3237](https://github.com/habitat-sh/habitat/pull/3237) ([mgamini](https://github.com/mgamini))
- Update Contributing.md [\#3235](https://github.com/habitat-sh/habitat/pull/3235) ([tashimi](https://github.com/tashimi))
- Create ReadMe.md [\#3234](https://github.com/habitat-sh/habitat/pull/3234) ([tashimi](https://github.com/tashimi))
- Update terms and conditions [\#3231](https://github.com/habitat-sh/habitat/pull/3231) ([tashimi](https://github.com/tashimi))
- Update licensing [\#3229](https://github.com/habitat-sh/habitat/pull/3229) ([tashimi](https://github.com/tashimi))
- Move incorrect warn statement to debug when try-loading a hook [\#3228](https://github.com/habitat-sh/habitat/pull/3228) ([reset](https://github.com/reset))
- Removed Basic Concepts topic and inlined definitions from tutorial [\#3225](https://github.com/habitat-sh/habitat/pull/3225) ([davidwrede](https://github.com/davidwrede))
- \[pkg-export-docker\] Rewrite `hab-pkg-dockerize` as a Rust program. [\#3213](https://github.com/habitat-sh/habitat/pull/3213) ([fnichol](https://github.com/fnichol))
- improve callback order clarity [\#3210](https://github.com/habitat-sh/habitat/pull/3210) ([echohack](https://github.com/echohack))
- Document how to create a new bootstrap bundle [\#3209](https://github.com/habitat-sh/habitat/pull/3209) ([christophermaier](https://github.com/christophermaier))
- Add Dockerfile for building a self contained Builder [\#3193](https://github.com/habitat-sh/habitat/pull/3193) ([reset](https://github.com/reset))
- Feature Flags! Cookies! [\#3156](https://github.com/habitat-sh/habitat/pull/3156) ([mgamini](https://github.com/mgamini))
- Updates docs for Native and VM dev environments [\#3015](https://github.com/habitat-sh/habitat/pull/3015) ([tyler-ball](https://github.com/tyler-ball))

## Bug fixes

- \\[core\\] Add `PackageInstall.is\\_runnable\\(\\)` & use in Docker exporter. [\#3258](https://github.com/habitat-sh/habitat/pull/3258) ([fnichol](https://github.com/fnichol))
- Add missing `depot/` prefix from channel package list in client [\#3247](https://github.com/habitat-sh/habitat/pull/3247) ([reset](https://github.com/reset))
- Additional renames of depot\\_url to bldr\\_url [\#3240](https://github.com/habitat-sh/habitat/pull/3240) ([reset](https://github.com/reset))
- Remove all lines between Builder & Depot [\#3239](https://github.com/habitat-sh/habitat/pull/3239) ([reset](https://github.com/reset))
- Fix out of order messaging in RouteConn [\#3230](https://github.com/habitat-sh/habitat/pull/3230) ([reset](https://github.com/reset))

**Closed issues:**

- Tracking issue - Ruby scaffolding should exclude gems in dev and test groups [\#3204](https://github.com/habitat-sh/habitat/issues/3204)
- Change build type in web UI [\#2953](https://github.com/habitat-sh/habitat/issues/2953)

**Merged pull requests:**

- Version bump 0.33.0 [\#3272](https://github.com/habitat-sh/habitat/pull/3272) ([reset](https://github.com/reset))
- Bump RouteSrv TTL from 32s to 35s [\#3266](https://github.com/habitat-sh/habitat/pull/3266) ([reset](https://github.com/reset))
- Remove orphaned scss sheet to unbreak the build [\#3257](https://github.com/habitat-sh/habitat/pull/3257) ([elliott-davis](https://github.com/elliott-davis))
- Remove dashboard component [\#3256](https://github.com/habitat-sh/habitat/pull/3256) ([elliott-davis](https://github.com/elliott-davis))
- Update the Procfile to use new service names [\#3244](https://github.com/habitat-sh/habitat/pull/3244) ([cnunciato](https://github.com/cnunciato))
- Incorporate feedback from previous PR for refactoring `--url` [\#3243](https://github.com/habitat-sh/habitat/pull/3243) ([reset](https://github.com/reset))
- Integrations page [\#3233](https://github.com/habitat-sh/habitat/pull/3233) ([elliott-davis](https://github.com/elliott-davis))
- Remove restrictions on non-core builds [\#3227](https://github.com/habitat-sh/habitat/pull/3227) ([chefsalim](https://github.com/chefsalim))
- honor `HAB\_DEPOT\_CHANNEL` environment variable in powershell based builds [\#3226](https://github.com/habitat-sh/habitat/pull/3226) ([mwrock](https://github.com/mwrock))
- Bump version [\#3221](https://github.com/habitat-sh/habitat/pull/3221) ([chefsalim](https://github.com/chefsalim))
- Use build worker privilege for required depot APIs [\#3220](https://github.com/habitat-sh/habitat/pull/3220) ([chefsalim](https://github.com/chefsalim))
- Minor fixes for BLDR container [\#3217](https://github.com/habitat-sh/habitat/pull/3217) ([reset](https://github.com/reset))
- Ensure that only people with origin access can view private packages [\#3215](https://github.com/habitat-sh/habitat/pull/3215) ([raskchanky](https://github.com/raskchanky))
- Fix automatic redirect to habtiat.sh when hitting / in container [\#3214](https://github.com/habitat-sh/habitat/pull/3214) ([reset](https://github.com/reset))
- Origins: updating refs [\#3212](https://github.com/habitat-sh/habitat/pull/3212) ([mgamini](https://github.com/mgamini))
- origin record [\#3211](https://github.com/habitat-sh/habitat/pull/3211) ([mgamini](https://github.com/mgamini))
- Fixed broken formatting, cleaned up tables, lists, etc. [\#3202](https://github.com/habitat-sh/habitat/pull/3202) ([davidwrede](https://github.com/davidwrede))
- add a vcs\_auth\_token to project data for interacting with private repos [\#3178](https://github.com/habitat-sh/habitat/pull/3178) ([mwrock](https://github.com/mwrock))

## [0.32.0](https://github.com/habitat-sh/habitat/tree/0.32.0) (09-18-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.31.0...0.32.0)

## Features & Enhancements

- In browser tutorial error [\#3157](https://github.com/habitat-sh/habitat/issues/3157)
- Document all sys.\* keys [\#3129](https://github.com/habitat-sh/habitat/issues/3129)
- Blog Contribution Documentation [\#3128](https://github.com/habitat-sh/habitat/issues/3128)
- Remove depot client dependency from builder worker [\#3124](https://github.com/habitat-sh/habitat/issues/3124)
- Be able to conditionally show the "run command" on the sidebar [\#3119](https://github.com/habitat-sh/habitat/issues/3119)
- Apply visibility settings to packages [\#3118](https://github.com/habitat-sh/habitat/issues/3118)
- Display the active-build message across package tabs [\#3107](https://github.com/habitat-sh/habitat/issues/3107)
- \[builder\] scheduler should be platform-aware [\#3099](https://github.com/habitat-sh/habitat/issues/3099)
- Add an update API for origins [\#3096](https://github.com/habitat-sh/habitat/issues/3096)
- Document which scaffoldings can be passed to hab plan init -s [\#3095](https://github.com/habitat-sh/habitat/issues/3095)
- Add tooltips to icons [\#3061](https://github.com/habitat-sh/habitat/issues/3061)
- Add default visibility setting to origin [\#3053](https://github.com/habitat-sh/habitat/issues/3053)
- Add build source [\#3052](https://github.com/habitat-sh/habitat/issues/3052)
- Add pagination to project\_jobs endpoint [\#3051](https://github.com/habitat-sh/habitat/issues/3051)
- Add platform and channels to show\_job endpoint [\#3049](https://github.com/habitat-sh/habitat/issues/3049)
- Add platform and channels to project\_jobs endpoint [\#3048](https://github.com/habitat-sh/habitat/issues/3048)
- Use OS icons in the versions tab, dashboard and sidebar [\#3041](https://github.com/habitat-sh/habitat/issues/3041)
- \[builder-web\] Add settings tab for an origin to turn on/off private builds [\#3034](https://github.com/habitat-sh/habitat/issues/3034)
- \[builder-web\] Update Origins page to show a package count [\#3033](https://github.com/habitat-sh/habitat/issues/3033)
- Can't find docs for package promotion [\#3010](https://github.com/habitat-sh/habitat/issues/3010)
- Add an event message that exposes the channel a service is associated with [\#2982](https://github.com/habitat-sh/habitat/issues/2982)
- Encrypt sensitive fields in `builder.toml` configuration  [\#2896](https://github.com/habitat-sh/habitat/issues/2896)
- Make optional binding more discoverable through the site search engine [\#2865](https://github.com/habitat-sh/habitat/issues/2865)
- Make optional binding more discoverable through the site search engine [\#2865](https://github.com/habitat-sh/habitat/issues/2865)
- Add `export tar` to export docs page [\#2719](https://github.com/habitat-sh/habitat/issues/2719)
- \[Documentation\] Document `sup-run` studio functionality [\#2645](https://github.com/habitat-sh/habitat/issues/2645)
- \[Documentation\] Add info about do\_default\_ [\#2599](https://github.com/habitat-sh/habitat/issues/2599)
- \\[Documentation\\] Add info about do\\_default\\_ [\#2599](https://github.com/habitat-sh/habitat/issues/2599)
- \[builder-scheduler\] Smarter dispatching [\#2374](https://github.com/habitat-sh/habitat/issues/2374)
- Add dedicated content about GitHub scopes needed in CLI setup [\#1194](https://github.com/habitat-sh/habitat/issues/1194)
- Add top level list & organization, add smoke\_check hook [\#3195](https://github.com/habitat-sh/habitat/pull/3195) ([tashimi](https://github.com/tashimi))
- Fix logging level in api proxy health check & hab install [\#3194](https://github.com/habitat-sh/habitat/pull/3194) ([reset](https://github.com/reset))
- Add helpers [\#3192](https://github.com/habitat-sh/habitat/pull/3192) ([tashimi](https://github.com/tashimi))
- Minor improvements to Supervisor logging [\#3190](https://github.com/habitat-sh/habitat/pull/3190) ([reset](https://github.com/reset))
- Silence health check hooks for admin/api [\#3189](https://github.com/habitat-sh/habitat/pull/3189) ([reset](https://github.com/reset))
- Updating CLI docs, export docs, and scheduler info [\#3188](https://github.com/habitat-sh/habitat/pull/3188) ([tashimi](https://github.com/tashimi))
- Improve upon server/supervisor logging Level [\#3187](https://github.com/habitat-sh/habitat/pull/3187) ([reset](https://github.com/reset))
- Service logging improvements [\#3186](https://github.com/habitat-sh/habitat/pull/3186) ([reset](https://github.com/reset))
- Add export a package to tar format docs [\#3183](https://github.com/habitat-sh/habitat/pull/3183) ([tashimi](https://github.com/tashimi))
- updating runtime settings [\#3181](https://github.com/habitat-sh/habitat/pull/3181) ([tashimi](https://github.com/tashimi))
- Update the CLI docs [\#3162](https://github.com/habitat-sh/habitat/pull/3162) ([tashimi](https://github.com/tashimi))
- Added sup-run details to build topic [\#3154](https://github.com/habitat-sh/habitat/pull/3154) ([davidwrede](https://github.com/davidwrede))
- Update cli docs for in-screen demo [\#3150](https://github.com/habitat-sh/habitat/pull/3150) ([tashimi](https://github.com/tashimi))
- Net Refactor [\#3146](https://github.com/habitat-sh/habitat/pull/3146) ([reset](https://github.com/reset))
- \[common\] Add several additonal ways to create a `UI`. [\#3135](https://github.com/habitat-sh/habitat/pull/3135) ([fnichol](https://github.com/fnichol))
- \[sup/test\] Add better nocapture support in tests. [\#3134](https://github.com/habitat-sh/habitat/pull/3134) ([fnichol](https://github.com/fnichol))
- Add --peer-watch-file flag [\#2855](https://github.com/habitat-sh/habitat/pull/2855) ([krnowak](https://github.com/krnowak))

## Bug fixes

- Service updater should download public keys and verify new packages [\#3121](https://github.com/habitat-sh/habitat/issues/3121)
- supervisor is failing to send updated service info to census [\#3057](https://github.com/habitat-sh/habitat/issues/3057)
- \[builder\] Cannot bind builder services if datastore is restarted [\#2506](https://github.com/habitat-sh/habitat/issues/2506)
- Builder services not auto-recovering from rt:route:2 [\#2433](https://github.com/habitat-sh/habitat/issues/2433)
- \[builder-scheduler\] Tighten up async job status logic [\#2373](https://github.com/habitat-sh/habitat/issues/2373)
- Unify population of the census with health state reconciliation [\#3198](https://github.com/habitat-sh/habitat/pull/3198) ([christophermaier](https://github.com/christophermaier))
- Fix breakage in origin create API [\#3196](https://github.com/habitat-sh/habitat/pull/3196) ([reset](https://github.com/reset))
- Terminate services on request & config fixes [\#3182](https://github.com/habitat-sh/habitat/pull/3182) ([reset](https://github.com/reset))
- Net Refactor [\#3146](https://github.com/habitat-sh/habitat/pull/3146) ([reset](https://github.com/reset))
- \[hab\] Fix `binlink\_all\_in\_pkg\(\)` which did not work correct with rootfs [\#3136](https://github.com/habitat-sh/habitat/pull/3136) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- Tracking Issue - Update node to latest LTS \(6.11.2\) [\#3068](https://github.com/habitat-sh/habitat/issues/3068)

**Merged pull requests:**

- Rel note and version bump to 0.32.0 [\#3203](https://github.com/habitat-sh/habitat/pull/3203) ([chefsalim](https://github.com/chefsalim))
- Fix UI breakage [\#3197](https://github.com/habitat-sh/habitat/pull/3197) ([chefsalim](https://github.com/chefsalim))
- Add Join and Concat template helpers [\#3191](https://github.com/habitat-sh/habitat/pull/3191) ([elliott-davis](https://github.com/elliott-davis))
- Add information about cli command [\#3185](https://github.com/habitat-sh/habitat/pull/3185) ([tashimi](https://github.com/tashimi))
- Updating callbacks documentation [\#3180](https://github.com/habitat-sh/habitat/pull/3180) ([tashimi](https://github.com/tashimi))
- fix whitespacing and brackets in license [\#3179](https://github.com/habitat-sh/habitat/pull/3179) ([echohack](https://github.com/echohack))
- Add jobs dashboard [\#3177](https://github.com/habitat-sh/habitat/pull/3177) ([chefsalim](https://github.com/chefsalim))
- Add some testing for Origins [\#3176](https://github.com/habitat-sh/habitat/pull/3176) ([elliott-davis](https://github.com/elliott-davis))
- Add job id to scheduler log [\#3175](https://github.com/habitat-sh/habitat/pull/3175) ([chefsalim](https://github.com/chefsalim))
- Various bug fixes - get bldr working again [\#3174](https://github.com/habitat-sh/habitat/pull/3174) ([chefsalim](https://github.com/chefsalim))
- Stop datadog agent on worker for now [\#3170](https://github.com/habitat-sh/habitat/pull/3170) ([chefsalim](https://github.com/chefsalim))
- add better logging around service failures and spawning [\#3163](https://github.com/habitat-sh/habitat/pull/3163) ([mwrock](https://github.com/mwrock))
- Removing extra words [\#3161](https://github.com/habitat-sh/habitat/pull/3161) ([tashimi](https://github.com/tashimi))
- Removing extra words [\#3160](https://github.com/habitat-sh/habitat/pull/3160) ([tashimi](https://github.com/tashimi))
- Slimming down this page [\#3159](https://github.com/habitat-sh/habitat/pull/3159) ([tashimi](https://github.com/tashimi))
- Slimming down the explanation here [\#3158](https://github.com/habitat-sh/habitat/pull/3158) ([tashimi](https://github.com/tashimi))
- Update studio-help.txt [\#3153](https://github.com/habitat-sh/habitat/pull/3153) ([tashimi](https://github.com/tashimi))
- Update hab-sup-config.txt [\#3152](https://github.com/habitat-sh/habitat/pull/3152) ([tashimi](https://github.com/tashimi))
- Updated hab-start-help.txt [\#3151](https://github.com/habitat-sh/habitat/pull/3151) ([tashimi](https://github.com/tashimi))
- Install Datadog agent on builder nodes [\#3144](https://github.com/habitat-sh/habitat/pull/3144) ([chefsalim](https://github.com/chefsalim))
- Download keys for verification when updating services [\#3143](https://github.com/habitat-sh/habitat/pull/3143) ([christophermaier](https://github.com/christophermaier))
- Refactoring builder services [\#3137](https://github.com/habitat-sh/habitat/pull/3137) ([chefsalim](https://github.com/chefsalim))
- Blog posts: A journey with habitat on ECS parts 1 and 2 [\#3133](https://github.com/habitat-sh/habitat/pull/3133) ([irvingpop](https://github.com/irvingpop))
- Add is\_a\_service to API responses for packages [\#3132](https://github.com/habitat-sh/habitat/pull/3132) ([raskchanky](https://github.com/raskchanky))
- Apply default package visibility settings when packages are uploaded [\#3131](https://github.com/habitat-sh/habitat/pull/3131) ([raskchanky](https://github.com/raskchanky))
- Check special case during package upload [\#3126](https://github.com/habitat-sh/habitat/pull/3126) ([chefsalim](https://github.com/chefsalim))
- Update http timeout, add retry for key fetch [\#3125](https://github.com/habitat-sh/habitat/pull/3125) ([chefsalim](https://github.com/chefsalim))
- Update retry timeout for builder-worker [\#3123](https://github.com/habitat-sh/habitat/pull/3123) ([chefsalim](https://github.com/chefsalim))
- Add pagination to package\_jobs API endpoint [\#3122](https://github.com/habitat-sh/habitat/pull/3122) ([raskchanky](https://github.com/raskchanky))
- Add channels and platforms to job\_show API endpoint [\#3120](https://github.com/habitat-sh/habitat/pull/3120) ([raskchanky](https://github.com/raskchanky))
- Don’t run the tests unless I ask [\#3117](https://github.com/habitat-sh/habitat/pull/3117) ([cnunciato](https://github.com/cnunciato))
- Display active build messaging across package tabs [\#3116](https://github.com/habitat-sh/habitat/pull/3116) ([cnunciato](https://github.com/cnunciato))
- Fix incorrect use of wildcard in gitignore [\#3115](https://github.com/habitat-sh/habitat/pull/3115) ([asymmetric](https://github.com/asymmetric))
- Make builder scheduler target-aware [\#3114](https://github.com/habitat-sh/habitat/pull/3114) ([chefsalim](https://github.com/chefsalim))
- bumping dev version [\#3113](https://github.com/habitat-sh/habitat/pull/3113) ([mwrock](https://github.com/mwrock))
- Add platforms and channels to project\_jobs API endpoint [\#3112](https://github.com/habitat-sh/habitat/pull/3112) ([raskchanky](https://github.com/raskchanky))
- Add an API to allow updating an origin [\#3102](https://github.com/habitat-sh/habitat/pull/3102) ([raskchanky](https://github.com/raskchanky))
- General styling improvements for the origins/origin page [\#3087](https://github.com/habitat-sh/habitat/pull/3087) ([elliott-davis](https://github.com/elliott-davis))

## [0.31.0](https://github.com/habitat-sh/habitat/tree/0.31.0) (09-07-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.30.2...0.31.0)

## Features & Enhancements

- Add default package visibility to origins [\#3092](https://github.com/habitat-sh/habitat/issues/3092)
- Pull jobs and logs into the Build Jobs tab [\#3084](https://github.com/habitat-sh/habitat/issues/3084)
- Add API to persist and retrieve origin settings [\#3079](https://github.com/habitat-sh/habitat/issues/3079)
- Plumb integration information through to the worker [\#3044](https://github.com/habitat-sh/habitat/issues/3044)
- Extend depot package list APIs to add platform target [\#3017](https://github.com/habitat-sh/habitat/issues/3017)
- Add filter box for builder repo picker [\#3003](https://github.com/habitat-sh/habitat/issues/3003)
- Build out the Package Versions tab [\#2994](https://github.com/habitat-sh/habitat/issues/2994)
- Add platforms to builder-depot API [\#2973](https://github.com/habitat-sh/habitat/issues/2973)
- \[Plan-Build\] Composite Plan feature [\#2661](https://github.com/habitat-sh/habitat/issues/2661)
- Template errors in hooks do not display which files is parsed  [\#2299](https://github.com/habitat-sh/habitat/issues/2299)
- Allow non root user to run `hab service load` [\#2280](https://github.com/habitat-sh/habitat/issues/2280)
- Depot architecture refactor [\#1933](https://github.com/habitat-sh/habitat/issues/1933)
- Use crates.io versions for staticfile and zmq [\#1798](https://github.com/habitat-sh/habitat/issues/1798)
- Fix compiler warnings on macOS platform. [\#3103](https://github.com/habitat-sh/habitat/pull/3103) ([fnichol](https://github.com/fnichol))
- Add settings page for origin privacy [\#3080](https://github.com/habitat-sh/habitat/pull/3080) ([elliott-davis](https://github.com/elliott-davis))
- Updates to make builder compile with Rust 1.20 [\#3062](https://github.com/habitat-sh/habitat/pull/3062) ([raskchanky](https://github.com/raskchanky))
- Move origin page to a feature module with its own routing [\#3047](https://github.com/habitat-sh/habitat/pull/3047) ([elliott-davis](https://github.com/elliott-davis))
- \[sup/functional\] Support running functionals as a non-root user. [\#3023](https://github.com/habitat-sh/habitat/pull/3023) ([fnichol](https://github.com/fnichol))
- \[sup\] Don't set ownership when rendering hooks. [\#3022](https://github.com/habitat-sh/habitat/pull/3022) ([fnichol](https://github.com/fnichol))
- send aggregated service and census data to event server [\#3018](https://github.com/habitat-sh/habitat/pull/3018) ([mwrock](https://github.com/mwrock))
- Improve site search by scoping to main content on page [\#3013](https://github.com/habitat-sh/habitat/pull/3013) ([davidwrede](https://github.com/davidwrede))
- Refactor out plan syntax sections into their own topics [\#3012](https://github.com/habitat-sh/habitat/pull/3012) ([davidwrede](https://github.com/davidwrede))
- Moves test into correct file [\#3008](https://github.com/habitat-sh/habitat/pull/3008) ([blakestier](https://github.com/blakestier))
- Document event envelope timestamp format [\#3004](https://github.com/habitat-sh/habitat/pull/3004) ([christophermaier](https://github.com/christophermaier))
- Add hab bldr encrypt command [\#2998](https://github.com/habitat-sh/habitat/pull/2998) ([chefsalim](https://github.com/chefsalim))

## Bug fixes

- Packages used with `hab pkg export \*` must install same version if missing. [\#3093](https://github.com/habitat-sh/habitat/issues/3093)
- Supervisor crashing on acceptance environment [\#3042](https://github.com/habitat-sh/habitat/issues/3042)
- Census not present on all nodes [\#2976](https://github.com/habitat-sh/habitat/issues/2976)
- hab studio enter: Doesn't create valid chroots on non-FHS-compliant systems [\#994](https://github.com/habitat-sh/habitat/issues/994)
- \[hab\] Install minimum version of exporters when used. [\#3100](https://github.com/habitat-sh/habitat/pull/3100) ([fnichol](https://github.com/fnichol))
- Make the `first` binding function return only live members [\#3076](https://github.com/habitat-sh/habitat/pull/3076) ([christophermaier](https://github.com/christophermaier))
- serialize non-table keys of config before table keys [\#3059](https://github.com/habitat-sh/habitat/pull/3059) ([mwrock](https://github.com/mwrock))
- Fix thread panic when building Census in Supervisor [\#3054](https://github.com/habitat-sh/habitat/pull/3054) ([reset](https://github.com/reset))
- \[sup\] Fix hook table unit test which relied on lazy static value. [\#3037](https://github.com/habitat-sh/habitat/pull/3037) ([fnichol](https://github.com/fnichol))
- \[core\] Add explicit, testing-only fs root support. [\#3030](https://github.com/habitat-sh/habitat/pull/3030) ([fnichol](https://github.com/fnichol))
- Pass file name to template render functions when rendering hooks [\#3014](https://github.com/habitat-sh/habitat/pull/3014) ([rarenerd](https://github.com/rarenerd))

**Closed issues:**

- Tracking - New ruby-scaffolding broken for non-standard repo layouts [\#3078](https://github.com/habitat-sh/habitat/issues/3078)
- Tracking issue - Investigate bundler version issues in Ruby scaffolding [\#3046](https://github.com/habitat-sh/habitat/issues/3046)

**Merged pull requests:**

- release 0.31.0 [\#3110](https://github.com/habitat-sh/habitat/pull/3110) ([mwrock](https://github.com/mwrock))
- Add basic retry capability to build post-processor [\#3098](https://github.com/habitat-sh/habitat/pull/3098) ([chefsalim](https://github.com/chefsalim))
- Add default package visibility to origins [\#3094](https://github.com/habitat-sh/habitat/pull/3094) ([raskchanky](https://github.com/raskchanky))
- Pull jobs and logs into the Build Jobs tab [\#3091](https://github.com/habitat-sh/habitat/pull/3091) ([cnunciato](https://github.com/cnunciato))
- Plumb integrations through to the worker. [\#3088](https://github.com/habitat-sh/habitat/pull/3088) ([raskchanky](https://github.com/raskchanky))
- Fix channel failure case [\#3086](https://github.com/habitat-sh/habitat/pull/3086) ([chefsalim](https://github.com/chefsalim))
- Adjust .gitignore, add unintentionally git-ignored [\#3085](https://github.com/habitat-sh/habitat/pull/3085) ([cnunciato](https://github.com/cnunciato))
- Tab labels should be opaque [\#3083](https://github.com/habitat-sh/habitat/pull/3083) ([cnunciato](https://github.com/cnunciato))
- Make a new Search module, do a bit of cleanup [\#3082](https://github.com/habitat-sh/habitat/pull/3082) ([cnunciato](https://github.com/cnunciato))
- Revert "Make the `first` binding function return only live members" [\#3081](https://github.com/habitat-sh/habitat/pull/3081) ([christophermaier](https://github.com/christophermaier))
- 3074 - building form progress breadcrumb component [\#3077](https://github.com/habitat-sh/habitat/pull/3077) ([mgamini](https://github.com/mgamini))
- set cookie domain to current host on ip address hosts [\#3073](https://github.com/habitat-sh/habitat/pull/3073) ([mwrock](https://github.com/mwrock))
- Tooltip refinements [\#3071](https://github.com/habitat-sh/habitat/pull/3071) ([cnunciato](https://github.com/cnunciato))
- Add tooltips to icons [\#3064](https://github.com/habitat-sh/habitat/pull/3064) ([cnunciato](https://github.com/cnunciato))
- Give some feedback after copying to clipboard [\#3058](https://github.com/habitat-sh/habitat/pull/3058) ([cnunciato](https://github.com/cnunciato))
- Use OS icons in the Dashboard, Versions tab, Sidebar [\#3056](https://github.com/habitat-sh/habitat/pull/3056) ([cnunciato](https://github.com/cnunciato))
- Add unique\_packages to package\_stats endpoint [\#3043](https://github.com/habitat-sh/habitat/pull/3043) ([raskchanky](https://github.com/raskchanky))
- Adding any key [\#3039](https://github.com/habitat-sh/habitat/pull/3039) ([mgamini](https://github.com/mgamini))
- Exclude devDependencies from npm-shrinkwrap [\#3038](https://github.com/habitat-sh/habitat/pull/3038) ([cnunciato](https://github.com/cnunciato))
- Fixup broken get started tutorial link [\#3036](https://github.com/habitat-sh/habitat/pull/3036) ([martinisoft](https://github.com/martinisoft))
- Pull package lists into a new view with tabs [\#3032](https://github.com/habitat-sh/habitat/pull/3032) ([cnunciato](https://github.com/cnunciato))
- Add origins sidebar and package count [\#3029](https://github.com/habitat-sh/habitat/pull/3029) ([elliott-davis](https://github.com/elliott-davis))
- Read HAB\_NON\_ROOT when installing package to allow for non-root usage. [\#3028](https://github.com/habitat-sh/habitat/pull/3028) ([bodymindarts](https://github.com/bodymindarts))
- Add "platforms" to a few API calls [\#3027](https://github.com/habitat-sh/habitat/pull/3027) ([raskchanky](https://github.com/raskchanky))
- \#3003 - Adding filter box for builder repo picker, update shrinkwrap / package.lock [\#3024](https://github.com/habitat-sh/habitat/pull/3024) ([mgamini](https://github.com/mgamini))
- Added section on promoting packages [\#3020](https://github.com/habitat-sh/habitat/pull/3020) ([davidwrede](https://github.com/davidwrede))
- Fixes incorrect content on package promotion [\#3019](https://github.com/habitat-sh/habitat/pull/3019) ([davidwrede](https://github.com/davidwrede))
- Add APIs for builder integrations [\#3016](https://github.com/habitat-sh/habitat/pull/3016) ([chefsalim](https://github.com/chefsalim))
- Add note about not blocking in hooks [\#3000](https://github.com/habitat-sh/habitat/pull/3000) ([tashimi](https://github.com/tashimi))
- Announce the Community Summits [\#2997](https://github.com/habitat-sh/habitat/pull/2997) ([nathenharvey](https://github.com/nathenharvey))
- bump dev version 0-31-0-dev [\#2996](https://github.com/habitat-sh/habitat/pull/2996) ([reset](https://github.com/reset))

## [0.30.2](https://github.com/habitat-sh/habitat/tree/0.30.2) (08-22-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.30.1...0.30.2)

## Features & Enhancements

- Handle static sites with core/scaffolding-node [\#2942](https://github.com/habitat-sh/habitat/issues/2942)
- \[builder-web\] Visualize architecture / platforms in UI [\#2894](https://github.com/habitat-sh/habitat/issues/2894)
- Add builder key retrieval API [\#2975](https://github.com/habitat-sh/habitat/pull/2975) ([chefsalim](https://github.com/chefsalim))

## Bug fixes

- Docker Export Broken [\#2989](https://github.com/habitat-sh/habitat/issues/2989)
- Running an service with an application and environment flag restarts all other services with application and env set [\#2964](https://github.com/habitat-sh/habitat/issues/2964)
- Explicitly binlink bash and sh to /bin in exported images [\#2993](https://github.com/habitat-sh/habitat/pull/2993) ([christophermaier](https://github.com/christophermaier))
- Add application/environment to ServiceSpec generated from a Service [\#2988](https://github.com/habitat-sh/habitat/pull/2988) ([christophermaier](https://github.com/christophermaier))

**Closed issues:**

- ssl errors, mac os [\#2950](https://github.com/habitat-sh/habitat/issues/2950)

**Merged pull requests:**

- 0.30.2 release [\#2995](https://github.com/habitat-sh/habitat/pull/2995) ([reset](https://github.com/reset))
- Remove octicons build step [\#2992](https://github.com/habitat-sh/habitat/pull/2992) ([cnunciato](https://github.com/cnunciato))
- Added HAB\_BINLINK\_DIR to env var list [\#2991](https://github.com/habitat-sh/habitat/pull/2991) ([davidwrede](https://github.com/davidwrede))
- Convert to Angular Material icons [\#2990](https://github.com/habitat-sh/habitat/pull/2990) ([cnunciato](https://github.com/cnunciato))
- Bump version [\#2987](https://github.com/habitat-sh/habitat/pull/2987) ([chefsalim](https://github.com/chefsalim))

## [0.30.1](https://github.com/habitat-sh/habitat/tree/0.30.1) (08-22-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.30.0...0.30.1)

## Bug fixes

- Remove builder-core dependency from builder-api-client [\#2984](https://github.com/habitat-sh/habitat/pull/2984) ([chefsalim](https://github.com/chefsalim))

**Closed issues:**

- Binding incorrectly requires the `{environment}.{application}\#` predicate on the service group [\#2983](https://github.com/habitat-sh/habitat/issues/2983)

**Merged pull requests:**

- Prep for 0.30.1 release [\#2985](https://github.com/habitat-sh/habitat/pull/2985) ([chefsalim](https://github.com/chefsalim))
- Removed old/broken links and redirected to new pages [\#2980](https://github.com/habitat-sh/habitat/pull/2980) ([davidwrede](https://github.com/davidwrede))
- Bump version to 0.31.0-dev [\#2979](https://github.com/habitat-sh/habitat/pull/2979) ([chefsalim](https://github.com/chefsalim))

## [0.30.0](https://github.com/habitat-sh/habitat/tree/0.30.0) (08-21-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.29.1...0.30.0)

## Features & Enhancements

- Application and Environment should be in the Event protocol [\#2956](https://github.com/habitat-sh/habitat/issues/2956)
- Spec out API additions to support new builder UI [\#2952](https://github.com/habitat-sh/habitat/issues/2952)
- powershell plan scaffolding [\#2921](https://github.com/habitat-sh/habitat/issues/2921)
- Anchor links in habitat documentation are broken [\#2918](https://github.com/habitat-sh/habitat/issues/2918)
- Docs formatting issue on https://www.habitat.sh/docs/reference/plan-syntax [\#2917](https://github.com/habitat-sh/habitat/issues/2917)
- Configurable publish phases in `builder.toml` [\#2903](https://github.com/habitat-sh/habitat/issues/2903)
- Use latest powershell beta in supervisor and studio on windows [\#2892](https://github.com/habitat-sh/habitat/issues/2892)
- how to use nginx with a web application [\#2878](https://github.com/habitat-sh/habitat/issues/2878)
- \[builder-jobsrv\] Handle worker failures [\#2806](https://github.com/habitat-sh/habitat/issues/2806)
- Monitoring breakage / Improvements [\#2696](https://github.com/habitat-sh/habitat/issues/2696)
- \[builder\] Builder should use dynamic channels [\#2596](https://github.com/habitat-sh/habitat/issues/2596)
- Add default health check to Ruby Scaffolding [\#2550](https://github.com/habitat-sh/habitat/issues/2550)
- Create origin projects for core plans [\#2411](https://github.com/habitat-sh/habitat/issues/2411)
- \[web ui\] Add interactive run time demo [\#2192](https://github.com/habitat-sh/habitat/issues/2192)
- hab pkg binlink doesn't work in a studio [\#975](https://github.com/habitat-sh/habitat/issues/975)
- Document build log behavior \(for hab pkg build\) and record\(\) function [\#961](https://github.com/habitat-sh/habitat/issues/961)
- Document key upload process in 'Uploading keys' section [\#912](https://github.com/habitat-sh/habitat/issues/912)
- Add sealed box encryption support [\#2971](https://github.com/habitat-sh/habitat/pull/2971) ([chefsalim](https://github.com/chefsalim))
- removing restriction for builds in progress [\#2970](https://github.com/habitat-sh/habitat/pull/2970) ([mgamini](https://github.com/mgamini))
- Add LICENSE [\#2963](https://github.com/habitat-sh/habitat/pull/2963) ([echohack](https://github.com/echohack))
- Add application and environment to census data [\#2959](https://github.com/habitat-sh/habitat/pull/2959) ([christophermaier](https://github.com/christophermaier))
- Add @fnichol to `CODEOWNERS`. [\#2958](https://github.com/habitat-sh/habitat/pull/2958) ([fnichol](https://github.com/fnichol))
- Setup script and documentation updates for building builder. [\#2954](https://github.com/habitat-sh/habitat/pull/2954) ([scotthain](https://github.com/scotthain))
- Corrects Binlink in Studio, adds HAB\_BINLINK\_DIR envvar [\#2951](https://github.com/habitat-sh/habitat/pull/2951) ([eeyun](https://github.com/eeyun))
- Add @reset to CODEOWNERS file [\#2933](https://github.com/habitat-sh/habitat/pull/2933) ([reset](https://github.com/reset))
- windows plans can consume scaffolding plans [\#2924](https://github.com/habitat-sh/habitat/pull/2924) ([mwrock](https://github.com/mwrock))
- Set no\_intra\_emphasis and with\_toc\_data options in redcarpet. [\#2919](https://github.com/habitat-sh/habitat/pull/2919) ([mivok](https://github.com/mivok))
- Implement "hab job promote" [\#2866](https://github.com/habitat-sh/habitat/pull/2866) ([raskchanky](https://github.com/raskchanky))

## Bug fixes

- Auto-updating Supervisor causes Supervisor to not reconnect to processes [\#2961](https://github.com/habitat-sh/habitat/issues/2961)
- `No revisions found for chef-ring sym key` when ring key is a symlink [\#2939](https://github.com/habitat-sh/habitat/issues/2939)
- Origin key import fails If there is a ring key of the same name in the key cache [\#2916](https://github.com/habitat-sh/habitat/issues/2916)
- Studio shouldn't require a manual delete and data wipe [\#1848](https://github.com/habitat-sh/habitat/issues/1848)
- \[bug\] Binlink links to /bin in a studio, but only /hab/bin is available in the path [\#1680](https://github.com/habitat-sh/habitat/issues/1680)
- Don't remove pidfile in Supervisor struct's deconstructor [\#2974](https://github.com/habitat-sh/habitat/pull/2974) ([reset](https://github.com/reset))
- Fix Supervisor re-attaching to processes after update & service update [\#2969](https://github.com/habitat-sh/habitat/pull/2969) ([reset](https://github.com/reset))
- Resolve symlinks when searching for keys [\#2968](https://github.com/habitat-sh/habitat/pull/2968) ([christophermaier](https://github.com/christophermaier))
- only get key revisions for a requested key type [\#2946](https://github.com/habitat-sh/habitat/pull/2946) ([mwrock](https://github.com/mwrock))
- pkg-dockerize: fix function name [\#2925](https://github.com/habitat-sh/habitat/pull/2925) ([srenatus](https://github.com/srenatus))

**Closed issues:**

- Keys as symlinks are not found [\#2949](https://github.com/habitat-sh/habitat/issues/2949)
- Allow `hab ring key generate` to output to STDOUT [\#2948](https://github.com/habitat-sh/habitat/issues/2948)
- Include hab-launcher when exporting to docker [\#2935](https://github.com/habitat-sh/habitat/issues/2935)
- Tracking Issue - Add config option for db.adapter in scaffold-ruby [\#2929](https://github.com/habitat-sh/habitat/issues/2929)

**Merged pull requests:**

- Add @raskchanky to a few more things [\#2972](https://github.com/habitat-sh/habitat/pull/2972) ([raskchanky](https://github.com/raskchanky))
- 2824 - adding ability to view build output without authenticating [\#2967](https://github.com/habitat-sh/habitat/pull/2967) ([mgamini](https://github.com/mgamini))
- Write out a pre\_build.env file before a build happens. [\#2962](https://github.com/habitat-sh/habitat/pull/2962) ([raskchanky](https://github.com/raskchanky))
- Make sure nsswitch.conf is created inside the studio filesystem [\#2937](https://github.com/habitat-sh/habitat/pull/2937) ([mivok](https://github.com/mivok))
- Add hab-launcher to studio baseimage [\#2936](https://github.com/habitat-sh/habitat/pull/2936) ([bodymindarts](https://github.com/bodymindarts))
- Re-enable Windows tutorial + copyedits and refactoring [\#2928](https://github.com/habitat-sh/habitat/pull/2928) ([davidwrede](https://github.com/davidwrede))
- \[www\] fix a 404 in plan-syntax reference docs [\#2926](https://github.com/habitat-sh/habitat/pull/2926) ([srenatus](https://github.com/srenatus))
- Markdown cleanup and record\(\) documentation add [\#2923](https://github.com/habitat-sh/habitat/pull/2923) ([eeyun](https://github.com/eeyun))
- warn when starting a studio with no origin specified [\#2922](https://github.com/habitat-sh/habitat/pull/2922) ([mwrock](https://github.com/mwrock))
- Add a blog post about packaging a web site and nginx [\#2920](https://github.com/habitat-sh/habitat/pull/2920) ([cnunciato](https://github.com/cnunciato))
- \[sup\] fix env variable name in sup error [\#2913](https://github.com/habitat-sh/habitat/pull/2913) ([srenatus](https://github.com/srenatus))
- bump dev version [\#2912](https://github.com/habitat-sh/habitat/pull/2912) ([mwrock](https://github.com/mwrock))
- Addresses doc issue \#912 [\#2911](https://github.com/habitat-sh/habitat/pull/2911) ([davidwrede](https://github.com/davidwrede))

## [0.29.1](https://github.com/habitat-sh/habitat/tree/0.29.1) (08-10-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.29.0...0.29.1)

## Bug fixes

- fix docker studio panic on mac/windows when no args passed [\#2909](https://github.com/habitat-sh/habitat/pull/2909) ([mwrock](https://github.com/mwrock))

**Merged pull requests:**

- release 0.29.1 [\#2910](https://github.com/habitat-sh/habitat/pull/2910) ([mwrock](https://github.com/mwrock))
- version bump! [\#2908](https://github.com/habitat-sh/habitat/pull/2908) ([mgamini](https://github.com/mgamini))

## [0.29.0](https://github.com/habitat-sh/habitat/tree/0.29.0) (08-10-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.28.0...0.29.0)

## Features & Enhancements

- Community Communications - Operational Status [\#2695](https://github.com/habitat-sh/habitat/issues/2695)
- \[Documentation\] Expand the current studio page [\#2585](https://github.com/habitat-sh/habitat/issues/2585)
- \\[Documentation\\] Expand the current studio page [\#2585](https://github.com/habitat-sh/habitat/issues/2585)
- \[builder\] \[chore\] Terraform for acceptance should mount package snapshot [\#2515](https://github.com/habitat-sh/habitat/issues/2515)
- Add whitelist origin capability to builder builds [\#2455](https://github.com/habitat-sh/habitat/issues/2455)
- Contents of /etc/hosts does not resolve. [\#2317](https://github.com/habitat-sh/habitat/issues/2317)
- Add support for running multiple services to docker export [\#2217](https://github.com/habitat-sh/habitat/issues/2217)
- \[web ui\] Add "Why Habitat" Page  [\#2191](https://github.com/habitat-sh/habitat/issues/2191)
- Add language/build tool detection for automatically determining scaffolding to use to plan generator [\#2009](https://github.com/habitat-sh/habitat/issues/2009)
- Add plan scaffolding support to `hab plan init` [\#2008](https://github.com/habitat-sh/habitat/issues/2008)
- do not require pkg\_source in ps1 builds [\#2906](https://github.com/habitat-sh/habitat/pull/2906) ([mwrock](https://github.com/mwrock))
- Corrected incorrect markdown handling added syntax highlighting [\#2901](https://github.com/habitat-sh/habitat/pull/2901) ([eeyun](https://github.com/eeyun))
- Corrected incorrect markdown handling added syntax highlighting [\#2901](https://github.com/habitat-sh/habitat/pull/2901) ([eeyun](https://github.com/eeyun))
- Disallow multiple simultaneous builds of same project [\#2868](https://github.com/habitat-sh/habitat/pull/2868) ([chefsalim](https://github.com/chefsalim))
- Implement "hab job start" command. [\#2817](https://github.com/habitat-sh/habitat/pull/2817) ([raskchanky](https://github.com/raskchanky))

## Bug fixes

- Packaged powershell breaking on 2008R2 [\#2890](https://github.com/habitat-sh/habitat/issues/2890)
- \[www\] code blocks in blog post don't look right [\#2862](https://github.com/habitat-sh/habitat/issues/2862)
- hab CLI allows creating origins that are invalid in depot [\#2833](https://github.com/habitat-sh/habitat/issues/2833)
- `hab pkg build .` and `hab studio new` `-dev` version of `hab-backline` [\#2810](https://github.com/habitat-sh/habitat/issues/2810)
- When exporting to docker unpublished hab-pkg-dockerize is being used [\#2802](https://github.com/habitat-sh/habitat/issues/2802)
- Nodes don't agree on leader after election [\#2315](https://github.com/habitat-sh/habitat/issues/2315)
- Package identifier version comparison barfs on non-numeric versions [\#2213](https://github.com/habitat-sh/habitat/issues/2213)
- 'lost an election struct between looking it up and reading it' [\#2177](https://github.com/habitat-sh/habitat/issues/2177)
- Don't upload to "stable" channel by default [\#2897](https://github.com/habitat-sh/habitat/pull/2897) ([christophermaier](https://github.com/christophermaier))
- Corrects unexpected failure with hab-pkg-dockerize [\#2883](https://github.com/habitat-sh/habitat/pull/2883) ([eeyun](https://github.com/eeyun))
- Validate origin names with the same rules as the Depot [\#2860](https://github.com/habitat-sh/habitat/pull/2860) ([smacfarlane](https://github.com/smacfarlane))

**Closed issues:**

- Service not getting hupped after providing a new configuration [\#2864](https://github.com/habitat-sh/habitat/issues/2864)
- RFE: want Docker-based builds on Linux as well as macOS [\#2863](https://github.com/habitat-sh/habitat/issues/2863)
- Originsrv package updates should synchronize with Builder scheduler [\#2160](https://github.com/habitat-sh/habitat/issues/2160)

**Merged pull requests:**

- Build 0.29.0 [\#2907](https://github.com/habitat-sh/habitat/pull/2907) ([mgamini](https://github.com/mgamini))
- Remove things that have sane defaults now [\#2905](https://github.com/habitat-sh/habitat/pull/2905) ([christophermaier](https://github.com/christophermaier))
- add blog post on asp.net full framework iis apps [\#2904](https://github.com/habitat-sh/habitat/pull/2904) ([mwrock](https://github.com/mwrock))
- alphabetize config entries in BUILDER\_DEV.md for easier scanning. Also, add myself to CODEOWNERS [\#2900](https://github.com/habitat-sh/habitat/pull/2900) ([mgamini](https://github.com/mgamini))
- Extract rumor "heat" tracking to separate module [\#2893](https://github.com/habitat-sh/habitat/pull/2893) ([christophermaier](https://github.com/christophermaier))
- Eeyun/docker linux [\#2886](https://github.com/habitat-sh/habitat/pull/2886) ([eeyun](https://github.com/eeyun))
- "download" is mis-spelled [\#2885](https://github.com/habitat-sh/habitat/pull/2885) ([juliandunn](https://github.com/juliandunn))
- Fix typo in Tutorials image [\#2877](https://github.com/habitat-sh/habitat/pull/2877) ([cnunciato](https://github.com/cnunciato))
- mount docker.sock on windows host even if it is not a file [\#2876](https://github.com/habitat-sh/habitat/pull/2876) ([mwrock](https://github.com/mwrock))
- Fix typo in param [\#2873](https://github.com/habitat-sh/habitat/pull/2873) ([chefsalim](https://github.com/chefsalim))
- Change `--peers` flag in Terraform provisioner to appropriate `--peer` [\#2872](https://github.com/habitat-sh/habitat/pull/2872) ([reset](https://github.com/reset))
- Add bldr-run-no-build option to Makefile [\#2871](https://github.com/habitat-sh/habitat/pull/2871) ([chefsalim](https://github.com/chefsalim))
- Receive initial peer list from a Terraform variable [\#2869](https://github.com/habitat-sh/habitat/pull/2869) ([reset](https://github.com/reset))
- Refresh the Tutorials! [\#2861](https://github.com/habitat-sh/habitat/pull/2861) ([cnunciato](https://github.com/cnunciato))
- nsswitch.conf required for name resolution in studio [\#2859](https://github.com/habitat-sh/habitat/pull/2859) ([eeyun](https://github.com/eeyun))
- link core/cacert bundle to standard location in container [\#2858](https://github.com/habitat-sh/habitat/pull/2858) ([eeyun](https://github.com/eeyun))
- Adding myself to CODEOWNERS [\#2854](https://github.com/habitat-sh/habitat/pull/2854) ([raskchanky](https://github.com/raskchanky))
- Initial CODEOWNERS file [\#2853](https://github.com/habitat-sh/habitat/pull/2853) ([christophermaier](https://github.com/christophermaier))
- Use the most recent hab cli in appveyor and bump dev version [\#2852](https://github.com/habitat-sh/habitat/pull/2852) ([mwrock](https://github.com/mwrock))
- Better async job status handling [\#2851](https://github.com/habitat-sh/habitat/pull/2851) ([chefsalim](https://github.com/chefsalim))
- Better failure recovery for build jobs [\#2837](https://github.com/habitat-sh/habitat/pull/2837) ([chefsalim](https://github.com/chefsalim))

## [0.28.0](https://github.com/habitat-sh/habitat/tree/0.28.0) (07-29-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.27.1...0.28.0)

## Features & Enhancements

- couple more chores for clarity [\#2849](https://github.com/habitat-sh/habitat/pull/2849) ([eeyun](https://github.com/eeyun))
- Hab plan init rewrite with autodetection [\#2847](https://github.com/habitat-sh/habitat/pull/2847) ([eeyun](https://github.com/eeyun))
- Add `eventsg` variable to terraform module [\#2846](https://github.com/habitat-sh/habitat/pull/2846) ([reset](https://github.com/reset))
- Create Artifact caching blog from Fletcher's pr [\#2840](https://github.com/habitat-sh/habitat/pull/2840) ([tashimi](https://github.com/tashimi))
- Create Artifact caching blog from Fletcher's pr [\#2840](https://github.com/habitat-sh/habitat/pull/2840) ([tashimi](https://github.com/tashimi))

## Bug fixes

- build clap command tree in a separate thread with increased stack size [\#2848](https://github.com/habitat-sh/habitat/pull/2848) ([mwrock](https://github.com/mwrock))

**Merged pull requests:**

- prep 0.28.0 [\#2850](https://github.com/habitat-sh/habitat/pull/2850) ([mwrock](https://github.com/mwrock))

## [0.27.1](https://github.com/habitat-sh/habitat/tree/0.27.1) (07-28-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.27.0...0.27.1)

## Bug fixes

- \[studio\] Use system artifact cache dir when running studio as root. [\#2844](https://github.com/habitat-sh/habitat/pull/2844) ([fnichol](https://github.com/fnichol))
- Honor channels and an alternate depot URL when exporting packages [\#2843](https://github.com/habitat-sh/habitat/pull/2843) ([reset](https://github.com/reset))
- fix studio on windows and implement get\_home\_for\_current\_user\(\) [\#2841](https://github.com/habitat-sh/habitat/pull/2841) ([mwrock](https://github.com/mwrock))

**Merged pull requests:**

- use 0.26.1 to build windows harts and then use current studio to test that it works [\#2842](https://github.com/habitat-sh/habitat/pull/2842) ([mwrock](https://github.com/mwrock))
- Tweak the release instructions ever-so-slightly [\#2839](https://github.com/habitat-sh/habitat/pull/2839) ([christophermaier](https://github.com/christophermaier))
- Bump to next dev version [\#2838](https://github.com/habitat-sh/habitat/pull/2838) ([christophermaier](https://github.com/christophermaier))

## [0.27.0](https://github.com/habitat-sh/habitat/tree/0.27.0) (07-27-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.26.1...0.27.0)

## Features & Enhancements

- Document template helper functions [\#2775](https://github.com/habitat-sh/habitat/issues/2775)
- Document template helper functions [\#2775](https://github.com/habitat-sh/habitat/issues/2775)
- Stage 0 Bootstrap Improvement [\#2732](https://github.com/habitat-sh/habitat/issues/2732)
- Indicate package channels in the depot UI [\#2646](https://github.com/habitat-sh/habitat/issues/2646)
- \[builder\] Package validation for circular dependency [\#2536](https://github.com/habitat-sh/habitat/issues/2536)
- Set up S3 logging in acceptance and in production [\#2528](https://github.com/habitat-sh/habitat/issues/2528)
- Update the dev docs [\#2511](https://github.com/habitat-sh/habitat/issues/2511)
- \[builder scheduler\] Add re-try logic for job failure [\#2488](https://github.com/habitat-sh/habitat/issues/2488)
- \[builder\] \[scalability\] Package builds can stall if projects are moved/renamed [\#2473](https://github.com/habitat-sh/habitat/issues/2473)
- Add rich data to `hab sup status` output. [\#2334](https://github.com/habitat-sh/habitat/issues/2334)
- Monitoring/health check for builder services [\#2193](https://github.com/habitat-sh/habitat/issues/2193)
- \[web-ui\] new top bar navigation and uniform dark theme styling [\#2188](https://github.com/habitat-sh/habitat/issues/2188)
- Builder-scheduler service: provide API to support Explore view [\#2143](https://github.com/habitat-sh/habitat/issues/2143)
- \[builder-web\] Build out the Explore view [\#2128](https://github.com/habitat-sh/habitat/issues/2128)
- Scalability model/test for the builder service [\#2034](https://github.com/habitat-sh/habitat/issues/2034)
- The builder-scheduler should parallelize dependency rebuilds [\#2033](https://github.com/habitat-sh/habitat/issues/2033)
- Supervisor event stream client for EventSrv [\#1875](https://github.com/habitat-sh/habitat/issues/1875)
- Document --permanent-peer behavior [\#1820](https://github.com/habitat-sh/habitat/issues/1820)
- Install initial habitat packages from bootstrap bundle [\#2829](https://github.com/habitat-sh/habitat/pull/2829) ([christophermaier](https://github.com/christophermaier))
- Cleanup hab-butterfly crate [\#2828](https://github.com/habitat-sh/habitat/pull/2828) ([reset](https://github.com/reset))
- Add super explicit instructions on the format of the name key. [\#2821](https://github.com/habitat-sh/habitat/pull/2821) ([raskchanky](https://github.com/raskchanky))
- Add super explicit instructions on the format of the name key. [\#2821](https://github.com/habitat-sh/habitat/pull/2821) ([raskchanky](https://github.com/raskchanky))
- Document how to add blog posts [\#2819](https://github.com/habitat-sh/habitat/pull/2819) ([nellshamrell](https://github.com/nellshamrell))
- Document how to add blog posts [\#2819](https://github.com/habitat-sh/habitat/pull/2819) ([nellshamrell](https://github.com/nellshamrell))
- Correct a few issues so that Nell's blog post will show up [\#2818](https://github.com/habitat-sh/habitat/pull/2818) ([raskchanky](https://github.com/raskchanky))
- call powershell with noninteractive flag [\#2815](https://github.com/habitat-sh/habitat/pull/2815) ([mwrock](https://github.com/mwrock))
- fix creation of launch.pid on windows [\#2813](https://github.com/habitat-sh/habitat/pull/2813) ([mwrock](https://github.com/mwrock))
- accommodate \_DIRS with multiple paths on windows [\#2807](https://github.com/habitat-sh/habitat/pull/2807) ([mwrock](https://github.com/mwrock))
- Correct typo in tutorial example command [\#2800](https://github.com/habitat-sh/habitat/pull/2800) ([TrevorBramble](https://github.com/TrevorBramble))
- \[docs\] Add section describing permanent-peer option [\#2799](https://github.com/habitat-sh/habitat/pull/2799) ([webframp](https://github.com/webframp))
- \\[docs\\] Add section describing permanent-peer option [\#2799](https://github.com/habitat-sh/habitat/pull/2799) ([webframp](https://github.com/webframp))
- \[ci\] Disable SSL revocation list when using cargo on Appveyor/Windows. [\#2793](https://github.com/habitat-sh/habitat/pull/2793) ([fnichol](https://github.com/fnichol))
- \[sup\] Introduce optional application environment qualifier on Service Group [\#2791](https://github.com/habitat-sh/habitat/pull/2791) ([fnichol](https://github.com/fnichol))
- Fix typo in install script [\#2788](https://github.com/habitat-sh/habitat/pull/2788) ([d2lam](https://github.com/d2lam))
- Add clippy deps to `Cargo.lock` [\#2784](https://github.com/habitat-sh/habitat/pull/2784) ([fnichol](https://github.com/fnichol))
- Refactor the way channels are retrieved for packages. [\#2779](https://github.com/habitat-sh/habitat/pull/2779) ([raskchanky](https://github.com/raskchanky))
- \[hab,studio\] Support artifact caching across Studios. [\#2737](https://github.com/habitat-sh/habitat/pull/2737) ([fnichol](https://github.com/fnichol))
- Add departed state for members [\#2082](https://github.com/habitat-sh/habitat/pull/2082) ([adamhjk](https://github.com/adamhjk))

## Bug fixes

- The supervisor fails to run of 2008 R2 [\#2820](https://github.com/habitat-sh/habitat/issues/2820)
- Gracefully stopping Windows Services sometimes fails [\#2816](https://github.com/habitat-sh/habitat/issues/2816)
- Butterfly error w/ ProtoBuf "unexpected wire type WireTypeLengthDelimited" [\#2671](https://github.com/habitat-sh/habitat/issues/2671)
- \[builder\] worker build status can get stuck [\#2549](https://github.com/habitat-sh/habitat/issues/2549)
- Hook-only config updates do not restart services [\#2448](https://github.com/habitat-sh/habitat/issues/2448)
- Builder-jobsrv can 'lose' pending jobs if no workers available [\#2112](https://github.com/habitat-sh/habitat/issues/2112)
- supervisor member reincarnation handling issue [\#1711](https://github.com/habitat-sh/habitat/issues/1711)
- \[bug\] `hab studio rm` deletes files outside the studio [\#1705](https://github.com/habitat-sh/habitat/issues/1705)
- Dead nodes are not aged out of the supervisor ring [\#1544](https://github.com/habitat-sh/habitat/issues/1544)
- Release Launcher's LOCK on Supervisor restart [\#2836](https://github.com/habitat-sh/habitat/pull/2836) ([reset](https://github.com/reset))
- Fix populating @first and @last in eachAlive helper [\#2831](https://github.com/habitat-sh/habitat/pull/2831) ([reset](https://github.com/reset))
- Fix populating health of census members [\#2830](https://github.com/habitat-sh/habitat/pull/2830) ([reset](https://github.com/reset))
- Fix panic when sending rumors of departed members [\#2827](https://github.com/habitat-sh/habitat/pull/2827) ([reset](https://github.com/reset))
- store launcher pid in supervisor lock file [\#2826](https://github.com/habitat-sh/habitat/pull/2826) ([mwrock](https://github.com/mwrock))
- kill launcher when shutting down windows studio [\#2812](https://github.com/habitat-sh/habitat/pull/2812) ([mwrock](https://github.com/mwrock))
- Auto update channel default [\#2811](https://github.com/habitat-sh/habitat/pull/2811) ([reset](https://github.com/reset))
- \[studio\] Kill Launcher process when shutting down Studio. [\#2809](https://github.com/habitat-sh/habitat/pull/2809) ([fnichol](https://github.com/fnichol))
- Fix hook compilation and Run hook copying [\#2808](https://github.com/habitat-sh/habitat/pull/2808) ([reset](https://github.com/reset))
- `hab svc status` returns correct answer regardless of executing user's privileges [\#2801](https://github.com/habitat-sh/habitat/pull/2801) ([reset](https://github.com/reset))

**Closed issues:**

- Supervisor is not restarting processes when they are updated [\#2832](https://github.com/habitat-sh/habitat/issues/2832)
- development version of `hab-sup` can be installed under certain circumstances [\#2789](https://github.com/habitat-sh/habitat/issues/2789)
- `channels` API returns 404 for hab-studio [\#2765](https://github.com/habitat-sh/habitat/issues/2765)
- Update On Call document and keep in GH markdown [\#2509](https://github.com/habitat-sh/habitat/issues/2509)
- \[builder-web\] Build the Dashboard view [\#2176](https://github.com/habitat-sh/habitat/issues/2176)
- Investigate running IIS applications via Habitat [\#2124](https://github.com/habitat-sh/habitat/issues/2124)
- hab supervisor 'at once' update strategy doesn't seem to work as expected [\#1842](https://github.com/habitat-sh/habitat/issues/1842)

**Merged pull requests:**

- Add note on using curl|bash for linux [\#2796](https://github.com/habitat-sh/habitat/pull/2796) ([webframp](https://github.com/webframp))
- Fix binding for builder-scheduler [\#2795](https://github.com/habitat-sh/habitat/pull/2795) ([chefsalim](https://github.com/chefsalim))
- Remove duplicate key field [\#2794](https://github.com/habitat-sh/habitat/pull/2794) ([chefsalim](https://github.com/chefsalim))
- Update cli docs to match output as of 0.26.1 [\#2792](https://github.com/habitat-sh/habitat/pull/2792) ([webframp](https://github.com/webframp))
- Auto-discover EventSrv [\#2787](https://github.com/habitat-sh/habitat/pull/2787) ([reset](https://github.com/reset))
- Update Eventsrv plan to include core/git as a build dep [\#2786](https://github.com/habitat-sh/habitat/pull/2786) ([elliott-davis](https://github.com/elliott-davis))
- Add config for builder auto-promotion [\#2785](https://github.com/habitat-sh/habitat/pull/2785) ([chefsalim](https://github.com/chefsalim))
- tutorials: remove dangling reference to pkg\_source [\#2783](https://github.com/habitat-sh/habitat/pull/2783) ([donaldguy](https://github.com/donaldguy))
- Fix studio exit [\#2780](https://github.com/habitat-sh/habitat/pull/2780) ([nellshamrell](https://github.com/nellshamrell))
- Distinguish circular dep error vs. others [\#2777](https://github.com/habitat-sh/habitat/pull/2777) ([chefsalim](https://github.com/chefsalim))
- Make job archive configuration more robust [\#2773](https://github.com/habitat-sh/habitat/pull/2773) ([christophermaier](https://github.com/christophermaier))
- Add make lint target and clippy for all components [\#2772](https://github.com/habitat-sh/habitat/pull/2772) ([vegai](https://github.com/vegai))
- only use key pairs with secret keys for signing [\#2770](https://github.com/habitat-sh/habitat/pull/2770) ([mwrock](https://github.com/mwrock))
- Refactor EventSrv protocols from eventsrv crate into eventsrv-protocol [\#2769](https://github.com/habitat-sh/habitat/pull/2769) ([reset](https://github.com/reset))
- Use event timestamps for date computations [\#2768](https://github.com/habitat-sh/habitat/pull/2768) ([cnunciato](https://github.com/cnunciato))
- upload release builds to stable, otherwise unstable [\#2764](https://github.com/habitat-sh/habitat/pull/2764) ([mwrock](https://github.com/mwrock))
- Remove extra words from docs/overview [\#2763](https://github.com/habitat-sh/habitat/pull/2763) ([TrevorBramble](https://github.com/TrevorBramble))
- Remove the Habitat birthday logo [\#2762](https://github.com/habitat-sh/habitat/pull/2762) ([cnunciato](https://github.com/cnunciato))
- Bump version [\#2760](https://github.com/habitat-sh/habitat/pull/2760) ([chefsalim](https://github.com/chefsalim))
- adds in blog post around starting up a mysql cluster with habitat [\#2750](https://github.com/habitat-sh/habitat/pull/2750) ([nellshamrell](https://github.com/nellshamrell))
- Update run-packages-export.html.md [\#2749](https://github.com/habitat-sh/habitat/pull/2749) ([tashimi](https://github.com/tashimi))
- Add a tldr about binds & optional binds [\#2748](https://github.com/habitat-sh/habitat/pull/2748) ([tashimi](https://github.com/tashimi))
- Update concepts-packages.html.md [\#2744](https://github.com/habitat-sh/habitat/pull/2744) ([tashimi](https://github.com/tashimi))
- Update concepts-overview.html.md [\#2743](https://github.com/habitat-sh/habitat/pull/2743) ([tashimi](https://github.com/tashimi))
- Updated concepts-depot.html.md [\#2742](https://github.com/habitat-sh/habitat/pull/2742) ([tashimi](https://github.com/tashimi))
- Update index.html.md [\#2741](https://github.com/habitat-sh/habitat/pull/2741) ([tashimi](https://github.com/tashimi))
- Tag scheduler builds with dynamic channel [\#2738](https://github.com/habitat-sh/habitat/pull/2738) ([chefsalim](https://github.com/chefsalim))
- Restart services when hook files change [\#2729](https://github.com/habitat-sh/habitat/pull/2729) ([christophermaier](https://github.com/christophermaier))

## [0.26.1](https://github.com/habitat-sh/habitat/tree/0.26.1) (07-15-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.26.0...0.26.1)

## Bug fixes

- Ensure hab-sup is installed when running launcher from Hab [\#2758](https://github.com/habitat-sh/habitat/pull/2758) ([reset](https://github.com/reset))
- Stop all services on Launcher shutdown [\#2756](https://github.com/habitat-sh/habitat/pull/2756) ([reset](https://github.com/reset))
- hab-cli will always attempt to install/use latest launcher [\#2755](https://github.com/habitat-sh/habitat/pull/2755) ([reset](https://github.com/reset))

**Merged pull requests:**

- Prep for 0.26.1 [\#2759](https://github.com/habitat-sh/habitat/pull/2759) ([chefsalim](https://github.com/chefsalim))
- Point AppVeyor to prod [\#2757](https://github.com/habitat-sh/habitat/pull/2757) ([chefsalim](https://github.com/chefsalim))
- Depot inherit's API GitHubCfg [\#2754](https://github.com/habitat-sh/habitat/pull/2754) ([reset](https://github.com/reset))
- Hardcode Depot GitHub cfg [\#2753](https://github.com/habitat-sh/habitat/pull/2753) ([reset](https://github.com/reset))
- Bump version [\#2752](https://github.com/habitat-sh/habitat/pull/2752) ([chefsalim](https://github.com/chefsalim))

## [0.26.0](https://github.com/habitat-sh/habitat/tree/0.26.0) (07-15-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.25.1...0.26.0)

## Features & Enhancements

- Promote all packages that were in prod prior to 7/6/2017 to stable [\#2717](https://github.com/habitat-sh/habitat/issues/2717)
- Add 'hab pkg channels' command [\#2682](https://github.com/habitat-sh/habitat/issues/2682)
- \[builder ux\] failed builds don't show up in the builds page [\#2573](https://github.com/habitat-sh/habitat/issues/2573)
- \[builder\] Worker should pull from specified environment and channel during studio build [\#2563](https://github.com/habitat-sh/habitat/issues/2563)
- \[builder-web\] Auto-scroll when viewing a running build [\#2537](https://github.com/habitat-sh/habitat/issues/2537)
- \[builder\] \[chore\] Fix hab graph tool [\#2514](https://github.com/habitat-sh/habitat/issues/2514)
- \[www\] Fix automated deployment to acceptance [\#2510](https://github.com/habitat-sh/habitat/issues/2510)
- \[builder services\] Fix migrator to not use sequence \#s [\#2498](https://github.com/habitat-sh/habitat/issues/2498)
- Add `web\_url` config option to GitHubCfg [\#2747](https://github.com/habitat-sh/habitat/pull/2747) ([reset](https://github.com/reset))
- Make github web url configurable for builder-web [\#2745](https://github.com/habitat-sh/habitat/pull/2745) ([reset](https://github.com/reset))
- Add launcher, launcher-client, and launcher-protocol crates [\#2605](https://github.com/habitat-sh/habitat/pull/2605) ([reset](https://github.com/reset))

## Bug fixes

- Change hab pkg install logic [\#2722](https://github.com/habitat-sh/habitat/issues/2722)
- \[hab cli\] Package promotion should also promote all transitive dependencies [\#2716](https://github.com/habitat-sh/habitat/issues/2716)
- hab pkg search doesn't work with origin [\#2684](https://github.com/habitat-sh/habitat/issues/2684)
- Errors uploading packages with dependencies [\#2633](https://github.com/habitat-sh/habitat/issues/2633)
- Retrieval of completed job log does not respect `start` parameter [\#2622](https://github.com/habitat-sh/habitat/issues/2622)
- \[builder\] \[scheduler\] don't fail entire build group if there is a legitimate build failure [\#2527](https://github.com/habitat-sh/habitat/issues/2527)
- hab origin key export --type secret failure [\#2524](https://github.com/habitat-sh/habitat/issues/2524)
- Stats API returns total packages, UI refers to total plans [\#2453](https://github.com/habitat-sh/habitat/issues/2453)
- \[builder-jobsrv\] occasionally panics when starting jobs [\#2386](https://github.com/habitat-sh/habitat/issues/2386)
- Use proper pkg ident for launcher [\#2740](https://github.com/habitat-sh/habitat/pull/2740) ([reset](https://github.com/reset))
- Warn when installing a fully qualified package not present in the given channel [\#2726](https://github.com/habitat-sh/habitat/pull/2726) ([raskchanky](https://github.com/raskchanky))
- fix expansion of program to spawn on windows so it chooses the first path with a match and not the last [\#2725](https://github.com/habitat-sh/habitat/pull/2725) ([mwrock](https://github.com/mwrock))

**Closed issues:**

- 503 error on bldr.habitat.sh [\#2723](https://github.com/habitat-sh/habitat/issues/2723)
- \[web ui\] Habitat birthday logo [\#2602](https://github.com/habitat-sh/habitat/issues/2602)
- Create a shard-aware debugging tool [\#2326](https://github.com/habitat-sh/habitat/issues/2326)
- Support running services under different accounts on windows [\#2125](https://github.com/habitat-sh/habitat/issues/2125)

**Merged pull requests:**

- Prep for release 0.26.0 [\#2751](https://github.com/habitat-sh/habitat/pull/2751) ([chefsalim](https://github.com/chefsalim))
- Auto-configure \[archive.local\_dir\] in JobSrv [\#2734](https://github.com/habitat-sh/habitat/pull/2734) ([reset](https://github.com/reset))
- set defaults for jobsrv config [\#2733](https://github.com/habitat-sh/habitat/pull/2733) ([robbkidd](https://github.com/robbkidd))
- add caching again [\#2731](https://github.com/habitat-sh/habitat/pull/2731) ([mwrock](https://github.com/mwrock))
- clear appveyor cache [\#2730](https://github.com/habitat-sh/habitat/pull/2730) ([mwrock](https://github.com/mwrock))
- Add max\_locks\_per\_transaction to Postgres dev config [\#2728](https://github.com/habitat-sh/habitat/pull/2728) ([cnunciato](https://github.com/cnunciato))
- let user know that artifacts are being verified [\#2727](https://github.com/habitat-sh/habitat/pull/2727) ([robbkidd](https://github.com/robbkidd))
- correct ui - we are showing the total number of packages, not plans [\#2724](https://github.com/habitat-sh/habitat/pull/2724) ([nellshamrell](https://github.com/nellshamrell))
- Show channels in the depot UI [\#2721](https://github.com/habitat-sh/habitat/pull/2721) ([cnunciato](https://github.com/cnunciato))
- Add VM instructions [\#2720](https://github.com/habitat-sh/habitat/pull/2720) ([tashimi](https://github.com/tashimi))
- Change try! to ? [\#2718](https://github.com/habitat-sh/habitat/pull/2718) ([georgemarshall](https://github.com/georgemarshall))
- Fix "hab pkg search" to work with an origin. [\#2715](https://github.com/habitat-sh/habitat/pull/2715) ([raskchanky](https://github.com/raskchanky))
- bumping dev version [\#2713](https://github.com/habitat-sh/habitat/pull/2713) ([mwrock](https://github.com/mwrock))
- Add "hab pkg channels" to list channels for a given package. [\#2704](https://github.com/habitat-sh/habitat/pull/2704) ([raskchanky](https://github.com/raskchanky))
- Add additional logging to LogForwarder and LogPipe. [\#2644](https://github.com/habitat-sh/habitat/pull/2644) ([raskchanky](https://github.com/raskchanky))

## [0.25.1](https://github.com/habitat-sh/habitat/tree/0.25.1) (07-07-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.25.0...0.25.1)

## Features & Enhancements

- Add promote & demote to docs [\#2702](https://github.com/habitat-sh/habitat/pull/2702) ([tashimi](https://github.com/tashimi))

## Bug fixes

- HAB\_WINDOWS\_STUDIO ignored in windows studio v25.0 [\#2701](https://github.com/habitat-sh/habitat/issues/2701)
- fixes \#2701 making hab pkg build -w work on windows [\#2709](https://github.com/habitat-sh/habitat/pull/2709) ([mwrock](https://github.com/mwrock))
- Default to unstable channel on package upload [\#2706](https://github.com/habitat-sh/habitat/pull/2706) ([reset](https://github.com/reset))

**Closed issues:**

- Problems with finding packages in depot [\#2700](https://github.com/habitat-sh/habitat/issues/2700)

**Merged pull requests:**

- fixing a format break [\#2712](https://github.com/habitat-sh/habitat/pull/2712) ([mwrock](https://github.com/mwrock))
- release 0.25.1 [\#2711](https://github.com/habitat-sh/habitat/pull/2711) ([mwrock](https://github.com/mwrock))
- deploy scripts should upload to stable [\#2710](https://github.com/habitat-sh/habitat/pull/2710) ([mwrock](https://github.com/mwrock))
- blog about habitat on windows [\#2708](https://github.com/habitat-sh/habitat/pull/2708) ([mwrock](https://github.com/mwrock))
- bump dev version [\#2705](https://github.com/habitat-sh/habitat/pull/2705) ([mwrock](https://github.com/mwrock))
- fix the mac and windows build [\#2699](https://github.com/habitat-sh/habitat/pull/2699) ([mwrock](https://github.com/mwrock))
- Update builder dev [\#2623](https://github.com/habitat-sh/habitat/pull/2623) ([nellshamrell](https://github.com/nellshamrell))

## [0.25.0](https://github.com/habitat-sh/habitat/tree/0.25.0) (07-06-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.24.1...0.25.0)

## Features & Enhancements

- \[chore\] pg\_restore will not restore public keys from current prod to acceptance [\#2657](https://github.com/habitat-sh/habitat/issues/2657)
- \[documentation\] Update 'view' with 'channel' [\#2616](https://github.com/habitat-sh/habitat/issues/2616)
- \[Documentation\] Expand the current studio page [\#2581](https://github.com/habitat-sh/habitat/issues/2581)
- \\[Documentation\\] Expand the current studio page [\#2581](https://github.com/habitat-sh/habitat/issues/2581)
- hab plan init should create .gitignore [\#2544](https://github.com/habitat-sh/habitat/issues/2544)
- Service "bootstrapping" [\#2520](https://github.com/habitat-sh/habitat/issues/2520)
- Implement off-site long-term storage for job logs [\#2305](https://github.com/habitat-sh/habitat/issues/2305)
- \[web ui\] Add new community content [\#2189](https://github.com/habitat-sh/habitat/issues/2189)
- Supervisor Spring Cleaning [\#2094](https://github.com/habitat-sh/habitat/issues/2094)
- Not able to run `make unit-sup` on mac native [\#1748](https://github.com/habitat-sh/habitat/issues/1748)
- Package search only matches on beginning of name [\#1160](https://github.com/habitat-sh/habitat/issues/1160)
- be able to populate hook content with dynamic config from cfg.\* [\#1126](https://github.com/habitat-sh/habitat/issues/1126)
- use a -w flag instead of env var to enter windows studio and fix uninitialized studio [\#2691](https://github.com/habitat-sh/habitat/pull/2691) ([mwrock](https://github.com/mwrock))
- Replace Google Custom Search with Swiftype [\#2688](https://github.com/habitat-sh/habitat/pull/2688) ([magwalk](https://github.com/magwalk))
- windows studio command aesthetics [\#2685](https://github.com/habitat-sh/habitat/pull/2685) ([mwrock](https://github.com/mwrock))
- Add "hab pkg demote" command [\#2675](https://github.com/habitat-sh/habitat/pull/2675) ([raskchanky](https://github.com/raskchanky))
- Bump to rustfmt 0.9.0 [\#2624](https://github.com/habitat-sh/habitat/pull/2624) ([reset](https://github.com/reset))
- Updated views -\> channels [\#2621](https://github.com/habitat-sh/habitat/pull/2621) ([davidwrede](https://github.com/davidwrede))
- Update infographics [\#2574](https://github.com/habitat-sh/habitat/pull/2574) ([tashimi](https://github.com/tashimi))
- \[blog\] Fix port typo in scaffolding post. [\#2530](https://github.com/habitat-sh/habitat/pull/2530) ([fnichol](https://github.com/fnichol))
- \[sup\] toYaml helper [\#2495](https://github.com/habitat-sh/habitat/pull/2495) ([smith](https://github.com/smith))
- Skip build for missing projects [\#2489](https://github.com/habitat-sh/habitat/pull/2489) ([chefsalim](https://github.com/chefsalim))
- RFC: Updates to Community Code of Conduct [\#1467](https://github.com/habitat-sh/habitat/pull/1467) ([eeyun](https://github.com/eeyun))

## Bug fixes

- When config is injected the run hook gets updated but the services does not restart [\#2518](https://github.com/habitat-sh/habitat/issues/2518)
- Channel API not correctly returning latest channel packages [\#2452](https://github.com/habitat-sh/habitat/issues/2452)
- Stats API responding with 503 [\#2441](https://github.com/habitat-sh/habitat/issues/2441)
- \[builder\] \[web-ui\] Builder search fails when you include a `/` character [\#2440](https://github.com/habitat-sh/habitat/issues/2440)
- Supervisor creates pipe for service `stderr` stream but does not consume it. [\#2395](https://github.com/habitat-sh/habitat/issues/2395)
- .studiorc is sourced twice on 'hab studio enter' [\#2308](https://github.com/habitat-sh/habitat/issues/2308)
- Stopping/Unloading Services on windows should kill child processes [\#2115](https://github.com/habitat-sh/habitat/issues/2115)
- hab version is always 0.0.0 inside \[hab\] block [\#1438](https://github.com/habitat-sh/habitat/issues/1438)
- Results dir should be owned by regular user instead of root [\#1339](https://github.com/habitat-sh/habitat/issues/1339)
- return an error if promoting a non fully qualified package [\#2679](https://github.com/habitat-sh/habitat/pull/2679) ([mwrock](https://github.com/mwrock))
- Check expiry before doing calculations with it to avoid panicking [\#2678](https://github.com/habitat-sh/habitat/pull/2678) ([raskchanky](https://github.com/raskchanky))
- make runtime\_environment windows compatible [\#2649](https://github.com/habitat-sh/habitat/pull/2649) ([mwrock](https://github.com/mwrock))
- Updated views -\\> channels [\#2621](https://github.com/habitat-sh/habitat/pull/2621) ([davidwrede](https://github.com/davidwrede))
- Fix automated deployments to acceptance [\#2610](https://github.com/habitat-sh/habitat/pull/2610) ([cnunciato](https://github.com/cnunciato))
- Update infographics [\#2574](https://github.com/habitat-sh/habitat/pull/2574) ([tashimi](https://github.com/tashimi))
- Fix worker environment, and misc fixes [\#2569](https://github.com/habitat-sh/habitat/pull/2569) ([chefsalim](https://github.com/chefsalim))
- \\[blog\\] Fix port typo in scaffolding post. [\#2530](https://github.com/habitat-sh/habitat/pull/2530) ([fnichol](https://github.com/fnichol))
- \[plan-build\] pass -o to unzip [\#2512](https://github.com/habitat-sh/habitat/pull/2512) ([smith](https://github.com/smith))
- Propagate HAB\_STUDIO\_SUP into container [\#2503](https://github.com/habitat-sh/habitat/pull/2503) ([smith](https://github.com/smith))
- Fix latest channel package query [\#2480](https://github.com/habitat-sh/habitat/pull/2480) ([chefsalim](https://github.com/chefsalim))
- Scroll to top when navigating [\#2472](https://github.com/habitat-sh/habitat/pull/2472) ([cnunciato](https://github.com/cnunciato))

**Closed issues:**

- \[RFC\] Patches [\#2656](https://github.com/habitat-sh/habitat/issues/2656)
- Implement feature to auto-upload a successful build [\#2651](https://github.com/habitat-sh/habitat/issues/2651)
- Support scons and other build systems [\#2642](https://github.com/habitat-sh/habitat/issues/2642)
- App Store [\#2636](https://github.com/habitat-sh/habitat/issues/2636)
- Windows plans: Broken dependencies [\#2635](https://github.com/habitat-sh/habitat/issues/2635)
- \[Documentation-Website\] Mention brand.chef.io [\#2582](https://github.com/habitat-sh/habitat/issues/2582)
- Documentation [\#2576](https://github.com/habitat-sh/habitat/issues/2576)
- CLI UX Helpers  [\#2572](https://github.com/habitat-sh/habitat/issues/2572)
- Patches and more [\#2561](https://github.com/habitat-sh/habitat/issues/2561)
- redirection of http://ftp.x.org/ [\#2560](https://github.com/habitat-sh/habitat/issues/2560)
- \[alias\] generate = create [\#2558](https://github.com/habitat-sh/habitat/issues/2558)
- Setting `HAB\_STUDIO\_SUP=false` does not work with Docker studios and this should be documented [\#2502](https://github.com/habitat-sh/habitat/issues/2502)
- Please make Habitat have full unicode support  [\#2491](https://github.com/habitat-sh/habitat/issues/2491)
- Terraform provider [\#2487](https://github.com/habitat-sh/habitat/issues/2487)
- \[web ui\] Make package search results alphabetical [\#2477](https://github.com/habitat-sh/habitat/issues/2477)
- White-on-white text on `hab setup` [\#2475](https://github.com/habitat-sh/habitat/issues/2475)
- The way to run several similar services based on one package [\#2474](https://github.com/habitat-sh/habitat/issues/2474)
- \[web ui\] Improved search results from Explore page [\#2458](https://github.com/habitat-sh/habitat/issues/2458)
- \[web ui\] No need to maintain scroll position after clicking links/buttons on 'Explore' [\#2457](https://github.com/habitat-sh/habitat/issues/2457)
- \[web ui\] Change sort order on builds view to show most recent at top [\#2456](https://github.com/habitat-sh/habitat/issues/2456)
- Add Habitat infographics to the repo [\#2431](https://github.com/habitat-sh/habitat/issues/2431)
- \[web ui\] Update the header so the logo doesn't overlap with the label [\#2415](https://github.com/habitat-sh/habitat/issues/2415)

**Merged pull requests:**

- release 0.25.0 [\#2692](https://github.com/habitat-sh/habitat/pull/2692) ([mwrock](https://github.com/mwrock))
- Bulk promotion tool [\#2689](https://github.com/habitat-sh/habitat/pull/2689) ([chefsalim](https://github.com/chefsalim))
- some minor deployment fixes [\#2687](https://github.com/habitat-sh/habitat/pull/2687) ([mwrock](https://github.com/mwrock))
- Better shell handling [\#2681](https://github.com/habitat-sh/habitat/pull/2681) ([chefsalim](https://github.com/chefsalim))
- Add link to install script in README [\#2677](https://github.com/habitat-sh/habitat/pull/2677) ([asymmetric](https://github.com/asymmetric))
- Add export to builder-graph tool [\#2674](https://github.com/habitat-sh/habitat/pull/2674) ([chefsalim](https://github.com/chefsalim))
- Fix markdown format for middleman [\#2667](https://github.com/habitat-sh/habitat/pull/2667) ([tashimi](https://github.com/tashimi))
- Fix blog image reference [\#2665](https://github.com/habitat-sh/habitat/pull/2665) ([cnunciato](https://github.com/cnunciato))
- Ensure that public and secret key exports always work [\#2663](https://github.com/habitat-sh/habitat/pull/2663) ([raskchanky](https://github.com/raskchanky))
- Update the dependency update flow infographic [\#2662](https://github.com/habitat-sh/habitat/pull/2662) ([apriofrost](https://github.com/apriofrost))
- Add Tasha to bios [\#2655](https://github.com/habitat-sh/habitat/pull/2655) ([tashimi](https://github.com/tashimi))
- Create Happy Birthday Habitat blog post [\#2654](https://github.com/habitat-sh/habitat/pull/2654) ([tashimi](https://github.com/tashimi))
- Add Tasha to maintainers [\#2653](https://github.com/habitat-sh/habitat/pull/2653) ([tashimi](https://github.com/tashimi))
- added in svg for upcoming blog post [\#2652](https://github.com/habitat-sh/habitat/pull/2652) ([eeyun](https://github.com/eeyun))
- Start services using specified hab\_svc\_user on windows [\#2648](https://github.com/habitat-sh/habitat/pull/2648) ([mwrock](https://github.com/mwrock))
- \[web ui\] fix navmenu overlap with logo when signed out [\#2641](https://github.com/habitat-sh/habitat/pull/2641) ([robbkidd](https://github.com/robbkidd))
- Honor the `start` parameter for archived log requests [\#2638](https://github.com/habitat-sh/habitat/pull/2638) ([cnunciato](https://github.com/cnunciato))
- Remove package-identifier assertion [\#2637](https://github.com/habitat-sh/habitat/pull/2637) ([cnunciato](https://github.com/cnunciato))
- Fix bug in graph pre-check [\#2634](https://github.com/habitat-sh/habitat/pull/2634) ([chefsalim](https://github.com/chefsalim))
- Add hab-op, a small operational tool with a few utilities. [\#2630](https://github.com/habitat-sh/habitat/pull/2630) ([raskchanky](https://github.com/raskchanky))
- Updated Banner to pull latest event [\#2629](https://github.com/habitat-sh/habitat/pull/2629) ([eeyun](https://github.com/eeyun))
- Add links to build history [\#2626](https://github.com/habitat-sh/habitat/pull/2626) ([cnunciato](https://github.com/cnunciato))
- Check uploaded packages for circular dependencies [\#2625](https://github.com/habitat-sh/habitat/pull/2625) ([chefsalim](https://github.com/chefsalim))
- Add docs around PG errors and tweak the startup script slightly [\#2614](https://github.com/habitat-sh/habitat/pull/2614) ([raskchanky](https://github.com/raskchanky))
- Check uploaded packages for circular dependencies [\#2613](https://github.com/habitat-sh/habitat/pull/2613) ([chefsalim](https://github.com/chefsalim))
- Restore AWS configuration [\#2611](https://github.com/habitat-sh/habitat/pull/2611) ([cnunciato](https://github.com/cnunciato))
- adds habitat birthday logo to home page [\#2607](https://github.com/habitat-sh/habitat/pull/2607) ([ryankeairns](https://github.com/ryankeairns))
- Better filtering for rdeps [\#2606](https://github.com/habitat-sh/habitat/pull/2606) ([chefsalim](https://github.com/chefsalim))
- New Blog on Project Governance [\#2604](https://github.com/habitat-sh/habitat/pull/2604) ([eeyun](https://github.com/eeyun))
- Update hab graph tool [\#2598](https://github.com/habitat-sh/habitat/pull/2598) ([chefsalim](https://github.com/chefsalim))
- Support installing hab with a custom cert [\#2597](https://github.com/habitat-sh/habitat/pull/2597) ([bdangit](https://github.com/bdangit))
- Remove the reliance on sequence numbers from the db migrator. [\#2593](https://github.com/habitat-sh/habitat/pull/2593) ([raskchanky](https://github.com/raskchanky))
- adds in documentation for building all habitat components [\#2588](https://github.com/habitat-sh/habitat/pull/2588) ([nellshamrell](https://github.com/nellshamrell))
- Update Builder dev doc [\#2575](https://github.com/habitat-sh/habitat/pull/2575) ([chefsalim](https://github.com/chefsalim))
- Start windows processes in a new process group and clean up orphans [\#2570](https://github.com/habitat-sh/habitat/pull/2570) ([mwrock](https://github.com/mwrock))
- Remove the X-Contact Tag from S3 buckets [\#2567](https://github.com/habitat-sh/habitat/pull/2567) ([christophermaier](https://github.com/christophermaier))
- Create a .gitignore file with `hab plan init` [\#2565](https://github.com/habitat-sh/habitat/pull/2565) ([cnunciato](https://github.com/cnunciato))
- One last fix for the new core/postgresql [\#2555](https://github.com/habitat-sh/habitat/pull/2555) ([christophermaier](https://github.com/christophermaier))
- Added blog post on triage changes [\#2554](https://github.com/habitat-sh/habitat/pull/2554) ([eeyun](https://github.com/eeyun))
- Auto-scroll when viewing a running build [\#2553](https://github.com/habitat-sh/habitat/pull/2553) ([cnunciato](https://github.com/cnunciato))
- Fixing some usability issues [\#2552](https://github.com/habitat-sh/habitat/pull/2552) ([raskchanky](https://github.com/raskchanky))
- Update for use with latest core/postgresql [\#2547](https://github.com/habitat-sh/habitat/pull/2547) ([christophermaier](https://github.com/christophermaier))
- Add HAB\_UPDATE\_FREQUENCY\_MS to studio functions [\#2546](https://github.com/habitat-sh/habitat/pull/2546) ([smith](https://github.com/smith))
- Don't fail entire schedule if job fails [\#2545](https://github.com/habitat-sh/habitat/pull/2545) ([chefsalim](https://github.com/chefsalim))
- Add archive section to the jobsrv configuration file [\#2543](https://github.com/habitat-sh/habitat/pull/2543) ([christophermaier](https://github.com/christophermaier))
- Correct broken image links in blog post [\#2540](https://github.com/habitat-sh/habitat/pull/2540) ([eeyun](https://github.com/eeyun))
- Update the dev docs [\#2534](https://github.com/habitat-sh/habitat/pull/2534) ([cnunciato](https://github.com/cnunciato))
- Improve error handling [\#2533](https://github.com/habitat-sh/habitat/pull/2533) ([raskchanky](https://github.com/raskchanky))
- use chef-releng-ops bintray key for deployments [\#2532](https://github.com/habitat-sh/habitat/pull/2532) ([mwrock](https://github.com/mwrock))
- Pull habitat events into the community page from events.chef.io [\#2531](https://github.com/habitat-sh/habitat/pull/2531) ([raskchanky](https://github.com/raskchanky))
- Miscellaneous Terraform Tweaks [\#2529](https://github.com/habitat-sh/habitat/pull/2529) ([christophermaier](https://github.com/christophermaier))
- Bulk project creation tool [\#2526](https://github.com/habitat-sh/habitat/pull/2526) ([chefsalim](https://github.com/chefsalim))
- ChefConf Blog added and blog assets unified in medmedia dir [\#2525](https://github.com/habitat-sh/habitat/pull/2525) ([eeyun](https://github.com/eeyun))
- Create bucket for job logs [\#2523](https://github.com/habitat-sh/habitat/pull/2523) ([christophermaier](https://github.com/christophermaier))
- Add Terraform services log level customization [\#2521](https://github.com/habitat-sh/habitat/pull/2521) ([chefsalim](https://github.com/chefsalim))
- Add HAB\_UPDATE\_STRATEGY\_FREQUENCY\_MS to studio propagated vars [\#2519](https://github.com/habitat-sh/habitat/pull/2519) ([smith](https://github.com/smith))
- upload windows packages to acceptance/prod depots [\#2517](https://github.com/habitat-sh/habitat/pull/2517) ([mwrock](https://github.com/mwrock))
- adding a markdown instruction for on call engineers [\#2513](https://github.com/habitat-sh/habitat/pull/2513) ([mwrock](https://github.com/mwrock))
- captures standard error of supervisor child process and reads it to the output [\#2508](https://github.com/habitat-sh/habitat/pull/2508) ([mwrock](https://github.com/mwrock))
- Revert "Update events page" [\#2507](https://github.com/habitat-sh/habitat/pull/2507) ([cnunciato](https://github.com/cnunciato))
- allow for depot searches to contain origin/name [\#2505](https://github.com/habitat-sh/habitat/pull/2505) ([mwrock](https://github.com/mwrock))
- Updated Events [\#2504](https://github.com/habitat-sh/habitat/pull/2504) ([eeyun](https://github.com/eeyun))
- Fix hab pkg upload to only check deps of package that is being uploaded [\#2501](https://github.com/habitat-sh/habitat/pull/2501) ([georgemarshall](https://github.com/georgemarshall))
- \[studio\] Source .studiorc after superivsor is started [\#2499](https://github.com/habitat-sh/habitat/pull/2499) ([smith](https://github.com/smith))
- change migrator prefix for latest function change [\#2497](https://github.com/habitat-sh/habitat/pull/2497) ([mwrock](https://github.com/mwrock))
- version get\_origin\_package\_latest function so that the db gets the correct query [\#2496](https://github.com/habitat-sh/habitat/pull/2496) ([mwrock](https://github.com/mwrock))
- Update plan template to document pkg\_source as Optional [\#2492](https://github.com/habitat-sh/habitat/pull/2492) ([kevinreedy](https://github.com/kevinreedy))
- README: Add missing space [\#2490](https://github.com/habitat-sh/habitat/pull/2490) ([ifraixedes](https://github.com/ifraixedes))
- Remove edges without side effects [\#2486](https://github.com/habitat-sh/habitat/pull/2486) ([chefsalim](https://github.com/chefsalim))
- Fix missed case in version compare [\#2484](https://github.com/habitat-sh/habitat/pull/2484) ([chefsalim](https://github.com/chefsalim))
- Publish blog posts for ChefConf [\#2482](https://github.com/habitat-sh/habitat/pull/2482) ([christophermaier](https://github.com/christophermaier))
- Updated tutorial to use latest syntax and convention [\#2481](https://github.com/habitat-sh/habitat/pull/2481) ([eeyun](https://github.com/eeyun))
- Adds habitat infographics to docs under reference section [\#2478](https://github.com/habitat-sh/habitat/pull/2478) ([ryankeairns](https://github.com/ryankeairns))
- Version bump 0.25.0-dev [\#2470](https://github.com/habitat-sh/habitat/pull/2470) ([reset](https://github.com/reset))
- fix originsrv compile errors around searchable\_ident and add originsrv to travis components [\#2469](https://github.com/habitat-sh/habitat/pull/2469) ([mwrock](https://github.com/mwrock))
- Add blog post about shield / redis [\#2468](https://github.com/habitat-sh/habitat/pull/2468) ([bodymindarts](https://github.com/bodymindarts))
- Encode search-query parameters [\#2465](https://github.com/habitat-sh/habitat/pull/2465) ([cnunciato](https://github.com/cnunciato))
- list package versions in descending order [\#2464](https://github.com/habitat-sh/habitat/pull/2464) ([mwrock](https://github.com/mwrock))
- Run mac build separately and in an isolated directory [\#2331](https://github.com/habitat-sh/habitat/pull/2331) ([mwrock](https://github.com/mwrock))
- \[core\] Cleanup of package Metadata parsing [\#2249](https://github.com/habitat-sh/habitat/pull/2249) ([georgemarshall](https://github.com/georgemarshall))
- Take full control over windows process creation [\#2129](https://github.com/habitat-sh/habitat/pull/2129) ([mwrock](https://github.com/mwrock))

## [0.24.1](https://github.com/habitat-sh/habitat/tree/0.24.1) (05-22-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.24.0...0.24.1)

## Features & Enhancements

- Origin packages uploaded should land in the unstable channel by default [\#2425](https://github.com/habitat-sh/habitat/issues/2425)
- Write a blog about Scaffolding: Simple 'tutorial' post with example. [\#2272](https://github.com/habitat-sh/habitat/issues/2272)
- Write a blog about Hab Builder: Full exploration and how it all works together. [\#2271](https://github.com/habitat-sh/habitat/issues/2271)
- \[build-web\] add builder.habitat.sh [\#2195](https://github.com/habitat-sh/habitat/issues/2195)
- 0.24.1 [\#2467](https://github.com/habitat-sh/habitat/pull/2467) ([reset](https://github.com/reset))
- \[blog\] Add `published: false` to Scaffolding articles. [\#2462](https://github.com/habitat-sh/habitat/pull/2462) ([fnichol](https://github.com/fnichol))
- Bump VERSION to 0.25.0-dev. [\#2460](https://github.com/habitat-sh/habitat/pull/2460) ([fnichol](https://github.com/fnichol))
- \[docs\] Update Scaffolding docs to reflect the current releases. [\#2446](https://github.com/habitat-sh/habitat/pull/2446) ([fnichol](https://github.com/fnichol))
- \[blog\] Add Scaffolding blog posts. [\#2445](https://github.com/habitat-sh/habitat/pull/2445) ([fnichol](https://github.com/fnichol))
- Update FASTLY\_SERVICE\_KEY in travis [\#2437](https://github.com/habitat-sh/habitat/pull/2437) ([reset](https://github.com/reset))
- Use larger instance for Builder Worker & small refactors to Terraform [\#2436](https://github.com/habitat-sh/habitat/pull/2436) ([reset](https://github.com/reset))
- Change subdomain from app.\* to bldr.\* for builder application [\#2435](https://github.com/habitat-sh/habitat/pull/2435) ([reset](https://github.com/reset))
- Builder blog article [\#2389](https://github.com/habitat-sh/habitat/pull/2389) ([reset](https://github.com/reset))

## Bug fixes

- Scheduler API responding with 503 [\#2443](https://github.com/habitat-sh/habitat/issues/2443)
- Jobs API responding with 503 [\#2442](https://github.com/habitat-sh/habitat/issues/2442)
- CensusMember is alive if it is ourself [\#2466](https://github.com/habitat-sh/habitat/pull/2466) ([reset](https://github.com/reset))
- \[studio\] Ensure that background hab-sup only runs in `enter`. [\#2461](https://github.com/habitat-sh/habitat/pull/2461) ([fnichol](https://github.com/fnichol))
- Less greedy when attempting to query latest packages [\#2439](https://github.com/habitat-sh/habitat/pull/2439) ([reset](https://github.com/reset))
- Properly sort latest origin packages [\#2438](https://github.com/habitat-sh/habitat/pull/2438) ([chefsalim](https://github.com/chefsalim))

**Closed issues:**

- \[www\] Global buttons and recommended post styles [\#2450](https://github.com/habitat-sh/habitat/issues/2450)
- Update the CNAME for www.acceptance.habitat.sh [\#2426](https://github.com/habitat-sh/habitat/issues/2426)
- \[www\] Update copy and footer link on habitat.sh [\#2392](https://github.com/habitat-sh/habitat/issues/2392)

**Merged pull requests:**

- Makes button style consistent globally, fixes padding on posts [\#2454](https://github.com/habitat-sh/habitat/pull/2454) ([ryankeairns](https://github.com/ryankeairns))
- Tweak the query for get\_origin\_package\_latest\_v1 [\#2451](https://github.com/habitat-sh/habitat/pull/2451) ([chefsalim](https://github.com/chefsalim))
- Handle errors from the stats API [\#2449](https://github.com/habitat-sh/habitat/pull/2449) ([cnunciato](https://github.com/cnunciato))
- Don't fail on non-unique channel promote [\#2434](https://github.com/habitat-sh/habitat/pull/2434) ([chefsalim](https://github.com/chefsalim))
- Updated scaffolding docs [\#2432](https://github.com/habitat-sh/habitat/pull/2432) ([tashimi](https://github.com/tashimi))
- Inter-site navigation improvements, Part II [\#2423](https://github.com/habitat-sh/habitat/pull/2423) ([cnunciato](https://github.com/cnunciato))
- Hook up the "Request New Build" button [\#2412](https://github.com/habitat-sh/habitat/pull/2412) ([raskchanky](https://github.com/raskchanky))
- \[www\] Update Community Page [\#2400](https://github.com/habitat-sh/habitat/pull/2400) ([raskchanky](https://github.com/raskchanky))

## [0.24.0](https://github.com/habitat-sh/habitat/tree/0.24.0) (05-19-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.23.0...0.24.0)

## Features & Enhancements

- \[web ui\] Add new blog [\#2336](https://github.com/habitat-sh/habitat/issues/2336)
- Finish implementing MVP Node-based Scaffolding, initially targeting web apps [\#2321](https://github.com/habitat-sh/habitat/issues/2321)
- \[builder-web\] Build the new initial front page  [\#2181](https://github.com/habitat-sh/habitat/issues/2181)
- Schedule reverse dependency builds when new core packages uploaded [\#2031](https://github.com/habitat-sh/habitat/issues/2031)
- Add `hab sup term` command and additional aliases to `hab` [\#2419](https://github.com/habitat-sh/habitat/pull/2419) ([reset](https://github.com/reset))
- Various Studio Tapas, nom nom [\#2418](https://github.com/habitat-sh/habitat/pull/2418) ([fnichol](https://github.com/fnichol))
- Downcases tags used for docker images. [\#2417](https://github.com/habitat-sh/habitat/pull/2417) ([mattray](https://github.com/mattray))
- Improve output of `hab svc status` command [\#2414](https://github.com/habitat-sh/habitat/pull/2414) ([reset](https://github.com/reset))
- \[plan-build\] Set the ownership of `results/\*` to the same as the Plan. [\#2413](https://github.com/habitat-sh/habitat/pull/2413) ([fnichol](https://github.com/fnichol))
- Auto update [\#2410](https://github.com/habitat-sh/habitat/pull/2410) ([reset](https://github.com/reset))
- prevent "API API" in raml titles [\#2399](https://github.com/habitat-sh/habitat/pull/2399) ([juliandunn](https://github.com/juliandunn))
- Fix package navigation, add status indicators and log coloring [\#2383](https://github.com/habitat-sh/habitat/pull/2383) ([cnunciato](https://github.com/cnunciato))
- Default to plain log output [\#2381](https://github.com/habitat-sh/habitat/pull/2381) ([christophermaier](https://github.com/christophermaier))
- Use ANSI color codes in build output [\#2380](https://github.com/habitat-sh/habitat/pull/2380) ([christophermaier](https://github.com/christophermaier))
- Add a "latest" field to the package versions API response [\#2372](https://github.com/habitat-sh/habitat/pull/2372) ([raskchanky](https://github.com/raskchanky))
- Fixes homepage scripts and in turn fixes css rendering [\#2371](https://github.com/habitat-sh/habitat/pull/2371) ([ryankeairns](https://github.com/ryankeairns))
- Fixes homepage scripts and in turn fixes css rendering [\#2371](https://github.com/habitat-sh/habitat/pull/2371) ([ryankeairns](https://github.com/ryankeairns))
- Fix deployment of middleman site [\#2370](https://github.com/habitat-sh/habitat/pull/2370) ([reset](https://github.com/reset))
- Short-circuit project API processing for non-core origins [\#2369](https://github.com/habitat-sh/habitat/pull/2369) ([christophermaier](https://github.com/christophermaier))
- Only create new projects in the core origin [\#2362](https://github.com/habitat-sh/habitat/pull/2362) ([christophermaier](https://github.com/christophermaier))
- Replace BUILDER permission flag with EARLY\_ACCESS and enable builder [\#2360](https://github.com/habitat-sh/habitat/pull/2360) ([reset](https://github.com/reset))
- Rename `hab service` to `hab svc` and add `hab svc status` [\#2359](https://github.com/habitat-sh/habitat/pull/2359) ([reset](https://github.com/reset))
- Relax authorization checks on Builder API read-only endpoints [\#2354](https://github.com/habitat-sh/habitat/pull/2354) ([christophermaier](https://github.com/christophermaier))
- Fix builder-worker tests [\#2352](https://github.com/habitat-sh/habitat/pull/2352) ([reset](https://github.com/reset))
- Automatically determine default publish settings for builder-worker [\#2347](https://github.com/habitat-sh/habitat/pull/2347) ([reset](https://github.com/reset))
- Add BUILDER\_RUNNER\_DEBUG env var to builder-worker [\#2342](https://github.com/habitat-sh/habitat/pull/2342) ([reset](https://github.com/reset))
- Runner tweaks [\#2339](https://github.com/habitat-sh/habitat/pull/2339) ([christophermaier](https://github.com/christophermaier))
- Start 0.24.0-dev [\#2323](https://github.com/habitat-sh/habitat/pull/2323) ([reset](https://github.com/reset))

## Bug fixes

- Links in the dashboard's recent-packages list are broken  [\#2346](https://github.com/habitat-sh/habitat/issues/2346)
- Service config not available via API [\#2250](https://github.com/habitat-sh/habitat/issues/2250)
- Remove uniqueness constraints on keys [\#2424](https://github.com/habitat-sh/habitat/pull/2424) ([christophermaier](https://github.com/christophermaier))
- ensure keys inserted into postgres remain unique [\#2382](https://github.com/habitat-sh/habitat/pull/2382) ([mwrock](https://github.com/mwrock))
- ARM returns u8, x86 i8, changed from hard-coded to whatever libc reco… [\#2363](https://github.com/habitat-sh/habitat/pull/2363) ([lamont](https://github.com/lamont))
- Fully serialize the `pkg` field of the Service struct [\#2361](https://github.com/habitat-sh/habitat/pull/2361) ([reset](https://github.com/reset))
- Render `pkg.ident` as string in RenderContext [\#2355](https://github.com/habitat-sh/habitat/pull/2355) ([reset](https://github.com/reset))
- \[studio\] Fully canonicalize the Studio root path through symlinks. [\#2349](https://github.com/habitat-sh/habitat/pull/2349) ([fnichol](https://github.com/fnichol))
- Fix auth for public keys [\#2344](https://github.com/habitat-sh/habitat/pull/2344) ([chefsalim](https://github.com/chefsalim))
- Use origin\_invitation\_id for invitation acceptance [\#2343](https://github.com/habitat-sh/habitat/pull/2343) ([christophermaier](https://github.com/christophermaier))
- Set proper default path for depot data path in builder-api plan [\#2333](https://github.com/habitat-sh/habitat/pull/2333) ([reset](https://github.com/reset))
- Fix builder-admin ELB configuration [\#2332](https://github.com/habitat-sh/habitat/pull/2332) ([reset](https://github.com/reset))
- Always config scheduler & jobsrv with all shards [\#2329](https://github.com/habitat-sh/habitat/pull/2329) ([reset](https://github.com/reset))

**Closed issues:**

- RFE: hab sup status should print some logs of the service [\#2402](https://github.com/habitat-sh/habitat/issues/2402)
- hab stop command [\#2377](https://github.com/habitat-sh/habitat/issues/2377)
- \[builder-web\] Update or suppress Getting Started section \(Explore\) [\#2368](https://github.com/habitat-sh/habitat/issues/2368)
- \[builder-web\] Update the Explore view with select static data [\#2367](https://github.com/habitat-sh/habitat/issues/2367)
- pkg expose does not allow binding optional services [\#2365](https://github.com/habitat-sh/habitat/issues/2365)
- \[web ui\] Update profile design in top bar [\#2338](https://github.com/habitat-sh/habitat/issues/2338)
- \[web ui\] Update main app footer to match www footer [\#2337](https://github.com/habitat-sh/habitat/issues/2337)
- Link and style change for 'Dashboard' nav [\#2330](https://github.com/habitat-sh/habitat/issues/2330)

**Merged pull requests:**

- 0-24-0 [\#2429](https://github.com/habitat-sh/habitat/pull/2429) ([reset](https://github.com/reset))
- Add inserted packages to unstable channel [\#2428](https://github.com/habitat-sh/habitat/pull/2428) ([chefsalim](https://github.com/chefsalim))
- Inter-site navigation improvements, Part I [\#2422](https://github.com/habitat-sh/habitat/pull/2422) ([cnunciato](https://github.com/cnunciato))
- Join us at ChefConf! [\#2421](https://github.com/habitat-sh/habitat/pull/2421) ([nathenharvey](https://github.com/nathenharvey))
- fixes stored procedure for looking up account by name [\#2409](https://github.com/habitat-sh/habitat/pull/2409) ([nellshamrell](https://github.com/nellshamrell))
- do not randomize shard 0 [\#2408](https://github.com/habitat-sh/habitat/pull/2408) ([mwrock](https://github.com/mwrock))
- Fix missing quote in author bios [\#2407](https://github.com/habitat-sh/habitat/pull/2407) ([cnunciato](https://github.com/cnunciato))
- fix blog link in footer [\#2406](https://github.com/habitat-sh/habitat/pull/2406) ([smith](https://github.com/smith))
- Add a Build Output tab to the manifest view [\#2401](https://github.com/habitat-sh/habitat/pull/2401) ([cnunciato](https://github.com/cnunciato))
- Fail gracefully on duplicate package insert [\#2398](https://github.com/habitat-sh/habitat/pull/2398) ([chefsalim](https://github.com/chefsalim))
- Fix log-streaming performance [\#2394](https://github.com/habitat-sh/habitat/pull/2394) ([cnunciato](https://github.com/cnunciato))
- Corrects website home copy and footer link [\#2393](https://github.com/habitat-sh/habitat/pull/2393) ([ryankeairns](https://github.com/ryankeairns))
- Use `hab service` for now in terraform files [\#2388](https://github.com/habitat-sh/habitat/pull/2388) ([reset](https://github.com/reset))
- Finalizing content for Explore page [\#2387](https://github.com/habitat-sh/habitat/pull/2387) ([ryankeairns](https://github.com/ryankeairns))
- New blog post: Packaging Drupal [\#2385](https://github.com/habitat-sh/habitat/pull/2385) ([therealpadams](https://github.com/therealpadams))
- Fix failing component test [\#2384](https://github.com/habitat-sh/habitat/pull/2384) ([cnunciato](https://github.com/cnunciato))
- Updates web app footer to new style and IA [\#2379](https://github.com/habitat-sh/habitat/pull/2379) ([ryankeairns](https://github.com/ryankeairns))
- Update styles and navigation [\#2366](https://github.com/habitat-sh/habitat/pull/2366) ([cnunciato](https://github.com/cnunciato))
- Update builder dev doc [\#2358](https://github.com/habitat-sh/habitat/pull/2358) ([chefsalim](https://github.com/chefsalim))
- Basic file log for builder-scheduler [\#2356](https://github.com/habitat-sh/habitat/pull/2356) ([chefsalim](https://github.com/chefsalim))
- Only return distinct results on package search if specified in the URL [\#2348](https://github.com/habitat-sh/habitat/pull/2348) ([raskchanky](https://github.com/raskchanky))
- Clear logs before fetching, and only poll for updates when necessary [\#2345](https://github.com/habitat-sh/habitat/pull/2345) ([cnunciato](https://github.com/cnunciato))
- Add a debug log line [\#2341](https://github.com/habitat-sh/habitat/pull/2341) ([chefsalim](https://github.com/chefsalim))
- Allow package search to work across origins. [\#2340](https://github.com/habitat-sh/habitat/pull/2340) ([raskchanky](https://github.com/raskchanky))
- Next stop for Hands on Habitat is NYC [\#2335](https://github.com/habitat-sh/habitat/pull/2335) ([nathenharvey](https://github.com/nathenharvey))
- Handle failed acceptance of origin invites [\#2328](https://github.com/habitat-sh/habitat/pull/2328) ([cnunciato](https://github.com/cnunciato))
- Added Eng blog to habitat.sh site [\#2079](https://github.com/habitat-sh/habitat/pull/2079) ([eeyun](https://github.com/eeyun))

## [0.23.0](https://github.com/habitat-sh/habitat/tree/0.23.0) (05-11-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.22.1...0.23.0)

## Features & Enhancements

- \[builder-web\] Show build output from streaming logs  [\#2183](https://github.com/habitat-sh/habitat/issues/2183)
- \[builder-web\] Improve package search [\#2182](https://github.com/habitat-sh/habitat/issues/2182)
- Update the acceptance environment with the latest builder service [\#2035](https://github.com/habitat-sh/habitat/issues/2035)
- Streaming log output for Builder and long term storage on job complete [\#2024](https://github.com/habitat-sh/habitat/issues/2024)
- configurable update strategy frequency and better update messaging [\#2320](https://github.com/habitat-sh/habitat/pull/2320) ([mwrock](https://github.com/mwrock))
- Address review comments on PR \#2241 \(Log streaming\) [\#2319](https://github.com/habitat-sh/habitat/pull/2319) ([christophermaier](https://github.com/christophermaier))
- Change JobSrv log-ingestion to 5568 from 5569 [\#2309](https://github.com/habitat-sh/habitat/pull/2309) ([reset](https://github.com/reset))
- Refactor Terraform module to support latest supervisor [\#2301](https://github.com/habitat-sh/habitat/pull/2301) ([reset](https://github.com/reset))
- Minor doc change to eachAlive sections [\#2293](https://github.com/habitat-sh/habitat/pull/2293) ([reset](https://github.com/reset))
- Add an endpoint for getting jobs from a project [\#2283](https://github.com/habitat-sh/habitat/pull/2283) ([christophermaier](https://github.com/christophermaier))
- Logs! [\#2241](https://github.com/habitat-sh/habitat/pull/2241) ([christophermaier](https://github.com/christophermaier))

## Bug fixes

- sys.ip always reports 127.0.0.1 \(when 0.22.\* and 0.21.0 supervisors are communicating\) [\#2298](https://github.com/habitat-sh/habitat/issues/2298)
- Census can report multiple members as leaders of their group [\#2297](https://github.com/habitat-sh/habitat/issues/2297)
- Use protobuf to represent sys information in swim.Service proto [\#2314](https://github.com/habitat-sh/habitat/pull/2314) ([reset](https://github.com/reset))
- Reload config templates on package update [\#2313](https://github.com/habitat-sh/habitat/pull/2313) ([reset](https://github.com/reset))
- builder service plan bug fixes [\#2312](https://github.com/habitat-sh/habitat/pull/2312) ([reset](https://github.com/reset))
- fix updated package template rendering [\#2311](https://github.com/habitat-sh/habitat/pull/2311) ([mwrock](https://github.com/mwrock))
- Various plan fixes for builder-admin, builder-api, and builder-sessionsrv [\#2310](https://github.com/habitat-sh/habitat/pull/2310) ([reset](https://github.com/reset))
- Point to proper static directory in builder-proxy configs [\#2307](https://github.com/habitat-sh/habitat/pull/2307) ([reset](https://github.com/reset))
- Fix issue in worker plan not configuring to JobSrv [\#2302](https://github.com/habitat-sh/habitat/pull/2302) ([reset](https://github.com/reset))
- Remove leader / follower bit in CensusMember on every ElectionRumor [\#2296](https://github.com/habitat-sh/habitat/pull/2296) ([bodymindarts](https://github.com/bodymindarts))
- Export and quote PGPASSWORD in builder init hooks [\#2295](https://github.com/habitat-sh/habitat/pull/2295) ([reset](https://github.com/reset))
- \[sup\] Support optional package bind validation. [\#2294](https://github.com/habitat-sh/habitat/pull/2294) ([fnichol](https://github.com/fnichol))
- Disable password prompt in builder init hooks [\#2292](https://github.com/habitat-sh/habitat/pull/2292) ([reset](https://github.com/reset))

**Closed issues:**

- Make UPDATE\_STRATEGY\_FREQUENCY\_MS configurable from env var [\#2316](https://github.com/habitat-sh/habitat/issues/2316)

**Merged pull requests:**

- 0.23.0 [\#2322](https://github.com/habitat-sh/habitat/pull/2322) ([reset](https://github.com/reset))
- Add back async start to jobsrv [\#2318](https://github.com/habitat-sh/habitat/pull/2318) ([chefsalim](https://github.com/chefsalim))
- Show build log output in the UI [\#2306](https://github.com/habitat-sh/habitat/pull/2306) ([cnunciato](https://github.com/cnunciato))
- Dallas is the next Hands on Habitat event [\#2300](https://github.com/habitat-sh/habitat/pull/2300) ([nathenharvey](https://github.com/nathenharvey))
- cancel deployment for PRs before accessing secure variables [\#2291](https://github.com/habitat-sh/habitat/pull/2291) ([mwrock](https://github.com/mwrock))
- do not use annotaded tags to fix appveyor deployments [\#2290](https://github.com/habitat-sh/habitat/pull/2290) ([mwrock](https://github.com/mwrock))
- bumping dev version [\#2289](https://github.com/habitat-sh/habitat/pull/2289) ([mwrock](https://github.com/mwrock))
- Improve package search [\#2214](https://github.com/habitat-sh/habitat/pull/2214) ([raskchanky](https://github.com/raskchanky))

## [0.22.1](https://github.com/habitat-sh/habitat/tree/0.22.1) (05-09-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.22.0...0.22.1)

## Features & Enhancements

- Doc update: [\#2248](https://github.com/habitat-sh/habitat/issues/2248)
- Doc Bug [\#2230](https://github.com/habitat-sh/habitat/issues/2230)
- Implement MVP Ruby-based Scaffolding, initially targeting Rails 5 [\#2142](https://github.com/habitat-sh/habitat/issues/2142)
- Add builder-datastore plan to components [\#2278](https://github.com/habitat-sh/habitat/pull/2278) ([reset](https://github.com/reset))
- Remove debug output from EachAlive helper [\#2277](https://github.com/habitat-sh/habitat/pull/2277) ([reset](https://github.com/reset))
- Fix formatting in sup/build.rs [\#2276](https://github.com/habitat-sh/habitat/pull/2276) ([reset](https://github.com/reset))
- Added API docs to be served on sup :9631/ [\#2270](https://github.com/habitat-sh/habitat/pull/2270) ([eeyun](https://github.com/eeyun))
- Fix travis deploy for PRs redux [\#2236](https://github.com/habitat-sh/habitat/pull/2236) ([georgemarshall](https://github.com/georgemarshall))

## Bug fixes

- Inconsistency between sup load and status [\#2273](https://github.com/habitat-sh/habitat/issues/2273)
- Fix `PATH` setting timing in the build program [\#2265](https://github.com/habitat-sh/habitat/issues/2265)
- `{{svc.group}}` not just rendering the 'group' [\#2254](https://github.com/habitat-sh/habitat/issues/2254)
- `bind.database.first` is missing [\#2252](https://github.com/habitat-sh/habitat/issues/2252)
- Doc update: [\#2248](https://github.com/habitat-sh/habitat/issues/2248)
- Doc Bug [\#2230](https://github.com/habitat-sh/habitat/issues/2230)
- Service bind data does not contain service group members within the same supervisor [\#2150](https://github.com/habitat-sh/habitat/issues/2150)
- \[plan-build\] Recompute `PATH` when using `pkg\_version\(\)` helper. [\#2286](https://github.com/habitat-sh/habitat/pull/2286) ([fnichol](https://github.com/fnichol))
- Pipe optional binds through to RenderContext [\#2284](https://github.com/habitat-sh/habitat/pull/2284) ([reset](https://github.com/reset))
- move user and group validation outside of service struct constructor so failed services can have persisted state [\#2279](https://github.com/habitat-sh/habitat/pull/2279) ([mwrock](https://github.com/mwrock))
- Fix `/services/{svc}/{group}/config` endpoint in http-gateway and add docs [\#2269](https://github.com/habitat-sh/habitat/pull/2269) ([reset](https://github.com/reset))
- Add `leader` and `update\_leader` fields to svc in rendering context [\#2251](https://github.com/habitat-sh/habitat/pull/2251) ([reset](https://github.com/reset))
- Fix travis deploy for PRs redux [\#2236](https://github.com/habitat-sh/habitat/pull/2236) ([georgemarshall](https://github.com/georgemarshall))

**Closed issues:**

- NPM error when running make bldr-run from root of Habitat directory [\#2282](https://github.com/habitat-sh/habitat/issues/2282)
- {{ has\_\<bind\>}} removed [\#2257](https://github.com/habitat-sh/habitat/issues/2257)

**Merged pull requests:**

- Revert "Fix travis deploy for PRs redux" [\#2288](https://github.com/habitat-sh/habitat/pull/2288) ([mwrock](https://github.com/mwrock))
- release 0.22.1 [\#2287](https://github.com/habitat-sh/habitat/pull/2287) ([mwrock](https://github.com/mwrock))
- tweak language around private repos [\#2285](https://github.com/habitat-sh/habitat/pull/2285) ([mwrock](https://github.com/mwrock))
- Remove deprecated publisher port [\#2268](https://github.com/habitat-sh/habitat/pull/2268) ([chefsalim](https://github.com/chefsalim))
- remove warnings in windows supervisor compiles [\#2267](https://github.com/habitat-sh/habitat/pull/2267) ([mwrock](https://github.com/mwrock))
- Bugfix in package graph [\#2266](https://github.com/habitat-sh/habitat/pull/2266) ([chefsalim](https://github.com/chefsalim))
- do not wait for services to start on load and start commands [\#2264](https://github.com/habitat-sh/habitat/pull/2264) ([mwrock](https://github.com/mwrock))
- remove unintentional backslash from initial studio message [\#2263](https://github.com/habitat-sh/habitat/pull/2263) ([mwrock](https://github.com/mwrock))
- Corrected TOML example in docs [\#2262](https://github.com/habitat-sh/habitat/pull/2262) ([davidwrede](https://github.com/davidwrede))
- Made Handlebars example easier to understand [\#2260](https://github.com/habitat-sh/habitat/pull/2260) ([davidwrede](https://github.com/davidwrede))
- Updated to reference new ruby scaffolding [\#2259](https://github.com/habitat-sh/habitat/pull/2259) ([davidwrede](https://github.com/davidwrede))
- Fix svc rendering [\#2255](https://github.com/habitat-sh/habitat/pull/2255) ([bodymindarts](https://github.com/bodymindarts))
- Add Svc.first to templating/context [\#2253](https://github.com/habitat-sh/habitat/pull/2253) ([bodymindarts](https://github.com/bodymindarts))
- add ruby scaffolding to changelog [\#2247](https://github.com/habitat-sh/habitat/pull/2247) ([mwrock](https://github.com/mwrock))
- Adding release notes and updating release instructions for 0.22.0 [\#2246](https://github.com/habitat-sh/habitat/pull/2246) ([tashimi](https://github.com/tashimi))
- Fix missing dep in mac/install\_dev\_0\_mac\_latest.sh [\#2245](https://github.com/habitat-sh/habitat/pull/2245) ([georgemarshall](https://github.com/georgemarshall))
- bump dev version [\#2244](https://github.com/habitat-sh/habitat/pull/2244) ([mwrock](https://github.com/mwrock))

## [0.22.0](https://github.com/habitat-sh/habitat/tree/0.22.0) (05-06-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.21.0...0.22.0)

## Features & Enhancements

- Remove `hab pkg exec` calls from Builder Plan hooks [\#2239](https://github.com/habitat-sh/habitat/issues/2239)
- Hard to dynamically calculate version [\#2212](https://github.com/habitat-sh/habitat/issues/2212)
- Run supervisor in the background inside a studio [\#2131](https://github.com/habitat-sh/habitat/issues/2131)
- hab sup status command [\#2118](https://github.com/habitat-sh/habitat/issues/2118)
- The builder-scheduler should be able to recover gracefully on restart / missed notifications [\#2032](https://github.com/habitat-sh/habitat/issues/2032)
- Simplify language around `pkgPathFor` helper. [\#2240](https://github.com/habitat-sh/habitat/pull/2240) ([rhass](https://github.com/rhass))
- Fixes for builder plans [\#2238](https://github.com/habitat-sh/habitat/pull/2238) ([reset](https://github.com/reset))
- \[plan-build\] Add optional helper to dynamically compute pkg\_version. [\#2235](https://github.com/habitat-sh/habitat/pull/2235) ([fnichol](https://github.com/fnichol))
- \[plan-build\] Introduce `do\_before\(\)` & `do\_after\(\)` build phases. [\#2234](https://github.com/habitat-sh/habitat/pull/2234) ([fnichol](https://github.com/fnichol))
- Update package graph module [\#2231](https://github.com/habitat-sh/habitat/pull/2231) ([chefsalim](https://github.com/chefsalim))
- \[plan-build\] Rename Scaffolding load function to `scaffolding\_load\(\)`. [\#2229](https://github.com/habitat-sh/habitat/pull/2229) ([fnichol](https://github.com/fnichol))
- Build the dashboard view [\#2227](https://github.com/habitat-sh/habitat/pull/2227) ([cnunciato](https://github.com/cnunciato))
- Refactor ServiceConfig into RenderContext in supervisor [\#2226](https://github.com/habitat-sh/habitat/pull/2226) ([reset](https://github.com/reset))
- at-once update strategy updates from local package cache as well as depot [\#2219](https://github.com/habitat-sh/habitat/pull/2219) ([mwrock](https://github.com/mwrock))
- fix appveyor download of ssl certs [\#2207](https://github.com/habitat-sh/habitat/pull/2207) ([mwrock](https://github.com/mwrock))
- Bump crate dependencies and fix API breakages [\#2180](https://github.com/habitat-sh/habitat/pull/2180) ([reset](https://github.com/reset))
- Service butterfly decoupling [\#2171](https://github.com/habitat-sh/habitat/pull/2171) ([bodymindarts](https://github.com/bodymindarts))
- Add Habitat plan for EventSrv [\#2169](https://github.com/habitat-sh/habitat/pull/2169) ([reset](https://github.com/reset))
- Use the stats API in the Explore view [\#2168](https://github.com/habitat-sh/habitat/pull/2168) ([cnunciato](https://github.com/cnunciato))
- General quality of life improvements to Supervisor [\#2167](https://github.com/habitat-sh/habitat/pull/2167) ([reset](https://github.com/reset))
- Add API for package stats [\#2162](https://github.com/habitat-sh/habitat/pull/2162) ([chefsalim](https://github.com/chefsalim))
- Build out the Explore view [\#2159](https://github.com/habitat-sh/habitat/pull/2159) ([cnunciato](https://github.com/cnunciato))
- Fix spelling mistakes and cleanup conditionals [\#2156](https://github.com/habitat-sh/habitat/pull/2156) ([georgemarshall](https://github.com/georgemarshall))
- Update release slack channels [\#2154](https://github.com/habitat-sh/habitat/pull/2154) ([tashimi](https://github.com/tashimi))
- Update release slack channels [\#2154](https://github.com/habitat-sh/habitat/pull/2154) ([tashimi](https://github.com/tashimi))
- \[plan-build\] Allow Scaffolding packages to add build deps for Plans. [\#2152](https://github.com/habitat-sh/habitat/pull/2152) ([fnichol](https://github.com/fnichol))
- add readme for building studios [\#2151](https://github.com/habitat-sh/habitat/pull/2151) ([mwrock](https://github.com/mwrock))
- add readme for building studios [\#2151](https://github.com/habitat-sh/habitat/pull/2151) ([mwrock](https://github.com/mwrock))
- Remove builder-dbcache crate and all dependencies on redis [\#2148](https://github.com/habitat-sh/habitat/pull/2148) ([reset](https://github.com/reset))
- travis should deploy to unstable when the version changes and also on studio changes [\#2147](https://github.com/habitat-sh/habitat/pull/2147) ([mwrock](https://github.com/mwrock))
- Census refactoring [\#2141](https://github.com/habitat-sh/habitat/pull/2141) ([bodymindarts](https://github.com/bodymindarts))
- Add HAB\_DOCKER\_OPTS to env var docs [\#2140](https://github.com/habitat-sh/habitat/pull/2140) ([smith](https://github.com/smith))
- Refactor Builder Plans to leverage `pkg\_bind`/`pkg\_export` [\#2114](https://github.com/habitat-sh/habitat/pull/2114) ([reset](https://github.com/reset))

## Bug fixes

- Supervisor needs to be restarted for new or update config files to be rendered [\#2220](https://github.com/habitat-sh/habitat/issues/2220)
- Supervisor stops running when core/httpd is stopped [\#2153](https://github.com/habitat-sh/habitat/issues/2153)
- `at-once` strategy kills the supervisor when new packages are not in depot [\#2144](https://github.com/habitat-sh/habitat/issues/2144)
- `hab sup start myorigin/myservice` does not start correctly. [\#2110](https://github.com/habitat-sh/habitat/issues/2110)
- health check caching incorrectly [\#2103](https://github.com/habitat-sh/habitat/issues/2103)
- Supervisor exits and fails to clean-up running services [\#2065](https://github.com/habitat-sh/habitat/issues/2065)
- multi-service hab-sup exits if pkg\_svc\_user not found [\#2061](https://github.com/habitat-sh/habitat/issues/2061)
- pkg\_exports values are not gossiped when updated on  hab config apply [\#1816](https://github.com/habitat-sh/habitat/issues/1816)
- Setup environment before determining version in plan build [\#2237](https://github.com/habitat-sh/habitat/pull/2237) ([reset](https://github.com/reset))
- Fix start command for builder/eventsrv plans [\#2233](https://github.com/habitat-sh/habitat/pull/2233) ([reset](https://github.com/reset))
- bump rumor incarnation when starting a service already in the census [\#2232](https://github.com/habitat-sh/habitat/pull/2232) ([mwrock](https://github.com/mwrock))
- Refactor ServiceConfig into RenderContext in supervisor [\#2226](https://github.com/habitat-sh/habitat/pull/2226) ([reset](https://github.com/reset))
- install package on load and start in the cli [\#2216](https://github.com/habitat-sh/habitat/pull/2216) ([mwrock](https://github.com/mwrock))
- remove health cache when removing service [\#2210](https://github.com/habitat-sh/habitat/pull/2210) ([mwrock](https://github.com/mwrock))
- \[plan-build\] Only write SVC\_USER/SVC\_GROUP metafiles if pkg is a svc. [\#2155](https://github.com/habitat-sh/habitat/pull/2155) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- Improve discoverability of release notes [\#2202](https://github.com/habitat-sh/habitat/issues/2202)
- \[builder-web\] Use the stats API in the Explore view [\#2166](https://github.com/habitat-sh/habitat/issues/2166)

**Merged pull requests:**

- release 0.22.0 [\#2243](https://github.com/habitat-sh/habitat/pull/2243) ([mwrock](https://github.com/mwrock))
- Clarify pkg\_export error message. [\#2228](https://github.com/habitat-sh/habitat/pull/2228) ([rhass](https://github.com/rhass))
- remove @metadave from maintainers [\#2225](https://github.com/habitat-sh/habitat/pull/2225) ([metadave](https://github.com/metadave))
- sup start and load report status on loaded/started service [\#2222](https://github.com/habitat-sh/habitat/pull/2222) ([mwrock](https://github.com/mwrock))
- Relax requirement for version in plan deserialize [\#2218](https://github.com/habitat-sh/habitat/pull/2218) ([chefsalim](https://github.com/chefsalim))
- Update hab-spider [\#2215](https://github.com/habitat-sh/habitat/pull/2215) ([chefsalim](https://github.com/chefsalim))
- Updated release notes  [\#2211](https://github.com/habitat-sh/habitat/pull/2211) ([tashimi](https://github.com/tashimi))
- Hands on Habitat is headed to Austin! [\#2205](https://github.com/habitat-sh/habitat/pull/2205) ([nathenharvey](https://github.com/nathenharvey))
- supervisor starts and kills processes in their own process group [\#2204](https://github.com/habitat-sh/habitat/pull/2204) ([mwrock](https://github.com/mwrock))
- Fix typo that caused macOS builds to fail [\#2201](https://github.com/habitat-sh/habitat/pull/2201) ([georgemarshall](https://github.com/georgemarshall))
- Sync job status notifications with builder-scheduler [\#2198](https://github.com/habitat-sh/habitat/pull/2198) ([chefsalim](https://github.com/chefsalim))
- Custom serialization logic for u64 [\#2196](https://github.com/habitat-sh/habitat/pull/2196) ([christophermaier](https://github.com/christophermaier))
- remove service rumor offset to avoid dropping rumors [\#2190](https://github.com/habitat-sh/habitat/pull/2190) ([mwrock](https://github.com/mwrock))
- Remove gdb install step from ubuntu\_latest script [\#2187](https://github.com/habitat-sh/habitat/pull/2187) ([cnunciato](https://github.com/cnunciato))
- Update pbr to 1.0.0 [\#2179](https://github.com/habitat-sh/habitat/pull/2179) ([chefsalim](https://github.com/chefsalim))
- Adjustments to builder-web support script [\#2175](https://github.com/habitat-sh/habitat/pull/2175) ([cnunciato](https://github.com/cnunciato))
- Sync origin packages with scheduler [\#2174](https://github.com/habitat-sh/habitat/pull/2174) ([chefsalim](https://github.com/chefsalim))
- add missing link to the run package topologies page [\#2173](https://github.com/habitat-sh/habitat/pull/2173) ([johnlonganecker](https://github.com/johnlonganecker))
- Singapore is the next stop on the HoH tour [\#2172](https://github.com/habitat-sh/habitat/pull/2172) ([nathenharvey](https://github.com/nathenharvey))
- implement supervisor status command [\#2170](https://github.com/habitat-sh/habitat/pull/2170) ([mwrock](https://github.com/mwrock))
- Fix builder services breakage [\#2165](https://github.com/habitat-sh/habitat/pull/2165) ([chefsalim](https://github.com/chefsalim))
- updates the ubuntu setup docs with workaround for libreadline 7 error [\#2164](https://github.com/habitat-sh/habitat/pull/2164) ([nellshamrell](https://github.com/nellshamrell))
- Don't fail when directory exists. [\#2161](https://github.com/habitat-sh/habitat/pull/2161) ([rhass](https://github.com/rhass))
- Job server failure recovery [\#2158](https://github.com/habitat-sh/habitat/pull/2158) ([chefsalim](https://github.com/chefsalim))
- Tokyo is the next stop on the tour [\#2157](https://github.com/habitat-sh/habitat/pull/2157) ([nathenharvey](https://github.com/nathenharvey))
- Add post run hook docs [\#2149](https://github.com/habitat-sh/habitat/pull/2149) ([tashimi](https://github.com/tashimi))
- add studio supervisor to windows studio [\#2146](https://github.com/habitat-sh/habitat/pull/2146) ([mwrock](https://github.com/mwrock))
- Add missing license header to census module [\#2145](https://github.com/habitat-sh/habitat/pull/2145) ([reset](https://github.com/reset))
- bump dev version to 0.22.0-dev [\#2139](https://github.com/habitat-sh/habitat/pull/2139) ([mwrock](https://github.com/mwrock))
- Handle pending jobs when workers are ready [\#2135](https://github.com/habitat-sh/habitat/pull/2135) ([chefsalim](https://github.com/chefsalim))
- Update process-build.html.md.erb [\#2113](https://github.com/habitat-sh/habitat/pull/2113) ([dmp1ce](https://github.com/dmp1ce))

## [0.21.0](https://github.com/habitat-sh/habitat/tree/0.21.0) (04-20-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.20.0...0.21.0)

## Features & Enhancements

- \[builder-web\] Bring in the dark palette [\#2120](https://github.com/habitat-sh/habitat/issues/2120)
- `hab sup load` does not allow `--config-from` [\#2104](https://github.com/habitat-sh/habitat/issues/2104)
- Investigate adding Scaffolding direct run deps as direct Plan build deps [\#2097](https://github.com/habitat-sh/habitat/issues/2097)
- EventSrv subscriber OnConnect receives seed of initial events [\#2023](https://github.com/habitat-sh/habitat/issues/2023)
- Create scaffolding plan for python [\#2010](https://github.com/habitat-sh/habitat/issues/2010)
- RFC: Post-Run hook for service initialization [\#1983](https://github.com/habitat-sh/habitat/issues/1983)
- Add support for local directory and files for `pkg\_source` [\#1972](https://github.com/habitat-sh/habitat/issues/1972)
- Implement Channel API [\#1864](https://github.com/habitat-sh/habitat/issues/1864)
- Start Supervisor without services [\#1861](https://github.com/habitat-sh/habitat/issues/1861)
- \[RFC\] Graceful departure from cluster [\#1812](https://github.com/habitat-sh/habitat/issues/1812)
- Proposal: Habitat post run hook [\#1393](https://github.com/habitat-sh/habitat/issues/1393)
- \[builder-web\] Fix Acceptance Tests [\#1001](https://github.com/habitat-sh/habitat/issues/1001)
- \[builder-web\] Lint Angular code with codelyzer [\#886](https://github.com/habitat-sh/habitat/issues/886)
- Integrate EventSrv into the supervisor. [\#2132](https://github.com/habitat-sh/habitat/pull/2132) ([raskchanky](https://github.com/raskchanky))
- \[plan-build\] Add Scaffolding direct deps as direct build deps for Plans. [\#2116](https://github.com/habitat-sh/habitat/pull/2116) ([fnichol](https://github.com/fnichol))
- Add Heap Analytics to header of static site and builder-web [\#2106](https://github.com/habitat-sh/habitat/pull/2106) ([reset](https://github.com/reset))
- Supervisor spring cleaning public fields [\#2095](https://github.com/habitat-sh/habitat/pull/2095) ([bodymindarts](https://github.com/bodymindarts))
- Add PostRun hook to hook table [\#2088](https://github.com/habitat-sh/habitat/pull/2088) ([bodymindarts](https://github.com/bodymindarts))
- \[builder\] Update version computing logic in plan.sh files. [\#2087](https://github.com/habitat-sh/habitat/pull/2087) ([fnichol](https://github.com/fnichol))
- \[plan-build\] Split dep resolving into 3 steps around Scaffolding. [\#2085](https://github.com/habitat-sh/habitat/pull/2085) ([fnichol](https://github.com/fnichol))
- \[plan-build\] Add limited readline functionality to `attach\(\)` function. [\#2084](https://github.com/habitat-sh/habitat/pull/2084) ([fnichol](https://github.com/fnichol))
- Verify that specified bindings exist in census before service start. [\#2076](https://github.com/habitat-sh/habitat/pull/2076) ([bodymindarts](https://github.com/bodymindarts))
- \[plan-build\] Make `pkg\_source` optional so local builds are first class. [\#2074](https://github.com/habitat-sh/habitat/pull/2074) ([fnichol](https://github.com/fnichol))
- Add Last Value Caching \(LVC\) to EventSrv [\#2048](https://github.com/habitat-sh/habitat/pull/2048) ([christophermaier](https://github.com/christophermaier))
- Store package and channel data in postgres [\#2042](https://github.com/habitat-sh/habitat/pull/2042) ([mwrock](https://github.com/mwrock))
- Implement sharding down to the data layer [\#1961](https://github.com/habitat-sh/habitat/pull/1961) ([adamhjk](https://github.com/adamhjk))

## Bug fixes

- Config updates not propagated via bindings [\#2134](https://github.com/habitat-sh/habitat/issues/2134)
- Builder API list\_user\_origins is broken [\#2081](https://github.com/habitat-sh/habitat/issues/2081)
- Invalid cross-device link [\#2078](https://github.com/habitat-sh/habitat/issues/2078)
- Adding dependencies in scaffolding fails [\#2073](https://github.com/habitat-sh/habitat/issues/2073)
- pkgPathFor writes error msg when there is integer in ServiceConfig [\#2067](https://github.com/habitat-sh/habitat/issues/2067)
- `--config-from` broken on latest release. [\#2058](https://github.com/habitat-sh/habitat/issues/2058)
- Validate `-bind \<bind\>:\<svc\>.\<group\>` before starting service [\#2046](https://github.com/habitat-sh/habitat/issues/2046)
- Elections can hang when electorate grows  [\#1994](https://github.com/habitat-sh/habitat/issues/1994)
- Regression 0.18.0 - Binding Config Fails To Populate ServiceConfig For Templates [\#1907](https://github.com/habitat-sh/habitat/issues/1907)
- cannot manually install artifacts dropped into /hab/cache/artifacts [\#1736](https://github.com/habitat-sh/habitat/issues/1736)
- Hab-sup as pid1 in docker container [\#1606](https://github.com/habitat-sh/habitat/issues/1606)
- hab start does not propagate the --url parameter to hab sup start [\#1556](https://github.com/habitat-sh/habitat/issues/1556)
- \[butterfly\] Write dat random tmpfile locally then move. [\#2100](https://github.com/habitat-sh/habitat/pull/2100) ([fnichol](https://github.com/fnichol))
- \[sup\] Restore support of the `--config-from` on `hab start`. [\#2098](https://github.com/habitat-sh/habitat/pull/2098) ([fnichol](https://github.com/fnichol))
- Tighten the scope of pkg\_path\_for's deserializing [\#2077](https://github.com/habitat-sh/habitat/pull/2077) ([smurawski](https://github.com/smurawski))

**Closed issues:**

- Upgrade builder-web to most recent Angular, TypeScript [\#2072](https://github.com/habitat-sh/habitat/issues/2072)
- pkgPathFor seems broken [\#2059](https://github.com/habitat-sh/habitat/issues/2059)
- Create Blueprint for Go Applications [\#1963](https://github.com/habitat-sh/habitat/issues/1963)
- Document "blueprints" \(real name TBD\) Feature Usage [\#1951](https://github.com/habitat-sh/habitat/issues/1951)
- TOML parsing of config files fails with toml-rs 3.0 [\#1865](https://github.com/habitat-sh/habitat/issues/1865)
- Fix the release process [\#1862](https://github.com/habitat-sh/habitat/issues/1862)
- Use Postgres to build package graph [\#1851](https://github.com/habitat-sh/habitat/issues/1851)
- Properly Intercept ctrl+c Interrupts in Windows Supervisor [\#1843](https://github.com/habitat-sh/habitat/issues/1843)

**Merged pull requests:**

- release 0.21.0 [\#2138](https://github.com/habitat-sh/habitat/pull/2138) ([mwrock](https://github.com/mwrock))
- Add the config data to the CensusEntry protobuf [\#2136](https://github.com/habitat-sh/habitat/pull/2136) ([raskchanky](https://github.com/raskchanky))
- Add Builder dev doc [\#2130](https://github.com/habitat-sh/habitat/pull/2130) ([chefsalim](https://github.com/chefsalim))
- Remove postinstall step from builder-api plan. [\#2127](https://github.com/habitat-sh/habitat/pull/2127) ([rhass](https://github.com/rhass))
- Bring in the dark palette [\#2126](https://github.com/habitat-sh/habitat/pull/2126) ([cnunciato](https://github.com/cnunciato))
- add Robb Kidd to doc maintainers [\#2117](https://github.com/habitat-sh/habitat/pull/2117) ([robbkidd](https://github.com/robbkidd))
- include builder-web in make bldr-run [\#2109](https://github.com/habitat-sh/habitat/pull/2109) ([mwrock](https://github.com/mwrock))
- default db url properties so that config tomls do not need to include them [\#2108](https://github.com/habitat-sh/habitat/pull/2108) ([mwrock](https://github.com/mwrock))
- explain how to run builder-web and get faster builds in a linux vm [\#2107](https://github.com/habitat-sh/habitat/pull/2107) ([mwrock](https://github.com/mwrock))
- Replace failing acceptance tests with Angular tests [\#2105](https://github.com/habitat-sh/habitat/pull/2105) ([cnunciato](https://github.com/cnunciato))
- refactoring in components/core [\#2102](https://github.com/habitat-sh/habitat/pull/2102) ([bodymindarts](https://github.com/bodymindarts))
- Dispatch jobs in parallel [\#2093](https://github.com/habitat-sh/habitat/pull/2093) ([chefsalim](https://github.com/chefsalim))
- Fix some awkward wording in the docs [\#2092](https://github.com/habitat-sh/habitat/pull/2092) ([raskchanky](https://github.com/raskchanky))
- Sync created origins with session service [\#2091](https://github.com/habitat-sh/habitat/pull/2091) ([adamhjk](https://github.com/adamhjk))
- Restore /user/origins API endpoint [\#2089](https://github.com/habitat-sh/habitat/pull/2089) ([adamhjk](https://github.com/adamhjk))
- Lint builder-web with Codelyzer [\#2083](https://github.com/habitat-sh/habitat/pull/2083) ([cnunciato](https://github.com/cnunciato))
- Make builder-api tests more resilient [\#2080](https://github.com/habitat-sh/habitat/pull/2080) ([adamhjk](https://github.com/adamhjk))
- Reformat with rustfmt 0.8.3 [\#2070](https://github.com/habitat-sh/habitat/pull/2070) ([adamhjk](https://github.com/adamhjk))
- Minor tweaks to fix plan builds [\#2069](https://github.com/habitat-sh/habitat/pull/2069) ([chefsalim](https://github.com/chefsalim))
- Upgrade builder-web to Angular 4, TypeScript 2 [\#2068](https://github.com/habitat-sh/habitat/pull/2068) ([cnunciato](https://github.com/cnunciato))
- DockerCon is our next Habitat event [\#2060](https://github.com/habitat-sh/habitat/pull/2060) ([nathenharvey](https://github.com/nathenharvey))
- bump version to 0.21.0-dev [\#2056](https://github.com/habitat-sh/habitat/pull/2056) ([mwrock](https://github.com/mwrock))
- Add Scaffolding to Concepts sidebar in docs [\#2053](https://github.com/habitat-sh/habitat/pull/2053) ([reset](https://github.com/reset))
- Bug fixes for builder [\#2052](https://github.com/habitat-sh/habitat/pull/2052) ([chefsalim](https://github.com/chefsalim))

## [0.20.0](https://github.com/habitat-sh/habitat/tree/0.20.0) (04-07-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.19.0...0.20.0)

## Features & Enhancements

- Document building and using `habitat/components` [\#1971](https://github.com/habitat-sh/habitat/issues/1971)
- Make `hab pkg binlink` work with multiple files [\#1921](https://github.com/habitat-sh/habitat/issues/1921)
- Make the CI builds publish on creation of tags to Bintray Stable [\#1885](https://github.com/habitat-sh/habitat/issues/1885)
- Appveyor and Travis should upload windows and linux harts to temporary depot [\#1877](https://github.com/habitat-sh/habitat/issues/1877)
- Document `hab plan init`  [\#1859](https://github.com/habitat-sh/habitat/issues/1859)
- Gateway API does not return health check output [\#1548](https://github.com/habitat-sh/habitat/issues/1548)
- RAML depot/builder-api endpoints [\#845](https://github.com/habitat-sh/habitat/issues/845)
- RAML depot/builder-api endpoints [\#845](https://github.com/habitat-sh/habitat/issues/845)
- Release 0.20.0 [\#2051](https://github.com/habitat-sh/habitat/pull/2051) ([reset](https://github.com/reset))
- Update Scaffolding documentation. [\#2049](https://github.com/habitat-sh/habitat/pull/2049) ([rhass](https://github.com/rhass))
- Add load/unload/stop/run command to Supervisor [\#2038](https://github.com/habitat-sh/habitat/pull/2038) ([reset](https://github.com/reset))
- First pass at the eventsrv [\#2019](https://github.com/habitat-sh/habitat/pull/2019) ([raskchanky](https://github.com/raskchanky))
- Default binlink to all bins in package [\#2007](https://github.com/habitat-sh/habitat/pull/2007) ([nsdavidson](https://github.com/nsdavidson))
- Add 'first' to service\_entry. [\#2006](https://github.com/habitat-sh/habitat/pull/2006) ([bodymindarts](https://github.com/bodymindarts))
- Add support for Scaffolding to plan-build. [\#2000](https://github.com/habitat-sh/habitat/pull/2000) ([rhass](https://github.com/rhass))
- Remove unused errors from Error enum in Supervisor [\#1998](https://github.com/habitat-sh/habitat/pull/1998) ([reset](https://github.com/reset))
- Add mutually exclusive process lock to Supervisor [\#1992](https://github.com/habitat-sh/habitat/pull/1992) ([reset](https://github.com/reset))
- Improvements to supervisor's raml documentation [\#1991](https://github.com/habitat-sh/habitat/pull/1991) ([reset](https://github.com/reset))
- Add Bash Cheat Sheet to reference list. [\#1990](https://github.com/habitat-sh/habitat/pull/1990) ([rhass](https://github.com/rhass))
- \[sup\] Move location of adding/removing services in `Manager` tick loop. [\#1988](https://github.com/habitat-sh/habitat/pull/1988) ([fnichol](https://github.com/fnichol))
- Decouple http\_gateway module from Manager's shared state [\#1987](https://github.com/habitat-sh/habitat/pull/1987) ([reset](https://github.com/reset))
- \[sup\] Refactor `SpecWatcher` to call notify's sync API. [\#1982](https://github.com/habitat-sh/habitat/pull/1982) ([fnichol](https://github.com/fnichol))
- \[sup\] Set correct `PATH` for all service child processes. [\#1981](https://github.com/habitat-sh/habitat/pull/1981) ([fnichol](https://github.com/fnichol))
- \[sup\] Activate the MVP multi-service Supervisor! \(behind feature flag\) [\#1976](https://github.com/habitat-sh/habitat/pull/1976) ([fnichol](https://github.com/fnichol))
- Remove accidentally committed dat file [\#1975](https://github.com/habitat-sh/habitat/pull/1975) ([reset](https://github.com/reset))
- \[sup\] Add feature flag support to Supervisor program. [\#1974](https://github.com/habitat-sh/habitat/pull/1974) ([fnichol](https://github.com/fnichol))
- Serialize/Deserialize `ServiceSpec` & implement `SpecWatcher` to load/unload service definitions from disk [\#1969](https://github.com/habitat-sh/habitat/pull/1969) ([fnichol](https://github.com/fnichol))
- back public origin keys in postgres [\#1965](https://github.com/habitat-sh/habitat/pull/1965) ([mwrock](https://github.com/mwrock))
- Add documentation for blueprints. [\#1959](https://github.com/habitat-sh/habitat/pull/1959) ([rhass](https://github.com/rhass))
- bump dev version [\#1943](https://github.com/habitat-sh/habitat/pull/1943) ([mwrock](https://github.com/mwrock))
- remove mac release after publish [\#1942](https://github.com/habitat-sh/habitat/pull/1942) ([mwrock](https://github.com/mwrock))
- Supervisor persisting and loading state from disk [\#1860](https://github.com/habitat-sh/habitat/pull/1860) ([eeyun](https://github.com/eeyun))

## Bug fixes

- Fix unbound variable in hab install.sh [\#1463](https://github.com/habitat-sh/habitat/issues/1463)

**Closed issues:**

- Incorrect reference of Sitecore.Feature.Media in Sitecore.Foundation.Indexing.Tests project [\#2039](https://github.com/habitat-sh/habitat/issues/2039)
- Downloads are sometimes password protected [\#2013](https://github.com/habitat-sh/habitat/issues/2013)
- add `bind.\<x\>.first` that always points to leader [\#2004](https://github.com/habitat-sh/habitat/issues/2004)
- Reconfigure hook not triggering when service group topology changes [\#1984](https://github.com/habitat-sh/habitat/issues/1984)
- Habitat EventSrv [\#1962](https://github.com/habitat-sh/habitat/issues/1962)
- habitat.sh should have a search bar at the top... [\#1923](https://github.com/habitat-sh/habitat/issues/1923)

**Merged pull requests:**

- Add the online Hands on Habitat event to home page [\#2050](https://github.com/habitat-sh/habitat/pull/2050) ([nathenharvey](https://github.com/nathenharvey))
- Fix up some typo bug fixes [\#2047](https://github.com/habitat-sh/habitat/pull/2047) ([chefsalim](https://github.com/chefsalim))
- Populate LD\_RUN\_PATH correctly [\#2045](https://github.com/habitat-sh/habitat/pull/2045) ([stevendanna](https://github.com/stevendanna))
- Home page lists the Chicago Hands on with Habitat [\#2043](https://github.com/habitat-sh/habitat/pull/2043) ([nathenharvey](https://github.com/nathenharvey))
- Trigger builds on package upload [\#2041](https://github.com/habitat-sh/habitat/pull/2041) ([chefsalim](https://github.com/chefsalim))
- Fixed typo in tutorial [\#2040](https://github.com/habitat-sh/habitat/pull/2040) ([davidwrede](https://github.com/davidwrede))
- adds documentation around generating new protocols and messages [\#2036](https://github.com/habitat-sh/habitat/pull/2036) ([nellshamrell](https://github.com/nellshamrell))
- enhancments around testing the depot api [\#2030](https://github.com/habitat-sh/habitat/pull/2030) ([mwrock](https://github.com/mwrock))
- Add channel support to builder-worker [\#2029](https://github.com/habitat-sh/habitat/pull/2029) ([chefsalim](https://github.com/chefsalim))
- Updated installation instructions in tutorial [\#2028](https://github.com/habitat-sh/habitat/pull/2028) ([davidwrede](https://github.com/davidwrede))
- Added content on hab plan init usage [\#2027](https://github.com/habitat-sh/habitat/pull/2027) ([davidwrede](https://github.com/davidwrede))
- Fix cross-link error in package upload [\#2025](https://github.com/habitat-sh/habitat/pull/2025) ([chefsalim](https://github.com/chefsalim))
- Add Hands on Habitat MSP to the home page [\#2022](https://github.com/habitat-sh/habitat/pull/2022) ([nathenharvey](https://github.com/nathenharvey))
- Fix travis deploy for PRs [\#2020](https://github.com/habitat-sh/habitat/pull/2020) ([georgemarshall](https://github.com/georgemarshall))
- Need a way to promote ChefConf [\#2018](https://github.com/habitat-sh/habitat/pull/2018) ([nathenharvey](https://github.com/nathenharvey))
- Promote CloudNativeCon & KubeCon on the home page [\#2017](https://github.com/habitat-sh/habitat/pull/2017) ([nathenharvey](https://github.com/nathenharvey))
- Handle ctrl-c on windows supervisor [\#2014](https://github.com/habitat-sh/habitat/pull/2014) ([mwrock](https://github.com/mwrock))
- is\_alive should check exit status of handle for STILL\_ACTIVE [\#2012](https://github.com/habitat-sh/habitat/pull/2012) ([mwrock](https://github.com/mwrock))
- fix intermittent errors when renaming dat file [\#2001](https://github.com/habitat-sh/habitat/pull/2001) ([mwrock](https://github.com/mwrock))
- Add myself to MAINTAINERS [\#1999](https://github.com/habitat-sh/habitat/pull/1999) ([georgemarshall](https://github.com/georgemarshall))
- Add member data to butterfly http gateway output [\#1997](https://github.com/habitat-sh/habitat/pull/1997) ([adamhjk](https://github.com/adamhjk))
- setup builder-depot to run unit tests with fake data [\#1996](https://github.com/habitat-sh/habitat/pull/1996) ([mwrock](https://github.com/mwrock))
- removes root requirement for running hab start, now only warns rather… [\#1995](https://github.com/habitat-sh/habitat/pull/1995) ([nellshamrell](https://github.com/nellshamrell))
- Add package migration and graph to builder-scheduler [\#1989](https://github.com/habitat-sh/habitat/pull/1989) ([chefsalim](https://github.com/chefsalim))
- adds install instructions to README [\#1986](https://github.com/habitat-sh/habitat/pull/1986) ([nellshamrell](https://github.com/nellshamrell))
- adds documentation around building and running individual components [\#1985](https://github.com/habitat-sh/habitat/pull/1985) ([nellshamrell](https://github.com/nellshamrell))
- adds nell shamrell to maintainers list [\#1980](https://github.com/habitat-sh/habitat/pull/1980) ([nellshamrell](https://github.com/nellshamrell))
- Revert "Remove confusing install step from tutorial." [\#1978](https://github.com/habitat-sh/habitat/pull/1978) ([phiggins](https://github.com/phiggins))
- update to rustfmt 0.8.0 [\#1967](https://github.com/habitat-sh/habitat/pull/1967) ([mwrock](https://github.com/mwrock))
- install protobuf compiler and set environment in windows configuration [\#1966](https://github.com/habitat-sh/habitat/pull/1966) ([mwrock](https://github.com/mwrock))
- Update maintainers [\#1957](https://github.com/habitat-sh/habitat/pull/1957) ([chefsalim](https://github.com/chefsalim))
- Update builder-scheduler job handling [\#1956](https://github.com/habitat-sh/habitat/pull/1956) ([chefsalim](https://github.com/chefsalim))
- Didn't update date icon [\#1955](https://github.com/habitat-sh/habitat/pull/1955) ([eeyun](https://github.com/eeyun))
- Added better documentation for setup [\#1954](https://github.com/habitat-sh/habitat/pull/1954) ([mhedgpeth](https://github.com/mhedgpeth))
- updated latest event [\#1953](https://github.com/habitat-sh/habitat/pull/1953) ([eeyun](https://github.com/eeyun))
- Makefile escaped Char [\#1950](https://github.com/habitat-sh/habitat/pull/1950) ([eeyun](https://github.com/eeyun))
- more travis changes to support acceptance [\#1948](https://github.com/habitat-sh/habitat/pull/1948) ([eeyun](https://github.com/eeyun))
- Fix ECR example [\#1946](https://github.com/habitat-sh/habitat/pull/1946) ([cnunciato](https://github.com/cnunciato))
- corrects link to building documentation [\#1944](https://github.com/habitat-sh/habitat/pull/1944) ([nellshamrell](https://github.com/nellshamrell))
- Updated travis job to prep for 2phase deploy [\#1930](https://github.com/habitat-sh/habitat/pull/1930) ([eeyun](https://github.com/eeyun))
- Remove confusing install step from tutorial. [\#1892](https://github.com/habitat-sh/habitat/pull/1892) ([phiggins](https://github.com/phiggins))
- pkg\_env: Add support for plan environment variable definitions [\#1830](https://github.com/habitat-sh/habitat/pull/1830) ([georgemarshall](https://github.com/georgemarshall))

## [0.19.0](https://github.com/habitat-sh/habitat/tree/0.19.0) (03-11-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.18.0...0.19.0)

## Features & Enhancements

- hab pkg binlink needs some improvements [\#1360](https://github.com/habitat-sh/habitat/issues/1360)
- \[hab/install.sh\] Attempt to use both wget & curl before failing. [\#1940](https://github.com/habitat-sh/habitat/pull/1940) ([fnichol](https://github.com/fnichol))
- Added support for installing habitat from a semi-qualified version number [\#1929](https://github.com/habitat-sh/habitat/pull/1929) ([eeyun](https://github.com/eeyun))
- Remove Optimizely [\#1912](https://github.com/habitat-sh/habitat/pull/1912) ([cwebberOps](https://github.com/cwebberOps))

## Bug fixes

- Can't serialize TOML: values must be emitted before tables [\#1908](https://github.com/habitat-sh/habitat/issues/1908)
- Builder-worker job status fails to send [\#1854](https://github.com/habitat-sh/habitat/issues/1854)
- Unable to use `pkgPathFor` helper [\#1773](https://github.com/habitat-sh/habitat/issues/1773)
- Nodes can become duplicated in the Gossip Ring [\#899](https://github.com/habitat-sh/habitat/issues/899)
- traverse full path of exported toml key path [\#1937](https://github.com/habitat-sh/habitat/pull/1937) ([mwrock](https://github.com/mwrock))
- \[plan-build.sh\] Fix a `last\_build.env` formatting regression. [\#1931](https://github.com/habitat-sh/habitat/pull/1931) ([fnichol](https://github.com/fnichol))
- Fix TOML serialize for package default\_cfg [\#1914](https://github.com/habitat-sh/habitat/pull/1914) ([chefsalim](https://github.com/chefsalim))
- eachAlive does not support `as |member|` style syntax [\#1903](https://github.com/habitat-sh/habitat/pull/1903) ([smurawski](https://github.com/smurawski))
- fix windows docker studio and point FS\_ROOT to the system drive by default [\#1899](https://github.com/habitat-sh/habitat/pull/1899) ([mwrock](https://github.com/mwrock))

**Closed issues:**

- Failed to parse TOML: invalid number at line 1 when doing docker run [\#1915](https://github.com/habitat-sh/habitat/issues/1915)
- Transitive dependencies not added to path [\#1895](https://github.com/habitat-sh/habitat/issues/1895)
- Add pkg\_bind\_required and pkg\_bind\_optional feature to plan [\#1868](https://github.com/habitat-sh/habitat/issues/1868)
- Create Smoke Test Hook [\#1867](https://github.com/habitat-sh/habitat/issues/1867)
- Refactor Vault persistence layer from Redis to PostgreSQL [\#1858](https://github.com/habitat-sh/habitat/issues/1858)
- Add reverse dependency graph to builder depot [\#1850](https://github.com/habitat-sh/habitat/issues/1850)
- Extend hab-spider to be able to do builds [\#1849](https://github.com/habitat-sh/habitat/issues/1849)

**Merged pull requests:**

- 0.19.0 [\#1941](https://github.com/habitat-sh/habitat/pull/1941) ([reset](https://github.com/reset))
- Rename the vault to the originsrv [\#1936](https://github.com/habitat-sh/habitat/pull/1936) ([adamhjk](https://github.com/adamhjk))
- Update builder-scheduler datastore [\#1932](https://github.com/habitat-sh/habitat/pull/1932) ([chefsalim](https://github.com/chefsalim))
- release stable linux and mac builds to bintray and depot via travis on release tag push [\#1928](https://github.com/habitat-sh/habitat/pull/1928) ([mwrock](https://github.com/mwrock))
- deploy windows cli to stable bintray on version tag push [\#1926](https://github.com/habitat-sh/habitat/pull/1926) ([mwrock](https://github.com/mwrock))
- test pr for release tag [\#1925](https://github.com/habitat-sh/habitat/pull/1925) ([mwrock](https://github.com/mwrock))
- Fix $PATH in build to include transitive dependencies [\#1924](https://github.com/habitat-sh/habitat/pull/1924) ([smacfarlane](https://github.com/smacfarlane))
- Fixed environment variable in Windows tutorial [\#1919](https://github.com/habitat-sh/habitat/pull/1919) ([davidwrede](https://github.com/davidwrede))
- copy and upload harts as they are built instead of in bulk to avoid unwanted harts [\#1918](https://github.com/habitat-sh/habitat/pull/1918) ([mwrock](https://github.com/mwrock))
- update appveyor readme badge and reencrypt bintray api key for account switch [\#1917](https://github.com/habitat-sh/habitat/pull/1917) ([mwrock](https://github.com/mwrock))
- build all release packages and upload to acceptance on master merges [\#1916](https://github.com/habitat-sh/habitat/pull/1916) ([mwrock](https://github.com/mwrock))
- Use `as |thing|` form for all `\#each` examples [\#1911](https://github.com/habitat-sh/habitat/pull/1911) ([smith](https://github.com/smith))
- fix error: no default toolchain configured in appveyor [\#1910](https://github.com/habitat-sh/habitat/pull/1910) ([mwrock](https://github.com/mwrock))
- improve appveyor rust build caching to match travis [\#1909](https://github.com/habitat-sh/habitat/pull/1909) ([mwrock](https://github.com/mwrock))
- Appveyor artifacts for all windows HARTs and CLI zip and upload to depot on PR merge [\#1905](https://github.com/habitat-sh/habitat/pull/1905) ([mwrock](https://github.com/mwrock))
- Minor edits to homepage hero banner [\#1902](https://github.com/habitat-sh/habitat/pull/1902) ([magwalk](https://github.com/magwalk))
- Add advertising widget to hero banner on homepage [\#1901](https://github.com/habitat-sh/habitat/pull/1901) ([magwalk](https://github.com/magwalk))
- Suitability improvements [\#1897](https://github.com/habitat-sh/habitat/pull/1897) ([bodymindarts](https://github.com/bodymindarts))
- Fix deadlock in job server [\#1894](https://github.com/habitat-sh/habitat/pull/1894) ([chefsalim](https://github.com/chefsalim))
- Fix minor grammar and style errors. [\#1893](https://github.com/habitat-sh/habitat/pull/1893) ([phiggins](https://github.com/phiggins))
- disallows indexing of the acceptance site [\#1891](https://github.com/habitat-sh/habitat/pull/1891) ([eeyun](https://github.com/eeyun))
- corrected travis env var value [\#1888](https://github.com/habitat-sh/habitat/pull/1888) ([eeyun](https://github.com/eeyun))
- Release doc update [\#1887](https://github.com/habitat-sh/habitat/pull/1887) ([chefsalim](https://github.com/chefsalim))
- Bump version to 0.19.0-dev [\#1886](https://github.com/habitat-sh/habitat/pull/1886) ([chefsalim](https://github.com/chefsalim))
- This now passes shellcheck...  [\#1883](https://github.com/habitat-sh/habitat/pull/1883) ([eeyun](https://github.com/eeyun))

## [0.18.0](https://github.com/habitat-sh/habitat/tree/0.18.0) (03-02-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.17.0...0.18.0)

## Features & Enhancements

- \[RFC\] Reconfigure without restart [\#1801](https://github.com/habitat-sh/habitat/issues/1801)
- Added support for dynamically provisioned ephemeral acceptance env [\#1878](https://github.com/habitat-sh/habitat/pull/1878) ([eeyun](https://github.com/eeyun))
- Commit Cargo.lock with pinned toml dep [\#1828](https://github.com/habitat-sh/habitat/pull/1828) ([bodymindarts](https://github.com/bodymindarts))
- \[sup\] No write lock is required to lookup suitability [\#1826](https://github.com/habitat-sh/habitat/pull/1826) ([bodymindarts](https://github.com/bodymindarts))
- Validate that a ServiceConfig can be rendered as a string. [\#1824](https://github.com/habitat-sh/habitat/pull/1824) ([smurawski](https://github.com/smurawski))
- changing the reference of Mac platform from MacOS to Darwin for uname… [\#1817](https://github.com/habitat-sh/habitat/pull/1817) ([smurawski](https://github.com/smurawski))
- documentation for `eachAlive` helper [\#1814](https://github.com/habitat-sh/habitat/pull/1814) ([smurawski](https://github.com/smurawski))
- `eachAlive` Handlebars Helper  [\#1813](https://github.com/habitat-sh/habitat/pull/1813) ([smurawski](https://github.com/smurawski))
- Upgrade crates, primarily serde 0.9 and toml 0.3 APIs [\#1811](https://github.com/habitat-sh/habitat/pull/1811) ([fnichol](https://github.com/fnichol))
- \[sup\] Refactor Service to install itself & load from a ServiceSpec. [\#1791](https://github.com/habitat-sh/habitat/pull/1791) ([fnichol](https://github.com/fnichol))
- "Fix" deserialization of `ServiceConfig` inside Handlebars Helper [\#1788](https://github.com/habitat-sh/habitat/pull/1788) ([smurawski](https://github.com/smurawski))
- Add closing {{~/if}} in example [\#1770](https://github.com/habitat-sh/habitat/pull/1770) ([smacfarlane](https://github.com/smacfarlane))

## Bug fixes

- Rendering config is failing [\#1818](https://github.com/habitat-sh/habitat/issues/1818)
- Service tries to copy run hook before initialization [\#1797](https://github.com/habitat-sh/habitat/issues/1797)
- Service should be set to "uninitialized" after an update occurs [\#1641](https://github.com/habitat-sh/habitat/issues/1641)
- \[sup\] Correct hook output location and line breaks [\#1834](https://github.com/habitat-sh/habitat/pull/1834) ([bodymindarts](https://github.com/bodymindarts))
- \[sup\] Begin a new service lifecycle after pkg update [\#1833](https://github.com/habitat-sh/habitat/pull/1833) ([bodymindarts](https://github.com/bodymindarts))
- \[sup\] Initialization should fail on non 0 exit code [\#1827](https://github.com/habitat-sh/habitat/pull/1827) ([bodymindarts](https://github.com/bodymindarts))
- A few fixes for the supervisor [\#1822](https://github.com/habitat-sh/habitat/pull/1822) ([smurawski](https://github.com/smurawski))
- \[sup\] Fix a `Serialize` trait impl for serde 0.9. [\#1815](https://github.com/habitat-sh/habitat/pull/1815) ([fnichol](https://github.com/fnichol))
- \[sup\] Regression: fix when specifying multiple service opts. [\#1796](https://github.com/habitat-sh/habitat/pull/1796) ([fnichol](https://github.com/fnichol))
- Skip auto-update on start for rolling update strategy [\#1792](https://github.com/habitat-sh/habitat/pull/1792) ([reset](https://github.com/reset))
- "Fix" deserialization of `ServiceConfig` inside Handlebars Helper [\#1788](https://github.com/habitat-sh/habitat/pull/1788) ([smurawski](https://github.com/smurawski))
- \[hab\] Refactor `install.sh` for Habitat 'hab' program. [\#1777](https://github.com/habitat-sh/habitat/pull/1777) ([fnichol](https://github.com/fnichol))
- Refresh and reinitialize service after package update [\#1776](https://github.com/habitat-sh/habitat/pull/1776) ([mwrock](https://github.com/mwrock))
- \[hab/mac\] Update Mac builds with 0.17.0 updates. [\#1771](https://github.com/habitat-sh/habitat/pull/1771) ([fnichol](https://github.com/fnichol))
- fix missing lib build errors in sup/butterfly [\#1769](https://github.com/habitat-sh/habitat/pull/1769) ([mwrock](https://github.com/mwrock))

**Closed issues:**

- supervisor does not install powershell plan on windows if missing [\#1874](https://github.com/habitat-sh/habitat/issues/1874)
- Package updates restart old package and not the updated one [\#1873](https://github.com/habitat-sh/habitat/issues/1873)
- Fix zmq crate compile in hab-sup windows plan on system w/o vs 2015 installed [\#1872](https://github.com/habitat-sh/habitat/issues/1872)
- Multi-tier .net Core sample on windows [\#1871](https://github.com/habitat-sh/habitat/issues/1871)
- Dummy Issue [\#1836](https://github.com/habitat-sh/habitat/issues/1836)
- Slow hash generation for lots of files [\#1800](https://github.com/habitat-sh/habitat/issues/1800)
- Elect 'healthiest' follower when leader goes down [\#1767](https://github.com/habitat-sh/habitat/issues/1767)

**Merged pull requests:**

- Update CHANGELOG and VERSION for Release [\#1881](https://github.com/habitat-sh/habitat/pull/1881) ([chefsalim](https://github.com/chefsalim))
- updated netlify key, corrected typo in deploy script [\#1880](https://github.com/habitat-sh/habitat/pull/1880) ([eeyun](https://github.com/eeyun))
- Reload [\#1837](https://github.com/habitat-sh/habitat/pull/1837) ([bodymindarts](https://github.com/bodymindarts))
- Make depot upload and download target aware [\#1835](https://github.com/habitat-sh/habitat/pull/1835) ([mwrock](https://github.com/mwrock))
- Update config file parsing for toml-rs 3.0 [\#1832](https://github.com/habitat-sh/habitat/pull/1832) ([chefsalim](https://github.com/chefsalim))
- Add initial job creation ability to builder-scheduler [\#1829](https://github.com/habitat-sh/habitat/pull/1829) ([chefsalim](https://github.com/chefsalim))
- Adding a script to deploy unstable mac builds [\#1825](https://github.com/habitat-sh/habitat/pull/1825) ([raskchanky](https://github.com/raskchanky))
- Catch up documentation on "hab pkg header" [\#1821](https://github.com/habitat-sh/habitat/pull/1821) ([juliandunn](https://github.com/juliandunn))
- Suitability [\#1819](https://github.com/habitat-sh/habitat/pull/1819) ([bodymindarts](https://github.com/bodymindarts))
- add powershell as a hab-sup runtime dependency [\#1809](https://github.com/habitat-sh/habitat/pull/1809) ([mwrock](https://github.com/mwrock))
- fix powershell studio args [\#1808](https://github.com/habitat-sh/habitat/pull/1808) ([mwrock](https://github.com/mwrock))
- Bind args are multiple, not comma separated [\#1807](https://github.com/habitat-sh/habitat/pull/1807) ([smith](https://github.com/smith))
- Update my role in MAINTAINERS [\#1806](https://github.com/habitat-sh/habitat/pull/1806) ([reset](https://github.com/reset))
- Speed up blake2b hash generation during build [\#1804](https://github.com/habitat-sh/habitat/pull/1804) ([chetan](https://github.com/chetan))
- Add Justin Carter as core habitat maintainer [\#1803](https://github.com/habitat-sh/habitat/pull/1803) ([bodymindarts](https://github.com/bodymindarts))
- Activate asset\_hash extension to improve browser caching [\#1802](https://github.com/habitat-sh/habitat/pull/1802) ([magwalk](https://github.com/magwalk))
- Recompile hooks on reconfig [\#1799](https://github.com/habitat-sh/habitat/pull/1799) ([mwrock](https://github.com/mwrock))
- All the homepage/footer fixes!  [\#1789](https://github.com/habitat-sh/habitat/pull/1789) ([magwalk](https://github.com/magwalk))
- Corrected tutorial to account for changes in plan syntax [\#1787](https://github.com/habitat-sh/habitat/pull/1787) ([eeyun](https://github.com/eeyun))
- Remove text from Call To Action [\#1786](https://github.com/habitat-sh/habitat/pull/1786) ([mfdii](https://github.com/mfdii))
- Homepage fixes [\#1785](https://github.com/habitat-sh/habitat/pull/1785) ([magwalk](https://github.com/magwalk))
- typo [\#1783](https://github.com/habitat-sh/habitat/pull/1783) ([ubergeekgirl](https://github.com/ubergeekgirl))
- Fix a comma splice by rewording it. [\#1782](https://github.com/habitat-sh/habitat/pull/1782) ([juliandunn](https://github.com/juliandunn))
- fix broken hyperlinks [\#1781](https://github.com/habitat-sh/habitat/pull/1781) ([eeyun](https://github.com/eeyun))
- Update homepage to new design [\#1780](https://github.com/habitat-sh/habitat/pull/1780) ([magwalk](https://github.com/magwalk))
- Initial infra for builder-scheduler [\#1775](https://github.com/habitat-sh/habitat/pull/1775) ([chefsalim](https://github.com/chefsalim))
- Clarifying pkg\_exports and pkg\_exposes descriptions [\#1774](https://github.com/habitat-sh/habitat/pull/1774) ([davidwrede](https://github.com/davidwrede))
- Bump to 0.18.0-dev [\#1772](https://github.com/habitat-sh/habitat/pull/1772) ([reset](https://github.com/reset))
- Promote events and blog posts [\#1762](https://github.com/habitat-sh/habitat/pull/1762) ([nathenharvey](https://github.com/nathenharvey))
- Rework channels. [\#1759](https://github.com/habitat-sh/habitat/pull/1759) ([raskchanky](https://github.com/raskchanky))
- Add validation and docs for pkg\_name and pkg\_origin [\#1719](https://github.com/habitat-sh/habitat/pull/1719) ([smith](https://github.com/smith))

## [0.17.0](https://github.com/habitat-sh/habitat/tree/0.17.0) (02-14-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.16.0...0.17.0)

## Features & Enhancements

- \[UX\] Binlink option to `hab install` [\#1679](https://github.com/habitat-sh/habitat/issues/1679)
- Mechanism to validate the application version running on the service group nodes [\#1572](https://github.com/habitat-sh/habitat/issues/1572)
- Consider providing a way to expose different runtime ports [\#1571](https://github.com/habitat-sh/habitat/issues/1571)
- Document the LOG format [\#1036](https://github.com/habitat-sh/habitat/issues/1036)
- Use appropriate build script for builder-protocol crate [\#1764](https://github.com/habitat-sh/habitat/pull/1764) ([reset](https://github.com/reset))
- Run hooks after leader is elected and in correct order [\#1763](https://github.com/habitat-sh/habitat/pull/1763) ([bodymindarts](https://github.com/bodymindarts))
- Move `address` field on CensusEntry to `sys.gossip\_ip` [\#1761](https://github.com/habitat-sh/habitat/pull/1761) ([reset](https://github.com/reset))
- Add `pkg\_binds` and `pkg\_binds\_optional` plan variables [\#1760](https://github.com/habitat-sh/habitat/pull/1760) ([reset](https://github.com/reset))
- update Appveyor's rust to 1.15.1 stable [\#1758](https://github.com/habitat-sh/habitat/pull/1758) ([smurawski](https://github.com/smurawski))
- Disambiguate key 'port' from listening port [\#1747](https://github.com/habitat-sh/habitat/pull/1747) ([davidwrede](https://github.com/davidwrede))
- Build devshell in docker-compose [\#1746](https://github.com/habitat-sh/habitat/pull/1746) ([bodymindarts](https://github.com/bodymindarts))
- Fix typo in text [\#1744](https://github.com/habitat-sh/habitat/pull/1744) ([tashimi](https://github.com/tashimi))
- Refactor Supervisor main loop to tick over each Service on each tick [\#1734](https://github.com/habitat-sh/habitat/pull/1734) ([reset](https://github.com/reset))
- \[sup\] Refactor most global `Config` into `ManagerConfig` & `ServiceSpec` [\#1732](https://github.com/habitat-sh/habitat/pull/1732) ([fnichol](https://github.com/fnichol))
- Add Smoke Test hook [\#1725](https://github.com/habitat-sh/habitat/pull/1725) ([reset](https://github.com/reset))
- Package activity should be properly rooted in a windows studio [\#1724](https://github.com/habitat-sh/habitat/pull/1724) ([mwrock](https://github.com/mwrock))
- Begin Supervisor CLI parsing refactor [\#1722](https://github.com/habitat-sh/habitat/pull/1722) ([fnichol](https://github.com/fnichol))
- Fix pkg\_exports syntax errors in tutorial and builder plans [\#1720](https://github.com/habitat-sh/habitat/pull/1720) ([reset](https://github.com/reset))
- revert change to build.ps1 [\#1715](https://github.com/habitat-sh/habitat/pull/1715) ([smurawski](https://github.com/smurawski))
-  Rename pkg\_expose to pkg\_exposes and refactor to leverage pkg\_exports [\#1712](https://github.com/habitat-sh/habitat/pull/1712) ([reset](https://github.com/reset))
- Update Building.md for Windows to match our current process [\#1709](https://github.com/habitat-sh/habitat/pull/1709) ([smurawski](https://github.com/smurawski))
- Depot validates hab client target \(platform/architecture\) before returning packages [\#1707](https://github.com/habitat-sh/habitat/pull/1707) ([smurawski](https://github.com/smurawski))
- \[hab\] Install same version of helper packages as hab if not present. [\#1700](https://github.com/habitat-sh/habitat/pull/1700) ([fnichol](https://github.com/fnichol))
- Document the log keys [\#1699](https://github.com/habitat-sh/habitat/pull/1699) ([smith](https://github.com/smith))
- \[hab-spider\] Remove release profile from Cargo.toml. [\#1696](https://github.com/habitat-sh/habitat/pull/1696) ([fnichol](https://github.com/fnichol))
- Use consistent features in handlebars crate to avoid compile churn. [\#1695](https://github.com/habitat-sh/habitat/pull/1695) ([fnichol](https://github.com/fnichol))
- Update BUILDING.md Mac instructions to use rustup. [\#1694](https://github.com/habitat-sh/habitat/pull/1694) ([fnichol](https://github.com/fnichol))
- Upgrade codebase to use rustfmt 0.7.1 [\#1693](https://github.com/habitat-sh/habitat/pull/1693) ([fnichol](https://github.com/fnichol))
- Commit current `Cargo.lock` file after building entire project. [\#1692](https://github.com/habitat-sh/habitat/pull/1692) ([fnichol](https://github.com/fnichol))
- Add plan for hab-spider [\#1691](https://github.com/habitat-sh/habitat/pull/1691) ([chefsalim](https://github.com/chefsalim))
- Subcmd cleanup [\#1689](https://github.com/habitat-sh/habitat/pull/1689) ([reset](https://github.com/reset))
- \[sup\] Remove comments about -w \(watch\) which no longer exists [\#1688](https://github.com/habitat-sh/habitat/pull/1688) ([smith](https://github.com/smith))
- Add the path to the error message when find\_command\_in\_pkg cant find the path [\#1687](https://github.com/habitat-sh/habitat/pull/1687) ([mwrock](https://github.com/mwrock))
- Reduce allocations when working with ServiceGroup [\#1685](https://github.com/habitat-sh/habitat/pull/1685) ([reset](https://github.com/reset))
- \[hab,studio\] Add noninteractive & no coloring modes via environment variables. [\#1682](https://github.com/habitat-sh/habitat/pull/1682) ([fnichol](https://github.com/fnichol))
- Add strReplace helper to templating language [\#1669](https://github.com/habitat-sh/habitat/pull/1669) ([rarenerd](https://github.com/rarenerd))
- Add Package Exports to build and runtime systems [\#1667](https://github.com/habitat-sh/habitat/pull/1667) ([reset](https://github.com/reset))
- Hooks are scripts not \(necessarily\) bash scripts [\#1666](https://github.com/habitat-sh/habitat/pull/1666) ([seth](https://github.com/seth))
- Update `pkgPathFor` template helper example in docs. [\#1665](https://github.com/habitat-sh/habitat/pull/1665) ([fnichol](https://github.com/fnichol))
- Add pkgPathFor helper to templating language [\#1663](https://github.com/habitat-sh/habitat/pull/1663) ([reset](https://github.com/reset))
- Bump to Rust 1.14 in appveyor tests [\#1662](https://github.com/habitat-sh/habitat/pull/1662) ([reset](https://github.com/reset))
- Migrate from rustc-serialize to serde in preparation for Rust 1.15 [\#1661](https://github.com/habitat-sh/habitat/pull/1661) ([reset](https://github.com/reset))
- Bump crate dependencies [\#1657](https://github.com/habitat-sh/habitat/pull/1657) ([reset](https://github.com/reset))
- Windows studio [\#1640](https://github.com/habitat-sh/habitat/pull/1640) ([mwrock](https://github.com/mwrock))

## Bug fixes

- Inconsistency between {{svc.me.leader}} && {{svc.me.follower}} [\#1742](https://github.com/habitat-sh/habitat/issues/1742)
- reconfigure hook fired out of turn [\#1741](https://github.com/habitat-sh/habitat/issues/1741)
- display the config for a package that does not have configuration, a bad error message is displayed [\#1729](https://github.com/habitat-sh/habitat/issues/1729)
- Failure when trying to install the same thing multiple times [\#1681](https://github.com/habitat-sh/habitat/issues/1681)
- Ability to pin habitat versions [\#1409](https://github.com/habitat-sh/habitat/issues/1409)
- `hab` user is required [\#1312](https://github.com/habitat-sh/habitat/issues/1312)
- More information when reporting file/io related errors [\#1229](https://github.com/habitat-sh/habitat/issues/1229)
- Problem with Gossip exchange when nodes have multiple NICs [\#864](https://github.com/habitat-sh/habitat/issues/864)
- \[sup,hab\] Add back `hap-sup config` subcommand. [\#1765](https://github.com/habitat-sh/habitat/pull/1765) ([fnichol](https://github.com/fnichol))
- Fix configuration and hook compilation errors [\#1755](https://github.com/habitat-sh/habitat/pull/1755) ([reset](https://github.com/reset))
- Fix typo in text [\#1744](https://github.com/habitat-sh/habitat/pull/1744) ([tashimi](https://github.com/tashimi))
- \[depot-client\] Fetching packages now write to randomly named tmpfile. [\#1697](https://github.com/habitat-sh/habitat/pull/1697) ([fnichol](https://github.com/fnichol))
- \[sup\] Check for initial pkg ident in rolling update strategy. [\#1673](https://github.com/habitat-sh/habitat/pull/1673) ([fnichol](https://github.com/fnichol))
- \[http-client\] Restore CA discovery logic when configuring SSL client. [\#1670](https://github.com/habitat-sh/habitat/pull/1670) ([fnichol](https://github.com/fnichol))
- Fix path and dependency bugs in plan-build-ps1 [\#1660](https://github.com/habitat-sh/habitat/pull/1660) ([mwrock](https://github.com/mwrock))

**Closed issues:**

- Make it possible to use locally built supervisor for non core-team. [\#1753](https://github.com/habitat-sh/habitat/issues/1753)
- Make docker image habitat/devshell public [\#1745](https://github.com/habitat-sh/habitat/issues/1745)
- Add support for using existing PGP/GPG keys for package signing/validation [\#1726](https://github.com/habitat-sh/habitat/issues/1726)
- Export to docker fails in tutorial [\#1721](https://github.com/habitat-sh/habitat/issues/1721)
- Errors in plan.sh of tutorial [\#1718](https://github.com/habitat-sh/habitat/issues/1718)
- \[feature\] Support buildpacks for specific languages [\#1703](https://github.com/habitat-sh/habitat/issues/1703)
- \[feature\] Output full name of build artifcact [\#1674](https://github.com/habitat-sh/habitat/issues/1674)
- Proposal: pass configs to director services in same layer of TOML [\#1632](https://github.com/habitat-sh/habitat/issues/1632)
- How can configuration files be written to arbitrary locations in the tree? [\#1610](https://github.com/habitat-sh/habitat/issues/1610)
- Document that hab command can be installed with homebrew on OS X [\#1607](https://github.com/habitat-sh/habitat/issues/1607)
- `hab start \<myapp\>` will start hab-sup 0.14 when hab is 0.13.1 [\#1578](https://github.com/habitat-sh/habitat/issues/1578)
- Add 'ps' hab plan and available from within studio [\#1565](https://github.com/habitat-sh/habitat/issues/1565)
- Document best practice to determine the deps for packages [\#1564](https://github.com/habitat-sh/habitat/issues/1564)
- Consider: hab plan init should create a run hook file by default [\#1563](https://github.com/habitat-sh/habitat/issues/1563)
- Peer 1 strategy [\#1560](https://github.com/habitat-sh/habitat/issues/1560)
- Possible bug: supervisor rendering config before gossip propagates [\#1557](https://github.com/habitat-sh/habitat/issues/1557)

**Merged pull requests:**

- The tour of Europe is over [\#1754](https://github.com/habitat-sh/habitat/pull/1754) ([nathenharvey](https://github.com/nathenharvey))
- Revert "add some suggestions for good plan practices" [\#1743](https://github.com/habitat-sh/habitat/pull/1743) ([smith](https://github.com/smith))
- add some suggestions for good plan practices [\#1738](https://github.com/habitat-sh/habitat/pull/1738) ([smith](https://github.com/smith))
- pull in cacerts in windows build and then use them in http client [\#1737](https://github.com/habitat-sh/habitat/pull/1737) ([mwrock](https://github.com/mwrock))
- launch hab start commands in a new window from the studio [\#1731](https://github.com/habitat-sh/habitat/pull/1731) ([mwrock](https://github.com/mwrock))
- add vs 2013 c++ redistributable binaries to hab-sup and hab-butterfly [\#1730](https://github.com/habitat-sh/habitat/pull/1730) ([mwrock](https://github.com/mwrock))
- Refactor graph construction [\#1723](https://github.com/habitat-sh/habitat/pull/1723) ([chefsalim](https://github.com/chefsalim))
- slight typo correction in build script [\#1714](https://github.com/habitat-sh/habitat/pull/1714) ([nellshamrell](https://github.com/nellshamrell))
- Updated overview page + added a bit more info on OAuth scopes [\#1710](https://github.com/habitat-sh/habitat/pull/1710) ([davidwrede](https://github.com/davidwrede))
- Fix builder-db test suite [\#1708](https://github.com/habitat-sh/habitat/pull/1708) ([reset](https://github.com/reset))
- Update to Rust 1.15 [\#1706](https://github.com/habitat-sh/habitat/pull/1706) ([reset](https://github.com/reset))
- hab, sup and butterfly windows plans [\#1704](https://github.com/habitat-sh/habitat/pull/1704) ([mwrock](https://github.com/mwrock))
- \[hab\] Add the option to binlink binaries on install [\#1702](https://github.com/habitat-sh/habitat/pull/1702) ([nsdavidson](https://github.com/nsdavidson))
- WIP: Update builder-jobsrv to use PostgreSQL [\#1698](https://github.com/habitat-sh/habitat/pull/1698) ([adamhjk](https://github.com/adamhjk))
- ignoring configured user and group validation on windows [\#1690](https://github.com/habitat-sh/habitat/pull/1690) ([mwrock](https://github.com/mwrock))
- Fix typo in supervisor start: process not prcoess [\#1686](https://github.com/habitat-sh/habitat/pull/1686) ([smith](https://github.com/smith))
- Remove builder-db from libs in Makefile for now [\#1684](https://github.com/habitat-sh/habitat/pull/1684) ([reset](https://github.com/reset))
- determine package tdeps before opening depot client [\#1683](https://github.com/habitat-sh/habitat/pull/1683) ([mwrock](https://github.com/mwrock))
- Hands on Habitat is coming! [\#1672](https://github.com/habitat-sh/habitat/pull/1672) ([nathenharvey](https://github.com/nathenharvey))
- Add hab-spider \(package graph builder\) [\#1671](https://github.com/habitat-sh/habitat/pull/1671) ([chefsalim](https://github.com/chefsalim))
- Add builder-db component [\#1668](https://github.com/habitat-sh/habitat/pull/1668) ([adamhjk](https://github.com/adamhjk))
- Channel API documentation [\#1659](https://github.com/habitat-sh/habitat/pull/1659) ([raskchanky](https://github.com/raskchanky))
- Version bump for dev [\#1656](https://github.com/habitat-sh/habitat/pull/1656) ([smurawski](https://github.com/smurawski))
- Link to the Habitat Webinar recording [\#1654](https://github.com/habitat-sh/habitat/pull/1654) ([nathenharvey](https://github.com/nathenharvey))
- Update software license for 2017 [\#1653](https://github.com/habitat-sh/habitat/pull/1653) ([reset](https://github.com/reset))
- Add metrics endpoint to supervisor [\#1469](https://github.com/habitat-sh/habitat/pull/1469) ([jamesc](https://github.com/jamesc))

## [0.16.0](https://github.com/habitat-sh/habitat/tree/0.16.0) (01-19-2017)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.15.0...0.16.0)

## Features & Enhancements

- Location for config templates [\#1173](https://github.com/habitat-sh/habitat/issues/1173)
- Make the tutorial more clear [\#1080](https://github.com/habitat-sh/habitat/issues/1080)
- Have `hab setup` check and use `HAB\_ORIGIN` and `HAB\_AUTH\_TOKEN` as defaults [\#1651](https://github.com/habitat-sh/habitat/pull/1651) ([fnichol](https://github.com/fnichol))
- Add toUppercase and toLowercase Handlebars helpers [\#1650](https://github.com/habitat-sh/habitat/pull/1650) ([reset](https://github.com/reset))
- Remove core/hab-sup-static from RELEASE.md instructions. [\#1649](https://github.com/habitat-sh/habitat/pull/1649) ([fnichol](https://github.com/fnichol))
- Create lib, bin, include, and pkconfig dirs in prepare [\#1648](https://github.com/habitat-sh/habitat/pull/1648) ([reset](https://github.com/reset))
- Fixed issue where shared content wasn't showing up [\#1647](https://github.com/habitat-sh/habitat/pull/1647) ([davidwrede](https://github.com/davidwrede))
- \[sup,director\] Remove profile sections from Cargo.toml files. [\#1639](https://github.com/habitat-sh/habitat/pull/1639) ([fnichol](https://github.com/fnichol))
- \[sup\] Use a consistent clap features set. [\#1638](https://github.com/habitat-sh/habitat/pull/1638) ([fnichol](https://github.com/fnichol))
- Fix rustfmt/CI exit code to correctly fail. [\#1637](https://github.com/habitat-sh/habitat/pull/1637) ([fnichol](https://github.com/fnichol))
- Add dependencies to path in windows builds [\#1636](https://github.com/habitat-sh/habitat/pull/1636) ([mwrock](https://github.com/mwrock))
- Add dependency resolution for windows [\#1633](https://github.com/habitat-sh/habitat/pull/1633) ([mwrock](https://github.com/mwrock))
- Add callbacks to `hab plan init` [\#1631](https://github.com/habitat-sh/habitat/pull/1631) ([smith](https://github.com/smith))
- Enhancements to `hab plan init` [\#1629](https://github.com/habitat-sh/habitat/pull/1629) ([smith](https://github.com/smith))
- windows supervisor uses powerhell as a hook interpreter [\#1624](https://github.com/habitat-sh/habitat/pull/1624) ([mwrock](https://github.com/mwrock))
- \[bldr\] Use local, non-root data dirs for `make bldr-run` target. [\#1623](https://github.com/habitat-sh/habitat/pull/1623) ([fnichol](https://github.com/fnichol))
- Ensure all pop-locations are in finally blocks [\#1622](https://github.com/habitat-sh/habitat/pull/1622) ([mwrock](https://github.com/mwrock))
- Unify `make bldr-run` Makefile target to work on native Linux & Mac. [\#1620](https://github.com/habitat-sh/habitat/pull/1620) ([fnichol](https://github.com/fnichol))
- Set initial version to 0.1.0 in `hab plan init` [\#1619](https://github.com/habitat-sh/habitat/pull/1619) ([smith](https://github.com/smith))
- Implement default download and verify functions in powershell build [\#1618](https://github.com/habitat-sh/habitat/pull/1618) ([mwrock](https://github.com/mwrock))
- Fail powershell based builds if non terminating errors occur [\#1616](https://github.com/habitat-sh/habitat/pull/1616) ([mwrock](https://github.com/mwrock))
- Add dev support instructions for Arch Linux! [\#1614](https://github.com/habitat-sh/habitat/pull/1614) ([fnichol](https://github.com/fnichol))
- Add infra for operational metrics [\#1613](https://github.com/habitat-sh/habitat/pull/1613) ([chefsalim](https://github.com/chefsalim))
- pkg\_upstream\_url is required in core plans [\#1612](https://github.com/habitat-sh/habitat/pull/1612) ([jtimberman](https://github.com/jtimberman))
- Warn users if Docker's file sharing isn't enabled. [\#1611](https://github.com/habitat-sh/habitat/pull/1611) ([raskchanky](https://github.com/raskchanky))
- Implements powershell default build service and config functions [\#1605](https://github.com/habitat-sh/habitat/pull/1605) ([mwrock](https://github.com/mwrock))
- implement graceful shutdown on windows [\#1603](https://github.com/habitat-sh/habitat/pull/1603) ([mwrock](https://github.com/mwrock))
- \[core\] Remove PackageArchive metadata debugging output of files. [\#1602](https://github.com/habitat-sh/habitat/pull/1602) ([fnichol](https://github.com/fnichol))
- Add rolling update strategy to docs [\#1601](https://github.com/habitat-sh/habitat/pull/1601) ([reset](https://github.com/reset))
- \[devshell\] Re-add `redis-server` pkg for `make bldr-run-shell` target. [\#1598](https://github.com/habitat-sh/habitat/pull/1598) ([fnichol](https://github.com/fnichol))

## Bug fixes

- private hab-depot - issues uploading / downloading packages [\#1195](https://github.com/habitat-sh/habitat/issues/1195)
- Responses to gossip requests don't originate from the port the request was received on \(9634\) [\#1146](https://github.com/habitat-sh/habitat/issues/1146)
- Supervisor enters infinite loop with CPU spike after receiving configuration update for package [\#1127](https://github.com/habitat-sh/habitat/issues/1127)
- \[http-client\] Set a 30-second read/write timeout on HTTP client calls. [\#1646](https://github.com/habitat-sh/habitat/pull/1646) ([fnichol](https://github.com/fnichol))
- Fix Hook output and remove "output" from HealthCheck and Hook errors [\#1645](https://github.com/habitat-sh/habitat/pull/1645) ([reset](https://github.com/reset))
- \[hab\] Support running out of `/var/tmp` if available. [\#1644](https://github.com/habitat-sh/habitat/pull/1644) ([fnichol](https://github.com/fnichol))
- Fix rustfmt/CI exit code to correctly fail. [\#1637](https://github.com/habitat-sh/habitat/pull/1637) ([fnichol](https://github.com/fnichol))
- Remove panic on bad peer input [\#1635](https://github.com/habitat-sh/habitat/pull/1635) ([adamhjk](https://github.com/adamhjk))
- Resolve peer address before assigning it's IP to member [\#1634](https://github.com/habitat-sh/habitat/pull/1634) ([elliott-davis](https://github.com/elliott-davis))
- Added sig key checking to core crypto [\#1630](https://github.com/habitat-sh/habitat/pull/1630) ([georgemarshall](https://github.com/georgemarshall))
- Fix integer overflow cast causing longer than expected thread sleeps [\#1625](https://github.com/habitat-sh/habitat/pull/1625) ([reset](https://github.com/reset))
- \[bldr\] Push common args into their subcommands to prevent mis-invoking. [\#1621](https://github.com/habitat-sh/habitat/pull/1621) ([fnichol](https://github.com/fnichol))
- Restore the cwd location even if the build fails [\#1617](https://github.com/habitat-sh/habitat/pull/1617) ([mwrock](https://github.com/mwrock))
- Ensure the requestor is a member of the origin, not the person invited. [\#1609](https://github.com/habitat-sh/habitat/pull/1609) ([raskchanky](https://github.com/raskchanky))
- tar windows package artifacts from a temporary directory [\#1608](https://github.com/habitat-sh/habitat/pull/1608) ([mwrock](https://github.com/mwrock))
- \\[devshell\\] Re-add `redis-server` pkg for `make bldr-run-shell` target. [\#1598](https://github.com/habitat-sh/habitat/pull/1598) ([fnichol](https://github.com/fnichol))

**Merged pull requests:**

- Remove hab-director component [\#1652](https://github.com/habitat-sh/habitat/pull/1652) ([reset](https://github.com/reset))
- Adding r to buttefly \(fix typo\) [\#1643](https://github.com/habitat-sh/habitat/pull/1643) ([tashimi](https://github.com/tashimi))
- maybe use more natural capitalization... [\#1628](https://github.com/habitat-sh/habitat/pull/1628) ([nathenharvey](https://github.com/nathenharvey))
- Solicit talks for ChefConf [\#1627](https://github.com/habitat-sh/habitat/pull/1627) ([nathenharvey](https://github.com/nathenharvey))
- Link to webinar recording [\#1626](https://github.com/habitat-sh/habitat/pull/1626) ([nathenharvey](https://github.com/nathenharvey))
- Updates docoumentation with working links. [\#1505](https://github.com/habitat-sh/habitat/pull/1505) ([dmccown](https://github.com/dmccown))

## [0.15.0](https://github.com/habitat-sh/habitat/tree/0.15.0) (12-22-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.14.0...0.15.0)

## Features & Enhancements

- Support different toml files with default configs [\#1174](https://github.com/habitat-sh/habitat/issues/1174)
- Support for separated build and source directories [\#1132](https://github.com/habitat-sh/habitat/issues/1132)
- Create Community Guides markdown [\#1061](https://github.com/habitat-sh/habitat/issues/1061)
- Create Community Guides markdown [\#1061](https://github.com/habitat-sh/habitat/issues/1061)
- studio and docker-machine cloud drivers don't really play well together [\#948](https://github.com/habitat-sh/habitat/issues/948)
- studio and docker-machine cloud drivers don't really play well together [\#948](https://github.com/habitat-sh/habitat/issues/948)
- Removing dead signal function [\#1599](https://github.com/habitat-sh/habitat/pull/1599) ([mwrock](https://github.com/mwrock))
- Fixed spelling mistakes [\#1597](https://github.com/habitat-sh/habitat/pull/1597) ([georgemarshall](https://github.com/georgemarshall))
- Adding comments to sleep [\#1596](https://github.com/habitat-sh/habitat/pull/1596) ([mwrock](https://github.com/mwrock))
- Rolling Update Strategy [\#1594](https://github.com/habitat-sh/habitat/pull/1594) ([reset](https://github.com/reset))
- \[docs\] Add building/setup instructions for native Mac. [\#1593](https://github.com/habitat-sh/habitat/pull/1593) ([fnichol](https://github.com/fnichol))
- \\[docs\\] Add building/setup instructions for native Mac. [\#1593](https://github.com/habitat-sh/habitat/pull/1593) ([fnichol](https://github.com/fnichol))
- Update development build instructions and upgrade devshell software versions. [\#1590](https://github.com/habitat-sh/habitat/pull/1590) ([fnichol](https://github.com/fnichol))
- Roll graceful termination into habchild [\#1589](https://github.com/habitat-sh/habitat/pull/1589) ([mwrock](https://github.com/mwrock))
- Initial prototype of a PowerShell-based Windows build system. [\#1588](https://github.com/habitat-sh/habitat/pull/1588) ([fnichol](https://github.com/fnichol))
- \[core\] Support leading `/` in artifact metadata lookup regexes. [\#1585](https://github.com/habitat-sh/habitat/pull/1585) ([fnichol](https://github.com/fnichol))
- ficks sum, grammers [\#1583](https://github.com/habitat-sh/habitat/pull/1583) ([robbkidd](https://github.com/robbkidd))
- Supervisor on windows can "supervise" process for state change [\#1577](https://github.com/habitat-sh/habitat/pull/1577) ([mwrock](https://github.com/mwrock))
- fix surprising typo [\#1576](https://github.com/habitat-sh/habitat/pull/1576) ([juliandunn](https://github.com/juliandunn))
- fix clean vm configuration [\#1574](https://github.com/habitat-sh/habitat/pull/1574) ([mwrock](https://github.com/mwrock))

## Bug fixes

- some pip-installed Python modules give a CERTIFICATE\_VERIFY\_FAILED error during build [\#945](https://github.com/habitat-sh/habitat/issues/945)
- sleep 100 milliseconds to allow zmq to enqueue message before freeing the zmq socket [\#1595](https://github.com/habitat-sh/habitat/pull/1595) ([mwrock](https://github.com/mwrock))
- \[hab\] Disable `config apply` & `file upload` on Mac and Windows systems. [\#1592](https://github.com/habitat-sh/habitat/pull/1592) ([fnichol](https://github.com/fnichol))
- \[hab-butterfly\] Update zmq socket linger to `-1`. [\#1591](https://github.com/habitat-sh/habitat/pull/1591) ([fnichol](https://github.com/fnichol))
- fix find\_command\_in\_pkg on windows [\#1586](https://github.com/habitat-sh/habitat/pull/1586) ([mwrock](https://github.com/mwrock))
- Ensure 64bit integers are represented as strings in JSON [\#1580](https://github.com/habitat-sh/habitat/pull/1580) ([reset](https://github.com/reset))
- fix surprising typo [\#1576](https://github.com/habitat-sh/habitat/pull/1576) ([juliandunn](https://github.com/juliandunn))
- \[hab/install.sh\] Allow installation of specific hab releases. [\#1573](https://github.com/habitat-sh/habitat/pull/1573) ([fnichol](https://github.com/fnichol))
- \[sup\] Reimplement recursive toml config merging. [\#1551](https://github.com/habitat-sh/habitat/pull/1551) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- \[PROPOSAL\]: Allow passing application command line flags when running under hab-sup [\#1587](https://github.com/habitat-sh/habitat/issues/1587)
- How to specify versions of dependencies? [\#1582](https://github.com/habitat-sh/habitat/issues/1582)

**Merged pull requests:**

- add instructions for building butterfly to the release doc [\#1584](https://github.com/habitat-sh/habitat/pull/1584) ([mwrock](https://github.com/mwrock))
- Fix some spelling and a warning on nightly. [\#1575](https://github.com/habitat-sh/habitat/pull/1575) ([Hoverbear](https://github.com/Hoverbear))
- General Safety Improvements and API updating [\#1567](https://github.com/habitat-sh/habitat/pull/1567) ([Hoverbear](https://github.com/Hoverbear))
- \[NOT-YET\] Update documentation for butterfly supervisor [\#1536](https://github.com/habitat-sh/habitat/pull/1536) ([adamhjk](https://github.com/adamhjk))

## [0.14.0](https://github.com/habitat-sh/habitat/tree/0.14.0) (12-12-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.13.1...0.14.0)

## Features & Enhancements

- Clarify origin key documentation [\#1096](https://github.com/habitat-sh/habitat/issues/1096)
- Can't start hab-depot or just confusing error messages [\#1048](https://github.com/habitat-sh/habitat/issues/1048)
- utilize existing distributed key/value systems [\#971](https://github.com/habitat-sh/habitat/issues/971)
- Add a switch to `hab pkg install` to ignore target validation. [\#1549](https://github.com/habitat-sh/habitat/pull/1549) ([smurawski](https://github.com/smurawski))
- Improve Builder versioning & release process [\#1539](https://github.com/habitat-sh/habitat/pull/1539) ([reset](https://github.com/reset))
- Tweak the Docker studio image [\#1537](https://github.com/habitat-sh/habitat/pull/1537) ([chefsalim](https://github.com/chefsalim))
- Connect to a majority of initial peers [\#1534](https://github.com/habitat-sh/habitat/pull/1534) ([adamhjk](https://github.com/adamhjk))
- Return a friendly error when a token has insufficient permissions [\#1530](https://github.com/habitat-sh/habitat/pull/1530) ([raskchanky](https://github.com/raskchanky))
- Add command line completers in the studio [\#1529](https://github.com/habitat-sh/habitat/pull/1529) ([smith](https://github.com/smith))
- slow mac builders be crampin our style [\#1526](https://github.com/habitat-sh/habitat/pull/1526) ([smurawski](https://github.com/smurawski))
- add ability to install a specific hab version from a specified channel [\#1525](https://github.com/habitat-sh/habitat/pull/1525) ([mwrock](https://github.com/mwrock))
- output was not being captured before, now it is. [\#1524](https://github.com/habitat-sh/habitat/pull/1524) ([smurawski](https://github.com/smurawski))
- allow build/publish from master in AppVeyor [\#1523](https://github.com/habitat-sh/habitat/pull/1523) ([smurawski](https://github.com/smurawski))
- Do not pull the studio docker image if you already have it. [\#1521](https://github.com/habitat-sh/habitat/pull/1521) ([smurawski](https://github.com/smurawski))
- Hab sup cli cleanup [\#1520](https://github.com/habitat-sh/habitat/pull/1520) ([adamhjk](https://github.com/adamhjk))
- The great clean up in ing [\#1518](https://github.com/habitat-sh/habitat/pull/1518) ([adamhjk](https://github.com/adamhjk))
- Add `hab file` commands and encryption [\#1517](https://github.com/habitat-sh/habitat/pull/1517) ([adamhjk](https://github.com/adamhjk))
- More Travis Fun [\#1510](https://github.com/habitat-sh/habitat/pull/1510) ([smurawski](https://github.com/smurawski))
- Adds hab cli completers [\#1507](https://github.com/habitat-sh/habitat/pull/1507) ([burtlo](https://github.com/burtlo))
- Get the builds green [\#1504](https://github.com/habitat-sh/habitat/pull/1504) ([smurawski](https://github.com/smurawski))
- only build mac cli off master and only when hab or hab deps change [\#1501](https://github.com/habitat-sh/habitat/pull/1501) ([smurawski](https://github.com/smurawski))
- Build and publish unstable `hab` CLI builds off master [\#1496](https://github.com/habitat-sh/habitat/pull/1496) ([smurawski](https://github.com/smurawski))
- Windows `hab` CLI CI Builds to Unstable [\#1486](https://github.com/habitat-sh/habitat/pull/1486) ([smurawski](https://github.com/smurawski))
- Add depot example URL to CLI help [\#1482](https://github.com/habitat-sh/habitat/pull/1482) ([jtimberman](https://github.com/jtimberman))

## Bug fixes

- Improve error message when user doesn't have read:org github permissions [\#1444](https://github.com/habitat-sh/habitat/issues/1444)
- Improve failures when GitHub API is rate-limited [\#1086](https://github.com/habitat-sh/habitat/issues/1086)
- core package listing won't show 50 more [\#1053](https://github.com/habitat-sh/habitat/issues/1053)
- Copy/paste doesn't work in Try Habitat interactive console [\#957](https://github.com/habitat-sh/habitat/issues/957)
- habitat.sh/try web pages capture all commands [\#604](https://github.com/habitat-sh/habitat/issues/604)
- Fix unexpectedly long thread sleep in Supervisor's main loop [\#1540](https://github.com/habitat-sh/habitat/pull/1540) ([reset](https://github.com/reset))
- \[devshell\] Fix Dockerfile post-Delivery cookbook removal. [\#1538](https://github.com/habitat-sh/habitat/pull/1538) ([fnichol](https://github.com/fnichol))
- Add missing health data to Census [\#1532](https://github.com/habitat-sh/habitat/pull/1532) ([adamhjk](https://github.com/adamhjk))
- Replace node based SHA strategy with sed [\#1528](https://github.com/habitat-sh/habitat/pull/1528) ([raskchanky](https://github.com/raskchanky))
- No longer render `me` for services not running [\#1527](https://github.com/habitat-sh/habitat/pull/1527) ([adamhjk](https://github.com/adamhjk))
- Do not pull the studio docker image if you already have it. [\#1521](https://github.com/habitat-sh/habitat/pull/1521) ([smurawski](https://github.com/smurawski))
- Fix for broken `hab pkg exec` with multiple `pkg\_bin\_dirs` [\#1483](https://github.com/habitat-sh/habitat/pull/1483) ([smith](https://github.com/smith))

**Closed issues:**

- How to clone private git repositories, or: How to inject secrets into a plan.sh / the studio? [\#1543](https://github.com/habitat-sh/habitat/issues/1543)
- Registration failed [\#1533](https://github.com/habitat-sh/habitat/issues/1533)
- \[pre-release\] hab node status not updated when node is down [\#1531](https://github.com/habitat-sh/habitat/issues/1531)
- core/python2 can't use sqlite [\#1099](https://github.com/habitat-sh/habitat/issues/1099)
- sh: 1: cd: can't cd to components/director [\#883](https://github.com/habitat-sh/habitat/issues/883)

**Merged pull requests:**

- 0.14.0 [\#1569](https://github.com/habitat-sh/habitat/pull/1569) ([reset](https://github.com/reset))
- Fix install script [\#1568](https://github.com/habitat-sh/habitat/pull/1568) ([reset](https://github.com/reset))
- Update director templates [\#1553](https://github.com/habitat-sh/habitat/pull/1553) ([reset](https://github.com/reset))
- Terraform Admin Srv [\#1552](https://github.com/habitat-sh/habitat/pull/1552) ([reset](https://github.com/reset))
- Make install.sh version argument work [\#1550](https://github.com/habitat-sh/habitat/pull/1550) ([smith](https://github.com/smith))
- Add listen-peer flag back as hidden flag to supervisor [\#1546](https://github.com/habitat-sh/habitat/pull/1546) ([reset](https://github.com/reset))
- Ensure \*all\* builder components are built & published in script [\#1545](https://github.com/habitat-sh/habitat/pull/1545) ([reset](https://github.com/reset))
- Fix version generation in api-proxy plan [\#1542](https://github.com/habitat-sh/habitat/pull/1542) ([reset](https://github.com/reset))
- Add zmq dep to director plan [\#1541](https://github.com/habitat-sh/habitat/pull/1541) ([reset](https://github.com/reset))
- Documentation & Director updates for recent Supervisor changes [\#1535](https://github.com/habitat-sh/habitat/pull/1535) ([reset](https://github.com/reset))
- Support Ipv6 in builder services [\#1516](https://github.com/habitat-sh/habitat/pull/1516) ([reset](https://github.com/reset))
- Remove delivery cookbook [\#1515](https://github.com/habitat-sh/habitat/pull/1515) ([reset](https://github.com/reset))
- Re-implement sidecar module as http\_gateway [\#1513](https://github.com/habitat-sh/habitat/pull/1513) ([reset](https://github.com/reset))
- Add hab-butterfly [\#1512](https://github.com/habitat-sh/habitat/pull/1512) ([adamhjk](https://github.com/adamhjk))
- De-duplicate the list of packages on the origin detail page [\#1511](https://github.com/habitat-sh/habitat/pull/1511) ([raskchanky](https://github.com/raskchanky))
- More infra and events for builder services [\#1509](https://github.com/habitat-sh/habitat/pull/1509) ([chefsalim](https://github.com/chefsalim))
- Updates file to rustfmt standard [\#1508](https://github.com/habitat-sh/habitat/pull/1508) ([burtlo](https://github.com/burtlo))
- Deploy www.habitat.sh when a PR merges to master [\#1506](https://github.com/habitat-sh/habitat/pull/1506) ([raskchanky](https://github.com/raskchanky))
- More events infra work [\#1503](https://github.com/habitat-sh/habitat/pull/1503) ([chefsalim](https://github.com/chefsalim))
- Integrating butterfly to the supervisor [\#1502](https://github.com/habitat-sh/habitat/pull/1502) ([adamhjk](https://github.com/adamhjk))
- Attempt 2 at formatting bintray creds for deploy [\#1500](https://github.com/habitat-sh/habitat/pull/1500) ([reset](https://github.com/reset))
- Disable bintray dry-run for macOS [\#1499](https://github.com/habitat-sh/habitat/pull/1499) ([reset](https://github.com/reset))
- attempt 2 at capturing which files to upload [\#1498](https://github.com/habitat-sh/habitat/pull/1498) ([reset](https://github.com/reset))
- Add upload pattern to files and sign bintray files [\#1497](https://github.com/habitat-sh/habitat/pull/1497) ([reset](https://github.com/reset))
- fix syntax error in macos-pkg.sh [\#1494](https://github.com/habitat-sh/habitat/pull/1494) ([reset](https://github.com/reset))
- use exact pattern to identify darwin zip [\#1493](https://github.com/habitat-sh/habitat/pull/1493) ([reset](https://github.com/reset))
- Point to proper bintray package file [\#1492](https://github.com/habitat-sh/habitat/pull/1492) ([reset](https://github.com/reset))
- Include version information for bintray [\#1491](https://github.com/habitat-sh/habitat/pull/1491) ([reset](https://github.com/reset))
- Allow specifying organization and repo in Bintray publish tools [\#1490](https://github.com/habitat-sh/habitat/pull/1490) ([reset](https://github.com/reset))
- Adds webinar banner and fixes navbar button hover [\#1488](https://github.com/habitat-sh/habitat/pull/1488) ([ryankeairns](https://github.com/ryankeairns))
- Add macOS builder and bintray publish to travis matrix [\#1487](https://github.com/habitat-sh/habitat/pull/1487) ([reset](https://github.com/reset))
- Make the supervisor run on windows [\#1485](https://github.com/habitat-sh/habitat/pull/1485) ([mwrock](https://github.com/mwrock))
- Initial infra for builder metrics [\#1484](https://github.com/habitat-sh/habitat/pull/1484) ([chefsalim](https://github.com/chefsalim))
- 0.14.0-dev [\#1481](https://github.com/habitat-sh/habitat/pull/1481) ([reset](https://github.com/reset))
- Adding windows user implementations [\#1468](https://github.com/habitat-sh/habitat/pull/1468) ([mwrock](https://github.com/mwrock))

## [0.13.1](https://github.com/habitat-sh/habitat/tree/0.13.1) (11-14-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.13.0...0.13.1)

## Features & Enhancements

- Retry network operations if they fail [\#1446](https://github.com/habitat-sh/habitat/pull/1446) ([raskchanky](https://github.com/raskchanky))

## Bug fixes

- hab 0.12.1 binary in docker studio 0.13.0 [\#1477](https://github.com/habitat-sh/habitat/issues/1477)
- Running build outside studio leads to odd log filenames [\#888](https://github.com/habitat-sh/habitat/issues/888)

**Merged pull requests:**

- 0.13.1 [\#1480](https://github.com/habitat-sh/habitat/pull/1480) ([reset](https://github.com/reset))
- Fix broken platform support for MacOS [\#1479](https://github.com/habitat-sh/habitat/pull/1479) ([reset](https://github.com/reset))
- Fix string to say director instead of depot [\#1478](https://github.com/habitat-sh/habitat/pull/1478) ([smith](https://github.com/smith))
- Add post-processing infra to builder-worker [\#1476](https://github.com/habitat-sh/habitat/pull/1476) ([chefsalim](https://github.com/chefsalim))
- Release docs [\#1475](https://github.com/habitat-sh/habitat/pull/1475) ([mwrock](https://github.com/mwrock))
- bumping version for development [\#1474](https://github.com/habitat-sh/habitat/pull/1474) ([mwrock](https://github.com/mwrock))
- it's 80 not 00 [\#1473](https://github.com/habitat-sh/habitat/pull/1473) ([jjasghar](https://github.com/jjasghar))

## [0.13.0](https://github.com/habitat-sh/habitat/tree/0.13.0) (11-10-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.12.1...0.13.0)

## Features & Enhancements

- want `hab pkg build` to do multithreaded `xz` compression when more than one core available [\#1253](https://github.com/habitat-sh/habitat/issues/1253)
- Allow ignoring of certain file types \(e.g. \*.swp\) in config/ dir during build [\#1120](https://github.com/habitat-sh/habitat/issues/1120)
- Emacs keybindings difficult to use inside docker-based studio [\#1102](https://github.com/habitat-sh/habitat/issues/1102)
- \[feature request\] plan.sh generator [\#953](https://github.com/habitat-sh/habitat/issues/953)
- Fix running builds with packaged builder worker [\#1462](https://github.com/habitat-sh/habitat/pull/1462) ([reset](https://github.com/reset))
- Make `archive\_name` platform/architecture aware [\#1461](https://github.com/habitat-sh/habitat/pull/1461) ([smurawski](https://github.com/smurawski))
- Add missing hyphen to do\_download example [\#1460](https://github.com/habitat-sh/habitat/pull/1460) ([ksexton](https://github.com/ksexton))
- add target awareness to PackageArchive and PackageInstall [\#1458](https://github.com/habitat-sh/habitat/pull/1458) ([smurawski](https://github.com/smurawski))
- Fix file extension exclusion [\#1457](https://github.com/habitat-sh/habitat/pull/1457) ([chefsalim](https://github.com/chefsalim))
- \[devshell\] Add a non-root user, jdoe, for root/sudo checking codepaths. [\#1456](https://github.com/habitat-sh/habitat/pull/1456) ([fnichol](https://github.com/fnichol))
- Hide image checking logic in Makefile display output. [\#1455](https://github.com/habitat-sh/habitat/pull/1455) ([fnichol](https://github.com/fnichol))
- Hide image checking logic in Makefile display output. [\#1455](https://github.com/habitat-sh/habitat/pull/1455) ([fnichol](https://github.com/fnichol))
- win-build can now point to any component and has switches for configuring and packaging hab [\#1451](https://github.com/habitat-sh/habitat/pull/1451) ([mwrock](https://github.com/mwrock))
- Move process signalling to core [\#1450](https://github.com/habitat-sh/habitat/pull/1450) ([mwrock](https://github.com/mwrock))
- Quiet the unused variable warnings in stubbed out functions [\#1449](https://github.com/habitat-sh/habitat/pull/1449) ([smurawski](https://github.com/smurawski))
- write hooks file using ::create to be os portable [\#1448](https://github.com/habitat-sh/habitat/pull/1448) ([mwrock](https://github.com/mwrock))
- Move user functions from sup to core [\#1447](https://github.com/habitat-sh/habitat/pull/1447) ([mwrock](https://github.com/mwrock))
- pull the supervisor waitpid into core to be handled separately by os [\#1443](https://github.com/habitat-sh/habitat/pull/1443) ([mwrock](https://github.com/mwrock))
- Create the `hab plan init` command. [\#1416](https://github.com/habitat-sh/habitat/pull/1416) ([Hoverbear](https://github.com/Hoverbear))
- Added a new DEBUGGING run section  [\#1398](https://github.com/habitat-sh/habitat/pull/1398) ([jjasghar](https://github.com/jjasghar))
- Implement ability to exclude config files through the HAB\_CONFIG\_EXCLUDE variable [\#1389](https://github.com/habitat-sh/habitat/pull/1389) ([efyang](https://github.com/efyang))
- Set logfile name based on pkg\_name [\#1384](https://github.com/habitat-sh/habitat/pull/1384) ([smacfarlane](https://github.com/smacfarlane))

## Bug fixes

- studio terminal bug in 0.12.0 [\#1435](https://github.com/habitat-sh/habitat/issues/1435)
- Origins do not display until logging back in [\#1161](https://github.com/habitat-sh/habitat/issues/1161)
- \[hab/mac\] Fix mac-build.sh for new install.sh logic. [\#1454](https://github.com/habitat-sh/habitat/pull/1454) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- 'make' failing to finish on \(minimally\) OSX [\#1411](https://github.com/habitat-sh/habitat/issues/1411)

**Merged pull requests:**

- changelog and version bump for 0.13 release [\#1472](https://github.com/habitat-sh/habitat/pull/1472) ([mwrock](https://github.com/mwrock))
- Add segment snippet to website and web app [\#1466](https://github.com/habitat-sh/habitat/pull/1466) ([ryankeairns](https://github.com/ryankeairns))
- Fix unhandled case in build logfile name detection [\#1464](https://github.com/habitat-sh/habitat/pull/1464) ([smacfarlane](https://github.com/smacfarlane))
- Add core/curl as runtime dep for builder-worker [\#1452](https://github.com/habitat-sh/habitat/pull/1452) ([reset](https://github.com/reset))
- Worker building plans from GitHub source [\#1437](https://github.com/habitat-sh/habitat/pull/1437) ([reset](https://github.com/reset))

## [0.12.1](https://github.com/habitat-sh/habitat/tree/0.12.1) (11-02-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.12.0...0.12.1)

## Features & Enhancements

- Add docs update for run hook [\#1431](https://github.com/habitat-sh/habitat/pull/1431) ([chefsalim](https://github.com/chefsalim))
- Readme Refactor [\#1429](https://github.com/habitat-sh/habitat/pull/1429) ([eeyun](https://github.com/eeyun))
- Module path refactor [\#1428](https://github.com/habitat-sh/habitat/pull/1428) ([adamhjk](https://github.com/adamhjk))
- Adding service files [\#1427](https://github.com/habitat-sh/habitat/pull/1427) ([adamhjk](https://github.com/adamhjk))
- Clean some unwraps [\#1415](https://github.com/habitat-sh/habitat/pull/1415) ([Hoverbear](https://github.com/Hoverbear))
- Adding the Service and Election Rumors [\#1402](https://github.com/habitat-sh/habitat/pull/1402) ([adamhjk](https://github.com/adamhjk))

## Bug fixes

- Command 'hab pkg search billmeyer' finds data but panics anyway. [\#1434](https://github.com/habitat-sh/habitat/issues/1434)
- Unexpected behavior when applying config - not restarting, maintaining last config on restart [\#1340](https://github.com/habitat-sh/habitat/issues/1340)
- \[plan-build\] Ensure that `TERMINFO` is not present for all builds. [\#1440](https://github.com/habitat-sh/habitat/pull/1440) ([fnichol](https://github.com/fnichol))
- Fix hab pkg search payload [\#1439](https://github.com/habitat-sh/habitat/pull/1439) ([chefsalim](https://github.com/chefsalim))
- Filter on the correct package params [\#1436](https://github.com/habitat-sh/habitat/pull/1436) ([raskchanky](https://github.com/raskchanky))
- Fix issue with package display [\#1433](https://github.com/habitat-sh/habitat/pull/1433) ([raskchanky](https://github.com/raskchanky))
- \[tutorial\] using `npm start` results in multiple child processes upon reconfigure [\#1394](https://github.com/habitat-sh/habitat/pull/1394) ([metadave](https://github.com/metadave))

**Merged pull requests:**

- Fix election test [\#1430](https://github.com/habitat-sh/habitat/pull/1430) ([adamhjk](https://github.com/adamhjk))
- Adds test for ring encryption [\#1422](https://github.com/habitat-sh/habitat/pull/1422) ([adamhjk](https://github.com/adamhjk))
- add AWS ECS documentation [\#1417](https://github.com/habitat-sh/habitat/pull/1417) ([mattray](https://github.com/mattray))
- Adds service configuration rumor and encryption [\#1414](https://github.com/habitat-sh/habitat/pull/1414) ([adamhjk](https://github.com/adamhjk))
- Renamed  to DOCKER\_OPS to DOCKER\_OPTS [\#1413](https://github.com/habitat-sh/habitat/pull/1413) ([eeyun](https://github.com/eeyun))
- Fix errant formatting in config update docs [\#1399](https://github.com/habitat-sh/habitat/pull/1399) ([twm](https://github.com/twm))
- Allow sourcing of /src/.studiorc to set hab env vars [\#1390](https://github.com/habitat-sh/habitat/pull/1390) ([bdangit](https://github.com/bdangit))
- \[builder\] deprecate Content-Range header usage [\#1387](https://github.com/habitat-sh/habitat/pull/1387) ([chefsalim](https://github.com/chefsalim))

## [0.12.0](https://github.com/habitat-sh/habitat/tree/0.12.0) (10-28-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.11.0...0.12.0)

## Features & Enhancements

- Docs: Link to missing wikipedia page [\#1352](https://github.com/habitat-sh/habitat/issues/1352)
- Docs: Link to missing wikipedia page [\#1352](https://github.com/habitat-sh/habitat/issues/1352)
- habitat shouldn't require sudo [\#903](https://github.com/habitat-sh/habitat/issues/903)
- Now that swim is butterfly, fix the Makefile to reflect that [\#1391](https://github.com/habitat-sh/habitat/pull/1391) ([smurawski](https://github.com/smurawski))
- add a `hab pkg header` command to read the hart file header [\#1388](https://github.com/habitat-sh/habitat/pull/1388) ([smurawski](https://github.com/smurawski))
- \[core\] Fix hyper test compilation churn. [\#1383](https://github.com/habitat-sh/habitat/pull/1383) ([fnichol](https://github.com/fnichol))
- Added myself as a maintainer [\#1378](https://github.com/habitat-sh/habitat/pull/1378) ([eeyun](https://github.com/eeyun))
- Fix broken Wikipedia link [\#1375](https://github.com/habitat-sh/habitat/pull/1375) ([juliandunn](https://github.com/juliandunn))
- Minor Admin API doc corrections [\#1373](https://github.com/habitat-sh/habitat/pull/1373) ([reset](https://github.com/reset))
- Display private key names on the origin page. [\#1371](https://github.com/habitat-sh/habitat/pull/1371) ([raskchanky](https://github.com/raskchanky))
- Appveyor building `hab` and testing ported crates [\#1370](https://github.com/habitat-sh/habitat/pull/1370) ([smurawski](https://github.com/smurawski))
- improve docs documentation and add run task to Makefile [\#1369](https://github.com/habitat-sh/habitat/pull/1369) ([reset](https://github.com/reset))
- improve docs documentation and add run task to Makefile [\#1369](https://github.com/habitat-sh/habitat/pull/1369) ([reset](https://github.com/reset))
- Add Linux only comment to -R flag in docs [\#1367](https://github.com/habitat-sh/habitat/pull/1367) ([reset](https://github.com/reset))
- Add Linux only comment to -R flag in docs [\#1367](https://github.com/habitat-sh/habitat/pull/1367) ([reset](https://github.com/reset))
- Move a manual build step to Makefile from README for www project [\#1366](https://github.com/habitat-sh/habitat/pull/1366) ([reset](https://github.com/reset))
- remove pkg-config hack from worker plan [\#1365](https://github.com/habitat-sh/habitat/pull/1365) ([reset](https://github.com/reset))
- Updating code snippets to remove sudo inline with hab 0.11 release [\#1362](https://github.com/habitat-sh/habitat/pull/1362) ([davidwrede](https://github.com/davidwrede))
- Update www docs with a few clarifications. [\#1359](https://github.com/habitat-sh/habitat/pull/1359) ([raskchanky](https://github.com/raskchanky))
- Rough draft of new Windows tutorial [\#1350](https://github.com/habitat-sh/habitat/pull/1350) ([davidwrede](https://github.com/davidwrede))

## Bug fixes

- No feedback when downloading hab studio [\#1361](https://github.com/habitat-sh/habitat/issues/1361)
- Docs: Link to missing wikipedia page [\#1352](https://github.com/habitat-sh/habitat/issues/1352)
- Habitat Studio doesn't work on paths with space inside [\#1338](https://github.com/habitat-sh/habitat/issues/1338)
- -R option is either mis documented, or not implemented [\#876](https://github.com/habitat-sh/habitat/issues/876)
- Quoted $studio\_config variable \#1338 [\#1376](https://github.com/habitat-sh/habitat/pull/1376) ([Albibek](https://github.com/Albibek))
- \[common\] use root cache key path for package install [\#1372](https://github.com/habitat-sh/habitat/pull/1372) ([chefsalim](https://github.com/chefsalim))

**Closed issues:**

- `hab config apply` does not work as expected [\#1355](https://github.com/habitat-sh/habitat/issues/1355)
- hab 0.10.2 doesn't copy keys inside the studio [\#1341](https://github.com/habitat-sh/habitat/issues/1341)
- \[discussion\] Should template files have an extension? [\#1183](https://github.com/habitat-sh/habitat/issues/1183)

**Merged pull requests:**

- Enable `HAB\_DOCKER\_OPS` environment variable. [\#1410](https://github.com/habitat-sh/habitat/pull/1410) ([Hoverbear](https://github.com/Hoverbear))
- Improve timeout reporting [\#1401](https://github.com/habitat-sh/habitat/pull/1401) ([reset](https://github.com/reset))
- Hide habitat summit banner [\#1400](https://github.com/habitat-sh/habitat/pull/1400) ([ryankeairns](https://github.com/ryankeairns))
- Updated Mac instructions for building Hab [\#1396](https://github.com/habitat-sh/habitat/pull/1396) ([jjasghar](https://github.com/jjasghar))
- Make `fix\_interpreter` resolve symbolic links [\#1386](https://github.com/habitat-sh/habitat/pull/1386) ([smith](https://github.com/smith))
- Reload the origin after private key upload so it shows up right away [\#1385](https://github.com/habitat-sh/habitat/pull/1385) ([raskchanky](https://github.com/raskchanky))
- Document `download\_file` function [\#1382](https://github.com/habitat-sh/habitat/pull/1382) ([smith](https://github.com/smith))
- Change how we check origin membership to make the Members tab show up [\#1380](https://github.com/habitat-sh/habitat/pull/1380) ([raskchanky](https://github.com/raskchanky))
- Fix some bugs with linking packages to repos [\#1379](https://github.com/habitat-sh/habitat/pull/1379) ([raskchanky](https://github.com/raskchanky))
- Add Gossip to Swim, creating a Butterfly [\#1377](https://github.com/habitat-sh/habitat/pull/1377) ([adamhjk](https://github.com/adamhjk))
- Improve user output - show Docker pull progress on studio enter [\#1374](https://github.com/habitat-sh/habitat/pull/1374) ([chefsalim](https://github.com/chefsalim))
- \[JEX-346\] Unify the Linux and MacOS install scripts [\#1364](https://github.com/habitat-sh/habitat/pull/1364) ([jtimberman](https://github.com/jtimberman))
- fix windows binary building on linux/vbox [\#1358](https://github.com/habitat-sh/habitat/pull/1358) ([mwrock](https://github.com/mwrock))
- Fix lots of bugs from the Angular 2 upgrade [\#1330](https://github.com/habitat-sh/habitat/pull/1330) ([raskchanky](https://github.com/raskchanky))

## [0.11.0](https://github.com/habitat-sh/habitat/tree/0.11.0) (10-14-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.10.2...0.11.0)

## Features & Enhancements

- Port Hab command-line tool to Windows [\#1192](https://github.com/habitat-sh/habitat/issues/1192)
- Warn when docker-based studio is out of date [\#1167](https://github.com/habitat-sh/habitat/issues/1167)
- Version ordering seems to be alpha sorted and needs to following some kind of versioning comparison scheme [\#1090](https://github.com/habitat-sh/habitat/issues/1090)
- Package names with a dot generate invalid default group [\#1089](https://github.com/habitat-sh/habitat/issues/1089)
- Check write permissions before attempting to download [\#960](https://github.com/habitat-sh/habitat/issues/960)
- Sodiumoxide cargo config override can be removed [\#952](https://github.com/habitat-sh/habitat/issues/952)
- be able to modify and rebuild from plan.sh without rerunning a full build. [\#927](https://github.com/habitat-sh/habitat/issues/927)
- \[builder-web\] Upgrade to new Angular 2 Router [\#885](https://github.com/habitat-sh/habitat/issues/885)
- \[builder-web\] Upgrade to Angular 2 RC [\#884](https://github.com/habitat-sh/habitat/issues/884)
- Really fix the admin status check on Windows this time [\#1342](https://github.com/habitat-sh/habitat/pull/1342) ([smurawski](https://github.com/smurawski))
- Make Admin/Elevated Admin Token == root for hab commands [\#1337](https://github.com/habitat-sh/habitat/pull/1337) ([smurawski](https://github.com/smurawski))
- \[ci\] Support `$STEAM\_ROLLER` to force a build unconditionally. [\#1335](https://github.com/habitat-sh/habitat/pull/1335) ([fnichol](https://github.com/fnichol))
- \[ci\] Remove unused and redundant cache directories. [\#1334](https://github.com/habitat-sh/habitat/pull/1334) ([fnichol](https://github.com/fnichol))
- \[ci\] Drop requirement for nightly cargo installation. [\#1333](https://github.com/habitat-sh/habitat/pull/1333) ([fnichol](https://github.com/fnichol))
- \[ci\] Properly detect version of rustfmt for install logic. [\#1332](https://github.com/habitat-sh/habitat/pull/1332) ([fnichol](https://github.com/fnichol))
- \[hab\] Attempt to call `sudo` on `hab studio \*` for non-root users. [\#1329](https://github.com/habitat-sh/habitat/pull/1329) ([fnichol](https://github.com/fnichol))
- Remove vendored sodiumoxide and libsodium-sys from components [\#1326](https://github.com/habitat-sh/habitat/pull/1326) ([reset](https://github.com/reset))
- Detect, warn, & exit on operations that require root/admin permissions. [\#1325](https://github.com/habitat-sh/habitat/pull/1325) ([fnichol](https://github.com/fnichol))
- Set sensible defaults for pkg\_pconfig\_dirs plan variable [\#1323](https://github.com/habitat-sh/habitat/pull/1323) ([reset](https://github.com/reset))
- Improve error messages around Docker [\#1322](https://github.com/habitat-sh/habitat/pull/1322) ([raskchanky](https://github.com/raskchanky))
- \[hab\] Refactor constants to remove unused warns in studio subcmd. [\#1321](https://github.com/habitat-sh/habitat/pull/1321) ([fnichol](https://github.com/fnichol))
- \[hab\] Retire `core/hab-dynamic` Plan. [\#1320](https://github.com/habitat-sh/habitat/pull/1320) ([fnichol](https://github.com/fnichol))
- Updating tutorial content and example code [\#1319](https://github.com/habitat-sh/habitat/pull/1319) ([davidwrede](https://github.com/davidwrede))
- Add terminfo to studio for colorization [\#1318](https://github.com/habitat-sh/habitat/pull/1318) ([smacfarlane](https://github.com/smacfarlane))
- Streamline Bintray release instructions in RELEASE.md. [\#1316](https://github.com/habitat-sh/habitat/pull/1316) ([fnichol](https://github.com/fnichol))
- Streamline Bintray release instructions in RELEASE.md. [\#1316](https://github.com/habitat-sh/habitat/pull/1316) ([fnichol](https://github.com/fnichol))
- `hab studio enter` on Windows via Docker! [\#1309](https://github.com/habitat-sh/habitat/pull/1309) ([smurawski](https://github.com/smurawski))
- Remove unconditional reference to sudo\(8\). [\#1304](https://github.com/habitat-sh/habitat/pull/1304) ([juliandunn](https://github.com/juliandunn))
- Update to latest ZeroMQ crate [\#1252](https://github.com/habitat-sh/habitat/pull/1252) ([reset](https://github.com/reset))

## Bug fixes

- "Invalid status provided" on Habitat 0.10.1 because it tries to send data to Google [\#1306](https://github.com/habitat-sh/habitat/issues/1306)
- hab pkg build returns code 0 on error [\#1285](https://github.com/habitat-sh/habitat/issues/1285)
- Generated svc `run` script assumes binaries are on path [\#1268](https://github.com/habitat-sh/habitat/issues/1268)
- Check filetype of static/run in svc directory before writing to [\#1267](https://github.com/habitat-sh/habitat/issues/1267)
- Overriding nested \(table\) config vars clobbers defaults [\#1184](https://github.com/habitat-sh/habitat/issues/1184)
- hab pkg upload fails if public key isn't present in /hab/cache/keys [\#1172](https://github.com/habitat-sh/habitat/issues/1172)
- Version ordering seems to be alpha sorted and needs to following some kind of versioning comparison scheme [\#1090](https://github.com/habitat-sh/habitat/issues/1090)
- Package names with a dot generate invalid default group [\#1089](https://github.com/habitat-sh/habitat/issues/1089)
- Don't restart child process if reconfigure hook is defined [\#1336](https://github.com/habitat-sh/habitat/pull/1336) ([metadave](https://github.com/metadave))
- \[studio\] Properly propagate the exit code when `build` fails. [\#1331](https://github.com/habitat-sh/habitat/pull/1331) ([fnichol](https://github.com/fnichol))
- replacing execv in exec.rs with std::process::Command [\#1324](https://github.com/habitat-sh/habitat/pull/1324) ([rrxtns](https://github.com/rrxtns))

**Closed issues:**

- Depot fails to link package to GitHub repo due to CORS issue [\#1344](https://github.com/habitat-sh/habitat/issues/1344)
- Unauthorized when uploading keys/packages to depot [\#1343](https://github.com/habitat-sh/habitat/issues/1343)
- Keys not loaded properly when installing .hart locally [\#1317](https://github.com/habitat-sh/habitat/issues/1317)

**Merged pull requests:**

- End to end cleanup of windows binary building [\#1357](https://github.com/habitat-sh/habitat/pull/1357) ([mwrock](https://github.com/mwrock))
- revert windows download button until bintray publish is fleshed out [\#1354](https://github.com/habitat-sh/habitat/pull/1354) ([mwrock](https://github.com/mwrock))
- 0.11.0 [\#1353](https://github.com/habitat-sh/habitat/pull/1353) ([reset](https://github.com/reset))
- Add windows binaries to available downloads [\#1348](https://github.com/habitat-sh/habitat/pull/1348) ([mwrock](https://github.com/mwrock))
- \[core\] Check invalid characters in package name on upload [\#1347](https://github.com/habitat-sh/habitat/pull/1347) ([chefsalim](https://github.com/chefsalim))
- \[build\] Validate characters in plan name [\#1345](https://github.com/habitat-sh/habitat/pull/1345) ([chefsalim](https://github.com/chefsalim))
- Fix build step in builder-worker plan [\#1328](https://github.com/habitat-sh/habitat/pull/1328) ([reset](https://github.com/reset))
- handle migration case of symlinks in svc directory [\#1327](https://github.com/habitat-sh/habitat/pull/1327) ([metadave](https://github.com/metadave))
- Bump VERSION to 0.11.0-dev. [\#1315](https://github.com/habitat-sh/habitat/pull/1315) ([fnichol](https://github.com/fnichol))
- SWIM as an independent library [\#1310](https://github.com/habitat-sh/habitat/pull/1310) ([adamhjk](https://github.com/adamhjk))
- Run rspec/inspec tests in Travis [\#1263](https://github.com/habitat-sh/habitat/pull/1263) ([metadave](https://github.com/metadave))

## [0.10.2](https://github.com/habitat-sh/habitat/tree/0.10.2) (09-30-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.10.1...0.10.2)

## Bug fixes

- Unable to update config values specified in default.toml - 0.10.1 [\#1307](https://github.com/habitat-sh/habitat/issues/1307)
- The command "hab sup config package" should output the default.toml of the package. [\#1301](https://github.com/habitat-sh/habitat/issues/1301)
- fix merging top-level config values [\#1308](https://github.com/habitat-sh/habitat/pull/1308) ([robbkidd](https://github.com/robbkidd))

**Merged pull requests:**

- Adding text on updating services through env var + title changes [\#1311](https://github.com/habitat-sh/habitat/pull/1311) ([davidwrede](https://github.com/davidwrede))
- Start 0.11.0-dev [\#1305](https://github.com/habitat-sh/habitat/pull/1305) ([reset](https://github.com/reset))

## [0.10.1](https://github.com/habitat-sh/habitat/tree/0.10.1) (09-29-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.10.0...0.10.1)

## Features & Enhancements

- Drop Cargo nightly requirement as of Rust 1.12.0 release. [\#1299](https://github.com/habitat-sh/habitat/pull/1299) ([fnichol](https://github.com/fnichol))

## Bug fixes

- hab won't install packages if /hab/cache/artifacts isn't present [\#1291](https://github.com/habitat-sh/habitat/issues/1291)
- Fix issue entering studios in release versions of hab [\#1302](https://github.com/habitat-sh/habitat/pull/1302) ([reset](https://github.com/reset))

**Merged pull requests:**

- 0.10.1 [\#1303](https://github.com/habitat-sh/habitat/pull/1303) ([reset](https://github.com/reset))
- Start 0.11.0-dev [\#1300](https://github.com/habitat-sh/habitat/pull/1300) ([reset](https://github.com/reset))

## [0.10.0](https://github.com/habitat-sh/habitat/tree/0.10.0) (09-29-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/BLDR-0.10.0...0.10.0)

## Features & Enhancements

- \[documentation\] Testing locally compiled dependencies without `hab pkg upload`-ing [\#1273](https://github.com/habitat-sh/habitat/issues/1273)
- Move Homu to bots.habitat.sh [\#1113](https://github.com/habitat-sh/habitat/issues/1113)
- Bot Monitoring [\#1111](https://github.com/habitat-sh/habitat/issues/1111)
- \[plans\] Curl plan should support/find CA certificates out of the box [\#718](https://github.com/habitat-sh/habitat/issues/718)
- Add all deps to the chocolatey package of hab dev build for Windows [\#1295](https://github.com/habitat-sh/habitat/pull/1295) ([smurawski](https://github.com/smurawski))
- Support windows command resolution [\#1290](https://github.com/habitat-sh/habitat/pull/1290) ([smurawski](https://github.com/smurawski))
- Remove the Waffle badge as we aren't currently using it. [\#1288](https://github.com/habitat-sh/habitat/pull/1288) ([juliandunn](https://github.com/juliandunn))
- Add step to BUILDING for sourcing cargo env to fix make error [\#1286](https://github.com/habitat-sh/habitat/pull/1286) ([robbkidd](https://github.com/robbkidd))
- Adding a nuspec template for  [\#1283](https://github.com/habitat-sh/habitat/pull/1283) ([smurawski](https://github.com/smurawski))
- Adding a build script for the Windows `hab` binary and AppVeyor Integration [\#1279](https://github.com/habitat-sh/habitat/pull/1279) ([smurawski](https://github.com/smurawski))
- move platform dependent calls from hab to core [\#1264](https://github.com/habitat-sh/habitat/pull/1264) ([smurawski](https://github.com/smurawski))
- Cleaning up the windows build docs [\#1262](https://github.com/habitat-sh/habitat/pull/1262) ([smurawski](https://github.com/smurawski))
- \[hab/mac\] Prompt for core origin key when performing a Mac hab release. [\#1258](https://github.com/habitat-sh/habitat/pull/1258) ([fnichol](https://github.com/fnichol))
- \[devshell\] Use rustup in Dockerfile. [\#1257](https://github.com/habitat-sh/habitat/pull/1257) ([fnichol](https://github.com/fnichol))
- Iterate on plans with --config-from [\#1256](https://github.com/habitat-sh/habitat/pull/1256) ([adamhjk](https://github.com/adamhjk))
- `pkg\_source` is required [\#1254](https://github.com/habitat-sh/habitat/pull/1254) ([nathenharvey](https://github.com/nathenharvey))
- Convert supervisor config to global singleton [\#1246](https://github.com/habitat-sh/habitat/pull/1246) ([adamhjk](https://github.com/adamhjk))

## Bug fixes

- `hab pkg hash` doesn't work with filenames with commas [\#1151](https://github.com/habitat-sh/habitat/issues/1151)
- service\_config::toml\_merge handles toml::Tables \(rebased w/ changed order\) [\#1294](https://github.com/habitat-sh/habitat/pull/1294) ([robbkidd](https://github.com/robbkidd))
- \[hab\] Fix missing artifact cache directory using `FS\_ROOT` env var. [\#1287](https://github.com/habitat-sh/habitat/pull/1287) ([fnichol](https://github.com/fnichol))
- \[Makefile\] Repair `serve-docs` target & support Docker for Mac. [\#1259](https://github.com/habitat-sh/habitat/pull/1259) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- Unclear message when token has incorrect scope [\#1105](https://github.com/habitat-sh/habitat/issues/1105)

**Merged pull requests:**

- Release 0.10.0 [\#1298](https://github.com/habitat-sh/habitat/pull/1298) ([reset](https://github.com/reset))
- Fix bug with inclusion of whitespace in VERSION constant [\#1297](https://github.com/habitat-sh/habitat/pull/1297) ([reset](https://github.com/reset))
- Fix text alignment by removing one word from copy. [\#1296](https://github.com/habitat-sh/habitat/pull/1296) ([juliandunn](https://github.com/juliandunn))
- Require less broad OAuth scopes [\#1293](https://github.com/habitat-sh/habitat/pull/1293) ([reset](https://github.com/reset))
- \[WIP\] Ensure the hab versions inside and outside of a studio match [\#1292](https://github.com/habitat-sh/habitat/pull/1292) ([raskchanky](https://github.com/raskchanky))
- Request full user scope on web login [\#1289](https://github.com/habitat-sh/habitat/pull/1289) ([reset](https://github.com/reset))
- Bldr-0.11.0-dev [\#1284](https://github.com/habitat-sh/habitat/pull/1284) ([reset](https://github.com/reset))
- Improve messaging for failed login due to missing OAuth scope\(s\) [\#1282](https://github.com/habitat-sh/habitat/pull/1282) ([reset](https://github.com/reset))
- Update to Windows Build Docs [\#1281](https://github.com/habitat-sh/habitat/pull/1281) ([smurawski](https://github.com/smurawski))
- Improve client & server error reporting [\#1277](https://github.com/habitat-sh/habitat/pull/1277) ([reset](https://github.com/reset))
- A few small copy edits for the website home page [\#1276](https://github.com/habitat-sh/habitat/pull/1276) ([ryankeairns](https://github.com/ryankeairns))
- Add Steven as a maintainer [\#1275](https://github.com/habitat-sh/habitat/pull/1275) ([smurawski](https://github.com/smurawski))
- Updating linux hab setup instructions and minor copy edits [\#1274](https://github.com/habitat-sh/habitat/pull/1274) ([davidwrede](https://github.com/davidwrede))
- Use new sentinel testing branches [\#1272](https://github.com/habitat-sh/habitat/pull/1272) ([adamhjk](https://github.com/adamhjk))
- Update documentation references for user scope [\#1271](https://github.com/habitat-sh/habitat/pull/1271) ([jtimberman](https://github.com/jtimberman))
- Stub out uname and effective\_uid to make hab run [\#1270](https://github.com/habitat-sh/habitat/pull/1270) ([smurawski](https://github.com/smurawski))
- \[hab\] Read user's keys when running `hab pkg build` with `sudo`. [\#1269](https://github.com/habitat-sh/habitat/pull/1269) ([fnichol](https://github.com/fnichol))
- Builder 0.10.0 [\#1266](https://github.com/habitat-sh/habitat/pull/1266) ([reset](https://github.com/reset))
- branches that have test\_development-.\* will run tests [\#1261](https://github.com/habitat-sh/habitat/pull/1261) ([metadave](https://github.com/metadave))
- Update Admin, API, and Depot route definitions with names [\#1260](https://github.com/habitat-sh/habitat/pull/1260) ([reset](https://github.com/reset))
- Update Cargo dependencies [\#1255](https://github.com/habitat-sh/habitat/pull/1255) ([adamhjk](https://github.com/adamhjk))
- Bump VERSION to 0.10.0-dev. [\#1251](https://github.com/habitat-sh/habitat/pull/1251) ([fnichol](https://github.com/fnichol))
- Home page copy updates [\#1247](https://github.com/habitat-sh/habitat/pull/1247) ([ryankeairns](https://github.com/ryankeairns))
- Upgrade to Angular 2 RC-5 [\#1213](https://github.com/habitat-sh/habitat/pull/1213) ([raskchanky](https://github.com/raskchanky))

## [BLDR-0.10.0](https://github.com/habitat-sh/habitat/tree/BLDR-0.10.0) (09-16-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.9.3...BLDR-0.10.0)

**Merged pull requests:**

- Update clap to fix hashing file names with commas. [\#1250](https://github.com/habitat-sh/habitat/pull/1250) ([raskchanky](https://github.com/raskchanky))
- Plumb feature flags into builder-web [\#1249](https://github.com/habitat-sh/habitat/pull/1249) ([reset](https://github.com/reset))

## [0.9.3](https://github.com/habitat-sh/habitat/tree/0.9.3) (09-16-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.9.2...0.9.3)

## Bug fixes

- \[hab\] Fix UI import for non-Linux \(i.e. Mac\) builds. [\#1245](https://github.com/habitat-sh/habitat/pull/1245) ([fnichol](https://github.com/fnichol))

**Merged pull requests:**

- version bump and changelog update for 0.9.3 [\#1248](https://github.com/habitat-sh/habitat/pull/1248) ([metadave](https://github.com/metadave))
- Improve logging/handling when receiving an unexpected route reply [\#1244](https://github.com/habitat-sh/habitat/pull/1244) ([reset](https://github.com/reset))

## [0.9.2](https://github.com/habitat-sh/habitat/tree/0.9.2) (09-15-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.9.1...0.9.2)

## Features & Enhancements

- Update Getting Started tutorial to use Docker for Mac instead of Docker Toolbox [\#1130](https://github.com/habitat-sh/habitat/issues/1130)
- \[hab\] Final UI additions to control coloring/formatting for errors and analytics [\#1239](https://github.com/habitat-sh/habitat/pull/1239) ([fnichol](https://github.com/fnichol))
- \[hab,sup\] Add formatted output & input methods to `UI`. [\#1237](https://github.com/habitat-sh/habitat/pull/1237) ([fnichol](https://github.com/fnichol))
- \[hab,sup\] Add `UI\#progress\(\)` method to control progress bar behavior. [\#1233](https://github.com/habitat-sh/habitat/pull/1233) ([fnichol](https://github.com/fnichol))
- Clean the middleman build before building [\#1232](https://github.com/habitat-sh/habitat/pull/1232) ([reset](https://github.com/reset))
- Just enough code to make the core crate tests pass [\#1231](https://github.com/habitat-sh/habitat/pull/1231) ([smurawski](https://github.com/smurawski))
- \[hab,sup\] Add common UI subsystem to manage output display. [\#1228](https://github.com/habitat-sh/habitat/pull/1228) ([fnichol](https://github.com/fnichol))
- Use `bodyparser::Struct` to parse request bodies in HTTP Gateways [\#1227](https://github.com/habitat-sh/habitat/pull/1227) ([reset](https://github.com/reset))
- Revert back to typed headers in HTTP gateways [\#1226](https://github.com/habitat-sh/habitat/pull/1226) ([reset](https://github.com/reset))
- add README & Makefile to www project [\#1223](https://github.com/habitat-sh/habitat/pull/1223) ([reset](https://github.com/reset))
- Getting started tutorial split by OS, UX updates, and more [\#1220](https://github.com/habitat-sh/habitat/pull/1220) ([davidwrede](https://github.com/davidwrede))
- add/improve make targets for running & building builder services [\#1219](https://github.com/habitat-sh/habitat/pull/1219) ([reset](https://github.com/reset))
- Make Authenticated middleware self contained [\#1217](https://github.com/habitat-sh/habitat/pull/1217) ([reset](https://github.com/reset))
- \[hab\] Split code into lib & bin modules [\#1203](https://github.com/habitat-sh/habitat/pull/1203) ([fnichol](https://github.com/fnichol))
- Adding package search from the CLI. Fixes \#1159 [\#1201](https://github.com/habitat-sh/habitat/pull/1201) ([nsdavidson](https://github.com/nsdavidson))

## Bug fixes

- build fails if pkg\_source is blank [\#870](https://github.com/habitat-sh/habitat/issues/870)
- \[Cargo\] Update Cargo.lock from new Windows dependency additions. [\#1238](https://github.com/habitat-sh/habitat/pull/1238) ([fnichol](https://github.com/fnichol))
- Move buffer trimming to the final buffer [\#1225](https://github.com/habitat-sh/habitat/pull/1225) ([adamhjk](https://github.com/adamhjk))
- Quick fix for sorting package identifiers returned by the Depot API [\#1221](https://github.com/habitat-sh/habitat/pull/1221) ([reset](https://github.com/reset))

**Closed issues:**

- init hook returning invalid exit code [\#1222](https://github.com/habitat-sh/habitat/issues/1222)

**Merged pull requests:**

- Static directory permissions [\#1241](https://github.com/habitat-sh/habitat/pull/1241) ([jtimberman](https://github.com/jtimberman))
- Always render run script with chpst [\#1240](https://github.com/habitat-sh/habitat/pull/1240) ([jtimberman](https://github.com/jtimberman))
- windows terminal support tweaks [\#1235](https://github.com/habitat-sh/habitat/pull/1235) ([smurawski](https://github.com/smurawski))
- On windows, order matters - case does not [\#1234](https://github.com/habitat-sh/habitat/pull/1234) ([smurawski](https://github.com/smurawski))
- Add Habitat Community Summit text to global message [\#1230](https://github.com/habitat-sh/habitat/pull/1230) ([magwalk](https://github.com/magwalk))
- Adding download button to hero per AB test results [\#1218](https://github.com/habitat-sh/habitat/pull/1218) ([ryankeairns](https://github.com/ryankeairns))
- docs\(README.md\) improve readability of commands [\#1216](https://github.com/habitat-sh/habitat/pull/1216) ([d2s](https://github.com/d2s))
- Test for required metadata keys before build [\#1214](https://github.com/habitat-sh/habitat/pull/1214) ([miketheman](https://github.com/miketheman))
- Fix deserialization error on InstaSet datastore write [\#1212](https://github.com/habitat-sh/habitat/pull/1212) ([reset](https://github.com/reset))
- Fix package specification for cmake [\#1211](https://github.com/habitat-sh/habitat/pull/1211) ([smurawski](https://github.com/smurawski))
- depot/builder-api refactors [\#1210](https://github.com/habitat-sh/habitat/pull/1210) ([reset](https://github.com/reset))
- Update VERSION to the next one [\#1209](https://github.com/habitat-sh/habitat/pull/1209) ([raskchanky](https://github.com/raskchanky))
- Integrate projects with the package details page [\#1157](https://github.com/habitat-sh/habitat/pull/1157) ([raskchanky](https://github.com/raskchanky))

## [0.9.1](https://github.com/habitat-sh/habitat/tree/0.9.1) (09-01-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.9.0...0.9.1)

## Features & Enhancements

- `hab pkg search` or similar functionality [\#1159](https://github.com/habitat-sh/habitat/issues/1159)
- Document required structure of run hook [\#989](https://github.com/habitat-sh/habitat/issues/989)
- \[ci/lint\] Fix hard-coded rustfmt version in lint.sh. [\#1206](https://github.com/habitat-sh/habitat/pull/1206) ([fnichol](https://github.com/fnichol))
- \[ci/lint\] Update rustfmt version parsing logic. [\#1205](https://github.com/habitat-sh/habitat/pull/1205) ([fnichol](https://github.com/fnichol))
- \[ci/rustfmt\] Uninstall then install rustfmt when upgrading. [\#1204](https://github.com/habitat-sh/habitat/pull/1204) ([fnichol](https://github.com/fnichol))
- \[ci/rustfmt\] Force install newer version of rustfmt when required. [\#1202](https://github.com/habitat-sh/habitat/pull/1202) ([fnichol](https://github.com/fnichol))
- \[ci/rustfmt\] Upgrade to lint with rustfmt 0.6.0. [\#1200](https://github.com/habitat-sh/habitat/pull/1200) ([fnichol](https://github.com/fnichol))
- Remove extra word [\#1191](https://github.com/habitat-sh/habitat/pull/1191) ([ksexton](https://github.com/ksexton))
- Adds access token scope to CLI [\#1189](https://github.com/habitat-sh/habitat/pull/1189) ([freethejazz](https://github.com/freethejazz))
- touchup backline plan file [\#1166](https://github.com/habitat-sh/habitat/pull/1166) ([reset](https://github.com/reset))
- Adding routes for downloading packages and keys from views [\#1141](https://github.com/habitat-sh/habitat/pull/1141) ([nsdavidson](https://github.com/nsdavidson))
- GitHub building & Admin Gateway [\#1070](https://github.com/habitat-sh/habitat/pull/1070) ([reset](https://github.com/reset))

## Bug fixes

- Corporate proxy not working on Mac [\#1180](https://github.com/habitat-sh/habitat/issues/1180)
- setuid bit is lost upon install [\#1175](https://github.com/habitat-sh/habitat/issues/1175)
- Habitat tutorial fails to run init hook due to permissions problems [\#1168](https://github.com/habitat-sh/habitat/issues/1168)
- build error: 'ssl:error:SslError' is undefined [\#1155](https://github.com/habitat-sh/habitat/issues/1155)
- Non-existent hab user/group results in `Failed to set permissions` error [\#755](https://github.com/habitat-sh/habitat/issues/755)
- \[http-client\] Add missing colon on Host header when connecting to proxy. [\#1199](https://github.com/habitat-sh/habitat/pull/1199) ([fnichol](https://github.com/fnichol))
- \[core\] Use 'Owner' and 'Permissions' during unpack [\#1187](https://github.com/habitat-sh/habitat/pull/1187) ([fujin](https://github.com/fujin))
- update mytutorialapp to work with Habitat 0.9.0 [\#1169](https://github.com/habitat-sh/habitat/pull/1169) ([metadave](https://github.com/metadave))
- Quote no\_proxy correctly [\#1162](https://github.com/habitat-sh/habitat/pull/1162) ([adamhjk](https://github.com/adamhjk))

**Closed issues:**

- Can't enter studio on Mac Docker [\#1197](https://github.com/habitat-sh/habitat/issues/1197)
- Provide a `fix\_interpreter\_unsafe` function [\#1182](https://github.com/habitat-sh/habitat/issues/1182)
- hab studio enter fails on mac os x [\#1178](https://github.com/habitat-sh/habitat/issues/1178)
- differing versions of `core/openssl` cause conflicts between `core/python2` and `core/postgresql` [\#1037](https://github.com/habitat-sh/habitat/issues/1037)

**Merged pull requests:**

- Releasing 0.9.1 [\#1208](https://github.com/habitat-sh/habitat/pull/1208) ([raskchanky](https://github.com/raskchanky))
- Start of Building on Windows doc [\#1198](https://github.com/habitat-sh/habitat/pull/1198) ([smurawski](https://github.com/smurawski))
- builder-api should start as root/root [\#1196](https://github.com/habitat-sh/habitat/pull/1196) ([jtimberman](https://github.com/jtimberman))
- Extract linux/mac specific behavior in the habitat core crate [\#1193](https://github.com/habitat-sh/habitat/pull/1193) ([smurawski](https://github.com/smurawski))
- Set the pkg user/group for builder-api-proxy [\#1190](https://github.com/habitat-sh/habitat/pull/1190) ([jtimberman](https://github.com/jtimberman))
- Updated link to building packages topic [\#1186](https://github.com/habitat-sh/habitat/pull/1186) ([davidwrede](https://github.com/davidwrede))
- update tutorial shasum for v0.9.0 [\#1181](https://github.com/habitat-sh/habitat/pull/1181) ([metadave](https://github.com/metadave))
- Updated plan example and fixed link to core plans repo. [\#1179](https://github.com/habitat-sh/habitat/pull/1179) ([davidwrede](https://github.com/davidwrede))
- updated and clarified valid service group names [\#1177](https://github.com/habitat-sh/habitat/pull/1177) ([davidwrede](https://github.com/davidwrede))
- \[docs\] Install cargo 0.13 nightly \(fixes \#1155\) [\#1176](https://github.com/habitat-sh/habitat/pull/1176) ([chetan](https://github.com/chetan))
- files in a packages config directory are logged upon parse failure [\#1171](https://github.com/habitat-sh/habitat/pull/1171) ([metadave](https://github.com/metadave))
- Start 0.10.0-dev [\#1165](https://github.com/habitat-sh/habitat/pull/1165) ([reset](https://github.com/reset))
- Typo in "announcement" [\#1164](https://github.com/habitat-sh/habitat/pull/1164) ([juliandunn](https://github.com/juliandunn))
- Habitat publishing guide and program fixes [\#1163](https://github.com/habitat-sh/habitat/pull/1163) ([reset](https://github.com/reset))
- Add CLI UX principles to repo [\#1158](https://github.com/habitat-sh/habitat/pull/1158) ([ryankeairns](https://github.com/ryankeairns))
- Document use of exec in run hooks [\#1154](https://github.com/habitat-sh/habitat/pull/1154) ([mivok](https://github.com/mivok))

## [0.9.0](https://github.com/habitat-sh/habitat/tree/0.9.0) (08-15-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.8.0...0.9.0)

## Features & Enhancements

- Documentation fix - plan syntax [\#1147](https://github.com/habitat-sh/habitat/issues/1147)
- Building with a shared cargo dir? [\#1129](https://github.com/habitat-sh/habitat/issues/1129)
- Please add search to the habitat docs page [\#1098](https://github.com/habitat-sh/habitat/issues/1098)
- Please add search to the habitat docs page [\#1098](https://github.com/habitat-sh/habitat/issues/1098)
- Most executables and libraries are not stripped \(feature not bug?\) [\#1066](https://github.com/habitat-sh/habitat/issues/1066)
- Failed to build habat on CentOS 7.2 [\#1063](https://github.com/habitat-sh/habitat/issues/1063)
- Docs needed for do\_check callback [\#1039](https://github.com/habitat-sh/habitat/issues/1039)
- \[hab\] Add an optional arg to install.sh to specify a version of hab. [\#1149](https://github.com/habitat-sh/habitat/pull/1149) ([fnichol](https://github.com/fnichol))
- \[hab\] Mac build improvements [\#1144](https://github.com/habitat-sh/habitat/pull/1144) ([fnichol](https://github.com/fnichol))
- Use a consistent template for Rust component Plans. [\#1142](https://github.com/habitat-sh/habitat/pull/1142) ([fnichol](https://github.com/fnichol))
- Rewrite package install strategy. [\#1093](https://github.com/habitat-sh/habitat/pull/1093) ([fnichol](https://github.com/fnichol))
- added Ubuntu 14.04 build docs [\#1068](https://github.com/habitat-sh/habitat/pull/1068) ([metadave](https://github.com/metadave))
- add build docs for Ubuntu + Centos 7 [\#1064](https://github.com/habitat-sh/habitat/pull/1064) ([metadave](https://github.com/metadave))
- Resolves issue \#1039 - do\_check\(\) documentation [\#1062](https://github.com/habitat-sh/habitat/pull/1062) ([bscott](https://github.com/bscott))

## Bug fixes

- \[hab-sup\] Handlebars templates don't allow `-` [\#1117](https://github.com/habitat-sh/habitat/issues/1117)
- cfg variables don't expand inside Handlebars each block helper [\#1083](https://github.com/habitat-sh/habitat/issues/1083)
- build errors on blake2bsums for files with spaces in them [\#1065](https://github.com/habitat-sh/habitat/issues/1065)
- Wildcard fix\_interpreter throws error if the path contains directories [\#1045](https://github.com/habitat-sh/habitat/issues/1045)
- Be able to specify that a service wants a SIGHUP for reconfigure [\#987](https://github.com/habitat-sh/habitat/issues/987)
- studio plan is dependent on removed package - hab-static [\#974](https://github.com/habitat-sh/habitat/issues/974)
- Rename remaining references of "view" to "channel" [\#1153](https://github.com/habitat-sh/habitat/pull/1153) ([reset](https://github.com/reset))
- \[hab,hab-sup\] Fix progress bar/newline rendering issue. [\#1125](https://github.com/habitat-sh/habitat/pull/1125) ([fnichol](https://github.com/fnichol))

**Closed issues:**

- Invalid Status provided trying to build Habitat on Mac [\#1134](https://github.com/habitat-sh/habitat/issues/1134)
- Failed to build habitat on ubuntu 14.04 [\#1058](https://github.com/habitat-sh/habitat/issues/1058)

**Merged pull requests:**

- update build docs [\#1156](https://github.com/habitat-sh/habitat/pull/1156) ([metadave](https://github.com/metadave))
- CI will run specs contained in ./test [\#1152](https://github.com/habitat-sh/habitat/pull/1152) ([metadave](https://github.com/metadave))
- Rename depot/depot-client to builder-depot/builder-depot-client [\#1150](https://github.com/habitat-sh/habitat/pull/1150) ([reset](https://github.com/reset))
- specify that pkg\_description is not optional in www docs [\#1148](https://github.com/habitat-sh/habitat/pull/1148) ([metadave](https://github.com/metadave))
- replace shellouts with libc calls where possible [\#1143](https://github.com/habitat-sh/habitat/pull/1143) ([metadave](https://github.com/metadave))
- Updating run-api.sh to work with new target location [\#1140](https://github.com/habitat-sh/habitat/pull/1140) ([nsdavidson](https://github.com/nsdavidson))
- Clarify how to pass configuration updates [\#1139](https://github.com/habitat-sh/habitat/pull/1139) ([bdangit](https://github.com/bdangit))
- Use Cargo "workspaces" to manage a project-wide Cargo.lock file [\#1136](https://github.com/habitat-sh/habitat/pull/1136) ([reset](https://github.com/reset))
- Projects can be deleted via the API [\#1135](https://github.com/habitat-sh/habitat/pull/1135) ([raskchanky](https://github.com/raskchanky))
- add Habitat testing framework [\#1133](https://github.com/habitat-sh/habitat/pull/1133) ([metadave](https://github.com/metadave))
- Native Docker for Mac is now released. [\#1128](https://github.com/habitat-sh/habitat/pull/1128) ([juliandunn](https://github.com/juliandunn))
- Copy no\_proxy settings to studio [\#1124](https://github.com/habitat-sh/habitat/pull/1124) ([stephenbm](https://github.com/stephenbm))
- Fetch projects using the API [\#1122](https://github.com/habitat-sh/habitat/pull/1122) ([raskchanky](https://github.com/raskchanky))
- Adds optimizely snippet to head [\#1121](https://github.com/habitat-sh/habitat/pull/1121) ([ryankeairns](https://github.com/ryankeairns))
- update handlebars to 0.20.1 [\#1119](https://github.com/habitat-sh/habitat/pull/1119) ([metadave](https://github.com/metadave))
- Update for Terraform 0.7 [\#1118](https://github.com/habitat-sh/habitat/pull/1118) ([reset](https://github.com/reset))
- Fix a bug with the origin in project creation [\#1115](https://github.com/habitat-sh/habitat/pull/1115) ([raskchanky](https://github.com/raskchanky))
- Rename 'views' to 'channels' [\#1114](https://github.com/habitat-sh/habitat/pull/1114) ([reset](https://github.com/reset))
- Adds trailing slash to fix search bug [\#1112](https://github.com/habitat-sh/habitat/pull/1112) ([magwalk](https://github.com/magwalk))
- Add Google Custom Search to Docs [\#1110](https://github.com/habitat-sh/habitat/pull/1110) ([magwalk](https://github.com/magwalk))
- Add myself as a maintainer [\#1109](https://github.com/habitat-sh/habitat/pull/1109) ([raskchanky](https://github.com/raskchanky))
- \[WIP\] Update project API on the frontend [\#1108](https://github.com/habitat-sh/habitat/pull/1108) ([raskchanky](https://github.com/raskchanky))
- Start working on projects front end [\#1107](https://github.com/habitat-sh/habitat/pull/1107) ([smith](https://github.com/smith))
- Bump handlebars to 0.19.0 [\#1106](https://github.com/habitat-sh/habitat/pull/1106) ([reset](https://github.com/reset))
- \[hab\] add `hab pkg provides` command [\#1101](https://github.com/habitat-sh/habitat/pull/1101) ([metadave](https://github.com/metadave))
- \[core\] Set mtime on files while unpacking archive [\#1100](https://github.com/habitat-sh/habitat/pull/1100) ([stevendanna](https://github.com/stevendanna))
- try the old bots once again :| [\#1097](https://github.com/habitat-sh/habitat/pull/1097) ([smith](https://github.com/smith))
- api-shell make target [\#1095](https://github.com/habitat-sh/habitat/pull/1095) ([smith](https://github.com/smith))
- add application/json type to render\_package [\#1092](https://github.com/habitat-sh/habitat/pull/1092) ([lamont-granquist](https://github.com/lamont-granquist))
- Set the SSL\_CERT\_FILE for the director [\#1091](https://github.com/habitat-sh/habitat/pull/1091) ([jtimberman](https://github.com/jtimberman))
- Remove a leading space from the config file output [\#1088](https://github.com/habitat-sh/habitat/pull/1088) ([smith](https://github.com/smith))
- \[hab-studio\] fix key export/import err handling upon studio enter [\#1084](https://github.com/habitat-sh/habitat/pull/1084) ([metadave](https://github.com/metadave))
- fix Director env doc bug [\#1078](https://github.com/habitat-sh/habitat/pull/1078) ([metadave](https://github.com/metadave))
- Added missing 'hab pkg upload' documentation [\#1077](https://github.com/habitat-sh/habitat/pull/1077) ([mschygulla](https://github.com/mschygulla))
- \[hab-plan-build\] filenames with whitespace\(s\) breaks FILES metafile generation [\#1076](https://github.com/habitat-sh/habitat/pull/1076) ([metadave](https://github.com/metadave))
- \[hab-director\] per-service environment variables [\#1075](https://github.com/habitat-sh/habitat/pull/1075) ([metadave](https://github.com/metadave))
- fix\_interpreter: warn+skip on non-regular files [\#1073](https://github.com/habitat-sh/habitat/pull/1073) ([srenatus](https://github.com/srenatus))
- Fix broken links in the readme [\#1071](https://github.com/habitat-sh/habitat/pull/1071) ([tas50](https://github.com/tas50))
- Add missing word in documentation [\#1069](https://github.com/habitat-sh/habitat/pull/1069) ([smacfarlane](https://github.com/smacfarlane))
- Update Docs With Correct Link to Plans Repo [\#1067](https://github.com/habitat-sh/habitat/pull/1067) ([pwelch](https://github.com/pwelch))
- Add Brian Scott as a Maintainer [\#1057](https://github.com/habitat-sh/habitat/pull/1057) ([bscott](https://github.com/bscott))
- URL escape the dollar signs in download URLs [\#1056](https://github.com/habitat-sh/habitat/pull/1056) ([jonathanmorley](https://github.com/jonathanmorley))
- Fixed typo and updated continuous delivery doc [\#1055](https://github.com/habitat-sh/habitat/pull/1055) ([davidwrede](https://github.com/davidwrede))
- Fix URL in CLI setup output [\#1054](https://github.com/habitat-sh/habitat/pull/1054) ([cnunciato](https://github.com/cnunciato))
- added Github issue template [\#1052](https://github.com/habitat-sh/habitat/pull/1052) ([metadave](https://github.com/metadave))
- honor pkg\_svc\_user/pkg\_svc\_group \(rebased\) [\#1050](https://github.com/habitat-sh/habitat/pull/1050) ([metadave](https://github.com/metadave))
- \[plan-build\] Add PKG\_CONFIG\_PATH metadata to packages [\#1049](https://github.com/habitat-sh/habitat/pull/1049) ([stevendanna](https://github.com/stevendanna))

## [0.8.0](https://github.com/habitat-sh/habitat/tree/0.8.0) (07-08-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.7.0...0.8.0)

## Features & Enhancements

- pkg-config integration for plan-build [\#972](https://github.com/habitat-sh/habitat/issues/972)
- hab-depot is built in debug mode [\#968](https://github.com/habitat-sh/habitat/issues/968)
- CPPFLAGS not set by default [\#962](https://github.com/habitat-sh/habitat/issues/962)
- \[hab,hab-sup,hab-director\] Add http & https proxy support. [\#1044](https://github.com/habitat-sh/habitat/pull/1044) ([fnichol](https://github.com/fnichol))
- \[tf\] Update bootstrap.sh to use Bintray assets. [\#986](https://github.com/habitat-sh/habitat/pull/986) ([fnichol](https://github.com/fnichol))

## Bug fixes

- Cannot install a .hart file into another studio [\#1011](https://github.com/habitat-sh/habitat/issues/1011)
- Unused method in openssl plan [\#1007](https://github.com/habitat-sh/habitat/issues/1007)
- issues building c++ stuff because no CXXFLAGS [\#926](https://github.com/habitat-sh/habitat/issues/926)
- Uploading a package allowed when no key in Origin [\#895](https://github.com/habitat-sh/habitat/issues/895)
- \[builder-web\] Origins failing to load [\#894](https://github.com/habitat-sh/habitat/issues/894)
- Proxy support does not work [\#892](https://github.com/habitat-sh/habitat/issues/892)
- `\[err=2\] bad\_verification\_code` When signing without GitHub public email available [\#861](https://github.com/habitat-sh/habitat/issues/861)
- No gossip exchange if Organization is defined in Director service profile [\#754](https://github.com/habitat-sh/habitat/issues/754)
- Do not cache index.html or habitat.conf.js [\#1005](https://github.com/habitat-sh/habitat/pull/1005) ([adamhjk](https://github.com/adamhjk))
- fix permanent-peer, no-color and verbose output cli args [\#996](https://github.com/habitat-sh/habitat/pull/996) ([metadave](https://github.com/metadave))

**Closed issues:**

- Documentation section links [\#1046](https://github.com/habitat-sh/habitat/issues/1046)
- Exporting Habitat build to run in non container environments [\#1027](https://github.com/habitat-sh/habitat/issues/1027)
- can't run `core/openvpn` from within an interactive Studio session [\#1026](https://github.com/habitat-sh/habitat/issues/1026)
- Incorrect argument to chpst in hab-plan-build.sh [\#1016](https://github.com/habitat-sh/habitat/issues/1016)
- Search for depot in the packages does not result in hab-depot [\#967](https://github.com/habitat-sh/habitat/issues/967)
- CMake doesn't install - hab-sup failed to set permissions error [\#951](https://github.com/habitat-sh/habitat/issues/951)
- hab pkg install does not work through a proxy [\#950](https://github.com/habitat-sh/habitat/issues/950)
- "build" is not using pkg\_origin, defaulting to "root" [\#940](https://github.com/habitat-sh/habitat/issues/940)
- Studio doesn't work properly with "vi" [\#939](https://github.com/habitat-sh/habitat/issues/939)
- Stream did not contain valid utf-8 [\#925](https://github.com/habitat-sh/habitat/issues/925)
- support core/pip for python [\#904](https://github.com/habitat-sh/habitat/issues/904)
- hab start core/hab-depot with set permissions failed [\#900](https://github.com/habitat-sh/habitat/issues/900)
- Why Rust? [\#891](https://github.com/habitat-sh/habitat/issues/891)
- hab version outside studio doesn't match version inside studio [\#889](https://github.com/habitat-sh/habitat/issues/889)
- Format plans so most frequently changed variables are at the top [\#882](https://github.com/habitat-sh/habitat/issues/882)
- Hab has issues installing package dependencies on Mac [\#879](https://github.com/habitat-sh/habitat/issues/879)
- ./configure: No such file or directory [\#878](https://github.com/habitat-sh/habitat/issues/878)
- docker issue during hab export [\#863](https://github.com/habitat-sh/habitat/issues/863)
- User can be invited to an origin multiple times [\#835](https://github.com/habitat-sh/habitat/issues/835)

**Merged pull requests:**

- Release 0.8.0. [\#1047](https://github.com/habitat-sh/habitat/pull/1047) ([fnichol](https://github.com/fnichol))
- Remove mapping of the REST API in dev shell [\#1043](https://github.com/habitat-sh/habitat/pull/1043) ([adamhjk](https://github.com/adamhjk))
- invalid ENV syntax [\#1038](https://github.com/habitat-sh/habitat/pull/1038) ([julian7](https://github.com/julian7))
- minor spelling fixes [\#1035](https://github.com/habitat-sh/habitat/pull/1035) ([bixu](https://github.com/bixu))
- Fail travis build on failure to deploy website [\#1033](https://github.com/habitat-sh/habitat/pull/1033) ([smith](https://github.com/smith))
- Add `exec` to tutorial app run hook. [\#1032](https://github.com/habitat-sh/habitat/pull/1032) ([smith](https://github.com/smith))
- Update and remove a few additional orphans from the plans exodus [\#1031](https://github.com/habitat-sh/habitat/pull/1031) ([reset](https://github.com/reset))
- Remove plans from repository [\#1030](https://github.com/habitat-sh/habitat/pull/1030) ([reset](https://github.com/reset))
- Add hab pkg export tar [\#1029](https://github.com/habitat-sh/habitat/pull/1029) ([tomrobison](https://github.com/tomrobison))
- rename nginx-builder-api and promote to components [\#1028](https://github.com/habitat-sh/habitat/pull/1028) ([reset](https://github.com/reset))
- Feature/memcached plan [\#1025](https://github.com/habitat-sh/habitat/pull/1025) ([bixu](https://github.com/bixu))
- JSON and TOML template helpers [\#1024](https://github.com/habitat-sh/habitat/pull/1024) ([smith](https://github.com/smith))
- revert bucket name change from travis.yml [\#1023](https://github.com/habitat-sh/habitat/pull/1023) ([reset](https://github.com/reset))
- Add plan maintainers section [\#1022](https://github.com/habitat-sh/habitat/pull/1022) ([elliott-davis](https://github.com/elliott-davis))
- Disables banner [\#1020](https://github.com/habitat-sh/habitat/pull/1020) ([cwebberOps](https://github.com/cwebberOps))
- \[plans\] python 3.5.2 \(updated\) [\#1019](https://github.com/habitat-sh/habitat/pull/1019) ([miketheman](https://github.com/miketheman))
- \[plans\] python2 2.7.12 \(updated\) [\#1018](https://github.com/habitat-sh/habitat/pull/1018) ([miketheman](https://github.com/miketheman))
- \[plans\] Small fixes for OpenSSL plan [\#1017](https://github.com/habitat-sh/habitat/pull/1017) ([smith](https://github.com/smith))
- Add SQLite support to Python [\#1015](https://github.com/habitat-sh/habitat/pull/1015) ([smith](https://github.com/smith))
- Add \_common\_prepare to do\_prepare callback [\#1014](https://github.com/habitat-sh/habitat/pull/1014) ([tomrobison](https://github.com/tomrobison))
- Read multiple blocks if available while loading Metafile contents [\#1013](https://github.com/habitat-sh/habitat/pull/1013) ([metadave](https://github.com/metadave))
- Add AWS CLI plan [\#1010](https://github.com/habitat-sh/habitat/pull/1010) ([smith](https://github.com/smith))
- Rename `pkg\_binary\_dirs` to `pkg\_bin\_dirs` in docs [\#1009](https://github.com/habitat-sh/habitat/pull/1009) ([smith](https://github.com/smith))
- Vary the Range header [\#1006](https://github.com/habitat-sh/habitat/pull/1006) ([smith](https://github.com/smith))
- Remove unnecessary do\_install. The build system does this by default. [\#1004](https://github.com/habitat-sh/habitat/pull/1004) ([juliandunn](https://github.com/juliandunn))
- Expose X-Content-Range header [\#1003](https://github.com/habitat-sh/habitat/pull/1003) ([smith](https://github.com/smith))
- Run terraform fmt on :allthethings: [\#1000](https://github.com/habitat-sh/habitat/pull/1000) ([jtimberman](https://github.com/jtimberman))
- add logical environment scope to resources without it [\#999](https://github.com/habitat-sh/habitat/pull/999) ([reset](https://github.com/reset))
- Use best practices in artifactory-pro run hook [\#995](https://github.com/habitat-sh/habitat/pull/995) ([schisamo](https://github.com/schisamo))
- Added plan for logstash [\#993](https://github.com/habitat-sh/habitat/pull/993) ([elliott-davis](https://github.com/elliott-davis))
- Add plan for jruby1.x [\#992](https://github.com/habitat-sh/habitat/pull/992) ([elliott-davis](https://github.com/elliott-davis))
- Update travis webhook for new homu [\#991](https://github.com/habitat-sh/habitat/pull/991) ([smith](https://github.com/smith))
- Adding check of `alive` status to haproxy.conf [\#990](https://github.com/habitat-sh/habitat/pull/990) ([nsdavidson](https://github.com/nsdavidson))
- \[plans\] Update to Go 1.6.2. [\#988](https://github.com/habitat-sh/habitat/pull/988) ([fnichol](https://github.com/fnichol))
- \[builder-web\] Make it so clicking outside the user-nav dropdown makes… [\#985](https://github.com/habitat-sh/habitat/pull/985) ([smith](https://github.com/smith))
- Attach an EBS volume to the monolith [\#984](https://github.com/habitat-sh/habitat/pull/984) ([jtimberman](https://github.com/jtimberman))
- Update bootstrap script to install hab 0.7.0 [\#983](https://github.com/habitat-sh/habitat/pull/983) ([jtimberman](https://github.com/jtimberman))
- \[hab\] Make the `install.sh` script more portable with BusyBox userland. [\#982](https://github.com/habitat-sh/habitat/pull/982) ([fnichol](https://github.com/fnichol))
- \[bintray-publish\] Add documentation for publishing to Bintray. [\#981](https://github.com/habitat-sh/habitat/pull/981) ([fnichol](https://github.com/fnichol))
- Add comment about SSL ciphers on ELB [\#980](https://github.com/habitat-sh/habitat/pull/980) ([smith](https://github.com/smith))
- Add Waffle.io badge [\#978](https://github.com/habitat-sh/habitat/pull/978) ([smith](https://github.com/smith))
- Show the version in the web app [\#976](https://github.com/habitat-sh/habitat/pull/976) ([smith](https://github.com/smith))
- Add groff plan [\#973](https://github.com/habitat-sh/habitat/pull/973) ([smith](https://github.com/smith))
- update readme with merge notes for homu delegates [\#970](https://github.com/habitat-sh/habitat/pull/970) ([metadave](https://github.com/metadave))
- \[docs\] Typo fix: original -\> origin [\#969](https://github.com/habitat-sh/habitat/pull/969) ([stevendanna](https://github.com/stevendanna))
- Add Etsy testimonial to www homepage [\#966](https://github.com/habitat-sh/habitat/pull/966) ([Padgett](https://github.com/Padgett))
- Add CPPFLAGS and CXXFLAGS to hab-plan-build [\#965](https://github.com/habitat-sh/habitat/pull/965) ([adamhjk](https://github.com/adamhjk))
- Added missing word \(bare\) in home page hero copy [\#959](https://github.com/habitat-sh/habitat/pull/959) ([TrevorBramble](https://github.com/TrevorBramble))
- Add icu plan [\#958](https://github.com/habitat-sh/habitat/pull/958) ([stevendanna](https://github.com/stevendanna))
- \[builder-web\] Minor UI bug fixes [\#956](https://github.com/habitat-sh/habitat/pull/956) ([smith](https://github.com/smith))
- Update Elixir plan for 1.3.0 release [\#955](https://github.com/habitat-sh/habitat/pull/955) ([shanesveller](https://github.com/shanesveller))
- Fix link to config docs [\#954](https://github.com/habitat-sh/habitat/pull/954) ([smith](https://github.com/smith))
- \[minor\] \[docs\] Changed user.email to user:email to match GitHub UI [\#947](https://github.com/habitat-sh/habitat/pull/947) ([jaymitchell](https://github.com/jaymitchell))
- Add plan for jruby support [\#946](https://github.com/habitat-sh/habitat/pull/946) ([elliott-davis](https://github.com/elliott-davis))
- Move DataStore ownership from dispatcher/worker to server [\#944](https://github.com/habitat-sh/habitat/pull/944) ([reset](https://github.com/reset))
- General default configuration fixes [\#943](https://github.com/habitat-sh/habitat/pull/943) ([reset](https://github.com/reset))
- fix broken mesos image links [\#942](https://github.com/habitat-sh/habitat/pull/942) ([mattray](https://github.com/mattray))
- \[plan-build\] Escape upper and lower tr classes [\#938](https://github.com/habitat-sh/habitat/pull/938) ([stevendanna](https://github.com/stevendanna))
- Remove chattiness on issuing new census rumors [\#936](https://github.com/habitat-sh/habitat/pull/936) ([juliandunn](https://github.com/juliandunn))
- plan.sh for libev [\#935](https://github.com/habitat-sh/habitat/pull/935) ([bixu](https://github.com/bixu))
- Skip running tests if that component has not changed. [\#934](https://github.com/habitat-sh/habitat/pull/934) ([smith](https://github.com/smith))
- add a start-web-dev Makefile target for front end devs [\#933](https://github.com/habitat-sh/habitat/pull/933) ([metadave](https://github.com/metadave))
- plan.sh for libevent [\#932](https://github.com/habitat-sh/habitat/pull/932) ([bixu](https://github.com/bixu))
- Add nginx-builder-api to configure an nginx service [\#931](https://github.com/habitat-sh/habitat/pull/931) ([jtimberman](https://github.com/jtimberman))
- Correct pkg\_include\_dirs for core/libffi [\#930](https://github.com/habitat-sh/habitat/pull/930) ([scassiba](https://github.com/scassiba))
- Impove error handling for origins [\#929](https://github.com/habitat-sh/habitat/pull/929) ([smith](https://github.com/smith))
- Add Apache Maven 3 plan [\#928](https://github.com/habitat-sh/habitat/pull/928) ([metadave](https://github.com/metadave))
- add /jre/bin [\#924](https://github.com/habitat-sh/habitat/pull/924) ([cullenmcdermott](https://github.com/cullenmcdermott))
- Add plan for relx [\#922](https://github.com/habitat-sh/habitat/pull/922) ([elliott-davis](https://github.com/elliott-davis))
- Add plan for rebar3 [\#921](https://github.com/habitat-sh/habitat/pull/921) ([elliott-davis](https://github.com/elliott-davis))
- fix package contents link [\#920](https://github.com/habitat-sh/habitat/pull/920) ([cullenmcdermott](https://github.com/cullenmcdermott))
- add ant plan [\#919](https://github.com/habitat-sh/habitat/pull/919) ([cullenmcdermott](https://github.com/cullenmcdermott))
- Update builder-web readme for production [\#918](https://github.com/habitat-sh/habitat/pull/918) ([smith](https://github.com/smith))
- Add "Container orchestration" to docs sidebar and Mesos cleanups [\#917](https://github.com/habitat-sh/habitat/pull/917) ([mattray](https://github.com/mattray))
- upload signing keys when uploading packages [\#916](https://github.com/habitat-sh/habitat/pull/916) ([metadave](https://github.com/metadave))
- hab-static is no more, "hab pkg export mesos" works again [\#915](https://github.com/habitat-sh/habitat/pull/915) ([mattray](https://github.com/mattray))
- Fix Travis CI badge. [\#914](https://github.com/habitat-sh/habitat/pull/914) ([juliandunn](https://github.com/juliandunn))
- Include ensurepip in configure for core/python2 [\#913](https://github.com/habitat-sh/habitat/pull/913) ([scassiba](https://github.com/scassiba))
- Enable SSL and zlib support for core/python [\#911](https://github.com/habitat-sh/habitat/pull/911) ([scassiba](https://github.com/scassiba))
- Specified required/optional plan settings [\#910](https://github.com/habitat-sh/habitat/pull/910) ([davidwrede](https://github.com/davidwrede))
- Reverse order of installed output statement [\#909](https://github.com/habitat-sh/habitat/pull/909) ([miketheman](https://github.com/miketheman))
- Fix name typo [\#908](https://github.com/habitat-sh/habitat/pull/908) ([betabit](https://github.com/betabit))
- Enable SSL support for core/python2 [\#906](https://github.com/habitat-sh/habitat/pull/906) ([scassiba](https://github.com/scassiba))
- Updates to Travis for website deploy [\#902](https://github.com/habitat-sh/habitat/pull/902) ([smith](https://github.com/smith))
- Add optional binding to haproxy config [\#901](https://github.com/habitat-sh/habitat/pull/901) ([nsdavidson](https://github.com/nsdavidson))
- Create a plan for proxying builder-api [\#898](https://github.com/habitat-sh/habitat/pull/898) ([jtimberman](https://github.com/jtimberman))
- Fix authentication when an email is visible in GitHub profile [\#897](https://github.com/habitat-sh/habitat/pull/897) ([reset](https://github.com/reset))
- Adding more configuration options to elasticsearch / upgrading to ES 2.3.3 [\#896](https://github.com/habitat-sh/habitat/pull/896) ([xcxsxvx](https://github.com/xcxsxvx))
- \[plans\] Ruby 2.3.1 [\#893](https://github.com/habitat-sh/habitat/pull/893) ([smith](https://github.com/smith))
- Clarify what we mean by overriding phases for binary applications. [\#887](https://github.com/habitat-sh/habitat/pull/887) ([juliandunn](https://github.com/juliandunn))
- Fixed some typos in the internals docs. [\#875](https://github.com/habitat-sh/habitat/pull/875) ([juliandunn](https://github.com/juliandunn))
- Enable zlib support for core/python2 [\#874](https://github.com/habitat-sh/habitat/pull/874) ([scassiba](https://github.com/scassiba))
- Send X-Content-Range headers with package lists [\#873](https://github.com/habitat-sh/habitat/pull/873) ([smith](https://github.com/smith))
- Fix minor formatting errors in setup. [\#872](https://github.com/habitat-sh/habitat/pull/872) ([juliandunn](https://github.com/juliandunn))
- Fully specified URL for open graph image [\#871](https://github.com/habitat-sh/habitat/pull/871) ([TrevorBramble](https://github.com/TrevorBramble))
- Revised tutorial setup steps [\#869](https://github.com/habitat-sh/habitat/pull/869) ([davidwrede](https://github.com/davidwrede))
- Open forums and slack in new tab [\#868](https://github.com/habitat-sh/habitat/pull/868) ([ryankeairns](https://github.com/ryankeairns))
- Replace Mesosphere with DC/OS per Mesosphere's request [\#867](https://github.com/habitat-sh/habitat/pull/867) ([mattray](https://github.com/mattray))
- Homepage: Add "Watch the Video" CTA button to homepage sub-hero [\#866](https://github.com/habitat-sh/habitat/pull/866) ([magwalk](https://github.com/magwalk))
- Fix link to docs on origin members tab [\#865](https://github.com/habitat-sh/habitat/pull/865) ([smith](https://github.com/smith))
- No longer need outbound port 9636 open to access public depot [\#862](https://github.com/habitat-sh/habitat/pull/862) ([davidwrede](https://github.com/davidwrede))
- Add missing titles for concepts docs [\#860](https://github.com/habitat-sh/habitat/pull/860) ([jhedev](https://github.com/jhedev))
- fix broken link [\#859](https://github.com/habitat-sh/habitat/pull/859) ([leonhartX](https://github.com/leonhartX))
- \[plans\] Fix typo in `core/hab-backline`. [\#857](https://github.com/habitat-sh/habitat/pull/857) ([fnichol](https://github.com/fnichol))
- Initial Artifactory Pro plan [\#856](https://github.com/habitat-sh/habitat/pull/856) ([schisamo](https://github.com/schisamo))
- don't allow duplicate invites [\#855](https://github.com/habitat-sh/habitat/pull/855) ([metadave](https://github.com/metadave))
- Add docutils plan [\#853](https://github.com/habitat-sh/habitat/pull/853) ([kevindickerson](https://github.com/kevindickerson))
- Add banner advertising webinar to habitat.sh nav [\#852](https://github.com/habitat-sh/habitat/pull/852) ([magwalk](https://github.com/magwalk))
- Join Habitat Slack from community page [\#851](https://github.com/habitat-sh/habitat/pull/851) ([ryankeairns](https://github.com/ryankeairns))

## [0.7.0](https://github.com/habitat-sh/habitat/tree/0.7.0) (06-14-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.6.0...0.7.0)

## Features & Enhancements

- bash completion for `hab` [\#602](https://github.com/habitat-sh/habitat/issues/602)

## Bug fixes

- hab studio:  unzip: command not found [\#591](https://github.com/habitat-sh/habitat/issues/591)

**Closed issues:**

- Specify dependency versions [\#848](https://github.com/habitat-sh/habitat/issues/848)
- "No such file or directory" trying to enter the studio [\#736](https://github.com/habitat-sh/habitat/issues/736)

**Merged pull requests:**

- Switch over to `hab` Bintray URL now that we are live [\#850](https://github.com/habitat-sh/habitat/pull/850) ([schisamo](https://github.com/schisamo))
- Some updates to the tutorial [\#847](https://github.com/habitat-sh/habitat/pull/847) ([nathenharvey](https://github.com/nathenharvey))
- Adds page with recording of livestream [\#846](https://github.com/habitat-sh/habitat/pull/846) ([magwalk](https://github.com/magwalk))
- Added Open Graph & Twitter Card tags, image [\#844](https://github.com/habitat-sh/habitat/pull/844) ([TrevorBramble](https://github.com/TrevorBramble))
- Return 409 conflict on origin create when existing [\#843](https://github.com/habitat-sh/habitat/pull/843) ([reset](https://github.com/reset))
- Unify \(and copy-edit\) copy between the origin "keys" and "members" tabs. [\#842](https://github.com/habitat-sh/habitat/pull/842) ([juliandunn](https://github.com/juliandunn))
- Add a links to the habitat source [\#841](https://github.com/habitat-sh/habitat/pull/841) ([josegonzalez](https://github.com/josegonzalez))
- Removes announcement banner [\#840](https://github.com/habitat-sh/habitat/pull/840) ([ryankeairns](https://github.com/ryankeairns))
- Add Demo to Tutorials Quick Links [\#839](https://github.com/habitat-sh/habitat/pull/839) ([Padgett](https://github.com/Padgett))
- Two missing oxford commas [\#838](https://github.com/habitat-sh/habitat/pull/838) ([nathenharvey](https://github.com/nathenharvey))
- "reasonable" is a better choice than "sane" [\#837](https://github.com/habitat-sh/habitat/pull/837) ([nathenharvey](https://github.com/nathenharvey))
- Corrects a handful of typos and bad links [\#836](https://github.com/habitat-sh/habitat/pull/836) ([cwebberOps](https://github.com/cwebberOps))
- Fix comma splice in message displayed when there aren't any origins. [\#834](https://github.com/habitat-sh/habitat/pull/834) ([juliandunn](https://github.com/juliandunn))
- Release 0.7.0, happy birthday Habitat, have a hart \<3 [\#833](https://github.com/habitat-sh/habitat/pull/833) ([fnichol](https://github.com/fnichol))
- Mesosphere and Kubernetes documentation [\#832](https://github.com/habitat-sh/habitat/pull/832) ([juliandunn](https://github.com/juliandunn))
- Rename in tutorial output [\#831](https://github.com/habitat-sh/habitat/pull/831) ([davidwrede](https://github.com/davidwrede))
- Add lower latin/roman list styling [\#830](https://github.com/habitat-sh/habitat/pull/830) ([TrevorBramble](https://github.com/TrevorBramble))
- Adds a valid robots.txt file [\#829](https://github.com/habitat-sh/habitat/pull/829) ([cwebberOps](https://github.com/cwebberOps))
- tweak elb settings for gateways [\#828](https://github.com/habitat-sh/habitat/pull/828) ([reset](https://github.com/reset))
- update copyright headers [\#826](https://github.com/habitat-sh/habitat/pull/826) ([metadave](https://github.com/metadave))
- \[depot\] Do not cache /pkgs/\<origin\>/\<name\>. [\#825](https://github.com/habitat-sh/habitat/pull/825) ([fnichol](https://github.com/fnichol))
- Change web-ui friends-only default to false [\#824](https://github.com/habitat-sh/habitat/pull/824) ([reset](https://github.com/reset))
- Use correct www user keys for website deploy [\#822](https://github.com/habitat-sh/habitat/pull/822) ([smith](https://github.com/smith))
- add Search Packages to website nav [\#821](https://github.com/habitat-sh/habitat/pull/821) ([ryankeairns](https://github.com/ryankeairns))
- ELB points to nginx, not directly to hyper/iron [\#820](https://github.com/habitat-sh/habitat/pull/820) ([reset](https://github.com/reset))
- Make sure there's an error message when an origin can't be created [\#819](https://github.com/habitat-sh/habitat/pull/819) ([smith](https://github.com/smith))
- Remove link to HTTP API reference [\#818](https://github.com/habitat-sh/habitat/pull/818) ([davidwrede](https://github.com/davidwrede))
- Add back files missing in ruby library [\#817](https://github.com/habitat-sh/habitat/pull/817) ([jtimberman](https://github.com/jtimberman))
- \[builder-api\] Increase default number of threads for HTTP server. [\#816](https://github.com/habitat-sh/habitat/pull/816) ([fnichol](https://github.com/fnichol))
- \[plans/openvpn\] Add service management [\#815](https://github.com/habitat-sh/habitat/pull/815) ([jtimberman](https://github.com/jtimberman))
- Fix pkg\_src URLs to be SourceForge again. [\#814](https://github.com/habitat-sh/habitat/pull/814) ([juliandunn](https://github.com/juliandunn))
- Revert "Switch 'Maintainers' to 'Contributors' in plans" [\#813](https://github.com/habitat-sh/habitat/pull/813) ([smith](https://github.com/smith))
- Remove locking on zmq::Context [\#812](https://github.com/habitat-sh/habitat/pull/812) ([reset](https://github.com/reset))
- \[devshell\] Persist /hab/etc & /hab/cache/artifacts across sessions. [\#811](https://github.com/habitat-sh/habitat/pull/811) ([fnichol](https://github.com/fnichol))
- Update www Terms and Conditions to new June 14, 2016 version [\#810](https://github.com/habitat-sh/habitat/pull/810) ([Padgett](https://github.com/Padgett))
- Applied current privacy policy [\#809](https://github.com/habitat-sh/habitat/pull/809) ([TrevorBramble](https://github.com/TrevorBramble))
- Update testimonials [\#808](https://github.com/habitat-sh/habitat/pull/808) ([ryankeairns](https://github.com/ryankeairns))
- Removing nodejs-tutorial-app plan [\#807](https://github.com/habitat-sh/habitat/pull/807) ([davidwrede](https://github.com/davidwrede))
- Added notes about bootstrapping the Habitat system. [\#806](https://github.com/habitat-sh/habitat/pull/806) ([juliandunn](https://github.com/juliandunn))
- Updated docs to reflect GH auth support in cli setup [\#805](https://github.com/habitat-sh/habitat/pull/805) ([davidwrede](https://github.com/davidwrede))
- Use with for the leader [\#803](https://github.com/habitat-sh/habitat/pull/803) ([adamhjk](https://github.com/adamhjk))
- Fix default nav behavior [\#802](https://github.com/habitat-sh/habitat/pull/802) ([magwalk](https://github.com/magwalk))
- \[hab\] Add GitHub access token question to `hab cli setup`. [\#801](https://github.com/habitat-sh/habitat/pull/801) ([fnichol](https://github.com/fnichol))
- CIA-790: Update Trademark policy [\#800](https://github.com/habitat-sh/habitat/pull/800) ([magwalk](https://github.com/magwalk))
- fix origin key upload [\#799](https://github.com/habitat-sh/habitat/pull/799) ([metadave](https://github.com/metadave))
- Refactored Run Packages section [\#798](https://github.com/habitat-sh/habitat/pull/798) ([davidwrede](https://github.com/davidwrede))
- Host Builder-Web as UI for Builder-API [\#797](https://github.com/habitat-sh/habitat/pull/797) ([reset](https://github.com/reset))
- append environment names to terraform resources [\#796](https://github.com/habitat-sh/habitat/pull/796) ([cwebberOps](https://github.com/cwebberOps))
- adds a 404 page [\#795](https://github.com/habitat-sh/habitat/pull/795) ([ryankeairns](https://github.com/ryankeairns))
- deploy website to habitat org with middleman s3\_sync [\#794](https://github.com/habitat-sh/habitat/pull/794) ([smith](https://github.com/smith))
- Fix sign-in button and footer styles; add Google Analytics snippet [\#793](https://github.com/habitat-sh/habitat/pull/793) ([ryankeairns](https://github.com/ryankeairns))
- Correct syntax help in clap [\#792](https://github.com/habitat-sh/habitat/pull/792) ([juliandunn](https://github.com/juliandunn))
- Removes slide down nav on docs, tutorials, why [\#791](https://github.com/habitat-sh/habitat/pull/791) ([ryankeairns](https://github.com/ryankeairns))
- \[depot\] Add Cache-Control headers to all HTTP/GET endpoints. [\#790](https://github.com/habitat-sh/habitat/pull/790) ([adamhjk](https://github.com/adamhjk))
- allow org w/ config apply [\#789](https://github.com/habitat-sh/habitat/pull/789) ([metadave](https://github.com/metadave))
- Adds banner announcement for bignews/live stream [\#788](https://github.com/habitat-sh/habitat/pull/788) ([ryankeairns](https://github.com/ryankeairns))
- Fixed link that goes nowhere [\#787](https://github.com/habitat-sh/habitat/pull/787) ([juliandunn](https://github.com/juliandunn))
- Add plan for cpio [\#786](https://github.com/habitat-sh/habitat/pull/786) ([kevindickerson](https://github.com/kevindickerson))
- allow insecure origins via cli flag [\#785](https://github.com/habitat-sh/habitat/pull/785) ([metadave](https://github.com/metadave))
- Streamlined tutorial and fixed broken links [\#784](https://github.com/habitat-sh/habitat/pull/784) ([davidwrede](https://github.com/davidwrede))
- \[hab\] Bump s3 version of Linux binary. [\#783](https://github.com/habitat-sh/habitat/pull/783) ([fnichol](https://github.com/fnichol))
- Adding aof features to redis [\#782](https://github.com/habitat-sh/habitat/pull/782) ([adamhjk](https://github.com/adamhjk))
- lower healthy threshold on elb [\#781](https://github.com/habitat-sh/habitat/pull/781) ([reset](https://github.com/reset))
- Add monolith terraform instance group profile [\#780](https://github.com/habitat-sh/habitat/pull/780) ([reset](https://github.com/reset))
- Add share packages documentation. [\#779](https://github.com/habitat-sh/habitat/pull/779) ([juliandunn](https://github.com/juliandunn))
- Add documentation for how to mesosize an application. [\#778](https://github.com/habitat-sh/habitat/pull/778) ([juliandunn](https://github.com/juliandunn))
- Fix inconrrect error string in depot server [\#777](https://github.com/habitat-sh/habitat/pull/777) ([reset](https://github.com/reset))
- Major refactor of CLI reference. [\#776](https://github.com/habitat-sh/habitat/pull/776) ([juliandunn](https://github.com/juliandunn))
- Add additional EBS volume & temporary elb ports [\#775](https://github.com/habitat-sh/habitat/pull/775) ([reset](https://github.com/reset))
- First pass at new why-habitat [\#774](https://github.com/habitat-sh/habitat/pull/774) ([adamhjk](https://github.com/adamhjk))
- Initial draft of HTTP API docs [\#773](https://github.com/habitat-sh/habitat/pull/773) ([davidwrede](https://github.com/davidwrede))
- update from 'apachev2' to 'Apache-2.0' [\#772](https://github.com/habitat-sh/habitat/pull/772) ([mattray](https://github.com/mattray))
- Website/docs - fixes code and pre formatting [\#771](https://github.com/habitat-sh/habitat/pull/771) ([ryankeairns](https://github.com/ryankeairns))
- Remove use of Hab bpm in rails plan  [\#770](https://github.com/habitat-sh/habitat/pull/770) ([jtimberman](https://github.com/jtimberman))
- Adding FILES, pkg\_description ,and pkg\_upstream\_url descriptions [\#769](https://github.com/habitat-sh/habitat/pull/769) ([davidwrede](https://github.com/davidwrede))
- Add plan debugging documentation. [\#768](https://github.com/habitat-sh/habitat/pull/768) ([juliandunn](https://github.com/juliandunn))
- Update JDK8 to patch all binaries instead of just the java binary [\#767](https://github.com/habitat-sh/habitat/pull/767) ([elliott-davis](https://github.com/elliott-davis))
- Completely use native hab-sup config for habitat builder plans [\#765](https://github.com/habitat-sh/habitat/pull/765) ([reset](https://github.com/reset))
- api/depot handler fixes [\#764](https://github.com/habitat-sh/habitat/pull/764) ([reset](https://github.com/reset))
- Added Apache-2.0 license to gemspec. [\#763](https://github.com/habitat-sh/habitat/pull/763) ([juliandunn](https://github.com/juliandunn))
- Update the homu webhook to hit the IP [\#762](https://github.com/habitat-sh/habitat/pull/762) ([adamhjk](https://github.com/adamhjk))
- Nitpick-o-rama [\#761](https://github.com/habitat-sh/habitat/pull/761) ([smith](https://github.com/smith))
- Allow pasting in try habitat [\#759](https://github.com/habitat-sh/habitat/pull/759) ([smith](https://github.com/smith))
- \[hab/mac\] Update go-live Docker Studio image to the Bintray repo. [\#758](https://github.com/habitat-sh/habitat/pull/758) ([fnichol](https://github.com/fnichol))
- Update go-live HAB\_DEPOT\_URL to https://willem.habitat.sh/v1/depot [\#757](https://github.com/habitat-sh/habitat/pull/757) ([fnichol](https://github.com/fnichol))
- Rebuild all Habitat packages, because fun. [\#756](https://github.com/habitat-sh/habitat/pull/756) ([fnichol](https://github.com/fnichol))
- Remove organization from director configurations [\#753](https://github.com/habitat-sh/habitat/pull/753) ([reset](https://github.com/reset))
- Fixes auto-update always updating [\#752](https://github.com/habitat-sh/habitat/pull/752) ([adamhjk](https://github.com/adamhjk))
- Adds website page titles, meta desc, and icon for docs sub nav [\#751](https://github.com/habitat-sh/habitat/pull/751) ([ryankeairns](https://github.com/ryankeairns))
- \[hab\] Promote a `hab setup` alias for `hab cli setup`. [\#750](https://github.com/habitat-sh/habitat/pull/750) ([fnichol](https://github.com/fnichol))
- Major edit on config template docs [\#749](https://github.com/habitat-sh/habitat/pull/749) ([seth](https://github.com/seth))
- \[plans/ruby-rails-sample\] Use handlebars in config [\#748](https://github.com/habitat-sh/habitat/pull/748) ([jtimberman](https://github.com/jtimberman))
- Tweaks to template documentation [\#747](https://github.com/habitat-sh/habitat/pull/747) ([smith](https://github.com/smith))
- required legal copy for Oracle Java packages [\#746](https://github.com/habitat-sh/habitat/pull/746) ([juliandunn](https://github.com/juliandunn))
- misc copy edits for about/ pages [\#745](https://github.com/habitat-sh/habitat/pull/745) ([seth](https://github.com/seth))
- Use crate for Wonder instead of vendored [\#744](https://github.com/habitat-sh/habitat/pull/744) ([reset](https://github.com/reset))
- Build-a-rama, June 2016 Edition [\#743](https://github.com/habitat-sh/habitat/pull/743) ([fnichol](https://github.com/fnichol))
- Edits on about articles [\#742](https://github.com/habitat-sh/habitat/pull/742) ([seth](https://github.com/seth))
- \[core\] Return Err in `PackageInstall::load` when pkg path not present. [\#741](https://github.com/habitat-sh/habitat/pull/741) ([fnichol](https://github.com/fnichol))
- Miscellaneous doc typos \(one I found, one I caused\) [\#740](https://github.com/habitat-sh/habitat/pull/740) ([juliandunn](https://github.com/juliandunn))
- Add support for Marathon \(Mesos\) applications [\#739](https://github.com/habitat-sh/habitat/pull/739) ([mattray](https://github.com/mattray))
- Updated tutorial with latest CLI changes [\#738](https://github.com/habitat-sh/habitat/pull/738) ([davidwrede](https://github.com/davidwrede))
- Web app styles for origins, forms, etc [\#737](https://github.com/habitat-sh/habitat/pull/737) ([ryankeairns](https://github.com/ryankeairns))
- Bump to new libc release 0.2.12 & un-vendor \(de-vendor?\) the crate. [\#735](https://github.com/habitat-sh/habitat/pull/735) ([fnichol](https://github.com/fnichol))
- Move technical crypto content to "Internals" [\#734](https://github.com/habitat-sh/habitat/pull/734) ([juliandunn](https://github.com/juliandunn))
- Display https URL in trial output [\#733](https://github.com/habitat-sh/habitat/pull/733) ([seth](https://github.com/seth))
- Environment variables documentation. [\#732](https://github.com/habitat-sh/habitat/pull/732) ([juliandunn](https://github.com/juliandunn))
- Fix some null errors with GitHub accounts [\#731](https://github.com/habitat-sh/habitat/pull/731) ([smith](https://github.com/smith))
- Update CLI reference to merge "artifact" into "pkg" [\#730](https://github.com/habitat-sh/habitat/pull/730) ([juliandunn](https://github.com/juliandunn))
- \[ci\] Disable building and publishing of habitat-builder-web. [\#729](https://github.com/habitat-sh/habitat/pull/729) ([fnichol](https://github.com/fnichol))
- Updates to Bintray publishing and hab `install.sh` script. [\#728](https://github.com/habitat-sh/habitat/pull/728) ([fnichol](https://github.com/fnichol))
- Corrected some copy errors in Try Habitat [\#727](https://github.com/habitat-sh/habitat/pull/727) ([TrevorBramble](https://github.com/TrevorBramble))
- Add 2 new testimonials, swap out graphic, change copy on Community [\#726](https://github.com/habitat-sh/habitat/pull/726) ([ryankeairns](https://github.com/ryankeairns))
- Ignore file with generated blake2b hashes [\#725](https://github.com/habitat-sh/habitat/pull/725) ([jtimberman](https://github.com/jtimberman))
- Merge hab artifact subcommand into hab pkg [\#724](https://github.com/habitat-sh/habitat/pull/724) ([reset](https://github.com/reset))
- Modify export copy to talk about only the formats we can create. [\#723](https://github.com/habitat-sh/habitat/pull/723) ([juliandunn](https://github.com/juliandunn))
- Adding next step links to marketing articles and fixing footer text [\#722](https://github.com/habitat-sh/habitat/pull/722) ([davidwrede](https://github.com/davidwrede))
- Web app package output styles and footer fix [\#721](https://github.com/habitat-sh/habitat/pull/721) ([ryankeairns](https://github.com/ryankeairns))
- Switch 'Maintainers' to 'Contributors' in plans [\#720](https://github.com/habitat-sh/habitat/pull/720) ([nathenharvey](https://github.com/nathenharvey))
- public/secret key upload w/ auth [\#719](https://github.com/habitat-sh/habitat/pull/719) ([metadave](https://github.com/metadave))
- Initial draft of file upload topic [\#717](https://github.com/habitat-sh/habitat/pull/717) ([davidwrede](https://github.com/davidwrede))
- fix Try Habitat on mobile [\#716](https://github.com/habitat-sh/habitat/pull/716) ([ryankeairns](https://github.com/ryankeairns))
- Invitations in the web app [\#715](https://github.com/habitat-sh/habitat/pull/715) ([smith](https://github.com/smith))
- \[depot-client\] Use HTTP/201 as success for artifact & key upload. [\#714](https://github.com/habitat-sh/habitat/pull/714) ([fnichol](https://github.com/fnichol))
- Updated documentation for the new format of package export [\#713](https://github.com/habitat-sh/habitat/pull/713) ([juliandunn](https://github.com/juliandunn))
- Update information about project maintainers [\#712](https://github.com/habitat-sh/habitat/pull/712) ([nathenharvey](https://github.com/nathenharvey))
- \[hab\] Move `core/hab-static` to `core/hab`. [\#711](https://github.com/habitat-sh/habitat/pull/711) ([fnichol](https://github.com/fnichol))
- Make travis notify on failure or new success [\#710](https://github.com/habitat-sh/habitat/pull/710) ([adamhjk](https://github.com/adamhjk))
- Create `core/hab-bintray-publish` for Bintray publishing, right? [\#709](https://github.com/habitat-sh/habitat/pull/709) ([fnichol](https://github.com/fnichol))
- `hab cli` api/depot authentication [\#708](https://github.com/habitat-sh/habitat/pull/708) ([reset](https://github.com/reset))
- Manifest formatting and build output [\#707](https://github.com/habitat-sh/habitat/pull/707) ([jtimberman](https://github.com/jtimberman))
- validate content on key uploads [\#704](https://github.com/habitat-sh/habitat/pull/704) ([metadave](https://github.com/metadave))
- Fixes padding and margin on code in tables [\#703](https://github.com/habitat-sh/habitat/pull/703) ([ryankeairns](https://github.com/ryankeairns))
- Add bintray links to Get Habitat [\#702](https://github.com/habitat-sh/habitat/pull/702) ([ryankeairns](https://github.com/ryankeairns))
- skip rustfmt lint on generated protocol files [\#701](https://github.com/habitat-sh/habitat/pull/701) ([reset](https://github.com/reset))
- Added instructions for how to run packages in an actual environment. [\#700](https://github.com/habitat-sh/habitat/pull/700) ([juliandunn](https://github.com/juliandunn))
- Marketing copy updates [\#699](https://github.com/habitat-sh/habitat/pull/699) ([davidwrede](https://github.com/davidwrede))
- add bash completion for hab command [\#698](https://github.com/habitat-sh/habitat/pull/698) ([metadave](https://github.com/metadave))
- Origin key uploading and listing [\#697](https://github.com/habitat-sh/habitat/pull/697) ([smith](https://github.com/smith))
- Fix missing app module [\#696](https://github.com/habitat-sh/habitat/pull/696) ([smith](https://github.com/smith))
- Website and docs fixes [\#695](https://github.com/habitat-sh/habitat/pull/695) ([ryankeairns](https://github.com/ryankeairns))
- add origin name tests [\#694](https://github.com/habitat-sh/habitat/pull/694) ([metadave](https://github.com/metadave))
- Add Builder Terraform Components [\#693](https://github.com/habitat-sh/habitat/pull/693) ([reset](https://github.com/reset))
- \[hab\] Add `hab pkg export` subcommand [\#692](https://github.com/habitat-sh/habitat/pull/692) ([seth](https://github.com/seth))
- Make origins work with new apis [\#691](https://github.com/habitat-sh/habitat/pull/691) ([smith](https://github.com/smith))
- Add documentation about continuous deployment philosophy & implementation. [\#690](https://github.com/habitat-sh/habitat/pull/690) ([juliandunn](https://github.com/juliandunn))
- Fixed sidebar styling for line-wrapped entries [\#689](https://github.com/habitat-sh/habitat/pull/689) ([TrevorBramble](https://github.com/TrevorBramble))
- \[plans/glibc\] Patch glibc 2.22 for CVE [\#688](https://github.com/habitat-sh/habitat/pull/688) ([jtimberman](https://github.com/jtimberman))
- Initial draft of config update docs [\#687](https://github.com/habitat-sh/habitat/pull/687) ([davidwrede](https://github.com/davidwrede))
- Added "About" section [\#686](https://github.com/habitat-sh/habitat/pull/686) ([TrevorBramble](https://github.com/TrevorBramble))
- Fixes sign-in buttons and profile dropdown [\#685](https://github.com/habitat-sh/habitat/pull/685) ([ryankeairns](https://github.com/ryankeairns))
- Further fixes for web app redesign [\#684](https://github.com/habitat-sh/habitat/pull/684) ([smith](https://github.com/smith))
- Added documentation on update strategy. Fix all navs in this section. [\#683](https://github.com/habitat-sh/habitat/pull/683) ([juliandunn](https://github.com/juliandunn))
- origin api [\#682](https://github.com/habitat-sh/habitat/pull/682) ([metadave](https://github.com/metadave))
- Add 'cli setup' to the command ref. [\#681](https://github.com/habitat-sh/habitat/pull/681) ([juliandunn](https://github.com/juliandunn))
- Add `friends\_only` feature flag [\#680](https://github.com/habitat-sh/habitat/pull/680) ([smith](https://github.com/smith))
- Align web app UI to website design [\#679](https://github.com/habitat-sh/habitat/pull/679) ([ryankeairns](https://github.com/ryankeairns))
- Copy and minor design edits  [\#678](https://github.com/habitat-sh/habitat/pull/678) ([magwalk](https://github.com/magwalk))
- Move syntax reference to "Reference" [\#677](https://github.com/habitat-sh/habitat/pull/677) ([juliandunn](https://github.com/juliandunn))
- \[hab\] Add `hab cli setup` subcommand as initial user experience. [\#676](https://github.com/habitat-sh/habitat/pull/676) ([fnichol](https://github.com/fnichol))
- "Help build Habitat" documentation [\#675](https://github.com/habitat-sh/habitat/pull/675) ([juliandunn](https://github.com/juliandunn))
- Begin adding origin key management [\#674](https://github.com/habitat-sh/habitat/pull/674) ([smith](https://github.com/smith))
- Added overview of running topologies. [\#673](https://github.com/habitat-sh/habitat/pull/673) ([juliandunn](https://github.com/juliandunn))
- Initial draft of service group how to docs [\#672](https://github.com/habitat-sh/habitat/pull/672) ([davidwrede](https://github.com/davidwrede))
- More legal updates [\#671](https://github.com/habitat-sh/habitat/pull/671) ([cwebberOps](https://github.com/cwebberOps))
- Mark updated nodes with "change applied" not "changed applied" [\#670](https://github.com/habitat-sh/habitat/pull/670) ([thommay](https://github.com/thommay))
- Initial conceptual and usage docs for the director [\#669](https://github.com/habitat-sh/habitat/pull/669) ([davidwrede](https://github.com/davidwrede))
- Updates legal pages [\#668](https://github.com/habitat-sh/habitat/pull/668) ([cwebberOps](https://github.com/cwebberOps))
- Documentation of supervisor internals \(gossip protocol, leader election\) [\#667](https://github.com/habitat-sh/habitat/pull/667) ([juliandunn](https://github.com/juliandunn))
- Make Slack URL be http instead of https [\#666](https://github.com/habitat-sh/habitat/pull/666) ([smith](https://github.com/smith))
- Rework documentation navigation IA. [\#665](https://github.com/habitat-sh/habitat/pull/665) ([juliandunn](https://github.com/juliandunn))
- print\_help if no arguments are provided. [\#664](https://github.com/habitat-sh/habitat/pull/664) ([mattray](https://github.com/mattray))
- enable all ports for caching [\#663](https://github.com/habitat-sh/habitat/pull/663) ([mattray](https://github.com/mattray))
- Move Reference to reference. [\#662](https://github.com/habitat-sh/habitat/pull/662) ([juliandunn](https://github.com/juliandunn))
- You can't use these variables in hooks [\#661](https://github.com/habitat-sh/habitat/pull/661) ([smith](https://github.com/smith))
- Use cookies instead of sessionStorage for sessions [\#660](https://github.com/habitat-sh/habitat/pull/660) ([smith](https://github.com/smith))
- Minimally-fix header comment so that it doesn't say Bldr [\#659](https://github.com/habitat-sh/habitat/pull/659) ([juliandunn](https://github.com/juliandunn))
- Updated command reference for hab 0.6.0/20160604170845 [\#658](https://github.com/habitat-sh/habitat/pull/658) ([juliandunn](https://github.com/juliandunn))
- Implement searching in the web app [\#657](https://github.com/habitat-sh/habitat/pull/657) ([smith](https://github.com/smith))
- \[hab\] Add lightweight analytics to `hab` CLI which is defaulted to opt-out. [\#656](https://github.com/habitat-sh/habitat/pull/656) ([fnichol](https://github.com/fnichol))
- Move docset generation instructions to README [\#655](https://github.com/habitat-sh/habitat/pull/655) ([juliandunn](https://github.com/juliandunn))
- \[http-client\] Fix issue where ssl cache needs to be relative to FS\_ROOT. [\#654](https://github.com/habitat-sh/habitat/pull/654) ([fnichol](https://github.com/fnichol))
- \[ci\] Correct the git sha range if running on Travis. [\#653](https://github.com/habitat-sh/habitat/pull/653) ([fnichol](https://github.com/fnichol))
- \[hab/sup\] Find suitable cacerts for HTTP/SSL client calls. [\#652](https://github.com/habitat-sh/habitat/pull/652) ([fnichol](https://github.com/fnichol))
- Allow API ELB access to port 80 [\#651](https://github.com/habitat-sh/habitat/pull/651) ([smith](https://github.com/smith))
- Initial draft of how to package binary-only software [\#650](https://github.com/habitat-sh/habitat/pull/650) ([juliandunn](https://github.com/juliandunn))
- Initial drafts of binding and security topics. [\#649](https://github.com/habitat-sh/habitat/pull/649) ([juliandunn](https://github.com/juliandunn))
- More copy-edits. Tightened up value proposition from the collaboration section. [\#648](https://github.com/habitat-sh/habitat/pull/648) ([juliandunn](https://github.com/juliandunn))
- Upgrade to openssl 1.0.2h for security. [\#647](https://github.com/habitat-sh/habitat/pull/647) ([juliandunn](https://github.com/juliandunn))
- Pagination in the web app [\#646](https://github.com/habitat-sh/habitat/pull/646) ([smith](https://github.com/smith))
- Add search/auto-complete for packages [\#645](https://github.com/habitat-sh/habitat/pull/645) ([reset](https://github.com/reset))
- nav and formatting fixes to build and run packages [\#644](https://github.com/habitat-sh/habitat/pull/644) ([juliandunn](https://github.com/juliandunn))
- updating try hab copy based upon feedback [\#643](https://github.com/habitat-sh/habitat/pull/643) ([ryankeairns](https://github.com/ryankeairns))
- Homepage edits, Update sidebar layout content/styles, and Add community page [\#642](https://github.com/habitat-sh/habitat/pull/642) ([magwalk](https://github.com/magwalk))
- Use a single API URL [\#640](https://github.com/habitat-sh/habitat/pull/640) ([smith](https://github.com/smith))
- Fix typo in packaging [\#638](https://github.com/habitat-sh/habitat/pull/638) ([juliandunn](https://github.com/juliandunn))
- Add additional configurable options for builder-api server [\#637](https://github.com/habitat-sh/habitat/pull/637) ([reset](https://github.com/reset))
- Add pagination to listing packages [\#636](https://github.com/habitat-sh/habitat/pull/636) ([reset](https://github.com/reset))
- renaming + tutorial workflow updates [\#635](https://github.com/habitat-sh/habitat/pull/635) ([davidwrede](https://github.com/davidwrede))
- Update homepage to reflect new design [\#634](https://github.com/habitat-sh/habitat/pull/634) ([magwalk](https://github.com/magwalk))
- Update license header in builder components [\#632](https://github.com/habitat-sh/habitat/pull/632) ([reset](https://github.com/reset))
- Change `pkg\_service\_\*` to `pkg\_svc\_\*` [\#631](https://github.com/habitat-sh/habitat/pull/631) ([smith](https://github.com/smith))
- Put downloads on the site temporarily [\#630](https://github.com/habitat-sh/habitat/pull/630) ([juliandunn](https://github.com/juliandunn))
- Cryptography documentation added. [\#629](https://github.com/habitat-sh/habitat/pull/629) ([juliandunn](https://github.com/juliandunn))
- \[hab/mac\] Disable the `hab sup` subcommand on non-Linux binaries. [\#628](https://github.com/habitat-sh/habitat/pull/628) ([fnichol](https://github.com/fnichol))
- Added plan for JDK8 [\#627](https://github.com/habitat-sh/habitat/pull/627) ([elliott-davis](https://github.com/elliott-davis))
- Update haproxy plan [\#626](https://github.com/habitat-sh/habitat/pull/626) ([kevindickerson](https://github.com/kevindickerson))
- Add experimental support for a statically built Supervisor, feature toggled in `hab` [\#625](https://github.com/habitat-sh/habitat/pull/625) ([fnichol](https://github.com/fnichol))
- fix JSON encoding/decoding of Package/PackageIdent msgs [\#623](https://github.com/habitat-sh/habitat/pull/623) ([reset](https://github.com/reset))
- Rewrite service communication topic to be just about services. [\#622](https://github.com/habitat-sh/habitat/pull/622) ([juliandunn](https://github.com/juliandunn))
- \[hab/mac\] Ensure that `-R` is passed to `hab studio` on `pkg build`. [\#621](https://github.com/habitat-sh/habitat/pull/621) ([fnichol](https://github.com/fnichol))
- Correct footer typo. [\#620](https://github.com/habitat-sh/habitat/pull/620) ([juliandunn](https://github.com/juliandunn))
- Remove mention of the dev shell from any user docs [\#619](https://github.com/habitat-sh/habitat/pull/619) ([juliandunn](https://github.com/juliandunn))
- \[studio\] Add a `hab` user & group to default Studio type. [\#618](https://github.com/habitat-sh/habitat/pull/618) ([fnichol](https://github.com/fnichol))
- \[sup,core\] Set optional PATH when shelling out for ip & hostname. [\#617](https://github.com/habitat-sh/habitat/pull/617) ([fnichol](https://github.com/fnichol))
- Move OAuth code-\>token routines from SessionSrv to Builder-API [\#616](https://github.com/habitat-sh/habitat/pull/616) ([reset](https://github.com/reset))
- Prettier error formatting upon error exit from supervisor [\#615](https://github.com/habitat-sh/habitat/pull/615) ([kmacgugan](https://github.com/kmacgugan))
- Added a clear direction to the shared directory [\#614](https://github.com/habitat-sh/habitat/pull/614) ([jjasghar](https://github.com/jjasghar))
- Rewrite README to be more developer-focused [\#613](https://github.com/habitat-sh/habitat/pull/613) ([juliandunn](https://github.com/juliandunn))
- Added Elasticsearch plan [\#612](https://github.com/habitat-sh/habitat/pull/612) ([elliott-davis](https://github.com/elliott-davis))
- Explain how to determine docker container name [\#611](https://github.com/habitat-sh/habitat/pull/611) ([jmink](https://github.com/jmink))
- add missing 'it'; chance case 'plan' [\#610](https://github.com/habitat-sh/habitat/pull/610) ([larryebaum](https://github.com/larryebaum))
- Update server-jre to use patchelf for linking glibc binary [\#607](https://github.com/habitat-sh/habitat/pull/607) ([elliott-davis](https://github.com/elliott-davis))
- Update config template for handlebars. [\#606](https://github.com/habitat-sh/habitat/pull/606) ([juliandunn](https://github.com/juliandunn))
- Reword egress TCP requirement for clarity. [\#605](https://github.com/habitat-sh/habitat/pull/605) ([rhass](https://github.com/rhass))
- Implementing new branding/design on nav and footer [\#603](https://github.com/habitat-sh/habitat/pull/603) ([magwalk](https://github.com/magwalk))
- Use \#each instead of \#with to accurately write toml array of tables [\#601](https://github.com/habitat-sh/habitat/pull/601) ([kevindickerson](https://github.com/kevindickerson))
- \[travis\] Use a gcc/g++-based compiler for node native compilation. [\#599](https://github.com/habitat-sh/habitat/pull/599) ([fnichol](https://github.com/fnichol))
- Ensure `unzip` declares its bin dir [\#598](https://github.com/habitat-sh/habitat/pull/598) ([schisamo](https://github.com/schisamo))
- Persist protobuf messages to data store [\#597](https://github.com/habitat-sh/habitat/pull/597) ([reset](https://github.com/reset))
- Upgrade to PostgreSQL 9.5.3. [\#596](https://github.com/habitat-sh/habitat/pull/596) ([juliandunn](https://github.com/juliandunn))
- Add server-jre to core plans [\#595](https://github.com/habitat-sh/habitat/pull/595) ([elliott-davis](https://github.com/elliott-davis))
- Add CI lint checking to enforce rustfmt code formatting. [\#594](https://github.com/habitat-sh/habitat/pull/594) ([fnichol](https://github.com/fnichol))
- Create App Container Image \(ACI\) containers [\#593](https://github.com/habitat-sh/habitat/pull/593) ([thommay](https://github.com/thommay))
- \[studio\] Update the `habitat/studio` Docker image creation to not cache. [\#592](https://github.com/habitat-sh/habitat/pull/592) ([fnichol](https://github.com/fnichol))
- run rustfmt 0.5.0 on all bldr components [\#589](https://github.com/habitat-sh/habitat/pull/589) ([reset](https://github.com/reset))
- \[hab\] Add `hab pkg build` subcommand. [\#588](https://github.com/habitat-sh/habitat/pull/588) ([fnichol](https://github.com/fnichol))
- Move Makefile variable def's to the top. [\#587](https://github.com/habitat-sh/habitat/pull/587) ([fnichol](https://github.com/fnichol))
- \[travis\] Fix up builder-web package upload & reorg ci scripts. [\#586](https://github.com/habitat-sh/habitat/pull/586) ([fnichol](https://github.com/fnichol))
- Builder: Distributed Services & Job Queueing [\#525](https://github.com/habitat-sh/habitat/pull/525) ([reset](https://github.com/reset))

## [0.6.0](https://github.com/habitat-sh/habitat/tree/0.6.0) (05-29-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.5.0...0.6.0)

**Closed issues:**

- Where do you get the core key? [\#582](https://github.com/habitat-sh/habitat/issues/582)

**Merged pull requests:**

- README Clarifications [\#585](https://github.com/habitat-sh/habitat/pull/585) ([nathenharvey](https://github.com/nathenharvey))
- \[WIP\] 0.6.0 release [\#584](https://github.com/habitat-sh/habitat/pull/584) ([fnichol](https://github.com/fnichol))
- It's more common to write this as "stdin" or "standard input". [\#583](https://github.com/habitat-sh/habitat/pull/583) ([juliandunn](https://github.com/juliandunn))
- Update the `hab-studio` prompt in the tutorials [\#581](https://github.com/habitat-sh/habitat/pull/581) ([nathenharvey](https://github.com/nathenharvey))
- \[plan\] Update Rust to 1.9.0. [\#580](https://github.com/habitat-sh/habitat/pull/580) ([fnichol](https://github.com/fnichol))
- \[studio\] The Studio Docker image build script has a no-args default. [\#579](https://github.com/habitat-sh/habitat/pull/579) ([fnichol](https://github.com/fnichol))
- Remove user-facing references to `hab-studio`, now under `hab studio`. [\#578](https://github.com/habitat-sh/habitat/pull/578) ([fnichol](https://github.com/fnichol))
- change Polipo timeouts on Habitat artifacts so they stay at least a week [\#577](https://github.com/habitat-sh/habitat/pull/577) ([mattray](https://github.com/mattray))
- \[hab\] Support multiple args on `pkg install` & `artifact upload`. [\#576](https://github.com/habitat-sh/habitat/pull/576) ([fnichol](https://github.com/fnichol))
- Use `--listen-http` rather than `--listen-sidecar` [\#574](https://github.com/habitat-sh/habitat/pull/574) ([adamhjk](https://github.com/adamhjk))
- Changes `--peers` to `--peer` [\#573](https://github.com/habitat-sh/habitat/pull/573) ([adamhjk](https://github.com/adamhjk))
-  \[hab\] Support `hab studio` on Mac via a Docker container implementation. [\#572](https://github.com/habitat-sh/habitat/pull/572) ([fnichol](https://github.com/fnichol))
- Add note about licenses to the plan syntax doc [\#571](https://github.com/habitat-sh/habitat/pull/571) ([kevindickerson](https://github.com/kevindickerson))
- Remove "sidecar" jargon and refer to it as the supervisor's HTTP API. [\#570](https://github.com/habitat-sh/habitat/pull/570) ([juliandunn](https://github.com/juliandunn))
- Add plans for boost and boost 159 [\#569](https://github.com/habitat-sh/habitat/pull/569) ([kevindickerson](https://github.com/kevindickerson))
- \[hab\] Add `hab studio` subcommand. [\#567](https://github.com/habitat-sh/habitat/pull/567) ([fnichol](https://github.com/fnichol))
- \[hab,sup\] Support "fuzzy matching" of subcommands. [\#566](https://github.com/habitat-sh/habitat/pull/566) ([fnichol](https://github.com/fnichol))
- updated references and links to Handlebars, optimized tutorial example [\#565](https://github.com/habitat-sh/habitat/pull/565) ([davidwrede](https://github.com/davidwrede))
- Add plan for cmake [\#564](https://github.com/habitat-sh/habitat/pull/564) ([kevindickerson](https://github.com/kevindickerson))
- Add plan for the which command [\#563](https://github.com/habitat-sh/habitat/pull/563) ([kevindickerson](https://github.com/kevindickerson))
- \[hab\] Add initial support for building a Mac `hab` binary. [\#562](https://github.com/habitat-sh/habitat/pull/562) ([fnichol](https://github.com/fnichol))
- Inline code styles, fixed line number copying [\#561](https://github.com/habitat-sh/habitat/pull/561) ([ryankeairns](https://github.com/ryankeairns))
- bugfix: Dockerize must take one or more args for packages to process. [\#560](https://github.com/habitat-sh/habitat/pull/560) ([juliandunn](https://github.com/juliandunn))
- Switch from Mustache to Handlebars [\#559](https://github.com/habitat-sh/habitat/pull/559) ([adamhjk](https://github.com/adamhjk))
- bump r2d2\_redis dependency [\#558](https://github.com/habitat-sh/habitat/pull/558) ([reset](https://github.com/reset))
- Updated tutorial with more Linux caveats and minor formatting fixes [\#557](https://github.com/habitat-sh/habitat/pull/557) ([davidwrede](https://github.com/davidwrede))
- Bye Bye bpm! [\#556](https://github.com/habitat-sh/habitat/pull/556) ([fnichol](https://github.com/fnichol))
- Tutorial updates [\#555](https://github.com/habitat-sh/habitat/pull/555) ([davidwrede](https://github.com/davidwrede))
- polipo caching performance improvements [\#553](https://github.com/habitat-sh/habitat/pull/553) ([mattray](https://github.com/mattray))
- add sidecar + gossip ip/port to config.toml sys table [\#552](https://github.com/habitat-sh/habitat/pull/552) ([metadave](https://github.com/metadave))
- Polipo caching web proxy support [\#551](https://github.com/habitat-sh/habitat/pull/551) ([mattray](https://github.com/mattray))
- support removing empty cache directories [\#550](https://github.com/habitat-sh/habitat/pull/550) ([mattray](https://github.com/mattray))
- Tutorial updates [\#549](https://github.com/habitat-sh/habitat/pull/549) ([nathenharvey](https://github.com/nathenharvey))
- Semver suggests 0.1.0 as the initial version [\#548](https://github.com/habitat-sh/habitat/pull/548) ([nathenharvey](https://github.com/nathenharvey))
- Fix typo and api url for terraform setup [\#546](https://github.com/habitat-sh/habitat/pull/546) ([smith](https://github.com/smith))
- Implement remaining `hab-bpm` as `hab` subcommands. [\#545](https://github.com/habitat-sh/habitat/pull/545) ([fnichol](https://github.com/fnichol))
- Change the URL for docs to www.habitat.sh/docs [\#544](https://github.com/habitat-sh/habitat/pull/544) ([adamhjk](https://github.com/adamhjk))
- Fixes for builder-web deploy [\#543](https://github.com/habitat-sh/habitat/pull/543) ([smith](https://github.com/smith))
- get\_key\_revisions/check\_filename uses regexes for more accurate matching [\#542](https://github.com/habitat-sh/habitat/pull/542) ([metadave](https://github.com/metadave))
- Replace `hab-bpm install` with newer `hab install` [\#540](https://github.com/habitat-sh/habitat/pull/540) ([smith](https://github.com/smith))
- Deploy the web app with Terraform [\#539](https://github.com/habitat-sh/habitat/pull/539) ([smith](https://github.com/smith))
- \[plans\] Upgrade to Docker 1.11.1. [\#538](https://github.com/habitat-sh/habitat/pull/538) ([fnichol](https://github.com/fnichol))
- \[sup\] Fix Supervisor CLI compilation. [\#537](https://github.com/habitat-sh/habitat/pull/537) ([fnichol](https://github.com/fnichol))
- Remove writing out of the origin key from travis.yml [\#536](https://github.com/habitat-sh/habitat/pull/536) ([smith](https://github.com/smith))
- Remove SAP HANA from .gitignore [\#535](https://github.com/habitat-sh/habitat/pull/535) ([juliandunn](https://github.com/juliandunn))
-  \[studio\] Support copying secret origin keys on creation/build/entry. [\#534](https://github.com/habitat-sh/habitat/pull/534) ([fnichol](https://github.com/fnichol))
- Support wider range of service group string parsing. [\#533](https://github.com/habitat-sh/habitat/pull/533) ([fnichol](https://github.com/fnichol))
- \[studio\] Create a `./results/` directory on build with artifact. [\#532](https://github.com/habitat-sh/habitat/pull/532) ([fnichol](https://github.com/fnichol))
- \[sup\] Set appropriate `PATH` for `sh` & `bash` subcommands. [\#531](https://github.com/habitat-sh/habitat/pull/531) ([fnichol](https://github.com/fnichol))
- \[hab\] Support `FS\_ROOT` environment variable. [\#530](https://github.com/habitat-sh/habitat/pull/530) ([fnichol](https://github.com/fnichol))
- \[plan\] Upgrade to libarchive 3.2.0. [\#529](https://github.com/habitat-sh/habitat/pull/529) ([fnichol](https://github.com/fnichol))
- Bug fix for parsing depot config from file [\#528](https://github.com/habitat-sh/habitat/pull/528) ([reset](https://github.com/reset))
- Upgrade to 0.5.0 toolchain in devshell. [\#527](https://github.com/habitat-sh/habitat/pull/527) ([fnichol](https://github.com/fnichol))
- update Rust deps [\#526](https://github.com/habitat-sh/habitat/pull/526) ([metadave](https://github.com/metadave))
- Improvements to make builder-web navigation more real [\#524](https://github.com/habitat-sh/habitat/pull/524) ([smith](https://github.com/smith))
- First pass refresh of `hab` CLI UI with musl/libc fix. [\#522](https://github.com/habitat-sh/habitat/pull/522) ([fnichol](https://github.com/fnichol))
- Convert the Rails sample to use binding. [\#521](https://github.com/habitat-sh/habitat/pull/521) ([juliandunn](https://github.com/juliandunn))
- Make JS compilation faster [\#520](https://github.com/habitat-sh/habitat/pull/520) ([smith](https://github.com/smith))
- Further tweaks to travis [\#519](https://github.com/habitat-sh/habitat/pull/519) ([smith](https://github.com/smith))
- Create plan for Elixir 1.2.5 [\#518](https://github.com/habitat-sh/habitat/pull/518) ([shanesveller](https://github.com/shanesveller))
- Update to docs navigation [\#517](https://github.com/habitat-sh/habitat/pull/517) ([ryankeairns](https://github.com/ryankeairns))

## [0.5.0](https://github.com/habitat-sh/habitat/tree/0.5.0) (05-12-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/jcd/pre-hab-rename...0.5.0)

**Closed issues:**

- The "Create your origin key" in the tutorial assumes 'hab' command present [\#486](https://github.com/habitat-sh/habitat/issues/486)

**Merged pull requests:**

- Add ruby client library [\#760](https://github.com/habitat-sh/habitat/pull/760) ([jtimberman](https://github.com/jtimberman))
- add hab-director [\#541](https://github.com/habitat-sh/habitat/pull/541) ([metadave](https://github.com/metadave))
- Add wget-style progress UI on Depot downloads. [\#515](https://github.com/habitat-sh/habitat/pull/515) ([fnichol](https://github.com/fnichol))
- \[plans\] Add ttyrec plan. [\#514](https://github.com/habitat-sh/habitat/pull/514) ([fnichol](https://github.com/fnichol))
- Speed Up Travis [\#513](https://github.com/habitat-sh/habitat/pull/513) ([smith](https://github.com/smith))
- Support `http\_proxy` & `no\_proxy` environment variables for Depot calls. [\#512](https://github.com/habitat-sh/habitat/pull/512) ([fnichol](https://github.com/fnichol))
- Adding Google Analytics snippet to website [\#511](https://github.com/habitat-sh/habitat/pull/511) ([ryankeairns](https://github.com/ryankeairns))
- Fix GitHub auth [\#510](https://github.com/habitat-sh/habitat/pull/510) ([smith](https://github.com/smith))
- write output from build to a file [\#509](https://github.com/habitat-sh/habitat/pull/509) ([jtimberman](https://github.com/jtimberman))
- Fix publish command [\#508](https://github.com/habitat-sh/habitat/pull/508) ([smith](https://github.com/smith))
- fix nested parsing functionality in ParseInto trait [\#507](https://github.com/habitat-sh/habitat/pull/507) ([reset](https://github.com/reset))
- Add protocols feature to builder-protocols crate [\#506](https://github.com/habitat-sh/habitat/pull/506) ([reset](https://github.com/reset))
- config apply creates gossip.toml regardless of input filename [\#505](https://github.com/habitat-sh/habitat/pull/505) ([metadave](https://github.com/metadave))
- Release 0.5.0, with more Habitats for all services. [\#504](https://github.com/habitat-sh/habitat/pull/504) ([fnichol](https://github.com/fnichol))
- Refactor core crypto module. [\#502](https://github.com/habitat-sh/habitat/pull/502) ([fnichol](https://github.com/fnichol))
- Include OpenSSL in Erlang plan [\#500](https://github.com/habitat-sh/habitat/pull/500) ([shanesveller](https://github.com/shanesveller))
- sidecar + gossip can listen to a custom ip:port [\#499](https://github.com/habitat-sh/habitat/pull/499) ([metadave](https://github.com/metadave))
- Update Erlang plan to 18.3 [\#498](https://github.com/habitat-sh/habitat/pull/498) ([shanesveller](https://github.com/shanesveller))
- Adds an unzip plan [\#497](https://github.com/habitat-sh/habitat/pull/497) ([adamhjk](https://github.com/adamhjk))
- Add publish script [\#496](https://github.com/habitat-sh/habitat/pull/496) ([smith](https://github.com/smith))
- Show commands in the context of the tutorial & highlight HAB\_PACKAGENAME [\#495](https://github.com/habitat-sh/habitat/pull/495) ([mattray](https://github.com/mattray))
- adding Try Hab link and slack button to home page [\#494](https://github.com/habitat-sh/habitat/pull/494) ([ryankeairns](https://github.com/ryankeairns))
- Copy-edits to the Try tutorial pages to remove all references to "bldr" [\#493](https://github.com/habitat-sh/habitat/pull/493) ([juliandunn](https://github.com/juliandunn))
- Moar tutorial nitpicks [\#492](https://github.com/habitat-sh/habitat/pull/492) ([mattray](https://github.com/mattray))
- specify the use of the studio terminal for generating the origin key [\#491](https://github.com/habitat-sh/habitat/pull/491) ([mattray](https://github.com/mattray))
- Tutorial nitpicks [\#489](https://github.com/habitat-sh/habitat/pull/489) ([mattray](https://github.com/mattray))
- attempt to download signing keys upon artifact installation, new origin keys Depot API [\#488](https://github.com/habitat-sh/habitat/pull/488) ([metadave](https://github.com/metadave))
- Minor grammatical fixes; also adds next and prev buttons [\#487](https://github.com/habitat-sh/habitat/pull/487) ([ryankeairns](https://github.com/ryankeairns))
- Additional ring encryption UX [\#485](https://github.com/habitat-sh/habitat/pull/485) ([fnichol](https://github.com/fnichol))
- move the 'port' variable to its first use [\#484](https://github.com/habitat-sh/habitat/pull/484) ([mattray](https://github.com/mattray))
- Adds cli output to Try Habitat feature [\#483](https://github.com/habitat-sh/habitat/pull/483) ([ryankeairns](https://github.com/ryankeairns))
- The gpg target is no longer valid or needed. [\#482](https://github.com/habitat-sh/habitat/pull/482) ([juliandunn](https://github.com/juliandunn))
- restructure web directories [\#481](https://github.com/habitat-sh/habitat/pull/481) ([reset](https://github.com/reset))
- update getting started to reference port 9636 instead of 9632 [\#480](https://github.com/habitat-sh/habitat/pull/480) ([reset](https://github.com/reset))
- update builder lockfiles [\#479](https://github.com/habitat-sh/habitat/pull/479) ([reset](https://github.com/reset))
- Moves website to main habitat repo [\#478](https://github.com/habitat-sh/habitat/pull/478) ([cwebberOps](https://github.com/cwebberOps))
- set socket send/recv timeout for brokers in builder-api [\#477](https://github.com/habitat-sh/habitat/pull/477) ([reset](https://github.com/reset))
- prefix API endpoints with /v1 [\#476](https://github.com/habitat-sh/habitat/pull/476) ([reset](https://github.com/reset))
- Fix a couple bugs in the supervisor, and add one feature [\#475](https://github.com/habitat-sh/habitat/pull/475) ([adamhjk](https://github.com/adamhjk))
- Mount depot api [\#474](https://github.com/habitat-sh/habitat/pull/474) ([reset](https://github.com/reset))
- Acceptance for web app [\#473](https://github.com/habitat-sh/habitat/pull/473) ([smith](https://github.com/smith))
- Upgrade PostgreSQL plan to 9.5.2 [\#472](https://github.com/habitat-sh/habitat/pull/472) ([juliandunn](https://github.com/juliandunn))
- Clean up old GnuPG keys [\#471](https://github.com/habitat-sh/habitat/pull/471) ([juliandunn](https://github.com/juliandunn))
- Changes to make origins work with the web app [\#470](https://github.com/habitat-sh/habitat/pull/470) ([smith](https://github.com/smith))
- \[core\] Update crypto module documentation, suitable for rustdocs. [\#469](https://github.com/habitat-sh/habitat/pull/469) ([fnichol](https://github.com/fnichol))
- Adding a Code of Conduct [\#468](https://github.com/habitat-sh/habitat/pull/468) ([adamhjk](https://github.com/adamhjk))
- \[devshell\] Prevent the `protobuf` crate binary from being mount-masked. [\#467](https://github.com/habitat-sh/habitat/pull/467) ([fnichol](https://github.com/fnichol))
- \[plans\] Update older plans with build dependencies, etc. [\#466](https://github.com/habitat-sh/habitat/pull/466) ([fnichol](https://github.com/fnichol))
- remove old test from dbcache model module [\#465](https://github.com/habitat-sh/habitat/pull/465) ([reset](https://github.com/reset))
- Add a `plans/build\_order.rb` which generates a build order for Plans. [\#464](https://github.com/habitat-sh/habitat/pull/464) ([fnichol](https://github.com/fnichol))
- The "make gpg" target is no longer valid. [\#463](https://github.com/habitat-sh/habitat/pull/463) ([juliandunn](https://github.com/juliandunn))
- misc README typos [\#462](https://github.com/habitat-sh/habitat/pull/462) ([metadave](https://github.com/metadave))
- Contributions require a DCO [\#460](https://github.com/habitat-sh/habitat/pull/460) ([nathenharvey](https://github.com/nathenharvey))
- Added legal copy to clarify license until Habitat is open sourced [\#459](https://github.com/habitat-sh/habitat/pull/459) ([juliandunn](https://github.com/juliandunn))
- Add some documentation about the bots behind @thesentinels [\#458](https://github.com/habitat-sh/habitat/pull/458) ([juliandunn](https://github.com/juliandunn))
- Install core origin public key in devshell and Studios [\#457](https://github.com/habitat-sh/habitat/pull/457) ([fnichol](https://github.com/fnichol))
- Configure builder servers from file [\#456](https://github.com/habitat-sh/habitat/pull/456) ([reset](https://github.com/reset))
- Adds `--bind` instead of watch, puts data in toml [\#455](https://github.com/habitat-sh/habitat/pull/455) ([adamhjk](https://github.com/adamhjk))
- add ParseInto trait for parsing config fields into rust types [\#454](https://github.com/habitat-sh/habitat/pull/454) ([reset](https://github.com/reset))
- Restore working against a Depot server! [\#453](https://github.com/habitat-sh/habitat/pull/453) ([fnichol](https://github.com/fnichol))
- Add encrypted file upload to gossip ring [\#452](https://github.com/habitat-sh/habitat/pull/452) ([metadave](https://github.com/metadave))
- make make all make all [\#451](https://github.com/habitat-sh/habitat/pull/451) ([smith](https://github.com/smith))
- fix compiler error in sessionsrv/vaultsrv data store module [\#450](https://github.com/habitat-sh/habitat/pull/450) ([reset](https://github.com/reset))
- \[plan-build\] TARGET metadata addition and various fixes [\#449](https://github.com/habitat-sh/habitat/pull/449) ([fnichol](https://github.com/fnichol))
- Add components target directories to the cache [\#448](https://github.com/habitat-sh/habitat/pull/448) ([adamhjk](https://github.com/adamhjk))
- `bpm install` API fix [\#447](https://github.com/habitat-sh/habitat/pull/447) ([fnichol](https://github.com/fnichol))
- ignore habitat secret key files [\#446](https://github.com/habitat-sh/habitat/pull/446) ([metadave](https://github.com/metadave))
- Notify homu from travis [\#445](https://github.com/habitat-sh/habitat/pull/445) ([adamhjk](https://github.com/adamhjk))
- Various style fixes [\#444](https://github.com/habitat-sh/habitat/pull/444) ([smith](https://github.com/smith))
- Add ConfigFile trait for reading TOML configuration files [\#443](https://github.com/habitat-sh/habitat/pull/443) ([reset](https://github.com/reset))
- Add ability to configure Depot server from config file [\#442](https://github.com/habitat-sh/habitat/pull/442) ([reset](https://github.com/reset))
- Fix common component's tests and add it into testing rotation. [\#440](https://github.com/habitat-sh/habitat/pull/440) ([fnichol](https://github.com/fnichol))
- Use SHA suffixes on JS and CSS [\#439](https://github.com/habitat-sh/habitat/pull/439) ([smith](https://github.com/smith))
- Add dependencies to Dockerfile for building builder components [\#438](https://github.com/habitat-sh/habitat/pull/438) ([reset](https://github.com/reset))
- Dependency, linting, and compression updates [\#437](https://github.com/habitat-sh/habitat/pull/437) ([smith](https://github.com/smith))
- Securing gossip communication via symmetric key encryption [\#436](https://github.com/habitat-sh/habitat/pull/436) ([fnichol](https://github.com/fnichol))
- bpm is now hab-bpm. [\#435](https://github.com/habitat-sh/habitat/pull/435) ([juliandunn](https://github.com/juliandunn))
- \[core\] Re-enable artifact reading test with new artifact format. [\#434](https://github.com/habitat-sh/habitat/pull/434) ([fnichol](https://github.com/fnichol))
- Fix postgresql plan's package paths for /hab [\#433](https://github.com/habitat-sh/habitat/pull/433) ([juliandunn](https://github.com/juliandunn))
- Update stage1 lfs-tools download URL, improve Studio install, & tighten up Dockerfile [\#432](https://github.com/habitat-sh/habitat/pull/432) ([fnichol](https://github.com/fnichol))
- Convert Depot data storage to Redis [\#429](https://github.com/habitat-sh/habitat/pull/429) ([reset](https://github.com/reset))
- Update the `HAB\_DEPOT\_URL` default from IP to hostname. [\#428](https://github.com/habitat-sh/habitat/pull/428) ([fnichol](https://github.com/fnichol))
- \[bpm\] Update `hab-bpm install` to understand updated artifact format. [\#427](https://github.com/habitat-sh/habitat/pull/427) ([fnichol](https://github.com/fnichol))
- \[hab,sup,depot\] Use the version/release info from the Plan if possible. [\#426](https://github.com/habitat-sh/habitat/pull/426) ([fnichol](https://github.com/fnichol))
- Habitat Artifact and Origin Key Header Update [\#425](https://github.com/habitat-sh/habitat/pull/425) ([fnichol](https://github.com/fnichol))
- Add `hab ring key generate` subcommand & prep crypto system for symmetric keys [\#424](https://github.com/habitat-sh/habitat/pull/424) ([fnichol](https://github.com/fnichol))
- Adding styles to new views [\#423](https://github.com/habitat-sh/habitat/pull/423) ([ryankeairns](https://github.com/ryankeairns))
- Fix travis slack token [\#422](https://github.com/habitat-sh/habitat/pull/422) ([adamhjk](https://github.com/adamhjk))
- Fixing Supervisor's `PATH` setting & two other treats [\#421](https://github.com/habitat-sh/habitat/pull/421) ([fnichol](https://github.com/fnichol))
- BLAKE2b hash without a key, refactor and add tests [\#420](https://github.com/habitat-sh/habitat/pull/420) ([metadave](https://github.com/metadave))
- \[hab\] Update `hab rumor inject` to `hab config apply`. [\#419](https://github.com/habitat-sh/habitat/pull/419) ([fnichol](https://github.com/fnichol))
- Fix up project create form [\#418](https://github.com/habitat-sh/habitat/pull/418) ([smith](https://github.com/smith))
- move crypto functions into Context struct, add encrypt/decrypt [\#410](https://github.com/habitat-sh/habitat/pull/410) ([metadave](https://github.com/metadave))
- \[README\] Update git clone URL. [\#409](https://github.com/habitat-sh/habitat/pull/409) ([fnichol](https://github.com/fnichol))
- Add Travis CI [\#408](https://github.com/habitat-sh/habitat/pull/408) ([adamhjk](https://github.com/adamhjk))
- Fix redirection on page load bug [\#407](https://github.com/habitat-sh/habitat/pull/407) ([smith](https://github.com/smith))
- Fix "restarting" output so it has the supervisor prefix [\#406](https://github.com/habitat-sh/habitat/pull/406) ([juliandunn](https://github.com/juliandunn))
- Adding mention-bot and travis.yml [\#405](https://github.com/habitat-sh/habitat/pull/405) ([adamhjk](https://github.com/adamhjk))
- Get the list of GitHub repos from the real api [\#404](https://github.com/habitat-sh/habitat/pull/404) ([smith](https://github.com/smith))
- Mixed bag of package improvement, CLI text edits, and Plan URL updates [\#403](https://github.com/habitat-sh/habitat/pull/403) ([fnichol](https://github.com/fnichol))
- Install tmux in dev shell [\#402](https://github.com/habitat-sh/habitat/pull/402) ([jtimberman](https://github.com/jtimberman))
- initial commit of vault server [\#401](https://github.com/habitat-sh/habitat/pull/401) ([reset](https://github.com/reset))
- tune loglevel of messages in depot and handle db full errors [\#400](https://github.com/habitat-sh/habitat/pull/400) ([reset](https://github.com/reset))
- key revisions are now calculated from existing public AND secret key files [\#399](https://github.com/habitat-sh/habitat/pull/399) ([metadave](https://github.com/metadave))
- Origin CRUD [\#397](https://github.com/habitat-sh/habitat/pull/397) ([smith](https://github.com/smith))
- Ecosystem Rebuild [\#396](https://github.com/habitat-sh/habitat/pull/396) ([fnichol](https://github.com/fnichol))
- don't use our email in the plan template [\#395](https://github.com/habitat-sh/habitat/pull/395) ([metadave](https://github.com/metadave))
- improve error messaging on upload failure [\#394](https://github.com/habitat-sh/habitat/pull/394) ([reset](https://github.com/reset))
- \[wip\] New, New World Order [\#393](https://github.com/habitat-sh/habitat/pull/393) ([fnichol](https://github.com/fnichol))
- Fix studio to say hab-studio in the README [\#391](https://github.com/habitat-sh/habitat/pull/391) ([irvingpop](https://github.com/irvingpop))
- rename CLI flags to remove "gossip" [\#390](https://github.com/habitat-sh/habitat/pull/390) ([metadave](https://github.com/metadave))
- Support a statically built `hab` binary for use in the build toolchain for artifact signing [\#389](https://github.com/habitat-sh/habitat/pull/389) ([fnichol](https://github.com/fnichol))
- update Cargo locks [\#388](https://github.com/habitat-sh/habitat/pull/388) ([reset](https://github.com/reset))
- Checksum query param fix [\#387](https://github.com/habitat-sh/habitat/pull/387) ([reset](https://github.com/reset))
- add myself as a maintainer; sort the list [\#386](https://github.com/habitat-sh/habitat/pull/386) ([smith](https://github.com/smith))
- Origin Creation [\#385](https://github.com/habitat-sh/habitat/pull/385) ([smith](https://github.com/smith))
- String updates to hab-depot command help [\#384](https://github.com/habitat-sh/habitat/pull/384) ([davidwrede](https://github.com/davidwrede))
- add dparfitt to maintainers file [\#383](https://github.com/habitat-sh/habitat/pull/383) ([metadave](https://github.com/metadave))
- Add jtimberman to MAINTAINERS [\#382](https://github.com/habitat-sh/habitat/pull/382) ([jtimberman](https://github.com/jtimberman))
- Jamie Winsor is a friendly Maintainer human! [\#381](https://github.com/habitat-sh/habitat/pull/381) ([reset](https://github.com/reset))
- generate user + service box keys [\#380](https://github.com/habitat-sh/habitat/pull/380) ([metadave](https://github.com/metadave))
- remove pkg\_gpg\_key from plans [\#379](https://github.com/habitat-sh/habitat/pull/379) ([metadave](https://github.com/metadave))
- Re-enable the daily Docker devshell image refresh and rename delivery cookbook [\#378](https://github.com/habitat-sh/habitat/pull/378) ([fnichol](https://github.com/fnichol))
- don't use .len\(\) for string length comparisons [\#377](https://github.com/habitat-sh/habitat/pull/377) ([metadave](https://github.com/metadave))
- Remove the plan for SAP HANA. [\#376](https://github.com/habitat-sh/habitat/pull/376) ([juliandunn](https://github.com/juliandunn))
- Don't redirect to /pkgs every time; fix layout [\#375](https://github.com/habitat-sh/habitat/pull/375) ([smith](https://github.com/smith))
- Re-organize Habitat filesystem paths, environment variables, Plan variables, and runtime templating data [\#374](https://github.com/habitat-sh/habitat/pull/374) ([fnichol](https://github.com/fnichol))
- Replace GPG with NaCl [\#373](https://github.com/habitat-sh/habitat/pull/373) ([metadave](https://github.com/metadave))
- removed extraneous dependencies [\#372](https://github.com/habitat-sh/habitat/pull/372) ([davidwrede](https://github.com/davidwrede))
- update copyright notices for web files [\#371](https://github.com/habitat-sh/habitat/pull/371) ([smith](https://github.com/smith))
- Updates to README; remove the demo [\#370](https://github.com/habitat-sh/habitat/pull/370) ([smith](https://github.com/smith))
- \[sup,depot\] Fix `dockerize` in functional tests. [\#369](https://github.com/habitat-sh/habitat/pull/369) ([fnichol](https://github.com/fnichol))
- Refactor supervision to standalone module [\#368](https://github.com/habitat-sh/habitat/pull/368) ([adamhjk](https://github.com/adamhjk))
- \[pkg-dockerize\] Split hab-pkg-dockerize out of `hab-studio`. [\#367](https://github.com/habitat-sh/habitat/pull/367) ([fnichol](https://github.com/fnichol))
- Fix failing tests [\#366](https://github.com/habitat-sh/habitat/pull/366) ([reset](https://github.com/reset))
- add a `hab artifact hash \<filename\>` command [\#365](https://github.com/habitat-sh/habitat/pull/365) ([metadave](https://github.com/metadave))
- rename repo to view [\#363](https://github.com/habitat-sh/habitat/pull/363) ([reset](https://github.com/reset))
- rails should discover the database through gossip [\#362](https://github.com/habitat-sh/habitat/pull/362) ([jtimberman](https://github.com/jtimberman))
- Update maintainership of project to "The Habitat Maintainers" \<3 [\#361](https://github.com/habitat-sh/habitat/pull/361) ([fnichol](https://github.com/fnichol))
- initial commit of builder project [\#360](https://github.com/habitat-sh/habitat/pull/360) ([reset](https://github.com/reset))
- Rename build system from Bldr to Habitat [\#359](https://github.com/habitat-sh/habitat/pull/359) ([fnichol](https://github.com/fnichol))
- Allow the Supervisor to run in a minimal \(dependency-free\) environment. [\#358](https://github.com/habitat-sh/habitat/pull/358) ([fnichol](https://github.com/fnichol))
- Add artifact sign/verify via libsodium. [\#357](https://github.com/habitat-sh/habitat/pull/357) ([metadave](https://github.com/metadave))
- Sign In With GitHub [\#356](https://github.com/habitat-sh/habitat/pull/356) ([smith](https://github.com/smith))
- \[hab\] Display help on empty subcommands by default \(ex: `hab pkg`\). [\#355](https://github.com/habitat-sh/habitat/pull/355) ([fnichol](https://github.com/fnichol))
- \[hab-sup\] Purge references to `bldr` in the Supervisor. [\#354](https://github.com/habitat-sh/habitat/pull/354) ([fnichol](https://github.com/fnichol))
- Lets write out if we have any census that changes [\#353](https://github.com/habitat-sh/habitat/pull/353) ([adamhjk](https://github.com/adamhjk))
- Dashes should be replaced with underscores [\#352](https://github.com/habitat-sh/habitat/pull/352) ([jtimberman](https://github.com/jtimberman))
- Make the service groups be full-grown keys in Svc [\#351](https://github.com/habitat-sh/habitat/pull/351) ([adamhjk](https://github.com/adamhjk))
- Preparation for GitHub user login [\#350](https://github.com/habitat-sh/habitat/pull/350) ([smith](https://github.com/smith))
- Update copyright notice to reference Habitat. [\#349](https://github.com/habitat-sh/habitat/pull/349) ([fnichol](https://github.com/fnichol))
- \[hab\] Automatically installs `hab-sup` if missing when invoked. [\#348](https://github.com/habitat-sh/habitat/pull/348) ([fnichol](https://github.com/fnichol))
- Nls/rk/base web styles [\#347](https://github.com/habitat-sh/habitat/pull/347) ([smith](https://github.com/smith))
- \[plans\] build busybox with bash link [\#346](https://github.com/habitat-sh/habitat/pull/346) ([jtimberman](https://github.com/jtimberman))
- Global UI Styles for Habitat Web [\#345](https://github.com/habitat-sh/habitat/pull/345) ([ryankeairns](https://github.com/ryankeairns))
- \[plans\] Add a postgresql plan [\#344](https://github.com/habitat-sh/habitat/pull/344) ([jtimberman](https://github.com/jtimberman))
- s/pkg\_path/pkg\_prefix/ for rails plan [\#343](https://github.com/habitat-sh/habitat/pull/343) ([jtimberman](https://github.com/jtimberman))
- \[hab\] Creation of `hab` binary. [\#342](https://github.com/habitat-sh/habitat/pull/342) ([fnichol](https://github.com/fnichol))
- \[delivery\] Update `functional` phase to remove the `tee` pipe. [\#341](https://github.com/habitat-sh/habitat/pull/341) ([fnichol](https://github.com/fnichol))
- Not found pages and improve loading [\#340](https://github.com/habitat-sh/habitat/pull/340) ([smith](https://github.com/smith))
- Make package lists of origin/name/version work [\#339](https://github.com/habitat-sh/habitat/pull/339) ([smith](https://github.com/smith))
- Rename Bldr crates to Habitat crates. [\#338](https://github.com/habitat-sh/habitat/pull/338) ([fnichol](https://github.com/fnichol))
- incorporate my feedback from \#335 [\#337](https://github.com/habitat-sh/habitat/pull/337) ([jtimberman](https://github.com/jtimberman))
- Audit all Error types in `bldr` crate .vs `core` create and remove unused Cargo dependencies in `bldr` crate. [\#336](https://github.com/habitat-sh/habitat/pull/336) ([fnichol](https://github.com/fnichol))
- renamed tutorial plan [\#335](https://github.com/habitat-sh/habitat/pull/335) ([davidwrede](https://github.com/davidwrede))
- Make real API requests on origin pages [\#334](https://github.com/habitat-sh/habitat/pull/334) ([smith](https://github.com/smith))
- Use real depot data on package page [\#333](https://github.com/habitat-sh/habitat/pull/333) ([smith](https://github.com/smith))
- Make Depot URL configurable [\#332](https://github.com/habitat-sh/habitat/pull/332) ([smith](https://github.com/smith))
- Repair `make serve-docs` in root Makefile. [\#331](https://github.com/habitat-sh/habitat/pull/331) ([fnichol](https://github.com/fnichol))
- properly list all packages of a given origin [\#330](https://github.com/habitat-sh/habitat/pull/330) ([reset](https://github.com/reset))
- \[bldr-build\] Variable name consistency updates [\#329](https://github.com/habitat-sh/habitat/pull/329) ([fnichol](https://github.com/fnichol))
- \[plans\] Add a simple, sample Rails app [\#325](https://github.com/habitat-sh/habitat/pull/325) ([jtimberman](https://github.com/jtimberman))

## [jcd/pre-hab-rename](https://github.com/habitat-sh/habitat/tree/jcd/pre-hab-rename) (03-29-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.4.0...jcd/pre-hab-rename)

**Merged pull requests:**

- \[delivery\] Only fully rebuild devshell image once a day. [\#327](https://github.com/habitat-sh/habitat/pull/327) ([fnichol](https://github.com/fnichol))
- Adds basic, wide open CORS support to depot [\#326](https://github.com/habitat-sh/habitat/pull/326) ([adamhjk](https://github.com/adamhjk))
- Update project Makefiles and related build programs. [\#324](https://github.com/habitat-sh/habitat/pull/324) ([fnichol](https://github.com/fnichol))
- add libsodium [\#323](https://github.com/habitat-sh/habitat/pull/323) ([metadave](https://github.com/metadave))
- Upgrade Rust to 1.7.0 [\#322](https://github.com/habitat-sh/habitat/pull/322) ([juliandunn](https://github.com/juliandunn))
- Adding notes on how to build on native Linux [\#321](https://github.com/habitat-sh/habitat/pull/321) ([smith](https://github.com/smith))
- Nls/nginx [\#320](https://github.com/habitat-sh/habitat/pull/320) ([smith](https://github.com/smith))
- \[plans\] add plan for sqlite [\#319](https://github.com/habitat-sh/habitat/pull/319) ([jtimberman](https://github.com/jtimberman))
- \[plans\] add a plan for git [\#318](https://github.com/habitat-sh/habitat/pull/318) ([jtimberman](https://github.com/jtimberman))
- don't depend on runit [\#317](https://github.com/habitat-sh/habitat/pull/317) ([metadave](https://github.com/metadave))
- remove runit from supervisor [\#316](https://github.com/habitat-sh/habitat/pull/316) ([metadave](https://github.com/metadave))
- Change Bldr/bldr to Habitat/hab in the web app [\#315](https://github.com/habitat-sh/habitat/pull/315) ([smith](https://github.com/smith))
- Fix `bldr start`'s update strategy [\#313](https://github.com/habitat-sh/habitat/pull/313) ([adamhjk](https://github.com/adamhjk))
- Update install location of `bldr` in fixture Plans. [\#312](https://github.com/habitat-sh/habitat/pull/312) ([fnichol](https://github.com/fnichol))
- Restore functional test suite. [\#311](https://github.com/habitat-sh/habitat/pull/311) ([fnichol](https://github.com/fnichol))
- bump locked libarchive crate [\#310](https://github.com/habitat-sh/habitat/pull/310) ([reset](https://github.com/reset))
- \[wip\] Config File Gossip [\#309](https://github.com/habitat-sh/habitat/pull/309) ([fnichol](https://github.com/fnichol))
- Update Cargo.locks for core, depot-client, & depot-core. [\#308](https://github.com/habitat-sh/habitat/pull/308) ([fnichol](https://github.com/fnichol))
- Security: Update to OpenSSL 1.0.2g [\#307](https://github.com/habitat-sh/habitat/pull/307) ([juliandunn](https://github.com/juliandunn))
- Add bldr-depot plan [\#306](https://github.com/habitat-sh/habitat/pull/306) ([reset](https://github.com/reset))
- Update demo script to use all uppercase env vars. [\#304](https://github.com/habitat-sh/habitat/pull/304) ([juliandunn](https://github.com/juliandunn))
- use libarchive/libarchive3-sys crate and remove from vendor [\#303](https://github.com/habitat-sh/habitat/pull/303) ([reset](https://github.com/reset))
- fix bug where all data blocks were not extracted to file [\#302](https://github.com/habitat-sh/habitat/pull/302) ([reset](https://github.com/reset))
- Split functionality into five crates from one [\#301](https://github.com/habitat-sh/habitat/pull/301) ([reset](https://github.com/reset))
- bldr upload now uploads dependencies [\#300](https://github.com/habitat-sh/habitat/pull/300) ([adamhjk](https://github.com/adamhjk))
- remove tdeps from config data [\#299](https://github.com/habitat-sh/habitat/pull/299) ([metadave](https://github.com/metadave))
- bldr install now honors installed packages [\#298](https://github.com/habitat-sh/habitat/pull/298) ([adamhjk](https://github.com/adamhjk))
- bldr-build and studio improvements [\#297](https://github.com/habitat-sh/habitat/pull/297) ([jtimberman](https://github.com/jtimberman))
- Build bldr from the component directory [\#295](https://github.com/habitat-sh/habitat/pull/295) ([adamhjk](https://github.com/adamhjk))
- Fix the missing port and exposes functionality [\#294](https://github.com/habitat-sh/habitat/pull/294) ([adamhjk](https://github.com/adamhjk))
- Restructure source tree [\#293](https://github.com/habitat-sh/habitat/pull/293) ([reset](https://github.com/reset))
- Update to new depot API by posting a SHA256 of the package as a query param. [\#292](https://github.com/habitat-sh/habitat/pull/292) ([juliandunn](https://github.com/juliandunn))
- Post PR\#283 changes to the httpd plan [\#291](https://github.com/habitat-sh/habitat/pull/291) ([juliandunn](https://github.com/juliandunn))
- Use the new pkg namespace for finding the svc\_path [\#290](https://github.com/habitat-sh/habitat/pull/290) ([juliandunn](https://github.com/juliandunn))
- fix bug where archive was moved before read in rebuilding [\#289](https://github.com/habitat-sh/habitat/pull/289) ([reset](https://github.com/reset))
- Org member picker [\#288](https://github.com/habitat-sh/habitat/pull/288) ([smith](https://github.com/smith))
- segfault typo [\#287](https://github.com/habitat-sh/habitat/pull/287) ([metadave](https://github.com/metadave))
- \[plans/bldr-web\] template namespaces [\#286](https://github.com/habitat-sh/habitat/pull/286) ([jtimberman](https://github.com/jtimberman))
- Makes upload take an archive, rather than an ident [\#285](https://github.com/habitat-sh/habitat/pull/285) ([adamhjk](https://github.com/adamhjk))
- fix erroneous error output when uploading packages [\#284](https://github.com/habitat-sh/habitat/pull/284) ([reset](https://github.com/reset))
- Refactor `service\_config` for easier grok-ing [\#283](https://github.com/habitat-sh/habitat/pull/283) ([adamhjk](https://github.com/adamhjk))
- \[plans\] Update bootstrap toolchain Plans against Real World. [\#282](https://github.com/habitat-sh/habitat/pull/282) ([fnichol](https://github.com/fnichol))
- fix some stuff in demo [\#280](https://github.com/habitat-sh/habitat/pull/280) ([smith](https://github.com/smith))
- Add orgs list page [\#279](https://github.com/habitat-sh/habitat/pull/279) ([smith](https://github.com/smith))
- \[bldr-build\] Stop all builds if a Plan produces duplicate dependencies. [\#278](https://github.com/habitat-sh/habitat/pull/278) ([fnichol](https://github.com/fnichol))
- Split out misc deps from the Discourse work [\#276](https://github.com/habitat-sh/habitat/pull/276) ([metadave](https://github.com/metadave))
- add strace plan [\#275](https://github.com/habitat-sh/habitat/pull/275) ([metadave](https://github.com/metadave))
- Actually implement `depot repair` command [\#274](https://github.com/habitat-sh/habitat/pull/274) ([reset](https://github.com/reset))
- general build fixes [\#273](https://github.com/habitat-sh/habitat/pull/273) ([metadave](https://github.com/metadave))
- Add a gpg target to toplevel make [\#272](https://github.com/habitat-sh/habitat/pull/272) ([jtimberman](https://github.com/jtimberman))
- update the bpm version for studio install [\#271](https://github.com/habitat-sh/habitat/pull/271) ([jtimberman](https://github.com/jtimberman))
- Fix shebang to /bin/sh for glibc scripts [\#270](https://github.com/habitat-sh/habitat/pull/270) ([juliandunn](https://github.com/juliandunn))
- rename repo module to depot [\#269](https://github.com/habitat-sh/habitat/pull/269) ([reset](https://github.com/reset))
- Store packages in a hashed directory structure on Depot [\#268](https://github.com/habitat-sh/habitat/pull/268) ([reset](https://github.com/reset))
- Use wget-static for bpm [\#267](https://github.com/habitat-sh/habitat/pull/267) ([smith](https://github.com/smith))
- Initial version of httpd plan. [\#266](https://github.com/habitat-sh/habitat/pull/266) ([juliandunn](https://github.com/juliandunn))
- build bldr-web in a studio [\#265](https://github.com/habitat-sh/habitat/pull/265) ([jtimberman](https://github.com/jtimberman))
- calculate checksum and return as ETag for packages [\#263](https://github.com/habitat-sh/habitat/pull/263) ([reset](https://github.com/reset))
- fix build\_deps in a few packages [\#262](https://github.com/habitat-sh/habitat/pull/262) ([juliandunn](https://github.com/juliandunn))
- fixes for node, add phantomjs [\#261](https://github.com/habitat-sh/habitat/pull/261) ([jtimberman](https://github.com/jtimberman))
- Organization Create Form [\#259](https://github.com/habitat-sh/habitat/pull/259) ([smith](https://github.com/smith))
- Repositories [\#258](https://github.com/habitat-sh/habitat/pull/258) ([reset](https://github.com/reset))
- match more explicitly when searching for metafiles [\#257](https://github.com/habitat-sh/habitat/pull/257) ([reset](https://github.com/reset))
- clarify malformed metafile error message [\#256](https://github.com/habitat-sh/habitat/pull/256) ([reset](https://github.com/reset))
- Break up actions and reducers into separate files [\#255](https://github.com/habitat-sh/habitat/pull/255) ([smith](https://github.com/smith))
- Depot Fixes [\#254](https://github.com/habitat-sh/habitat/pull/254) ([reset](https://github.com/reset))
- Fix for depot and origin [\#253](https://github.com/habitat-sh/habitat/pull/253) ([adamhjk](https://github.com/adamhjk))
- Blank organization list page [\#252](https://github.com/habitat-sh/habitat/pull/252) ([smith](https://github.com/smith))
- Add GitHub repo selection [\#251](https://github.com/habitat-sh/habitat/pull/251) ([smith](https://github.com/smith))
- self documenting makefiles! [\#249](https://github.com/habitat-sh/habitat/pull/249) ([jtimberman](https://github.com/jtimberman))
- Linked Accounts page [\#248](https://github.com/habitat-sh/habitat/pull/248) ([smith](https://github.com/smith))
- install declared transitive dependencies on package installation [\#247](https://github.com/habitat-sh/habitat/pull/247) ([reset](https://github.com/reset))
- convert references of derivation to origin, project wide [\#246](https://github.com/habitat-sh/habitat/pull/246) ([reset](https://github.com/reset))
- adjuster is spelled wrong [\#245](https://github.com/habitat-sh/habitat/pull/245) ([juliandunn](https://github.com/juliandunn))
- Project Page [\#244](https://github.com/habitat-sh/habitat/pull/244) ([smith](https://github.com/smith))
- Functional tests passing in new studios [\#243](https://github.com/habitat-sh/habitat/pull/243) ([adamhjk](https://github.com/adamhjk))
- \[plans\] Fix the bldr Plan and several dependent ones. [\#242](https://github.com/habitat-sh/habitat/pull/242) ([fnichol](https://github.com/fnichol))
- Add a preamble [\#241](https://github.com/habitat-sh/habitat/pull/241) ([juliandunn](https://github.com/juliandunn))
- \[plan\] Add plan for current Go \(1.6\) & for Go 1.4.3. [\#240](https://github.com/habitat-sh/habitat/pull/240) ([fnichol](https://github.com/fnichol))
- Update `make gpg` instructions in README. [\#239](https://github.com/habitat-sh/habitat/pull/239) ([fnichol](https://github.com/fnichol))
- build deps in a post studio world [\#238](https://github.com/habitat-sh/habitat/pull/238) ([jtimberman](https://github.com/jtimberman))
- \[plan\] Add diffutils to the backline plan. [\#237](https://github.com/habitat-sh/habitat/pull/237) ([fnichol](https://github.com/fnichol))
- \[bpm\] Allow `bpm install` to complete if no remote pacakge is found. [\#236](https://github.com/habitat-sh/habitat/pull/236) ([fnichol](https://github.com/fnichol))
- Fix node plan, add python plans [\#235](https://github.com/habitat-sh/habitat/pull/235) ([jtimberman](https://github.com/jtimberman))
- \[bldr-build\] need quoting for wildcards [\#234](https://github.com/habitat-sh/habitat/pull/234) ([jtimberman](https://github.com/jtimberman))
- Remove etcd container from compose [\#233](https://github.com/habitat-sh/habitat/pull/233) ([juliandunn](https://github.com/juliandunn))
- Move the gossip script to a demo script that is generic for all demos [\#232](https://github.com/habitat-sh/habitat/pull/232) ([juliandunn](https://github.com/juliandunn))
- \[bldr-build\] Add fix\_shebang, pkg\_interpreter\_for [\#231](https://github.com/habitat-sh/habitat/pull/231) ([jtimberman](https://github.com/jtimberman))
- Notification system [\#229](https://github.com/habitat-sh/habitat/pull/229) ([smith](https://github.com/smith))
- Reduce the complexity of the root Makefile. [\#228](https://github.com/habitat-sh/habitat/pull/228) ([fnichol](https://github.com/fnichol))
- \[plans\] Correctly set dynamic linker for foundational Plans. [\#227](https://github.com/habitat-sh/habitat/pull/227) ([fnichol](https://github.com/fnichol))
- Make studio run work [\#226](https://github.com/habitat-sh/habitat/pull/226) ([adamhjk](https://github.com/adamhjk))
- Rename `make pkg-shell` to `make shell`. [\#225](https://github.com/habitat-sh/habitat/pull/225) ([fnichol](https://github.com/fnichol))
- Create a project page [\#224](https://github.com/habitat-sh/habitat/pull/224) ([smith](https://github.com/smith))
- \[plan\] De-optimize gmp plan. [\#223](https://github.com/habitat-sh/habitat/pull/223) ([fnichol](https://github.com/fnichol))
- Development environment with studio [\#222](https://github.com/habitat-sh/habitat/pull/222) ([adamhjk](https://github.com/adamhjk))
- Add projects list [\#221](https://github.com/habitat-sh/habitat/pull/221) ([smith](https://github.com/smith))
- Adding docker build support to studios [\#220](https://github.com/habitat-sh/habitat/pull/220) ([adamhjk](https://github.com/adamhjk))
- Add bind mounting of the docker socket [\#218](https://github.com/habitat-sh/habitat/pull/218) ([adamhjk](https://github.com/adamhjk))
- Building up to bldr [\#217](https://github.com/habitat-sh/habitat/pull/217) ([adamhjk](https://github.com/adamhjk))
- Upgrade to latest angular2 beta; migrate tsd \> typings [\#216](https://github.com/habitat-sh/habitat/pull/216) ([smith](https://github.com/smith))
- Use the gossip layer for the Census and Election [\#215](https://github.com/habitat-sh/habitat/pull/215) ([adamhjk](https://github.com/adamhjk))
- Update to Redis 3.0.7 [\#214](https://github.com/habitat-sh/habitat/pull/214) ([juliandunn](https://github.com/juliandunn))
- \[bldr-build\] Bundled updates, week of February 8, 2016 [\#213](https://github.com/habitat-sh/habitat/pull/213) ([fnichol](https://github.com/fnichol))
- Add end-to-end tests [\#212](https://github.com/habitat-sh/habitat/pull/212) ([smith](https://github.com/smith))
- Downgrade angular to beta 2 [\#211](https://github.com/habitat-sh/habitat/pull/211) ([smith](https://github.com/smith))
- Simulate log streaming [\#210](https://github.com/habitat-sh/habitat/pull/210) ([smith](https://github.com/smith))
- add a short flag for --topology [\#209](https://github.com/habitat-sh/habitat/pull/209) ([metadave](https://github.com/metadave))
- Multiple build view [\#207](https://github.com/habitat-sh/habitat/pull/207) ([smith](https://github.com/smith))
- Update node and angular2 [\#206](https://github.com/habitat-sh/habitat/pull/206) ([smith](https://github.com/smith))
- Add build log [\#205](https://github.com/habitat-sh/habitat/pull/205) ([smith](https://github.com/smith))
- \[plans\] add bldr-web plan [\#204](https://github.com/habitat-sh/habitat/pull/204) ([jtimberman](https://github.com/jtimberman))
- prompt for a password in generate-user-key if one isn't specified [\#203](https://github.com/habitat-sh/habitat/pull/203) ([metadave](https://github.com/metadave))
- refactor clap subcommand defs [\#202](https://github.com/habitat-sh/habitat/pull/202) ([metadave](https://github.com/metadave))
- Create explore page [\#201](https://github.com/habitat-sh/habitat/pull/201) ([smith](https://github.com/smith))
- version 0.4.0 [\#198](https://github.com/habitat-sh/habitat/pull/198) ([jtimberman](https://github.com/jtimberman))
- initial metadata store implementation [\#165](https://github.com/habitat-sh/habitat/pull/165) ([reset](https://github.com/reset))
- Create self-hosted build environment with critical development toolchain [\#119](https://github.com/habitat-sh/habitat/pull/119) ([fnichol](https://github.com/fnichol))

## [0.4.0](https://github.com/habitat-sh/habitat/tree/0.4.0) (02-02-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/working_etcd_demo...0.4.0)

**Merged pull requests:**

- replace docopt with clap [\#197](https://github.com/habitat-sh/habitat/pull/197) ([metadave](https://github.com/metadave))
- \[acceptance\] double royale with cheese instance [\#196](https://github.com/habitat-sh/habitat/pull/196) ([jtimberman](https://github.com/jtimberman))
- Various web updates [\#195](https://github.com/habitat-sh/habitat/pull/195) ([smith](https://github.com/smith))
- These tests fail ~20% of the time [\#194](https://github.com/habitat-sh/habitat/pull/194) ([jtimberman](https://github.com/jtimberman))
- Work around a rust perf regression [\#193](https://github.com/habitat-sh/habitat/pull/193) ([adamhjk](https://github.com/adamhjk))
- Isolated members find a way to ressurect [\#192](https://github.com/habitat-sh/habitat/pull/192) ([adamhjk](https://github.com/adamhjk))
- \[acceptance\] package should make bldr, not world [\#191](https://github.com/habitat-sh/habitat/pull/191) ([jtimberman](https://github.com/jtimberman))
- set a two hour timeout for making the world [\#190](https://github.com/habitat-sh/habitat/pull/190) ([jtimberman](https://github.com/jtimberman))
- Fix a missing Ack timeout [\#189](https://github.com/habitat-sh/habitat/pull/189) ([adamhjk](https://github.com/adamhjk))
- re-add test attribute [\#188](https://github.com/habitat-sh/habitat/pull/188) ([metadave](https://github.com/metadave))
- \[acceptance\] an shell script for git cloning [\#186](https://github.com/habitat-sh/habitat/pull/186) ([jtimberman](https://github.com/jtimberman))
- configure rustfmt to not split strings at the end of a [\#185](https://github.com/habitat-sh/habitat/pull/185) ([metadave](https://github.com/metadave))
- Allow listing all packages [\#183](https://github.com/habitat-sh/habitat/pull/183) ([smith](https://github.com/smith))
- \[bldr-build\] Set `PATH` directly after resolving dependencies. [\#182](https://github.com/habitat-sh/habitat/pull/182) ([fnichol](https://github.com/fnichol))

## [working_etcd_demo](https://github.com/habitat-sh/habitat/tree/working_etcd_demo) (01-28-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.3.0...working_etcd_demo)

**Merged pull requests:**

- Change log level to debug for rumor peer reporting [\#187](https://github.com/habitat-sh/habitat/pull/187) ([adamhjk](https://github.com/adamhjk))
- upgrade OpenSSL to 1.0.2f [\#184](https://github.com/habitat-sh/habitat/pull/184) ([metadave](https://github.com/metadave))
- Implement the SWIM membership and gossip protocol [\#180](https://github.com/habitat-sh/habitat/pull/180) ([adamhjk](https://github.com/adamhjk))
- Make it so the currently selected package doesn't look like a link... [\#178](https://github.com/habitat-sh/habitat/pull/178) ([smith](https://github.com/smith))
- \[acceptance\] very git sha before continuing [\#177](https://github.com/habitat-sh/habitat/pull/177) ([jtimberman](https://github.com/jtimberman))
- Fix the makefile logic for src checkout [\#176](https://github.com/habitat-sh/habitat/pull/176) ([jtimberman](https://github.com/jtimberman))
- Show other versions and packages on package page [\#175](https://github.com/habitat-sh/habitat/pull/175) ([smith](https://github.com/smith))
- \[acceptance\] Better logic for bldr src checkout [\#172](https://github.com/habitat-sh/habitat/pull/172) ([jtimberman](https://github.com/jtimberman))
- \[bldr\] encryption/decryption [\#171](https://github.com/habitat-sh/habitat/pull/171) ([metadave](https://github.com/metadave))
- Use the correct item name [\#170](https://github.com/habitat-sh/habitat/pull/170) ([jtimberman](https://github.com/jtimberman))
- \[acceptance\] Sharing secret through environment [\#169](https://github.com/habitat-sh/habitat/pull/169) ([jtimberman](https://github.com/jtimberman))
- \[acceptance\] load delivery chef config [\#168](https://github.com/habitat-sh/habitat/pull/168) ([jtimberman](https://github.com/jtimberman))
- \[acceptance\] docker machine setup in default [\#167](https://github.com/habitat-sh/habitat/pull/167) ([jtimberman](https://github.com/jtimberman))
- \[acceptance\] Initial build cookbook changes [\#166](https://github.com/habitat-sh/habitat/pull/166) ([jtimberman](https://github.com/jtimberman))
- \[web\] Link to dependencies in package view [\#164](https://github.com/habitat-sh/habitat/pull/164) ([smith](https://github.com/smith))
- \[web\] Add packages pages [\#163](https://github.com/habitat-sh/habitat/pull/163) ([smith](https://github.com/smith))
- \[bldr-build\] Create working directory earlier in `\_build\_environment\(\)`. [\#162](https://github.com/habitat-sh/habitat/pull/162) ([fnichol](https://github.com/fnichol))
- \[bldr-build\] Delay creating `$pkg\_path` until `\_build\_environment\(\)`. [\#161](https://github.com/habitat-sh/habitat/pull/161) ([fnichol](https://github.com/fnichol))
- Dont crash if a pkg is missing a config dir [\#159](https://github.com/habitat-sh/habitat/pull/159) ([metadave](https://github.com/metadave))
- \[bldr-build\] Delighters for the week of January 19, 2016 [\#158](https://github.com/habitat-sh/habitat/pull/158) ([fnichol](https://github.com/fnichol))
- update license header to more accurate licensing state [\#157](https://github.com/habitat-sh/habitat/pull/157) ([reset](https://github.com/reset))
- Sign in/out flow [\#156](https://github.com/habitat-sh/habitat/pull/156) ([smith](https://github.com/smith))
- \[bldr\] generate user and service keys [\#154](https://github.com/habitat-sh/habitat/pull/154) ([metadave](https://github.com/metadave))

## [0.3.0](https://github.com/habitat-sh/habitat/tree/0.3.0) (01-15-2016)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.2.0...0.3.0)

**Merged pull requests:**

- version 0.3.0 [\#155](https://github.com/habitat-sh/habitat/pull/155) ([reset](https://github.com/reset))
- cleanup warnings left behind in archive module [\#153](https://github.com/habitat-sh/habitat/pull/153) ([reset](https://github.com/reset))
- Cargo update 2016/1/14 [\#152](https://github.com/habitat-sh/habitat/pull/152) ([adamhjk](https://github.com/adamhjk))
- Fixup libarchive [\#151](https://github.com/habitat-sh/habitat/pull/151) ([adamhjk](https://github.com/adamhjk))
- Sign up form [\#150](https://github.com/habitat-sh/habitat/pull/150) ([smith](https://github.com/smith))
- fix xz dep, remove lzo [\#149](https://github.com/habitat-sh/habitat/pull/149) ([metadave](https://github.com/metadave))
- Initial commit of web app [\#148](https://github.com/habitat-sh/habitat/pull/148) ([smith](https://github.com/smith))
- \[bldr\] add rngd plan [\#145](https://github.com/habitat-sh/habitat/pull/145) ([metadave](https://github.com/metadave))
- \[bldr-build\] Support transitive \(not directly declared\) dependencies. [\#143](https://github.com/habitat-sh/habitat/pull/143) ([fnichol](https://github.com/fnichol))
- don't compile libarchive with support for lzo [\#142](https://github.com/habitat-sh/habitat/pull/142) ([reset](https://github.com/reset))
- \[plans\] Use derivation in plans-tmpl.sh [\#140](https://github.com/habitat-sh/habitat/pull/140) ([jtimberman](https://github.com/jtimberman))
- \[plans\] Use prefix on erlang [\#139](https://github.com/habitat-sh/habitat/pull/139) ([jtimberman](https://github.com/jtimberman))
- \[plans\] Add a ruby plan [\#138](https://github.com/habitat-sh/habitat/pull/138) ([jtimberman](https://github.com/jtimberman))
- \[bldr-build\] Adds new helper function & default phase implementations. [\#136](https://github.com/habitat-sh/habitat/pull/136) ([fnichol](https://github.com/fnichol))
- Add minimum Docker \(machine\) requirements to README [\#135](https://github.com/habitat-sh/habitat/pull/135) ([smith](https://github.com/smith))
- Fix the Node.js URL [\#134](https://github.com/habitat-sh/habitat/pull/134) ([smith](https://github.com/smith))
- add node.js plan [\#133](https://github.com/habitat-sh/habitat/pull/133) ([metadave](https://github.com/metadave))
- \[bldr-build\] Add dependency checking, group public/private functions, and message coloring! [\#132](https://github.com/habitat-sh/habitat/pull/132) ([fnichol](https://github.com/fnichol))
- replace shelling out to tar with libarchive-rust [\#131](https://github.com/habitat-sh/habitat/pull/131) ([reset](https://github.com/reset))
- Change bldr-build completion message [\#130](https://github.com/habitat-sh/habitat/pull/130) ([smith](https://github.com/smith))
- make target for creating new plans [\#129](https://github.com/habitat-sh/habitat/pull/129) ([jtimberman](https://github.com/jtimberman))
- Fix some typos in the README [\#128](https://github.com/habitat-sh/habitat/pull/128) ([smith](https://github.com/smith))
- Add erlang plan [\#127](https://github.com/habitat-sh/habitat/pull/127) ([jtimberman](https://github.com/jtimberman))
- Updates README to have commands that work [\#126](https://github.com/habitat-sh/habitat/pull/126) ([jtimberman](https://github.com/jtimberman))
- Make bootstrap tools an opt-in option when making chroot env. [\#125](https://github.com/habitat-sh/habitat/pull/125) ([fnichol](https://github.com/fnichol))
- Added plans for building apr and apr-util. [\#124](https://github.com/habitat-sh/habitat/pull/124) ([juliandunn](https://github.com/juliandunn))
- Add Gossip Server and Client [\#123](https://github.com/habitat-sh/habitat/pull/123) ([adamhjk](https://github.com/adamhjk))
- \[bldr-build\] Only add runtime deps to `LD\_RUN\_PATH`. [\#122](https://github.com/habitat-sh/habitat/pull/122) ([fnichol](https://github.com/fnichol))
- Function callback updates [\#121](https://github.com/habitat-sh/habitat/pull/121) ([fnichol](https://github.com/fnichol))
- \[bldr-build\] Prefix public callback functions with `do\_`. [\#120](https://github.com/habitat-sh/habitat/pull/120) ([fnichol](https://github.com/fnichol))
- Plan shell [\#118](https://github.com/habitat-sh/habitat/pull/118) ([fnichol](https://github.com/fnichol))
- Allow the demo scripts to use an arbitrarily named Docker Machine. [\#117](https://github.com/habitat-sh/habitat/pull/117) ([fnichol](https://github.com/fnichol))
- \[bldr-build\] Resolve and solve package dependencies once. [\#116](https://github.com/habitat-sh/habitat/pull/116) ([fnichol](https://github.com/fnichol))
- Virtualbox must die [\#115](https://github.com/habitat-sh/habitat/pull/115) ([adamhjk](https://github.com/adamhjk))
- change location of temporary bldr-repo [\#114](https://github.com/habitat-sh/habitat/pull/114) ([reset](https://github.com/reset))
- Fixes the functional test suite [\#113](https://github.com/habitat-sh/habitat/pull/113) ([adamhjk](https://github.com/adamhjk))
- \[bldr-build\] `attach\(\)` function, a la `binding.pry` for debugging. [\#112](https://github.com/habitat-sh/habitat/pull/112) ([fnichol](https://github.com/fnichol))
- Adds LamportClocks [\#111](https://github.com/habitat-sh/habitat/pull/111) ([adamhjk](https://github.com/adamhjk))
- \[bldr-build\] Add chroot-based build environments. [\#110](https://github.com/habitat-sh/habitat/pull/110) ([fnichol](https://github.com/fnichol))
- \[bldr-build\] Add `pkg\_build\_deps` and `PATH` fixes. [\#109](https://github.com/habitat-sh/habitat/pull/109) ([fnichol](https://github.com/fnichol))
- fix package specificity in upload/configure commands [\#108](https://github.com/habitat-sh/habitat/pull/108) ([reset](https://github.com/reset))
- leverage gpgme instead of shelling out to the gpg binary [\#107](https://github.com/habitat-sh/habitat/pull/107) ([reset](https://github.com/reset))
- fix failing functional recipe [\#106](https://github.com/habitat-sh/habitat/pull/106) ([reset](https://github.com/reset))
- temporarily disable package upload/install test [\#105](https://github.com/habitat-sh/habitat/pull/105) ([reset](https://github.com/reset))
- Stream output from running hooks [\#104](https://github.com/habitat-sh/habitat/pull/104) ([reset](https://github.com/reset))
- refactor `pkg` module into `package` module and submodule friends [\#103](https://github.com/habitat-sh/habitat/pull/103) ([reset](https://github.com/reset))
- Should fix functional tests in delivery [\#102](https://github.com/habitat-sh/habitat/pull/102) ([adamhjk](https://github.com/adamhjk))
- Add ability to recursively install dependencies of a package [\#101](https://github.com/habitat-sh/habitat/pull/101) ([reset](https://github.com/reset))
- Put the plan files back for a bit [\#100](https://github.com/habitat-sh/habitat/pull/100) ([adamhjk](https://github.com/adamhjk))
- Add Standard output and error formatting [\#99](https://github.com/habitat-sh/habitat/pull/99) ([adamhjk](https://github.com/adamhjk))

## [0.2.0](https://github.com/habitat-sh/habitat/tree/0.2.0) (11-20-2015)
**Merged pull requests:**

- check for generated run file/symlink before re-linking [\#98](https://github.com/habitat-sh/habitat/pull/98) ([reset](https://github.com/reset))
- version 0.2.0 [\#97](https://github.com/habitat-sh/habitat/pull/97) ([reset](https://github.com/reset))
- fix distributed deadlock in leader initialization [\#96](https://github.com/habitat-sh/habitat/pull/96) ([reset](https://github.com/reset))
- add `bldr::fs` module [\#95](https://github.com/habitat-sh/habitat/pull/95) ([reset](https://github.com/reset))
- Allow version and release in command line package identifier [\#94](https://github.com/habitat-sh/habitat/pull/94) ([reset](https://github.com/reset))
- make `-u` flag optional for `bldr start` [\#93](https://github.com/habitat-sh/habitat/pull/93) ([reset](https://github.com/reset))
- rustfmt entire codebase [\#92](https://github.com/habitat-sh/habitat/pull/92) ([reset](https://github.com/reset))
- set proper default bin path for bldr in bldr-build [\#91](https://github.com/habitat-sh/habitat/pull/91) ([reset](https://github.com/reset))
- disable warning on WatchEntry struct [\#90](https://github.com/habitat-sh/habitat/pull/90) ([reset](https://github.com/reset))
- install package dependencies during bldr-build [\#89](https://github.com/habitat-sh/habitat/pull/89) ([reset](https://github.com/reset))
- make port configurable when starting repo [\#88](https://github.com/habitat-sh/habitat/pull/88) ([reset](https://github.com/reset))
- fix demo make task and documentation [\#87](https://github.com/habitat-sh/habitat/pull/87) ([reset](https://github.com/reset))
- Introduce $BLDR\_ROOT to bldr-build. [\#86](https://github.com/habitat-sh/habitat/pull/86) ([fnichol](https://github.com/fnichol))
- remove test output 'opt' directory and ignore in git' [\#85](https://github.com/habitat-sh/habitat/pull/85) ([reset](https://github.com/reset))
- Allow starting of initializer topology by command line [\#84](https://github.com/habitat-sh/habitat/pull/84) ([reset](https://github.com/reset))
- Fix functionals by uploading to correct discovery path. [\#83](https://github.com/habitat-sh/habitat/pull/83) ([fnichol](https://github.com/fnichol))
- Add initializer topology [\#82](https://github.com/habitat-sh/habitat/pull/82) ([reset](https://github.com/reset))
- ignore generated ctags files [\#81](https://github.com/habitat-sh/habitat/pull/81) ([reset](https://github.com/reset))
- no longer copy package health script/run script - rely on hooks [\#80](https://github.com/habitat-sh/habitat/pull/80) ([reset](https://github.com/reset))
- change bldr/simple\_service references to chef/simple\_service [\#79](https://github.com/habitat-sh/habitat/pull/79) ([reset](https://github.com/reset))
- require derivation when starting/installing package [\#78](https://github.com/habitat-sh/habitat/pull/78) ([reset](https://github.com/reset))
- Define concept of "Plans" [\#77](https://github.com/habitat-sh/habitat/pull/77) ([reset](https://github.com/reset))
- Fletcher is an author. [\#76](https://github.com/habitat-sh/habitat/pull/76) ([fnichol](https://github.com/fnichol))
- add myself to author's list [\#75](https://github.com/habitat-sh/habitat/pull/75) ([reset](https://github.com/reset))
- remove redis health check stub [\#74](https://github.com/habitat-sh/habitat/pull/74) ([reset](https://github.com/reset))
- idempotent symlink on copy run file [\#73](https://github.com/habitat-sh/habitat/pull/73) ([reset](https://github.com/reset))
- SAP HANA health\_check [\#72](https://github.com/habitat-sh/habitat/pull/72) ([adamhjk](https://github.com/adamhjk))
- refactor Sidecar into an actor [\#71](https://github.com/habitat-sh/habitat/pull/71) ([reset](https://github.com/reset))
- Update README instructions for `make doc-serve`. [\#70](https://github.com/habitat-sh/habitat/pull/70) ([fnichol](https://github.com/fnichol))
- Add run hook to Hana [\#69](https://github.com/habitat-sh/habitat/pull/69) ([reset](https://github.com/reset))
- Rename `container` target to `image`. [\#68](https://github.com/habitat-sh/habitat/pull/68) ([fnichol](https://github.com/fnichol))
- Should be sap/hana [\#67](https://github.com/habitat-sh/habitat/pull/67) ([adamhjk](https://github.com/adamhjk))
- Ensure that the `chef/bldr` image is present before running tasks. [\#66](https://github.com/habitat-sh/habitat/pull/66) ([fnichol](https://github.com/fnichol))
- make entire directory path for dep [\#65](https://github.com/habitat-sh/habitat/pull/65) ([reset](https://github.com/reset))
- more bldr/$pkg to chef/$pkg [\#64](https://github.com/habitat-sh/habitat/pull/64) ([reset](https://github.com/reset))
- Fixes references in mkimage [\#63](https://github.com/habitat-sh/habitat/pull/63) ([adamhjk](https://github.com/adamhjk))
- ensure derivative and slash separators are in DEPS manifest [\#62](https://github.com/habitat-sh/habitat/pull/62) ([reset](https://github.com/reset))
- fix references to bldr/$pkg to chef/$pkg [\#61](https://github.com/habitat-sh/habitat/pull/61) ([reset](https://github.com/reset))
- Use the / instead of the ^ [\#60](https://github.com/habitat-sh/habitat/pull/60) ([adamhjk](https://github.com/adamhjk))
- Fix tests failing due to missing `pkg\_derivation` in fixtures. [\#59](https://github.com/habitat-sh/habitat/pull/59) ([fnichol](https://github.com/fnichol))
- Add SAP HANA to Bldr [\#58](https://github.com/habitat-sh/habitat/pull/58) ([adamhjk](https://github.com/adamhjk))
- require derivation when specifying a package dep [\#57](https://github.com/habitat-sh/habitat/pull/57) ([reset](https://github.com/reset))
- add chef derivation to all dependencies [\#56](https://github.com/habitat-sh/habitat/pull/56) ([reset](https://github.com/reset))
- set pkg\_derivation for all packages to 'chef' [\#55](https://github.com/habitat-sh/habitat/pull/55) ([reset](https://github.com/reset))
- require pkg\_derivation to be set in bldr-build [\#54](https://github.com/habitat-sh/habitat/pull/54) ([reset](https://github.com/reset))
- add `run` hook [\#53](https://github.com/habitat-sh/habitat/pull/53) ([reset](https://github.com/reset))
- port health check to a hook [\#52](https://github.com/habitat-sh/habitat/pull/52) ([reset](https://github.com/reset))
- Add ability to define a reconfigure hook [\#51](https://github.com/habitat-sh/habitat/pull/51) ([reset](https://github.com/reset))
- Refactor Makefile and docker-compose.yml to be more idempotent & quick. [\#50](https://github.com/habitat-sh/habitat/pull/50) ([fnichol](https://github.com/fnichol))
- Remove `ftp://`-based download URLs for packages. [\#49](https://github.com/habitat-sh/habitat/pull/49) ([fnichol](https://github.com/fnichol))
- Upgrade to docker-compose 1.5.0 in Delivery. [\#48](https://github.com/habitat-sh/habitat/pull/48) ([fnichol](https://github.com/fnichol))
- Disable shasum verify on cacerts package for now. [\#47](https://github.com/habitat-sh/habitat/pull/47) ([fnichol](https://github.com/fnichol))
- Add support for `http\_proxy` & `https\_proxy`. [\#46](https://github.com/habitat-sh/habitat/pull/46) ([fnichol](https://github.com/fnichol))
- add libstdc++ package definition [\#45](https://github.com/habitat-sh/habitat/pull/45) ([reset](https://github.com/reset))
- don't build python extensions when building libxml2 [\#44](https://github.com/habitat-sh/habitat/pull/44) ([reset](https://github.com/reset))
- add recent package additions to make world build env target [\#43](https://github.com/habitat-sh/habitat/pull/43) ([reset](https://github.com/reset))
- Add `make gpg` to packages/Makefile. [\#42](https://github.com/habitat-sh/habitat/pull/42) ([fnichol](https://github.com/fnichol))
- Calculate a default `$pkg\_filename` value for Bldrfiles. [\#41](https://github.com/habitat-sh/habitat/pull/41) ([fnichol](https://github.com/fnichol))
- add Bldrfile for perl [\#40](https://github.com/habitat-sh/habitat/pull/40) ([reset](https://github.com/reset))
- add Bldrfile for libxml2 [\#39](https://github.com/habitat-sh/habitat/pull/39) ([reset](https://github.com/reset))
- improve error output when checksums do not match [\#38](https://github.com/habitat-sh/habitat/pull/38) ([reset](https://github.com/reset))
- add Bldrfile for libltdl [\#37](https://github.com/habitat-sh/habitat/pull/37) ([reset](https://github.com/reset))
- Adding numactl [\#36](https://github.com/habitat-sh/habitat/pull/36) ([adamhjk](https://github.com/adamhjk))
- support xz file format [\#35](https://github.com/habitat-sh/habitat/pull/35) ([reset](https://github.com/reset))
- Add libaio package [\#34](https://github.com/habitat-sh/habitat/pull/34) ([reset](https://github.com/reset))
- Some refactors to clean up the pkg module [\#33](https://github.com/habitat-sh/habitat/pull/33) ([reset](https://github.com/reset))
- Cleaning up a panic at exit [\#32](https://github.com/habitat-sh/habitat/pull/32) ([adamhjk](https://github.com/adamhjk))
- Fixes race condition on initial leader start [\#31](https://github.com/habitat-sh/habitat/pull/31) ([adamhjk](https://github.com/adamhjk))
- Adds documentation for the census [\#30](https://github.com/habitat-sh/habitat/pull/30) ([adamhjk](https://github.com/adamhjk))
- Refactor discovery system [\#29](https://github.com/habitat-sh/habitat/pull/29) ([adamhjk](https://github.com/adamhjk))
- merge upstream changes from wonder [\#28](https://github.com/habitat-sh/habitat/pull/28) ([reset](https://github.com/reset))
- integrate upstream changes from Wonder [\#27](https://github.com/habitat-sh/habitat/pull/27) ([reset](https://github.com/reset))
- Vendor the wonder library [\#25](https://github.com/habitat-sh/habitat/pull/25) ([adamhjk](https://github.com/adamhjk))
- Update Cargo.lock, and pulls current deps after Rust 1.4.0 release. [\#24](https://github.com/habitat-sh/habitat/pull/24) ([fnichol](https://github.com/fnichol))
- Remove `/dev/console` from bldr package image creation. [\#23](https://github.com/habitat-sh/habitat/pull/23) ([fnichol](https://github.com/fnichol))
- Remove fancy\_execute cookbook to debug functional failure. [\#22](https://github.com/habitat-sh/habitat/pull/22) ([fnichol](https://github.com/fnichol))
- Tweak the pitch deck a little [\#21](https://github.com/habitat-sh/habitat/pull/21) ([adamhjk](https://github.com/adamhjk))
- Communicate over unix domain socket for "Docker in Docker" contexts. [\#20](https://github.com/habitat-sh/habitat/pull/20) ([fnichol](https://github.com/fnichol))
- The shasum for cacerts.pem changed which caused 'make' to fail [\#18](https://github.com/habitat-sh/habitat/pull/18) ([fnichol](https://github.com/fnichol))
- refactor SignalNotifier to use wonder::actor::GenServer trait [\#16](https://github.com/habitat-sh/habitat/pull/16) ([reset](https://github.com/reset))
- Updated demo script and powerpoint [\#13](https://github.com/habitat-sh/habitat/pull/13) ([adamhjk](https://github.com/adamhjk))
- Explicitly name bldr\_etcd\_1 container name in docker-compose.yml. [\#12](https://github.com/habitat-sh/habitat/pull/12) ([fnichol](https://github.com/fnichol))
- don't run the doc code, just compile it [\#11](https://github.com/habitat-sh/habitat/pull/11) ([reset](https://github.com/reset))
- Resolves race condition with waitpid\(0\) [\#10](https://github.com/habitat-sh/habitat/pull/10) ([adamhjk](https://github.com/adamhjk))
- Spawn only one signal handler thread [\#9](https://github.com/habitat-sh/habitat/pull/9) ([adamhjk](https://github.com/adamhjk))
- start signal notifier outside of main loop [\#8](https://github.com/habitat-sh/habitat/pull/8) ([reset](https://github.com/reset))
- use separate thread for trapping signals [\#7](https://github.com/habitat-sh/habitat/pull/7) ([reset](https://github.com/reset))
- Automatic Update/Restart of running packages [\#5](https://github.com/habitat-sh/habitat/pull/5) ([reset](https://github.com/reset))
- Set up initial Delivery acceptance environment [\#4](https://github.com/habitat-sh/habitat/pull/4) ([fnichol](https://github.com/fnichol))
- Update Setup & Development instructions for Delivery/GitHub workflow. [\#3](https://github.com/habitat-sh/habitat/pull/3) ([fnichol](https://github.com/fnichol))
- Adds functional tests [\#1](https://github.com/habitat-sh/habitat/pull/1) ([adamhjk](https://github.com/adamhjk))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*